#include <qtdbus_includes.h>

#include <smoke.h>
#include <qtdbus_smoke.h>

namespace __smokeqtdbus {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //DBusError
      switch(to) {
        case 1: return (void*)(DBusError*)xptr;
        default: return xptr;
      }
    case 2:   //QBitArray
      switch(to) {
        case 2: return (void*)(QBitArray*)xptr;
        default: return xptr;
      }
    case 3:   //QBool
      switch(to) {
        case 3: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 4:   //QByteArray
      switch(to) {
        case 4: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 5:   //QChar
      switch(to) {
        case 5: return (void*)(QChar*)xptr;
        default: return xptr;
      }
    case 6:   //QChildEvent
      switch(to) {
        case 32: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 6: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 8:   //QDBusAbstractAdaptor
      switch(to) {
        case 43: return (void*)(QObject*)(QDBusAbstractAdaptor*)xptr;
        case 8: return (void*)(QDBusAbstractAdaptor*)xptr;
        default: return xptr;
      }
    case 9:   //QDBusAbstractInterface
      switch(to) {
        case 10: return (void*)(QDBusAbstractInterfaceBase*)(QDBusAbstractInterface*)xptr;
        case 43: return (void*)(QObject*)(QDBusAbstractInterface*)xptr;
        case 9: return (void*)(QDBusAbstractInterface*)xptr;
        case 16: return (void*)(QDBusInterface*)(QDBusAbstractInterface*)xptr;
        case 13: return (void*)(QDBusConnectionInterface*)(QDBusAbstractInterface*)xptr;
        default: return xptr;
      }
    case 10:   //QDBusAbstractInterfaceBase
      switch(to) {
        case 43: return (void*)(QObject*)(QDBusAbstractInterfaceBase*)xptr;
        case 10: return (void*)(QDBusAbstractInterfaceBase*)xptr;
        case 9: return (void*)(QDBusAbstractInterface*)(QDBusAbstractInterfaceBase*)xptr;
        case 16: return (void*)(QDBusInterface*)(QDBusAbstractInterfaceBase*)xptr;
        case 13: return (void*)(QDBusConnectionInterface*)(QDBusAbstractInterfaceBase*)xptr;
        default: return xptr;
      }
    case 11:   //QDBusArgument
      switch(to) {
        case 11: return (void*)(QDBusArgument*)xptr;
        default: return xptr;
      }
    case 12:   //QDBusConnection
      switch(to) {
        case 12: return (void*)(QDBusConnection*)xptr;
        default: return xptr;
      }
    case 13:   //QDBusConnectionInterface
      switch(to) {
        case 9: return (void*)(QDBusAbstractInterface*)(QDBusConnectionInterface*)xptr;
        case 10: return (void*)(QDBusAbstractInterfaceBase*)(QDBusConnectionInterface*)xptr;
        case 43: return (void*)(QObject*)(QDBusConnectionInterface*)xptr;
        case 13: return (void*)(QDBusConnectionInterface*)xptr;
        default: return xptr;
      }
    case 14:   //QDBusContext
      switch(to) {
        case 14: return (void*)(QDBusContext*)xptr;
        default: return xptr;
      }
    case 15:   //QDBusError
      switch(to) {
        case 15: return (void*)(QDBusError*)xptr;
        default: return xptr;
      }
    case 16:   //QDBusInterface
      switch(to) {
        case 9: return (void*)(QDBusAbstractInterface*)(QDBusInterface*)xptr;
        case 10: return (void*)(QDBusAbstractInterfaceBase*)(QDBusInterface*)xptr;
        case 43: return (void*)(QObject*)(QDBusInterface*)xptr;
        case 16: return (void*)(QDBusInterface*)xptr;
        default: return xptr;
      }
    case 17:   //QDBusMessage
      switch(to) {
        case 17: return (void*)(QDBusMessage*)xptr;
        default: return xptr;
      }
    case 18:   //QDBusMetaType
      switch(to) {
        case 18: return (void*)(QDBusMetaType*)xptr;
        default: return xptr;
      }
    case 19:   //QDBusPendingCall
      switch(to) {
        case 19: return (void*)(QDBusPendingCall*)xptr;
        case 20: return (void*)(QDBusPendingCallWatcher*)(QDBusPendingCall*)xptr;
        default: return xptr;
      }
    case 20:   //QDBusPendingCallWatcher
      switch(to) {
        case 43: return (void*)(QObject*)(QDBusPendingCallWatcher*)xptr;
        case 19: return (void*)(QDBusPendingCall*)(QDBusPendingCallWatcher*)xptr;
        case 20: return (void*)(QDBusPendingCallWatcher*)xptr;
        default: return xptr;
      }
    case 21:   //QDBusServer
      switch(to) {
        case 43: return (void*)(QObject*)(QDBusServer*)xptr;
        case 21: return (void*)(QDBusServer*)xptr;
        default: return xptr;
      }
    case 22:   //QDBusServiceWatcher
      switch(to) {
        case 43: return (void*)(QObject*)(QDBusServiceWatcher*)xptr;
        case 22: return (void*)(QDBusServiceWatcher*)xptr;
        default: return xptr;
      }
    case 23:   //QDBusUnixFileDescriptor
      switch(to) {
        case 23: return (void*)(QDBusUnixFileDescriptor*)xptr;
        default: return xptr;
      }
    case 24:   //QDBusVariant
      switch(to) {
        case 60: return (void*)(QVariant*)(QDBusVariant*)xptr;
        case 24: return (void*)(QDBusVariant*)xptr;
        default: return xptr;
      }
    case 25:   //QDBusVirtualObject
      switch(to) {
        case 43: return (void*)(QObject*)(QDBusVirtualObject*)xptr;
        case 25: return (void*)(QDBusVirtualObject*)xptr;
        default: return xptr;
      }
    case 26:   //QDataStream
      switch(to) {
        case 26: return (void*)(QDataStream*)xptr;
        default: return xptr;
      }
    case 27:   //QDate
      switch(to) {
        case 27: return (void*)(QDate*)xptr;
        default: return xptr;
      }
    case 28:   //QDateTime
      switch(to) {
        case 28: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 29:   //QDebug
      switch(to) {
        case 29: return (void*)(QDebug*)xptr;
        default: return xptr;
      }
    case 30:   //QDir
      switch(to) {
        case 30: return (void*)(QDir*)xptr;
        default: return xptr;
      }
    case 31:   //QEasingCurve
      switch(to) {
        case 31: return (void*)(QEasingCurve*)xptr;
        default: return xptr;
      }
    case 32:   //QEvent
      switch(to) {
        case 32: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 34:   //QHashDummyValue
      switch(to) {
        case 34: return (void*)(QHashDummyValue*)xptr;
        default: return xptr;
      }
    case 35:   //QIncompatibleFlag
      switch(to) {
        case 35: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 36:   //QLatin1String
      switch(to) {
        case 36: return (void*)(QLatin1String*)xptr;
        default: return xptr;
      }
    case 37:   //QLine
      switch(to) {
        case 37: return (void*)(QLine*)xptr;
        default: return xptr;
      }
    case 38:   //QLineF
      switch(to) {
        case 38: return (void*)(QLineF*)xptr;
        default: return xptr;
      }
    case 39:   //QLocale
      switch(to) {
        case 39: return (void*)(QLocale*)xptr;
        default: return xptr;
      }
    case 40:   //QMargins
      switch(to) {
        case 40: return (void*)(QMargins*)xptr;
        default: return xptr;
      }
    case 41:   //QMetaObject
      switch(to) {
        case 41: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 42:   //QModelIndex
      switch(to) {
        case 42: return (void*)(QModelIndex*)xptr;
        default: return xptr;
      }
    case 43:   //QObject
      switch(to) {
        case 43: return (void*)(QObject*)xptr;
        case 8: return (void*)(QDBusAbstractAdaptor*)(QObject*)xptr;
        case 9: return (void*)(QDBusAbstractInterface*)(QObject*)xptr;
        case 20: return (void*)(QDBusPendingCallWatcher*)(QObject*)xptr;
        case 10: return (void*)(QDBusAbstractInterfaceBase*)(QObject*)xptr;
        case 22: return (void*)(QDBusServiceWatcher*)(QObject*)xptr;
        case 16: return (void*)(QDBusInterface*)(QObject*)xptr;
        case 13: return (void*)(QDBusConnectionInterface*)(QObject*)xptr;
        case 21: return (void*)(QDBusServer*)(QObject*)xptr;
        case 25: return (void*)(QDBusVirtualObject*)(QObject*)xptr;
        default: return xptr;
      }
    case 44:   //QPersistentModelIndex
      switch(to) {
        case 44: return (void*)(QPersistentModelIndex*)xptr;
        default: return xptr;
      }
    case 45:   //QPoint
      switch(to) {
        case 45: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 46:   //QPointF
      switch(to) {
        case 46: return (void*)(QPointF*)xptr;
        default: return xptr;
      }
    case 47:   //QRect
      switch(to) {
        case 47: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 48:   //QRectF
      switch(to) {
        case 48: return (void*)(QRectF*)xptr;
        default: return xptr;
      }
    case 49:   //QRegExp
      switch(to) {
        case 49: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 50:   //QSize
      switch(to) {
        case 50: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 51:   //QSizeF
      switch(to) {
        case 51: return (void*)(QSizeF*)xptr;
        default: return xptr;
      }
    case 52:   //QString::Null
      switch(to) {
        case 52: return (void*)(QString::Null*)xptr;
        default: return xptr;
      }
    case 53:   //QStringRef
      switch(to) {
        case 53: return (void*)(QStringRef*)xptr;
        default: return xptr;
      }
    case 54:   //QTextStream
      switch(to) {
        case 54: return (void*)(QTextStream*)xptr;
        default: return xptr;
      }
    case 55:   //QTextStreamManipulator
      switch(to) {
        case 55: return (void*)(QTextStreamManipulator*)xptr;
        default: return xptr;
      }
    case 56:   //QTime
      switch(to) {
        case 56: return (void*)(QTime*)xptr;
        default: return xptr;
      }
    case 57:   //QTimerEvent
      switch(to) {
        case 32: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 57: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 58:   //QUrl
      switch(to) {
        case 58: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 59:   //QUuid
      switch(to) {
        case 59: return (void*)(QUuid*)xptr;
        default: return xptr;
      }
    case 60:   //QVariant
      switch(to) {
        case 60: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 61:   //QVariantComparisonHelper
      switch(to) {
        case 61: return (void*)(QVariantComparisonHelper*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    43, 0,	// 1: QObject
    10, 0,	// 3: QDBusAbstractInterfaceBase
    9, 0,	// 5: QDBusAbstractInterface
    43, 19, 0,	// 7: QObject, QDBusPendingCall
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDBusConnection(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDBusConnectionInterface(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDBus(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDBusArgument(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDBusServiceWatcher(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDBusError(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDBusMessage(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QDBus(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusAbstractAdaptor(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusAbstractInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusAbstractInterfaceBase(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusArgument(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusConnection(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusConnectionInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusContext(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusError(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusMessage(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusMetaType(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusPendingCall(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusPendingCallWatcher(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusServer(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusServiceWatcher(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusUnixFileDescriptor(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusVirtualObject(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "DBusError", true, 0, 0, 0, 0, 0 },	//1
    { "QBitArray", true, 0, 0, 0, 0, 0 },	//2
    { "QBool", true, 0, 0, 0, 0, 0 },	//3
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//4
    { "QChar", true, 0, 0, 0, 0, 0 },	//5
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//6
    { "QDBus", false, 0, xcall_QDBus, xenum_QDBus, Smoke::cf_namespace, 0 },	//7
    { "QDBusAbstractAdaptor", false, 1, xcall_QDBusAbstractAdaptor, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QDBusAbstractAdaptor) },	//8
    { "QDBusAbstractInterface", false, 3, xcall_QDBusAbstractInterface, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QDBusAbstractInterface) },	//9
    { "QDBusAbstractInterfaceBase", false, 1, xcall_QDBusAbstractInterfaceBase, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QDBusAbstractInterfaceBase) },	//10
    { "QDBusArgument", false, 0, xcall_QDBusArgument, xenum_QDBusArgument, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDBusArgument) },	//11
    { "QDBusConnection", false, 0, xcall_QDBusConnection, xenum_QDBusConnection, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDBusConnection) },	//12
    { "QDBusConnectionInterface", false, 5, xcall_QDBusConnectionInterface, xenum_QDBusConnectionInterface, Smoke::cf_virtual, sizeof(QDBusConnectionInterface) },	//13
    { "QDBusContext", false, 0, xcall_QDBusContext, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDBusContext) },	//14
    { "QDBusError", false, 0, xcall_QDBusError, xenum_QDBusError, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDBusError) },	//15
    { "QDBusInterface", false, 5, xcall_QDBusInterface, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QDBusInterface) },	//16
    { "QDBusMessage", false, 0, xcall_QDBusMessage, xenum_QDBusMessage, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDBusMessage) },	//17
    { "QDBusMetaType", false, 0, xcall_QDBusMetaType, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDBusMetaType) },	//18
    { "QDBusPendingCall", false, 0, xcall_QDBusPendingCall, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDBusPendingCall) },	//19
    { "QDBusPendingCallWatcher", false, 7, xcall_QDBusPendingCallWatcher, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QDBusPendingCallWatcher) },	//20
    { "QDBusServer", false, 1, xcall_QDBusServer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QDBusServer) },	//21
    { "QDBusServiceWatcher", false, 1, xcall_QDBusServiceWatcher, xenum_QDBusServiceWatcher, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QDBusServiceWatcher) },	//22
    { "QDBusUnixFileDescriptor", false, 0, xcall_QDBusUnixFileDescriptor, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDBusUnixFileDescriptor) },	//23
    { "QDBusVariant", true, 0, 0, 0, 0, 0 },	//24
    { "QDBusVirtualObject", false, 1, xcall_QDBusVirtualObject, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QDBusVirtualObject) },	//25
    { "QDataStream", true, 0, 0, 0, 0, 0 },	//26
    { "QDate", true, 0, 0, 0, 0, 0 },	//27
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//28
    { "QDebug", true, 0, 0, 0, 0, 0 },	//29
    { "QDir", true, 0, 0, 0, 0, 0 },	//30
    { "QEasingCurve", true, 0, 0, 0, 0, 0 },	//31
    { "QEvent", true, 0, 0, 0, 0, 0 },	//32
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//33
    { "QHashDummyValue", true, 0, 0, 0, 0, 0 },	//34
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//35
    { "QLatin1String", true, 0, 0, 0, 0, 0 },	//36
    { "QLine", true, 0, 0, 0, 0, 0 },	//37
    { "QLineF", true, 0, 0, 0, 0, 0 },	//38
    { "QLocale", true, 0, 0, 0, 0, 0 },	//39
    { "QMargins", true, 0, 0, 0, 0, 0 },	//40
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//41
    { "QModelIndex", true, 0, 0, 0, 0, 0 },	//42
    { "QObject", true, 0, 0, 0, 0, 0 },	//43
    { "QPersistentModelIndex", true, 0, 0, 0, 0, 0 },	//44
    { "QPoint", true, 0, 0, 0, 0, 0 },	//45
    { "QPointF", true, 0, 0, 0, 0, 0 },	//46
    { "QRect", true, 0, 0, 0, 0, 0 },	//47
    { "QRectF", true, 0, 0, 0, 0, 0 },	//48
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//49
    { "QSize", true, 0, 0, 0, 0, 0 },	//50
    { "QSizeF", true, 0, 0, 0, 0, 0 },	//51
    { "QString::Null", true, 0, 0, 0, 0, 0 },	//52
    { "QStringRef", true, 0, 0, 0, 0, 0 },	//53
    { "QTextStream", true, 0, 0, 0, 0, 0 },	//54
    { "QTextStreamManipulator", true, 0, 0, 0, 0, 0 },	//55
    { "QTime", true, 0, 0, 0, 0, 0 },	//56
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//57
    { "QUrl", true, 0, 0, 0, 0, 0 },	//58
    { "QUuid", true, 0, 0, 0, 0, 0 },	//59
    { "QVariant", true, 0, 0, 0, 0, 0 },	//60
    { "QVariantComparisonHelper", true, 0, 0, 0, 0, 0 },	//61
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QAbstractFileEngine::FileFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//1
    { "QBitArray", 2, Smoke::t_class|Smoke::tf_stack },	//2
    { "QBitArray&", 2, Smoke::t_class|Smoke::tf_ref },	//3
    { "QBool", 3, Smoke::t_class|Smoke::tf_stack },	//4
    { "QByteArray", 4, Smoke::t_class|Smoke::tf_stack },	//5
    { "QByteArray&", 4, Smoke::t_class|Smoke::tf_ref },	//6
    { "QChar", 5, Smoke::t_class|Smoke::tf_stack },	//7
    { "QChar&", 5, Smoke::t_class|Smoke::tf_ref },	//8
    { "QChildEvent*", 6, Smoke::t_class|Smoke::tf_ptr },	//9
    { "QDBus::CallMode", 7, Smoke::t_enum|Smoke::tf_stack },	//10
    { "QDBusAbstractAdaptor*", 8, Smoke::t_class|Smoke::tf_ptr },	//11
    { "QDBusAbstractInterface*", 9, Smoke::t_class|Smoke::tf_ptr },	//12
    { "QDBusArgument&", 11, Smoke::t_class|Smoke::tf_ref },	//13
    { "QDBusArgument*", 11, Smoke::t_class|Smoke::tf_ptr },	//14
    { "QDBusArgument::ElementType", 11, Smoke::t_enum|Smoke::tf_stack },	//15
    { "QDBusConnection", 12, Smoke::t_class|Smoke::tf_stack },	//16
    { "QDBusConnection&", 12, Smoke::t_class|Smoke::tf_ref },	//17
    { "QDBusConnection*", 12, Smoke::t_class|Smoke::tf_ptr },	//18
    { "QDBusConnection::BusType", 12, Smoke::t_enum|Smoke::tf_stack },	//19
    { "QDBusConnection::ConnectionCapability", 12, Smoke::t_enum|Smoke::tf_stack },	//20
    { "QDBusConnection::RegisterOption", 12, Smoke::t_enum|Smoke::tf_stack },	//21
    { "QDBusConnection::UnregisterMode", 12, Smoke::t_enum|Smoke::tf_stack },	//22
    { "QDBusConnection::VirtualObjectRegisterOption", 12, Smoke::t_enum|Smoke::tf_stack },	//23
    { "QDBusConnectionInterface*", 13, Smoke::t_class|Smoke::tf_ptr },	//24
    { "QDBusConnectionInterface::RegisterServiceReply", 13, Smoke::t_enum|Smoke::tf_stack },	//25
    { "QDBusConnectionInterface::ServiceQueueOptions", 13, Smoke::t_enum|Smoke::tf_stack },	//26
    { "QDBusConnectionInterface::ServiceReplacementOptions", 13, Smoke::t_enum|Smoke::tf_stack },	//27
    { "QDBusContext*", 14, Smoke::t_class|Smoke::tf_ptr },	//28
    { "QDBusError", 15, Smoke::t_class|Smoke::tf_stack },	//29
    { "QDBusError&", 15, Smoke::t_class|Smoke::tf_ref },	//30
    { "QDBusError*", 15, Smoke::t_class|Smoke::tf_ptr },	//31
    { "QDBusError::ErrorType", 15, Smoke::t_enum|Smoke::tf_stack },	//32
    { "QDBusInterface*", 16, Smoke::t_class|Smoke::tf_ptr },	//33
    { "QDBusMessage", 17, Smoke::t_class|Smoke::tf_stack },	//34
    { "QDBusMessage&", 17, Smoke::t_class|Smoke::tf_ref },	//35
    { "QDBusMessage*", 17, Smoke::t_class|Smoke::tf_ptr },	//36
    { "QDBusMessage::MessageType", 17, Smoke::t_enum|Smoke::tf_stack },	//37
    { "QDBusMetaType*", 18, Smoke::t_class|Smoke::tf_ptr },	//38
    { "QDBusObjectPath&", 0, Smoke::t_voidp|Smoke::tf_ref },	//39
    { "QDBusPendingCall", 19, Smoke::t_class|Smoke::tf_stack },	//40
    { "QDBusPendingCall&", 19, Smoke::t_class|Smoke::tf_ref },	//41
    { "QDBusPendingCall*", 19, Smoke::t_class|Smoke::tf_ptr },	//42
    { "QDBusPendingCallWatcher*", 20, Smoke::t_class|Smoke::tf_ptr },	//43
    { "QDBusReply<QDBusConnectionInterface::RegisterServiceReply>", 0, Smoke::t_voidp|Smoke::tf_stack },	//44
    { "QDBusReply<QString>", 0, Smoke::t_voidp|Smoke::tf_stack },	//45
    { "QDBusReply<QStringList>", 0, Smoke::t_voidp|Smoke::tf_stack },	//46
    { "QDBusReply<bool>", 0, Smoke::t_voidp|Smoke::tf_stack },	//47
    { "QDBusReply<uint>", 0, Smoke::t_voidp|Smoke::tf_stack },	//48
    { "QDBusReply<void>", 0, Smoke::t_voidp|Smoke::tf_stack },	//49
    { "QDBusServer*", 21, Smoke::t_class|Smoke::tf_ptr },	//50
    { "QDBusServiceWatcher*", 22, Smoke::t_class|Smoke::tf_ptr },	//51
    { "QDBusServiceWatcher::WatchModeFlag", 22, Smoke::t_enum|Smoke::tf_stack },	//52
    { "QDBusSignature&", 0, Smoke::t_voidp|Smoke::tf_ref },	//53
    { "QDBusUnixFileDescriptor&", 23, Smoke::t_class|Smoke::tf_ref },	//54
    { "QDBusUnixFileDescriptor*", 23, Smoke::t_class|Smoke::tf_ptr },	//55
    { "QDBusVariant&", 24, Smoke::t_class|Smoke::tf_ref },	//56
    { "QDBusVirtualObject*", 25, Smoke::t_class|Smoke::tf_ptr },	//57
    { "QDataStream&", 26, Smoke::t_class|Smoke::tf_ref },	//58
    { "QDate&", 27, Smoke::t_class|Smoke::tf_ref },	//59
    { "QDateTime&", 28, Smoke::t_class|Smoke::tf_ref },	//60
    { "QDebug", 29, Smoke::t_class|Smoke::tf_stack },	//61
    { "QDir::Filter", 30, Smoke::t_enum|Smoke::tf_stack },	//62
    { "QDir::SortFlag", 30, Smoke::t_enum|Smoke::tf_stack },	//63
    { "QDirIterator::IteratorFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//64
    { "QEasingCurve&", 31, Smoke::t_class|Smoke::tf_ref },	//65
    { "QEvent*", 32, Smoke::t_class|Smoke::tf_ptr },	//66
    { "QEventLoop::ProcessEventsFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//67
    { "QFile::Permission", 0, Smoke::t_enum|Smoke::tf_stack },	//68
    { "QFlags<QAbstractFileEngine::FileFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//69
    { "QFlags<QDBusConnection::ConnectionCapability>", 0, Smoke::t_uint|Smoke::tf_stack },	//70
    { "QFlags<QDBusConnection::RegisterOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//71
    { "QFlags<QDBusConnection::VirtualObjectRegisterOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//72
    { "QFlags<QDBusServiceWatcher::WatchModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//73
    { "QFlags<QDir::Filter>", 0, Smoke::t_uint|Smoke::tf_stack },	//74
    { "QFlags<QDir::SortFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//75
    { "QFlags<QDirIterator::IteratorFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//76
    { "QFlags<QEventLoop::ProcessEventsFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//77
    { "QFlags<QFile::Permission>", 0, Smoke::t_uint|Smoke::tf_stack },	//78
    { "QFlags<QIODevice::OpenModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//79
    { "QFlags<QLibrary::LoadHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//80
    { "QFlags<QLocale::NumberOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//81
    { "QFlags<QString::SectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//82
    { "QFlags<QTextCodec::ConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//83
    { "QFlags<QTextStream::NumberFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//84
    { "QFlags<QUrl::FormattingOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//85
    { "QFlags<Qt::AlignmentFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//86
    { "QFlags<Qt::DockWidgetArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//87
    { "QFlags<Qt::DropAction>", 0, Smoke::t_uint|Smoke::tf_stack },	//88
    { "QFlags<Qt::GestureFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//89
    { "QFlags<Qt::ImageConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//90
    { "QFlags<Qt::InputMethodHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//91
    { "QFlags<Qt::ItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//92
    { "QFlags<Qt::KeyboardModifier>", 0, Smoke::t_uint|Smoke::tf_stack },	//93
    { "QFlags<Qt::MatchFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//94
    { "QFlags<Qt::MouseButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//95
    { "QFlags<Qt::Orientation>", 0, Smoke::t_uint|Smoke::tf_stack },	//96
    { "QFlags<Qt::TextInteractionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//97
    { "QFlags<Qt::ToolBarArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//98
    { "QFlags<Qt::TouchPointState>", 0, Smoke::t_uint|Smoke::tf_stack },	//99
    { "QFlags<Qt::WindowState>", 0, Smoke::t_uint|Smoke::tf_stack },	//100
    { "QFlags<Qt::WindowType>", 0, Smoke::t_uint|Smoke::tf_stack },	//101
    { "QIODevice::OpenModeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//102
    { "QIncompatibleFlag", 35, Smoke::t_class|Smoke::tf_stack },	//103
    { "QLibrary::LoadHint", 0, Smoke::t_enum|Smoke::tf_stack },	//104
    { "QLine&", 37, Smoke::t_class|Smoke::tf_ref },	//105
    { "QLineF&", 38, Smoke::t_class|Smoke::tf_ref },	//106
    { "QList<QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//107
    { "QList<void*>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//108
    { "QLocale&", 39, Smoke::t_class|Smoke::tf_ref },	//109
    { "QLocale::NumberOption", 39, Smoke::t_enum|Smoke::tf_stack },	//110
    { "QMetaObject::Call", 41, Smoke::t_enum|Smoke::tf_stack },	//111
    { "QObject*", 43, Smoke::t_class|Smoke::tf_ptr },	//112
    { "QObject*(*)()", 43, Smoke::t_class|Smoke::tf_ptr },	//113
    { "QPoint&", 45, Smoke::t_class|Smoke::tf_ref },	//114
    { "QPointF&", 46, Smoke::t_class|Smoke::tf_ref },	//115
    { "QRect&", 47, Smoke::t_class|Smoke::tf_ref },	//116
    { "QRectF&", 48, Smoke::t_class|Smoke::tf_ref },	//117
    { "QRegExp&", 49, Smoke::t_class|Smoke::tf_ref },	//118
    { "QSize&", 50, Smoke::t_class|Smoke::tf_ref },	//119
    { "QSizeF&", 51, Smoke::t_class|Smoke::tf_ref },	//120
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//121
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//122
    { "QString::Null", 52, Smoke::t_class|Smoke::tf_stack },	//123
    { "QString::SectionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//124
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//125
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//126
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//127
    { "QTextCodec::ConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//128
    { "QTextStream&", 54, Smoke::t_class|Smoke::tf_ref },	//129
    { "QTextStream&(*)(QTextStream&)", 54, Smoke::t_class|Smoke::tf_ref },	//130
    { "QTextStream::NumberFlag", 54, Smoke::t_enum|Smoke::tf_stack },	//131
    { "QTextStreamManipulator", 55, Smoke::t_class|Smoke::tf_stack },	//132
    { "QTime&", 56, Smoke::t_class|Smoke::tf_ref },	//133
    { "QTimerEvent*", 57, Smoke::t_class|Smoke::tf_ptr },	//134
    { "QUrl&", 58, Smoke::t_class|Smoke::tf_ref },	//135
    { "QUrl::FormattingOption", 58, Smoke::t_enum|Smoke::tf_stack },	//136
    { "QUuid&", 59, Smoke::t_class|Smoke::tf_ref },	//137
    { "QVariant", 60, Smoke::t_class|Smoke::tf_stack },	//138
    { "QVariant&", 60, Smoke::t_class|Smoke::tf_ref },	//139
    { "QVariant::Type", 60, Smoke::t_enum|Smoke::tf_stack },	//140
    { "QVariant::Type&", 60, Smoke::t_enum|Smoke::tf_ref },	//141
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//142
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//143
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//144
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//145
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//146
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//147
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//148
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//149
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//150
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//151
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//152
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//153
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//154
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//155
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//156
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//157
    { "Qt::CursorMoveStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//158
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//159
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//160
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//161
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//162
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//163
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//164
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//165
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//166
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//167
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//168
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//169
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//170
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//171
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//172
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//173
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//174
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//175
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//176
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//177
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//178
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//179
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//180
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//181
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//182
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//183
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//184
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//185
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//186
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//187
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//188
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//189
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//190
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//191
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//192
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//193
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//194
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//195
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//196
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//197
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//198
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//199
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//200
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//201
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//202
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//203
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//204
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//205
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//206
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//207
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//208
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//209
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//210
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//211
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//212
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//213
    { "QtConcurrent::ReduceOption", 0, Smoke::t_enum|Smoke::tf_stack },	//214
    { "QtConcurrent::ThreadFunctionResult", 0, Smoke::t_enum|Smoke::tf_stack },	//215
    { "QtMsgType", 33, Smoke::t_enum|Smoke::tf_stack },	//216
    { "_LIB_VERSION_TYPE", 33, Smoke::t_enum|Smoke::tf_stack },	//217
    { "__codecvt_result", 33, Smoke::t_enum|Smoke::tf_stack },	//218
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//219
    { "bool&", 0, Smoke::t_voidp|Smoke::tf_ref },	//220
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//221
    { "char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//222
    { "const DBusError*", 1, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//223
    { "const QBitArray&", 2, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//224
    { "const QByteArray", 4, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//225
    { "const QByteArray&", 4, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//226
    { "const QChar&", 5, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//227
    { "const QDBusArgument&", 11, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//228
    { "const QDBusConnection&", 12, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//229
    { "const QDBusContext&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//230
    { "const QDBusError&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//231
    { "const QDBusMessage&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//232
    { "const QDBusMetaType&", 18, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//233
    { "const QDBusObjectPath&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//234
    { "const QDBusPendingCall&", 19, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//235
    { "const QDBusSignature&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//236
    { "const QDBusUnixFileDescriptor&", 23, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//237
    { "const QDBusVariant&", 24, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//238
    { "const QDate&", 27, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//239
    { "const QDateTime&", 28, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//240
    { "const QDir&", 30, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//241
    { "const QEasingCurve&", 31, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//242
    { "const QHash<QString,QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//243
    { "const QHashDummyValue&", 34, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//244
    { "const QLatin1String&", 36, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//245
    { "const QLine&", 37, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//246
    { "const QLineF&", 38, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//247
    { "const QList<QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//248
    { "const QLocale&", 39, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//249
    { "const QMap<QString,QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//250
    { "const QMargins&", 40, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//251
    { "const QMetaObject&", 41, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//252
    { "const QMetaObject*", 41, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//253
    { "const QModelIndex&", 42, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//254
    { "const QObject*", 43, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//255
    { "const QPersistentModelIndex&", 44, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//256
    { "const QPoint", 45, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//257
    { "const QPoint&", 45, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//258
    { "const QPointF", 46, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//259
    { "const QPointF&", 46, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//260
    { "const QRect&", 47, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//261
    { "const QRectF&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//262
    { "const QRegExp&", 49, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//263
    { "const QRegExp*", 49, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//264
    { "const QSize", 50, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//265
    { "const QSize&", 50, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//266
    { "const QSizeF", 51, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//267
    { "const QSizeF&", 51, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//268
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//269
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//270
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//271
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//272
    { "const QStringRef&", 53, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//273
    { "const QTime&", 56, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//274
    { "const QUrl&", 58, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//275
    { "const QUuid&", 59, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//276
    { "const QVariant&", 60, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//277
    { "const QVariant::Type", 60, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//278
    { "const QVariantComparisonHelper&", 61, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//279
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//280
    { "const unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//281
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//282
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//283
    { "double&", 0, Smoke::t_voidp|Smoke::tf_ref },	//284
    { "float", 0, Smoke::t_float|Smoke::tf_stack },	//285
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//286
    { "int&", 0, Smoke::t_voidp|Smoke::tf_ref },	//287
    { "int(*)(const void*,const void*)", 0, Smoke::t_int|Smoke::tf_stack },	//288
    { "int*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//289
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//290
    { "long double", 0, Smoke::t_double|Smoke::tf_stack },	//291
    { "long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//292
    { "long long&", 0, Smoke::t_voidp|Smoke::tf_ref },	//293
    { "short", 0, Smoke::t_short|Smoke::tf_stack },	//294
    { "short&", 0, Smoke::t_voidp|Smoke::tf_ref },	//295
    { "signed char", 0, Smoke::t_char|Smoke::tf_stack },	//296
    { "size_t", 0, Smoke::t_ulong|Smoke::tf_stack },	//297
    { "unsigned char", 0, Smoke::t_uchar|Smoke::tf_stack },	//298
    { "unsigned char&", 0, Smoke::t_voidp|Smoke::tf_ref },	//299
    { "unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//300
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//301
    { "unsigned int&", 0, Smoke::t_voidp|Smoke::tf_ref },	//302
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//303
    { "unsigned long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//304
    { "unsigned long long&", 0, Smoke::t_voidp|Smoke::tf_ref },	//305
    { "unsigned short", 0, Smoke::t_ushort|Smoke::tf_stack },	//306
    { "unsigned short&", 0, Smoke::t_voidp|Smoke::tf_ref },	//307
    { "va_list", 0, Smoke::t_voidp|Smoke::tf_stack },	//308
    { "void(*)()", 0, Smoke::t_voidp|Smoke::tf_stack },	//309
    { "void(*)(QDBusArgument&,const void*)", 0, Smoke::t_voidp|Smoke::tf_stack },	//310
    { "void(*)(QtMsgType,const char*)", 0, Smoke::t_voidp|Smoke::tf_stack },	//311
    { "void(*)(const QDBusArgument&,void*)", 0, Smoke::t_voidp|Smoke::tf_stack },	//312
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//313
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//314
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//315
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    280, 0,	//1  const char*
    280, 280, 0,	//3  const char*, const char*
    280, 280, 286, 0,	//6  const char*, const char*, int
    111, 286, 314, 0,	//10  QMetaObject::Call, int, void**
    112, 0,	//14  QObject*
    219, 0,	//16  bool
    286, 0,	//18  int
    270, 277, 277, 277, 277, 277, 277, 277, 277, 0,	//20  const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&
    10, 270, 277, 277, 277, 277, 277, 277, 277, 277, 0,	//30  QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&
    10, 270, 248, 0,	//41  QDBus::CallMode, const QString&, const QList<QVariant>&
    270, 248, 112, 280, 280, 0,	//45  const QString&, const QList<QVariant>&, QObject*, const char*, const char*
    270, 248, 112, 280, 0,	//51  const QString&, const QList<QVariant>&, QObject*, const char*
    270, 248, 0,	//56  const QString&, const QList<QVariant>&
    270, 270, 280, 229, 112, 0,	//59  const QString&, const QString&, const char*, const QDBusConnection&, QObject*
    280, 277, 0,	//65  const char*, const QVariant&
    270, 0,	//68  const QString&
    270, 277, 0,	//70  const QString&, const QVariant&
    270, 277, 277, 0,	//73  const QString&, const QVariant&, const QVariant&
    270, 277, 277, 277, 0,	//77  const QString&, const QVariant&, const QVariant&, const QVariant&
    270, 277, 277, 277, 277, 0,	//82  const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&
    270, 277, 277, 277, 277, 277, 0,	//88  const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&
    270, 277, 277, 277, 277, 277, 277, 0,	//95  const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&
    270, 277, 277, 277, 277, 277, 277, 277, 0,	//103  const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&
    10, 270, 0,	//112  QDBus::CallMode, const QString&
    10, 270, 277, 0,	//115  QDBus::CallMode, const QString&, const QVariant&
    10, 270, 277, 277, 0,	//119  QDBus::CallMode, const QString&, const QVariant&, const QVariant&
    10, 270, 277, 277, 277, 0,	//124  QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&
    10, 270, 277, 277, 277, 277, 0,	//130  QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&
    10, 270, 277, 277, 277, 277, 277, 0,	//137  QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&
    10, 270, 277, 277, 277, 277, 277, 277, 0,	//145  QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&
    10, 270, 277, 277, 277, 277, 277, 277, 277, 0,	//154  QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&
    228, 0,	//164  const QDBusArgument&
    298, 0,	//166  unsigned char
    294, 0,	//168  short
    306, 0,	//170  unsigned short
    301, 0,	//172  unsigned int
    292, 0,	//174  long long
    304, 0,	//176  unsigned long long
    283, 0,	//178  double
    238, 0,	//180  const QDBusVariant&
    234, 0,	//182  const QDBusObjectPath&
    236, 0,	//184  const QDBusSignature&
    237, 0,	//186  const QDBusUnixFileDescriptor&
    271, 0,	//188  const QStringList&
    226, 0,	//190  const QByteArray&
    286, 286, 0,	//192  int, int
    277, 0,	//195  const QVariant&
    299, 0,	//197  unsigned char&
    220, 0,	//199  bool&
    295, 0,	//201  short&
    307, 0,	//203  unsigned short&
    287, 0,	//205  int&
    302, 0,	//207  unsigned int&
    293, 0,	//209  long long&
    305, 0,	//211  unsigned long long&
    284, 0,	//213  double&
    122, 0,	//215  QString&
    56, 0,	//217  QDBusVariant&
    39, 0,	//219  QDBusObjectPath&
    53, 0,	//221  QDBusSignature&
    54, 0,	//223  QDBusUnixFileDescriptor&
    126, 0,	//225  QStringList&
    6, 0,	//227  QByteArray&
    229, 0,	//229  const QDBusConnection&
    232, 0,	//231  const QDBusMessage&
    232, 112, 280, 280, 286, 0,	//233  const QDBusMessage&, QObject*, const char*, const char*, int
    232, 112, 280, 286, 0,	//239  const QDBusMessage&, QObject*, const char*, int
    232, 10, 286, 0,	//244  const QDBusMessage&, QDBus::CallMode, int
    232, 286, 0,	//248  const QDBusMessage&, int
    270, 270, 270, 270, 112, 280, 0,	//251  const QString&, const QString&, const QString&, const QString&, QObject*, const char*
    270, 270, 270, 270, 270, 112, 280, 0,	//258  const QString&, const QString&, const QString&, const QString&, const QString&, QObject*, const char*
    270, 270, 270, 270, 271, 270, 112, 280, 0,	//266  const QString&, const QString&, const QString&, const QString&, const QStringList&, const QString&, QObject*, const char*
    270, 112, 71, 0,	//275  const QString&, QObject*, QFlags<QDBusConnection::RegisterOption>
    270, 22, 0,	//279  const QString&, QDBusConnection::UnregisterMode
    270, 57, 23, 0,	//282  const QString&, QDBusVirtualObject*, QDBusConnection::VirtualObjectRegisterOption
    19, 270, 0,	//286  QDBusConnection::BusType, const QString&
    270, 270, 0,	//289  const QString&, const QString&
    232, 112, 280, 280, 0,	//292  const QDBusMessage&, QObject*, const char*, const char*
    232, 112, 280, 0,	//297  const QDBusMessage&, QObject*, const char*
    232, 10, 0,	//301  const QDBusMessage&, QDBus::CallMode
    270, 112, 0,	//304  const QString&, QObject*
    270, 57, 0,	//307  const QString&, QDBusVirtualObject*
    270, 26, 27, 0,	//310  const QString&, QDBusConnectionInterface::ServiceQueueOptions, QDBusConnectionInterface::ServiceReplacementOptions
    270, 270, 270, 0,	//314  const QString&, const QString&, const QString&
    231, 232, 0,	//318  const QDBusError&, const QDBusMessage&
    270, 26, 0,	//321  const QString&, QDBusConnectionInterface::ServiceQueueOptions
    32, 270, 0,	//324  QDBusError::ErrorType, const QString&
    230, 0,	//327  const QDBusContext&
    32, 0,	//329  QDBusError::ErrorType
    223, 0,	//331  const DBusError*
    231, 0,	//333  const QDBusError&
    270, 270, 270, 229, 112, 0,	//335  const QString&, const QString&, const QString&, const QDBusConnection&, QObject*
    270, 270, 270, 229, 0,	//341  const QString&, const QString&, const QString&, const QDBusConnection&
    270, 270, 270, 270, 0,	//346  const QString&, const QString&, const QString&, const QString&
    248, 0,	//351  const QList<QVariant>&
    269, 270, 0,	//353  const QString, const QString&
    286, 310, 312, 0,	//356  int, void(*)(QDBusArgument&,const void*), void(*)(const QDBusArgument&,void*)
    13, 286, 282, 0,	//360  QDBusArgument&, int, const void*
    228, 286, 313, 0,	//364  const QDBusArgument&, int, void*
    233, 0,	//368  const QDBusMetaType&
    235, 0,	//370  const QDBusPendingCall&
    235, 112, 0,	//372  const QDBusPendingCall&, QObject*
    43, 0,	//375  QDBusPendingCallWatcher*
    270, 229, 73, 112, 0,	//377  const QString&, const QDBusConnection&, QFlags<QDBusServiceWatcher::WatchModeFlag>, QObject*
    73, 0,	//382  QFlags<QDBusServiceWatcher::WatchModeFlag>
    270, 229, 0,	//384  const QString&, const QDBusConnection&
    270, 229, 73, 0,	//387  const QString&, const QDBusConnection&, QFlags<QDBusServiceWatcher::WatchModeFlag>
    232, 229, 0,	//391  const QDBusMessage&, const QDBusConnection&
    273, 273, 0,	//394  const QStringRef&, const QStringRef&
    128, 286, 0,	//397  QTextCodec::ConversionFlag, int
    173, 286, 0,	//400  Qt::ImageConversionFlag, int
    280, 301, 0,	//403  const char*, unsigned int
    313, 282, 297, 0,	//406  void*, const void*, size_t
    23, 72, 0,	//410  QDBusConnection::VirtualObjectRegisterOption, QFlags<QDBusConnection::VirtualObjectRegisterOption>
    280, 245, 0,	//413  const char*, const QLatin1String&
    61, 79, 0,	//416  QDebug, QFlags<QIODevice::OpenModeFlag>
    273, 270, 0,	//419  const QStringRef&, const QString&
    266, 266, 0,	//422  const QSize&, const QSize&
    280, 226, 0,	//425  const char*, const QByteArray&
    68, 78, 0,	//428  QFile::Permission, QFlags<QFile::Permission>
    270, 280, 0,	//431  const QString&, const char*
    260, 260, 0,	//434  const QPointF&, const QPointF&
    283, 283, 0,	//437  double, double
    58, 120, 0,	//440  QDataStream&, QSizeF&
    226, 280, 0,	//443  const QByteArray&, const char*
    285, 0,	//446  float
    296, 0,	//448  signed char
    270, 273, 0,	//450  const QString&, const QStringRef&
    7, 0,	//453  QChar
    273, 245, 0,	//455  const QStringRef&, const QLatin1String&
    7, 7, 0,	//458  QChar, QChar
    238, 238, 0,	//461  const QDBusVariant&, const QDBusVariant&
    206, 206, 0,	//464  Qt::TouchPointState, Qt::TouchPointState
    275, 0,	//467  const QUrl&
    13, 247, 0,	//469  QDBusArgument&, const QLineF&
    13, 260, 0,	//472  QDBusArgument&, const QPointF&
    61, 275, 0,	//475  QDebug, const QUrl&
    123, 270, 0,	//478  QString::Null, const QString&
    13, 248, 0,	//481  QDBusArgument&, const QList<QVariant>&
    203, 203, 0,	//484  Qt::ToolBarArea, Qt::ToolBarArea
    110, 110, 0,	//487  QLocale::NumberOption, QLocale::NumberOption
    13, 262, 0,	//490  QDBusArgument&, const QRectF&
    213, 213, 0,	//493  Qt::WindowType, Qt::WindowType
    283, 268, 0,	//496  double, const QSizeF&
    62, 286, 0,	//499  QDir::Filter, int
    228, 106, 0,	//502  const QDBusArgument&, QLineF&
    258, 258, 0,	//505  const QPoint&, const QPoint&
    58, 262, 0,	//508  QDataStream&, const QRectF&
    181, 286, 0,	//511  Qt::KeyboardModifier, int
    200, 97, 0,	//514  Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>
    13, 240, 0,	//517  QDBusArgument&, const QDateTime&
    221, 0,	//520  char
    131, 84, 0,	//522  QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>
    61, 251, 0,	//525  QDebug, const QMargins&
    136, 286, 0,	//528  QUrl::FormattingOption, int
    68, 286, 0,	//531  QFile::Permission, int
    258, 283, 0,	//534  const QPoint&, double
    64, 76, 0,	//537  QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>
    270, 226, 0,	//540  const QString&, const QByteArray&
    268, 268, 0,	//543  const QSizeF&, const QSizeF&
    61, 260, 0,	//546  QDebug, const QPointF&
    291, 286, 289, 289, 0,	//549  long double, int, int*, int*
    181, 93, 0,	//554  Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>
    61, 247, 0,	//557  QDebug, const QLineF&
    61, 240, 0,	//560  QDebug, const QDateTime&
    280, 270, 0,	//563  const char*, const QString&
    136, 136, 0,	//566  QUrl::FormattingOption, QUrl::FormattingOption
    206, 99, 0,	//569  Qt::TouchPointState, QFlags<Qt::TouchPointState>
    173, 173, 0,	//572  Qt::ImageConversionFlag, Qt::ImageConversionFlag
    110, 286, 0,	//575  QLocale::NumberOption, int
    245, 245, 0,	//578  const QLatin1String&, const QLatin1String&
    281, 286, 0,	//581  const unsigned char*, int
    280, 280, 301, 0,	//584  const char*, const char*, unsigned int
    245, 273, 0,	//588  const QLatin1String&, const QStringRef&
    236, 236, 0,	//591  const QDBusSignature&, const QDBusSignature&
    164, 164, 0,	//594  Qt::DropAction, Qt::DropAction
    61, 258, 0,	//597  QDebug, const QPoint&
    58, 109, 0,	//600  QDataStream&, QLocale&
    270, 7, 0,	//603  const QString&, QChar
    123, 123, 0,	//606  QString::Null, QString::Null
    281, 300, 286, 0,	//609  const unsigned char*, unsigned char*, int
    128, 128, 0,	//613  QTextCodec::ConversionFlag, QTextCodec::ConversionFlag
    188, 188, 0,	//616  Qt::Orientation, Qt::Orientation
    313, 297, 297, 297, 0,	//619  void*, size_t, size_t, size_t
    226, 270, 0,	//624  const QByteArray&, const QString&
    203, 98, 0,	//627  Qt::ToolBarArea, QFlags<Qt::ToolBarArea>
    261, 261, 0,	//630  const QRect&, const QRect&
    67, 77, 0,	//633  QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>
    224, 224, 0,	//636  const QBitArray&, const QBitArray&
    226, 226, 0,	//639  const QByteArray&, const QByteArray&
    313, 297, 0,	//642  void*, size_t
    58, 249, 0,	//645  QDataStream&, const QLocale&
    61, 242, 0,	//648  QDebug, const QEasingCurve&
    311, 0,	//651  void(*)(QtMsgType,const char*)
    254, 0,	//653  const QModelIndex&
    58, 60, 0,	//655  QDataStream&, QDateTime&
    4, 4, 0,	//658  QBool, QBool
    280, 273, 0,	//661  const char*, const QStringRef&
    203, 286, 0,	//664  Qt::ToolBarArea, int
    61, 232, 0,	//667  QDebug, const QDBusMessage&
    175, 286, 0,	//670  Qt::InputMethodHint, int
    7, 270, 0,	//673  QChar, const QString&
    124, 286, 0,	//676  QString::SectionFlag, int
    104, 286, 0,	//679  QLibrary::LoadHint, int
    58, 135, 0,	//682  QDataStream&, QUrl&
    13, 243, 0,	//685  QDBusArgument&, const QHash<QString,QVariant>&
    270, 123, 0,	//688  const QString&, QString::Null
    1, 286, 0,	//691  QAbstractFileEngine::FileFlag, int
    128, 83, 0,	//694  QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>
    270, 221, 0,	//697  const QString&, char
    228, 59, 0,	//700  const QDBusArgument&, QDate&
    175, 91, 0,	//703  Qt::InputMethodHint, QFlags<Qt::InputMethodHint>
    213, 101, 0,	//706  Qt::WindowType, QFlags<Qt::WindowType>
    13, 246, 0,	//709  QDBusArgument&, const QLine&
    13, 274, 0,	//712  QDBusArgument&, const QTime&
    186, 186, 0,	//715  Qt::MouseButton, Qt::MouseButton
    222, 280, 0,	//718  char*, const char*
    142, 142, 0,	//721  Qt::AlignmentFlag, Qt::AlignmentFlag
    258, 0,	//724  const QPoint&
    164, 286, 0,	//726  Qt::DropAction, int
    58, 274, 0,	//729  QDataStream&, const QTime&
    63, 286, 0,	//732  QDir::SortFlag, int
    251, 251, 0,	//735  const QMargins&, const QMargins&
    52, 73, 0,	//738  QDBusServiceWatcher::WatchModeFlag, QFlags<QDBusServiceWatcher::WatchModeFlag>
    113, 0,	//741  QObject*(*)()
    184, 184, 0,	//743  Qt::MatchFlag, Qt::MatchFlag
    297, 0,	//746  size_t
    162, 87, 0,	//748  Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>
    58, 126, 0,	//751  QDataStream&, QStringList&
    61, 278, 0,	//754  QDebug, const QVariant::Type
    162, 286, 0,	//757  Qt::DockWidgetArea, int
    290, 0,	//760  long
    286, 258, 0,	//762  int, const QPoint&
    13, 261, 0,	//765  QDBusArgument&, const QRect&
    58, 106, 0,	//768  QDataStream&, QLineF&
    68, 68, 0,	//771  QFile::Permission, QFile::Permission
    221, 270, 0,	//774  char, const QString&
    234, 234, 0,	//777  const QDBusObjectPath&, const QDBusObjectPath&
    58, 119, 0,	//780  QDataStream&, QSize&
    256, 0,	//783  const QPersistentModelIndex&
    58, 270, 0,	//785  QDataStream&, const QString&
    58, 240, 0,	//788  QDataStream&, const QDateTime&
    255, 270, 252, 0,	//791  const QObject*, const QString&, const QMetaObject&
    124, 124, 0,	//795  QString::SectionFlag, QString::SectionFlag
    52, 52, 0,	//798  QDBusServiceWatcher::WatchModeFlag, QDBusServiceWatcher::WatchModeFlag
    260, 283, 0,	//801  const QPointF&, double
    219, 4, 0,	//804  bool, QBool
    222, 280, 301, 0,	//807  char*, const char*, unsigned int
    228, 115, 0,	//811  const QDBusArgument&, QPointF&
    58, 258, 0,	//814  QDataStream&, const QPoint&
    58, 139, 0,	//817  QDataStream&, QVariant&
    186, 286, 0,	//820  Qt::MouseButton, int
    260, 0,	//823  const QPointF&
    21, 71, 0,	//825  QDBusConnection::RegisterOption, QFlags<QDBusConnection::RegisterOption>
    61, 256, 0,	//828  QDebug, const QPersistentModelIndex&
    232, 30, 139, 0,	//831  const QDBusMessage&, QDBusError&, QVariant&
    280, 280, 280, 286, 0,	//835  const char*, const char*, const char*, int
    285, 258, 0,	//840  float, const QPoint&
    188, 96, 0,	//843  Qt::Orientation, QFlags<Qt::Orientation>
    67, 286, 0,	//846  QEventLoop::ProcessEventsFlag, int
    262, 262, 0,	//849  const QRectF&, const QRectF&
    13, 266, 0,	//852  QDBusArgument&, const QSize&
    173, 90, 0,	//855  Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>
    58, 271, 0,	//858  QDataStream&, const QStringList&
    226, 221, 0,	//861  const QByteArray&, char
    64, 64, 0,	//864  QDirIterator::IteratorFlag, QDirIterator::IteratorFlag
    62, 74, 0,	//867  QDir::Filter, QFlags<QDir::Filter>
    58, 114, 0,	//870  QDataStream&, QPoint&
    61, 231, 0,	//873  QDebug, const QDBusError&
    268, 283, 0,	//876  const QSizeF&, double
    58, 239, 0,	//879  QDataStream&, const QDate&
    309, 0,	//882  void(*)()
    281, 286, 286, 0,	//884  const unsigned char*, int, int
    58, 246, 0,	//888  QDataStream&, const QLine&
    58, 122, 0,	//891  QDataStream&, QString&
    228, 60, 0,	//894  const QDBusArgument&, QDateTime&
    228, 117, 0,	//897  const QDBusArgument&, QRectF&
    313, 0,	//900  void*
    178, 286, 0,	//902  Qt::ItemFlag, int
    61, 241, 0,	//905  QDebug, const QDir&
    129, 130, 0,	//908  QTextStream&, QTextStream&(*)(QTextStream&)
    61, 254, 0,	//911  QDebug, const QModelIndex&
    228, 133, 0,	//914  const QDBusArgument&, QTime&
    67, 67, 0,	//917  QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag
    224, 0,	//920  const QBitArray&
    61, 274, 0,	//922  QDebug, const QTime&
    129, 132, 0,	//925  QTextStream&, QTextStreamManipulator
    169, 89, 0,	//928  Qt::GestureFlag, QFlags<Qt::GestureFlag>
    273, 280, 0,	//931  const QStringRef&, const char*
    21, 21, 0,	//934  QDBusConnection::RegisterOption, QDBusConnection::RegisterOption
    58, 3, 0,	//937  QDataStream&, QBitArray&
    13, 250, 0,	//940  QDBusArgument&, const QMap<QString,QVariant>&
    297, 297, 0,	//943  size_t, size_t
    291, 286, 289, 289, 222, 297, 0,	//946  long double, int, int*, int*, char*, size_t
    228, 114, 0,	//953  const QDBusArgument&, QPoint&
    61, 268, 0,	//956  QDebug, const QSizeF&
    169, 286, 0,	//959  Qt::GestureFlag, int
    221, 226, 0,	//962  char, const QByteArray&
    58, 277, 0,	//965  QDataStream&, const QVariant&
    228, 120, 0,	//968  const QDBusArgument&, QSizeF&
    228, 119, 0,	//971  const QDBusArgument&, QSize&
    61, 277, 0,	//974  QDebug, const QVariant&
    212, 286, 0,	//977  Qt::WindowState, int
    58, 133, 0,	//980  QDataStream&, QTime&
    61, 74, 0,	//983  QDebug, QFlags<QDir::Filter>
    181, 181, 0,	//986  Qt::KeyboardModifier, Qt::KeyboardModifier
    283, 260, 0,	//989  double, const QPointF&
    58, 65, 0,	//992  QDataStream&, QEasingCurve&
    164, 88, 0,	//995  Qt::DropAction, QFlags<Qt::DropAction>
    266, 283, 0,	//998  const QSize&, double
    61, 239, 0,	//1001  QDebug, const QDate&
    23, 286, 0,	//1004  QDBusConnection::VirtualObjectRegisterOption, int
    62, 62, 0,	//1007  QDir::Filter, QDir::Filter
    222, 297, 280, 308, 0,	//1010  char*, size_t, const char*, va_list
    283, 258, 0,	//1015  double, const QPoint&
    313, 286, 297, 0,	//1018  void*, int, size_t
    58, 247, 0,	//1022  QDataStream&, const QLineF&
    280, 286, 0,	//1025  const char*, int
    102, 102, 0,	//1028  QIODevice::OpenModeFlag, QIODevice::OpenModeFlag
    162, 162, 0,	//1031  Qt::DockWidgetArea, Qt::DockWidgetArea
    63, 75, 0,	//1034  QDir::SortFlag, QFlags<QDir::SortFlag>
    285, 285, 0,	//1037  float, float
    277, 279, 0,	//1040  const QVariant&, const QVariantComparisonHelper&
    104, 104, 0,	//1043  QLibrary::LoadHint, QLibrary::LoadHint
    291, 286, 222, 0,	//1046  long double, int, char*
    313, 297, 297, 288, 0,	//1050  void*, size_t, size_t, int(*)(const void*,const void*)
    64, 286, 0,	//1055  QDirIterator::IteratorFlag, int
    175, 175, 0,	//1058  Qt::InputMethodHint, Qt::InputMethodHint
    228, 116, 0,	//1061  const QDBusArgument&, QRect&
    61, 246, 0,	//1064  QDebug, const QLine&
    200, 200, 0,	//1067  Qt::TextInteractionFlag, Qt::TextInteractionFlag
    206, 286, 0,	//1070  Qt::TouchPointState, int
    226, 286, 0,	//1073  const QByteArray&, int
    136, 85, 0,	//1076  QUrl::FormattingOption, QFlags<QUrl::FormattingOption>
    200, 286, 0,	//1079  Qt::TextInteractionFlag, int
    212, 212, 0,	//1082  Qt::WindowState, Qt::WindowState
    1, 69, 0,	//1085  QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>
    58, 226, 0,	//1088  QDataStream&, const QByteArray&
    58, 242, 0,	//1091  QDataStream&, const QEasingCurve&
    58, 275, 0,	//1094  QDataStream&, const QUrl&
    61, 261, 0,	//1097  QDebug, const QRect&
    228, 139, 0,	//1100  const QDBusArgument&, QVariant&
    63, 63, 0,	//1103  QDir::SortFlag, QDir::SortFlag
    131, 286, 0,	//1106  QTextStream::NumberFlag, int
    58, 116, 0,	//1109  QDataStream&, QRect&
    58, 266, 0,	//1112  QDataStream&, const QSize&
    58, 227, 0,	//1115  QDataStream&, const QChar&
    142, 286, 0,	//1118  Qt::AlignmentFlag, int
    58, 263, 0,	//1121  QDataStream&, const QRegExp&
    61, 262, 0,	//1124  QDebug, const QRectF&
    228, 105, 0,	//1127  const QDBusArgument&, QLine&
    212, 100, 0,	//1130  Qt::WindowState, QFlags<Qt::WindowState>
    178, 178, 0,	//1133  Qt::ItemFlag, Qt::ItemFlag
    58, 137, 0,	//1136  QDataStream&, QUuid&
    258, 286, 0,	//1139  const QPoint&, int
    58, 141, 0,	//1142  QDataStream&, QVariant::Type&
    277, 140, 313, 0,	//1145  const QVariant&, QVariant::Type, void*
    23, 23, 0,	//1149  QDBusConnection::VirtualObjectRegisterOption, QDBusConnection::VirtualObjectRegisterOption
    13, 239, 0,	//1152  QDBusArgument&, const QDate&
    255, 270, 264, 252, 108, 0,	//1155  const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*
    244, 244, 0,	//1161  const QHashDummyValue&, const QHashDummyValue&
    58, 115, 0,	//1164  QDataStream&, QPointF&
    188, 286, 0,	//1167  Qt::Orientation, int
    169, 169, 0,	//1170  Qt::GestureFlag, Qt::GestureFlag
    102, 79, 0,	//1173  QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>
    21, 286, 0,	//1176  QDBusConnection::RegisterOption, int
    258, 285, 0,	//1179  const QPoint&, float
    283, 266, 0,	//1182  double, const QSize&
    13, 268, 0,	//1185  QDBusArgument&, const QSizeF&
    4, 219, 0,	//1188  QBool, bool
    58, 105, 0,	//1191  QDataStream&, QLine&
    61, 266, 0,	//1194  QDebug, const QSize&
    131, 131, 0,	//1197  QTextStream::NumberFlag, QTextStream::NumberFlag
    186, 95, 0,	//1200  Qt::MouseButton, QFlags<Qt::MouseButton>
    58, 278, 0,	//1203  QDataStream&, const QVariant::Type
    178, 92, 0,	//1206  Qt::ItemFlag, QFlags<Qt::ItemFlag>
    58, 276, 0,	//1209  QDataStream&, const QUuid&
    104, 80, 0,	//1212  QLibrary::LoadHint, QFlags<QLibrary::LoadHint>
    213, 286, 0,	//1215  Qt::WindowType, int
    58, 117, 0,	//1218  QDataStream&, QRectF&
    58, 261, 0,	//1221  QDataStream&, const QRect&
    184, 94, 0,	//1224  Qt::MatchFlag, QFlags<Qt::MatchFlag>
    52, 286, 0,	//1227  QDBusServiceWatcher::WatchModeFlag, int
    142, 86, 0,	//1230  Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>
    58, 8, 0,	//1233  QDataStream&, QChar&
    58, 118, 0,	//1236  QDataStream&, QRegExp&
    303, 0,	//1239  unsigned long
    58, 260, 0,	//1241  QDataStream&, const QPointF&
    58, 268, 0,	//1244  QDataStream&, const QSizeF&
    110, 81, 0,	//1247  QLocale::NumberOption, QFlags<QLocale::NumberOption>
    124, 82, 0,	//1250  QString::SectionFlag, QFlags<QString::SectionFlag>
    1, 1, 0,	//1253  QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag
    216, 280, 0,	//1256  QtMsgType, const char*
    273, 0,	//1259  const QStringRef&
    102, 286, 0,	//1261  QIODevice::OpenModeFlag, int
    58, 6, 0,	//1264  QDataStream&, QByteArray&
    61, 255, 0,	//1267  QDebug, const QObject*
    184, 286, 0,	//1270  Qt::MatchFlag, int
    13, 258, 0,	//1273  QDBusArgument&, const QPoint&
    58, 59, 0,	//1276  QDataStream&, QDate&
    58, 224, 0,	//1279  QDataStream&, const QBitArray&
    66, 0,	//1282  QEvent*
    112, 66, 0,	//1284  QObject*, QEvent*
    134, 0,	//1287  QTimerEvent*
    9, 0,	//1289  QChildEvent*
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AccessDenied",	//1
    "ActivationBus",	//2
    "AddressInUse",	//3
    "AllowReplacement",	//4
    "ArrayType",	//5
    "AutoDetect",	//6
    "BadAddress",	//7
    "BasicType",	//8
    "Block",	//9
    "BlockWithGui",	//10
    "Disconnected",	//11
    "DontAllowReplacement",	//12
    "DontQueueService",	//13
    "ErrorMessage",	//14
    "ExportAdaptors",	//15
    "ExportAllContents",	//16
    "ExportAllInvokables",	//17
    "ExportAllProperties",	//18
    "ExportAllSignal",	//19
    "ExportAllSignals",	//20
    "ExportAllSlots",	//21
    "ExportChildObjects",	//22
    "ExportNonScriptableContents",	//23
    "ExportNonScriptableInvokables",	//24
    "ExportNonScriptableProperties",	//25
    "ExportNonScriptableSignals",	//26
    "ExportNonScriptableSlots",	//27
    "ExportScriptableContents",	//28
    "ExportScriptableInvokables",	//29
    "ExportScriptableProperties",	//30
    "ExportScriptableSignals",	//31
    "ExportScriptableSlots",	//32
    "Failed",	//33
    "InternalError",	//34
    "InvalidArgs",	//35
    "InvalidInterface",	//36
    "InvalidMember",	//37
    "InvalidMessage",	//38
    "InvalidObjectPath",	//39
    "InvalidService",	//40
    "InvalidSignature",	//41
    "LastErrorType",	//42
    "LimitsExceeded",	//43
    "MapEntryType",	//44
    "MapType",	//45
    "MethodCallMessage",	//46
    "NameAcquired",	//47
    "NameAcquired$",	//48
    "NameLost",	//49
    "NameLost$",	//50
    "NameOwnerChanged",	//51
    "NameOwnerChanged$$$",	//52
    "NoBlock",	//53
    "NoError",	//54
    "NoMemory",	//55
    "NoNetwork",	//56
    "NoReply",	//57
    "NoServer",	//58
    "NotSupported",	//59
    "Other",	//60
    "QDBusAbstractAdaptor",	//61
    "QDBusAbstractAdaptor#",	//62
    "QDBusAbstractInterface",	//63
    "QDBusAbstractInterface$$$##",	//64
    "QDBusArgument",	//65
    "QDBusArgument#",	//66
    "QDBusConnection",	//67
    "QDBusConnection#",	//68
    "QDBusConnection$",	//69
    "QDBusContext",	//70
    "QDBusContext#",	//71
    "QDBusError",	//72
    "QDBusError#",	//73
    "QDBusError$$",	//74
    "QDBusInterface",	//75
    "QDBusInterface$$",	//76
    "QDBusInterface$$$",	//77
    "QDBusInterface$$$#",	//78
    "QDBusInterface$$$##",	//79
    "QDBusMessage",	//80
    "QDBusMessage#",	//81
    "QDBusMetaType",	//82
    "QDBusMetaType#",	//83
    "QDBusPendingCall",	//84
    "QDBusPendingCall#",	//85
    "QDBusPendingCallWatcher",	//86
    "QDBusPendingCallWatcher#",	//87
    "QDBusPendingCallWatcher##",	//88
    "QDBusServer",	//89
    "QDBusServer$",	//90
    "QDBusServer$#",	//91
    "QDBusServiceWatcher",	//92
    "QDBusServiceWatcher#",	//93
    "QDBusServiceWatcher$#",	//94
    "QDBusServiceWatcher$#$",	//95
    "QDBusServiceWatcher$#$#",	//96
    "QDBusUnixFileDescriptor",	//97
    "QDBusUnixFileDescriptor#",	//98
    "QDBusUnixFileDescriptor$",	//99
    "QDBusVirtualObject",	//100
    "QDBusVirtualObject#",	//101
    "QtCriticalMsg",	//102
    "QtDebugMsg",	//103
    "QtFatalMsg",	//104
    "QtSystemMsg",	//105
    "QtWarningMsg",	//106
    "QueueService",	//107
    "ReplaceExistingService",	//108
    "ReplyMessage",	//109
    "ServiceNotRegistered",	//110
    "ServiceQueued",	//111
    "ServiceRegistered",	//112
    "ServiceUnknown",	//113
    "SessionBus",	//114
    "SignalMessage",	//115
    "SingleNode",	//116
    "StructureType",	//117
    "SubPath",	//118
    "SystemBus",	//119
    "TimedOut",	//120
    "Timeout",	//121
    "UnixFileDescriptorPassing",	//122
    "UnknownInterface",	//123
    "UnknownMethod",	//124
    "UnknownObject",	//125
    "UnknownType",	//126
    "UnregisterNode",	//127
    "UnregisterTree",	//128
    "VariantType",	//129
    "WatchForOwnerChange",	//130
    "WatchForRegistration",	//131
    "WatchForUnregistration",	//132
    "_IEEE_",	//133
    "_ISOC_",	//134
    "_POSIX_",	//135
    "_SVID_",	//136
    "_XOPEN_",	//137
    "__codecvt_error",	//138
    "__codecvt_noconv",	//139
    "__codecvt_ok",	//140
    "__codecvt_partial",	//141
    "addWatchedService",	//142
    "addWatchedService$",	//143
    "address",	//144
    "appendVariant",	//145
    "appendVariant#",	//146
    "arguments",	//147
    "asVariant",	//148
    "asyncCall",	//149
    "asyncCall#",	//150
    "asyncCall#$",	//151
    "asyncCall$",	//152
    "asyncCall$#",	//153
    "asyncCall$##",	//154
    "asyncCall$###",	//155
    "asyncCall$####",	//156
    "asyncCall$#####",	//157
    "asyncCall$######",	//158
    "asyncCall$#######",	//159
    "asyncCall$########",	//160
    "asyncCallWithArgumentList",	//161
    "asyncCallWithArgumentList$?",	//162
    "atEnd",	//163
    "autoRelaySignals",	//164
    "autoStartService",	//165
    "baseService",	//166
    "beginArray",	//167
    "beginArray$",	//168
    "beginMap",	//169
    "beginMap$$",	//170
    "beginMapEntry",	//171
    "beginStructure",	//172
    "call",	//173
    "call#",	//174
    "call#$",	//175
    "call#$$",	//176
    "call$",	//177
    "call$#",	//178
    "call$##",	//179
    "call$###",	//180
    "call$####",	//181
    "call$#####",	//182
    "call$######",	//183
    "call$#######",	//184
    "call$########",	//185
    "call$$",	//186
    "call$$#",	//187
    "call$$##",	//188
    "call$$###",	//189
    "call$$####",	//190
    "call$$#####",	//191
    "call$$######",	//192
    "call$$#######",	//193
    "call$$########",	//194
    "callWithArgumentList",	//195
    "callWithArgumentList$$?",	//196
    "callWithCallback",	//197
    "callWithCallback##$",	//198
    "callWithCallback##$$",	//199
    "callWithCallback##$$$",	//200
    "callWithCallback$?#$",	//201
    "callWithCallback$?#$$",	//202
    "callWithCallbackFailed",	//203
    "callWithCallbackFailed##",	//204
    "calledFromDBus",	//205
    "childEvent",	//206
    "connect",	//207
    "connect$$$$#$",	//208
    "connect$$$$$#$",	//209
    "connect$$$$?$#$",	//210
    "connectNotify",	//211
    "connectNotify$",	//212
    "connectToBus",	//213
    "connectToBus$$",	//214
    "connectToPeer",	//215
    "connectToPeer$$",	//216
    "connection",	//217
    "connectionCapabilities",	//218
    "createError",	//219
    "createError#",	//220
    "createError$$",	//221
    "createErrorReply",	//222
    "createErrorReply#",	//223
    "createErrorReply$$",	//224
    "createMethodCall",	//225
    "createMethodCall$$$$",	//226
    "createReply",	//227
    "createReply#",	//228
    "createReply?",	//229
    "createSignal",	//230
    "createSignal$$$",	//231
    "currentSignature",	//232
    "currentType",	//233
    "customEvent",	//234
    "demarshall",	//235
    "demarshall#$$",	//236
    "disconnect",	//237
    "disconnect$$$$#$",	//238
    "disconnect$$$$$#$",	//239
    "disconnect$$$$?$#$",	//240
    "disconnectFromBus",	//241
    "disconnectFromBus$",	//242
    "disconnectFromPeer",	//243
    "disconnectFromPeer$",	//244
    "disconnectNotify",	//245
    "disconnectNotify$",	//246
    "endArray",	//247
    "endMap",	//248
    "endMapEntry",	//249
    "endStructure",	//250
    "error",	//251
    "errorMessage",	//252
    "errorName",	//253
    "errorString",	//254
    "errorString$",	//255
    "event",	//256
    "eventFilter",	//257
    "fileDescriptor",	//258
    "finished",	//259
    "finished#",	//260
    "fromCompletedCall",	//261
    "fromCompletedCall#",	//262
    "fromError",	//263
    "fromError#",	//264
    "giveFileDescriptor",	//265
    "giveFileDescriptor$",	//266
    "handleMessage",	//267
    "handleMessage##",	//268
    "interface",	//269
    "internalConstCall",	//270
    "internalConstCall$$",	//271
    "internalConstCall$$?",	//272
    "internalPointer",	//273
    "internalPropGet",	//274
    "internalPropGet$",	//275
    "internalPropSet",	//276
    "internalPropSet$#",	//277
    "introspect",	//278
    "introspect$",	//279
    "isConnected",	//280
    "isDelayedReply",	//281
    "isError",	//282
    "isFinished",	//283
    "isReplyRequired",	//284
    "isServiceRegistered",	//285
    "isServiceRegistered$",	//286
    "isSupported",	//287
    "isValid",	//288
    "lastError",	//289
    "localMachineId",	//290
    "marshall",	//291
    "marshall#$$",	//292
    "member",	//293
    "message",	//294
    "metaObject",	//295
    "name",	//296
    "newConnection",	//297
    "newConnection#",	//298
    "objectRegisteredAt",	//299
    "objectRegisteredAt$",	//300
    "operator!=",	//301
    "operator!=##",	//302
    "operator!=#$",	//303
    "operator!=$#",	//304
    "operator!=$$",	//305
    "operator&",	//306
    "operator&##",	//307
    "operator*",	//308
    "operator*#$",	//309
    "operator*$#",	//310
    "operator+",	//311
    "operator+##",	//312
    "operator+#$",	//313
    "operator+$#",	//314
    "operator+$$",	//315
    "operator-",	//316
    "operator-#",	//317
    "operator-##",	//318
    "operator/",	//319
    "operator/#$",	//320
    "operator<",	//321
    "operator<##",	//322
    "operator<#$",	//323
    "operator<$#",	//324
    "operator<$$",	//325
    "operator<<",	//326
    "operator<<#",	//327
    "operator<<##",	//328
    "operator<<#$",	//329
    "operator<<#?",	//330
    "operator<<$",	//331
    "operator<<?",	//332
    "operator<=",	//333
    "operator<=##",	//334
    "operator<=#$",	//335
    "operator<=$#",	//336
    "operator<=$$",	//337
    "operator=",	//338
    "operator=#",	//339
    "operator==",	//340
    "operator==##",	//341
    "operator==#$",	//342
    "operator==$#",	//343
    "operator==$$",	//344
    "operator>",	//345
    "operator>##",	//346
    "operator>#$",	//347
    "operator>$#",	//348
    "operator>$$",	//349
    "operator>=",	//350
    "operator>=##",	//351
    "operator>=#$",	//352
    "operator>=$#",	//353
    "operator>=$$",	//354
    "operator>>",	//355
    "operator>>#",	//356
    "operator>>##",	//357
    "operator>>#$",	//358
    "operator>>#?",	//359
    "operator>>$",	//360
    "operator>>?",	//361
    "operator^",	//362
    "operator^##",	//363
    "operator|",	//364
    "operator|##",	//365
    "operator|$$",	//366
    "path",	//367
    "qAcos",	//368
    "qAcos$",	//369
    "qAddPostRoutine",	//370
    "qAddPostRoutine$",	//371
    "qAppName",	//372
    "qAsin",	//373
    "qAsin$",	//374
    "qAtan",	//375
    "qAtan$",	//376
    "qAtan2",	//377
    "qAtan2$$",	//378
    "qBadAlloc",	//379
    "qCeil",	//380
    "qCeil$",	//381
    "qChecksum",	//382
    "qChecksum$$",	//383
    "qCompress",	//384
    "qCompress#",	//385
    "qCompress#$",	//386
    "qCompress$$",	//387
    "qCompress$$$",	//388
    "qCos",	//389
    "qCos$",	//390
    "qCritical",	//391
    "qDBusReplyFill",	//392
    "qDBusReplyFill###",	//393
    "qDebug",	//394
    "qExp",	//395
    "qExp$",	//396
    "qFabs",	//397
    "qFabs$",	//398
    "qFastCos",	//399
    "qFastCos$",	//400
    "qFastSin",	//401
    "qFastSin$",	//402
    "qFlagLocation",	//403
    "qFlagLocation$",	//404
    "qFloor",	//405
    "qFloor$",	//406
    "qFree",	//407
    "qFree$",	//408
    "qFreeAligned",	//409
    "qFreeAligned$",	//410
    "qFuzzyCompare",	//411
    "qFuzzyCompare$$",	//412
    "qFuzzyIsNull",	//413
    "qFuzzyIsNull$",	//414
    "qHash",	//415
    "qHash#",	//416
    "qHash$",	//417
    "qInf",	//418
    "qInstallMsgHandler",	//419
    "qInstallMsgHandler$",	//420
    "qIntCast",	//421
    "qIntCast$",	//422
    "qIsFinite",	//423
    "qIsFinite$",	//424
    "qIsInf",	//425
    "qIsInf$",	//426
    "qIsNaN",	//427
    "qIsNaN$",	//428
    "qIsNull",	//429
    "qIsNull$",	//430
    "qLn",	//431
    "qLn$",	//432
    "qMalloc",	//433
    "qMalloc$",	//434
    "qMallocAligned",	//435
    "qMallocAligned$$",	//436
    "qMemCopy",	//437
    "qMemCopy$$$",	//438
    "qMemSet",	//439
    "qMemSet$$$",	//440
    "qPow",	//441
    "qPow$$",	//442
    "qQNaN",	//443
    "qRealloc",	//444
    "qRealloc$$",	//445
    "qReallocAligned",	//446
    "qReallocAligned$$$$",	//447
    "qRegisterStaticPluginInstanceFunction",	//448
    "qRegisterStaticPluginInstanceFunction#",	//449
    "qRemovePostRoutine",	//450
    "qRemovePostRoutine$",	//451
    "qRound",	//452
    "qRound$",	//453
    "qRound64",	//454
    "qRound64$",	//455
    "qSNaN",	//456
    "qSetFieldWidth",	//457
    "qSetFieldWidth$",	//458
    "qSetPadChar",	//459
    "qSetPadChar#",	//460
    "qSetRealNumberPrecision",	//461
    "qSetRealNumberPrecision$",	//462
    "qSharedBuild",	//463
    "qSin",	//464
    "qSin$",	//465
    "qSqrt",	//466
    "qSqrt$",	//467
    "qStringComparisonHelper",	//468
    "qStringComparisonHelper#$",	//469
    "qStringComparisonHelper$$",	//470
    "qTan",	//471
    "qTan$",	//472
    "qUncompress",	//473
    "qUncompress#",	//474
    "qUncompress$$",	//475
    "qVersion",	//476
    "qWarning",	//477
    "qbswap_helper",	//478
    "qbswap_helper$$$",	//479
    "qecvt",	//480
    "qecvt$$$$",	//481
    "qecvt_r",	//482
    "qecvt_r$$$$$$",	//483
    "qfcvt",	//484
    "qfcvt$$$$",	//485
    "qfcvt_r",	//486
    "qfcvt_r$$$$$$",	//487
    "qgcvt",	//488
    "qgcvt$$$",	//489
    "qgetenv",	//490
    "qgetenv$",	//491
    "qputenv",	//492
    "qputenv$#",	//493
    "qrand",	//494
    "qsort",	//495
    "qsort$$$$",	//496
    "qsrand",	//497
    "qsrand$",	//498
    "qstrcmp",	//499
    "qstrcmp##",	//500
    "qstrcmp#$",	//501
    "qstrcmp$#",	//502
    "qstrcmp$$",	//503
    "qstrcpy",	//504
    "qstrcpy$$",	//505
    "qstrdup",	//506
    "qstrdup$",	//507
    "qstricmp",	//508
    "qstricmp$$",	//509
    "qstrlen",	//510
    "qstrlen$",	//511
    "qstrncmp",	//512
    "qstrncmp$$$",	//513
    "qstrncpy",	//514
    "qstrncpy$$$",	//515
    "qstrnicmp",	//516
    "qstrnicmp$$$",	//517
    "qstrnlen",	//518
    "qstrnlen$$",	//519
    "qtTrId",	//520
    "qtTrId$",	//521
    "qtTrId$$",	//522
    "qt_assert",	//523
    "qt_assert$$$",	//524
    "qt_assert_x",	//525
    "qt_assert_x$$$$",	//526
    "qt_check_pointer",	//527
    "qt_check_pointer$$",	//528
    "qt_error_string",	//529
    "qt_error_string$",	//530
    "qt_message_output",	//531
    "qt_message_output$$",	//532
    "qt_metacall",	//533
    "qt_metacall$$?",	//534
    "qt_metacast",	//535
    "qt_metacast$",	//536
    "qt_noop",	//537
    "qt_qFindChild_helper",	//538
    "qt_qFindChild_helper#$#",	//539
    "qt_qFindChildren_helper",	//540
    "qt_qFindChildren_helper#$##?",	//541
    "qvariant_cast_helper",	//542
    "qvariant_cast_helper#$$",	//543
    "qvsnprintf",	//544
    "qvsnprintf$$$?",	//545
    "registerMarshallOperators",	//546
    "registerMarshallOperators$$$",	//547
    "registerObject",	//548
    "registerObject$#",	//549
    "registerObject$#$",	//550
    "registerService",	//551
    "registerService$",	//552
    "registerService$$",	//553
    "registerService$$$",	//554
    "registerVirtualObject",	//555
    "registerVirtualObject$#",	//556
    "registerVirtualObject$#$",	//557
    "registeredServiceNames",	//558
    "removeWatchedService",	//559
    "removeWatchedService$",	//560
    "reply",	//561
    "send",	//562
    "send#",	//563
    "sendErrorReply",	//564
    "sendErrorReply$",	//565
    "sendErrorReply$$",	//566
    "sender",	//567
    "service",	//568
    "serviceOwner",	//569
    "serviceOwner$",	//570
    "serviceOwnerChanged",	//571
    "serviceOwnerChanged$$$",	//572
    "servicePid",	//573
    "servicePid$",	//574
    "serviceRegistered",	//575
    "serviceRegistered$",	//576
    "serviceUid",	//577
    "serviceUid$",	//578
    "serviceUnregistered",	//579
    "serviceUnregistered$",	//580
    "sessionBus",	//581
    "setArguments",	//582
    "setArguments?",	//583
    "setAutoRelaySignals",	//584
    "setAutoRelaySignals$",	//585
    "setAutoStartService",	//586
    "setAutoStartService$",	//587
    "setConnection",	//588
    "setConnection#",	//589
    "setDelayedReply",	//590
    "setDelayedReply$",	//591
    "setFileDescriptor",	//592
    "setFileDescriptor$",	//593
    "setTimeout",	//594
    "setTimeout$",	//595
    "setWatchMode",	//596
    "setWatchMode$",	//597
    "setWatchedServices",	//598
    "setWatchedServices?",	//599
    "signature",	//600
    "signatureToType",	//601
    "signatureToType$",	//602
    "startService",	//603
    "startService$",	//604
    "staticMetaObject",	//605
    "systemBus",	//606
    "takeFileDescriptor",	//607
    "timeout",	//608
    "timerEvent",	//609
    "tr",	//610
    "tr$",	//611
    "tr$$",	//612
    "tr$$$",	//613
    "trUtf8",	//614
    "trUtf8$",	//615
    "trUtf8$$",	//616
    "trUtf8$$$",	//617
    "type",	//618
    "typeToSignature",	//619
    "typeToSignature$",	//620
    "unregisterObject",	//621
    "unregisterObject$",	//622
    "unregisterObject$$",	//623
    "unregisterService",	//624
    "unregisterService$",	//625
    "waitForFinished",	//626
    "watchMode",	//627
    "watchedServices",	//628
    "~QDBusAbstractAdaptor",	//629
    "~QDBusAbstractInterface",	//630
    "~QDBusAbstractInterfaceBase",	//631
    "~QDBusArgument",	//632
    "~QDBusConnection",	//633
    "~QDBusContext",	//634
    "~QDBusError",	//635
    "~QDBusInterface",	//636
    "~QDBusMessage",	//637
    "~QDBusMetaType",	//638
    "~QDBusPendingCall",	//639
    "~QDBusPendingCallWatcher",	//640
    "~QDBusServer",	//641
    "~QDBusServiceWatcher",	//642
    "~QDBusUnixFileDescriptor",	//643
    "~QDBusVirtualObject",	//644
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {7, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 10, 1},	//1 QDBus::NoBlock (enum)
    {7, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 10, 2},	//2 QDBus::Block (enum)
    {7, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 10, 3},	//3 QDBus::BlockWithGui (enum)
    {7, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 10, 4},	//4 QDBus::AutoDetect (enum)
    {8, 295, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 253, 1},	//5 QDBusAbstractAdaptor::metaObject() const
    {8, 535, 1, 1, Smoke::mf_virtual, 313, 2},	//6 QDBusAbstractAdaptor::qt_metacast(const char*)
    {8, 610, 3, 2, Smoke::mf_static, 121, 3},	//7 QDBusAbstractAdaptor::tr(const char*, const char*)
    {8, 614, 3, 2, Smoke::mf_static, 121, 4},	//8 QDBusAbstractAdaptor::trUtf8(const char*, const char*)
    {8, 610, 6, 3, Smoke::mf_static, 121, 5},	//9 QDBusAbstractAdaptor::tr(const char*, const char*, int)
    {8, 614, 6, 3, Smoke::mf_static, 121, 6},	//10 QDBusAbstractAdaptor::trUtf8(const char*, const char*, int)
    {8, 533, 10, 3, Smoke::mf_virtual, 286, 7},	//11 QDBusAbstractAdaptor::qt_metacall(QMetaObject::Call, int, void**)
    {8, 61, 14, 1, Smoke::mf_ctor|Smoke::mf_protected, 11, 8},	//12 QDBusAbstractAdaptor::QDBusAbstractAdaptor(QObject*)
    {8, 584, 16, 1, Smoke::mf_protected, 0, 9},	//13 QDBusAbstractAdaptor::setAutoRelaySignals(bool)
    {8, 164, 0, 0, Smoke::mf_const|Smoke::mf_protected, 219, 10},	//14 QDBusAbstractAdaptor::autoRelaySignals() const
    {8, 610, 1, 1, Smoke::mf_static, 121, 11},	//15 QDBusAbstractAdaptor::tr(const char*)
    {8, 614, 1, 1, Smoke::mf_static, 121, 12},	//16 QDBusAbstractAdaptor::trUtf8(const char*)
    {8, 605, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 252, 13},	//17 QDBusAbstractAdaptor::staticMetaObject() const
    {8, 629, 0, 0, Smoke::mf_dtor, 0, 14 },	//18 QDBusAbstractAdaptor::~QDBusAbstractAdaptor()
    {9, 295, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 253, 1},	//19 QDBusAbstractInterface::metaObject() const
    {9, 535, 1, 1, Smoke::mf_virtual, 313, 2},	//20 QDBusAbstractInterface::qt_metacast(const char*)
    {9, 610, 3, 2, Smoke::mf_static, 121, 3},	//21 QDBusAbstractInterface::tr(const char*, const char*)
    {9, 614, 3, 2, Smoke::mf_static, 121, 4},	//22 QDBusAbstractInterface::trUtf8(const char*, const char*)
    {9, 610, 6, 3, Smoke::mf_static, 121, 5},	//23 QDBusAbstractInterface::tr(const char*, const char*, int)
    {9, 614, 6, 3, Smoke::mf_static, 121, 6},	//24 QDBusAbstractInterface::trUtf8(const char*, const char*, int)
    {9, 533, 10, 3, Smoke::mf_virtual, 286, 7},	//25 QDBusAbstractInterface::qt_metacall(QMetaObject::Call, int, void**)
    {9, 288, 0, 0, Smoke::mf_const, 219, 8},	//26 QDBusAbstractInterface::isValid() const
    {9, 217, 0, 0, Smoke::mf_const, 16, 9},	//27 QDBusAbstractInterface::connection() const
    {9, 568, 0, 0, Smoke::mf_const, 121, 10},	//28 QDBusAbstractInterface::service() const
    {9, 367, 0, 0, Smoke::mf_const, 121, 11},	//29 QDBusAbstractInterface::path() const
    {9, 269, 0, 0, Smoke::mf_const, 121, 12},	//30 QDBusAbstractInterface::interface() const
    {9, 289, 0, 0, Smoke::mf_const, 29, 13},	//31 QDBusAbstractInterface::lastError() const
    {9, 594, 18, 1, 0, 0, 14},	//32 QDBusAbstractInterface::setTimeout(int)
    {9, 608, 0, 0, Smoke::mf_const, 286, 15},	//33 QDBusAbstractInterface::timeout() const
    {9, 173, 20, 9, 0, 34, 16},	//34 QDBusAbstractInterface::call(const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 173, 30, 10, 0, 34, 17},	//35 QDBusAbstractInterface::call(QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 195, 41, 3, 0, 34, 18},	//36 QDBusAbstractInterface::callWithArgumentList(QDBus::CallMode, const QString&, const QList<QVariant>&)
    {9, 197, 45, 5, 0, 219, 19},	//37 QDBusAbstractInterface::callWithCallback(const QString&, const QList<QVariant>&, QObject*, const char*, const char*)
    {9, 197, 51, 4, 0, 219, 20},	//38 QDBusAbstractInterface::callWithCallback(const QString&, const QList<QVariant>&, QObject*, const char*)
    {9, 149, 20, 9, 0, 40, 21},	//39 QDBusAbstractInterface::asyncCall(const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 161, 56, 2, 0, 40, 22},	//40 QDBusAbstractInterface::asyncCallWithArgumentList(const QString&, const QList<QVariant>&)
    {9, 63, 59, 5, Smoke::mf_ctor|Smoke::mf_protected, 12, 23},	//41 QDBusAbstractInterface::QDBusAbstractInterface(const QString&, const QString&, const char*, const QDBusConnection&, QObject*)
    {9, 211, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 24},	//42 QDBusAbstractInterface::connectNotify(const char*)
    {9, 245, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 25},	//43 QDBusAbstractInterface::disconnectNotify(const char*)
    {9, 274, 1, 1, Smoke::mf_const|Smoke::mf_protected, 138, 26},	//44 QDBusAbstractInterface::internalPropGet(const char*) const
    {9, 276, 65, 2, Smoke::mf_protected, 0, 27},	//45 QDBusAbstractInterface::internalPropSet(const char*, const QVariant&)
    {9, 270, 41, 3, Smoke::mf_const|Smoke::mf_protected, 34, 28},	//46 QDBusAbstractInterface::internalConstCall(QDBus::CallMode, const QString&, const QList<QVariant>&) const
    {9, 610, 1, 1, Smoke::mf_static, 121, 29},	//47 QDBusAbstractInterface::tr(const char*)
    {9, 614, 1, 1, Smoke::mf_static, 121, 30},	//48 QDBusAbstractInterface::trUtf8(const char*)
    {9, 173, 68, 1, 0, 34, 31},	//49 QDBusAbstractInterface::call(const QString&)
    {9, 173, 70, 2, 0, 34, 32},	//50 QDBusAbstractInterface::call(const QString&, const QVariant&)
    {9, 173, 73, 3, 0, 34, 33},	//51 QDBusAbstractInterface::call(const QString&, const QVariant&, const QVariant&)
    {9, 173, 77, 4, 0, 34, 34},	//52 QDBusAbstractInterface::call(const QString&, const QVariant&, const QVariant&, const QVariant&)
    {9, 173, 82, 5, 0, 34, 35},	//53 QDBusAbstractInterface::call(const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 173, 88, 6, 0, 34, 36},	//54 QDBusAbstractInterface::call(const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 173, 95, 7, 0, 34, 37},	//55 QDBusAbstractInterface::call(const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 173, 103, 8, 0, 34, 38},	//56 QDBusAbstractInterface::call(const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 173, 112, 2, 0, 34, 39},	//57 QDBusAbstractInterface::call(QDBus::CallMode, const QString&)
    {9, 173, 115, 3, 0, 34, 40},	//58 QDBusAbstractInterface::call(QDBus::CallMode, const QString&, const QVariant&)
    {9, 173, 119, 4, 0, 34, 41},	//59 QDBusAbstractInterface::call(QDBus::CallMode, const QString&, const QVariant&, const QVariant&)
    {9, 173, 124, 5, 0, 34, 42},	//60 QDBusAbstractInterface::call(QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&)
    {9, 173, 130, 6, 0, 34, 43},	//61 QDBusAbstractInterface::call(QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 173, 137, 7, 0, 34, 44},	//62 QDBusAbstractInterface::call(QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 173, 145, 8, 0, 34, 45},	//63 QDBusAbstractInterface::call(QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 173, 154, 9, 0, 34, 46},	//64 QDBusAbstractInterface::call(QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 149, 68, 1, 0, 40, 47},	//65 QDBusAbstractInterface::asyncCall(const QString&)
    {9, 149, 70, 2, 0, 40, 48},	//66 QDBusAbstractInterface::asyncCall(const QString&, const QVariant&)
    {9, 149, 73, 3, 0, 40, 49},	//67 QDBusAbstractInterface::asyncCall(const QString&, const QVariant&, const QVariant&)
    {9, 149, 77, 4, 0, 40, 50},	//68 QDBusAbstractInterface::asyncCall(const QString&, const QVariant&, const QVariant&, const QVariant&)
    {9, 149, 82, 5, 0, 40, 51},	//69 QDBusAbstractInterface::asyncCall(const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 149, 88, 6, 0, 40, 52},	//70 QDBusAbstractInterface::asyncCall(const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 149, 95, 7, 0, 40, 53},	//71 QDBusAbstractInterface::asyncCall(const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 149, 103, 8, 0, 40, 54},	//72 QDBusAbstractInterface::asyncCall(const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 270, 112, 2, Smoke::mf_const|Smoke::mf_protected, 34, 55},	//73 QDBusAbstractInterface::internalConstCall(QDBus::CallMode, const QString&) const
    {9, 605, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 252, 56},	//74 QDBusAbstractInterface::staticMetaObject() const
    {9, 630, 0, 0, Smoke::mf_dtor, 0, 57 },	//75 QDBusAbstractInterface::~QDBusAbstractInterface()
    {10, 533, 10, 3, Smoke::mf_virtual, 286, 1},	//76 QDBusAbstractInterfaceBase::qt_metacall(QMetaObject::Call, int, void**)
    {10, 631, 0, 0, Smoke::mf_dtor, 0, 2 },	//77 QDBusAbstractInterfaceBase::~QDBusAbstractInterfaceBase()
    {11, 65, 0, 0, Smoke::mf_ctor, 14, 1},	//78 QDBusArgument::QDBusArgument()
    {11, 65, 164, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 14, 2},	//79 QDBusArgument::QDBusArgument(const QDBusArgument&)
    {11, 338, 164, 1, 0, 13, 3},	//80 QDBusArgument::operator=(const QDBusArgument&)
    {11, 326, 166, 1, 0, 13, 4},	//81 QDBusArgument::operator<<(unsigned char)
    {11, 326, 16, 1, 0, 13, 5},	//82 QDBusArgument::operator<<(bool)
    {11, 326, 168, 1, 0, 13, 6},	//83 QDBusArgument::operator<<(short)
    {11, 326, 170, 1, 0, 13, 7},	//84 QDBusArgument::operator<<(unsigned short)
    {11, 326, 18, 1, 0, 13, 8},	//85 QDBusArgument::operator<<(int)
    {11, 326, 172, 1, 0, 13, 9},	//86 QDBusArgument::operator<<(unsigned int)
    {11, 326, 174, 1, 0, 13, 10},	//87 QDBusArgument::operator<<(long long)
    {11, 326, 176, 1, 0, 13, 11},	//88 QDBusArgument::operator<<(unsigned long long)
    {11, 326, 178, 1, 0, 13, 12},	//89 QDBusArgument::operator<<(double)
    {11, 326, 68, 1, 0, 13, 13},	//90 QDBusArgument::operator<<(const QString&)
    {11, 326, 180, 1, 0, 13, 14},	//91 QDBusArgument::operator<<(const QDBusVariant&)
    {11, 326, 182, 1, 0, 13, 15},	//92 QDBusArgument::operator<<(const QDBusObjectPath&)
    {11, 326, 184, 1, 0, 13, 16},	//93 QDBusArgument::operator<<(const QDBusSignature&)
    {11, 326, 186, 1, 0, 13, 17},	//94 QDBusArgument::operator<<(const QDBusUnixFileDescriptor&)
    {11, 326, 188, 1, 0, 13, 18},	//95 QDBusArgument::operator<<(const QStringList&)
    {11, 326, 190, 1, 0, 13, 19},	//96 QDBusArgument::operator<<(const QByteArray&)
    {11, 172, 0, 0, 0, 0, 20},	//97 QDBusArgument::beginStructure()
    {11, 250, 0, 0, 0, 0, 21},	//98 QDBusArgument::endStructure()
    {11, 167, 18, 1, 0, 0, 22},	//99 QDBusArgument::beginArray(int)
    {11, 247, 0, 0, 0, 0, 23},	//100 QDBusArgument::endArray()
    {11, 169, 192, 2, 0, 0, 24},	//101 QDBusArgument::beginMap(int, int)
    {11, 248, 0, 0, 0, 0, 25},	//102 QDBusArgument::endMap()
    {11, 171, 0, 0, 0, 0, 26},	//103 QDBusArgument::beginMapEntry()
    {11, 249, 0, 0, 0, 0, 27},	//104 QDBusArgument::endMapEntry()
    {11, 145, 195, 1, 0, 0, 28},	//105 QDBusArgument::appendVariant(const QVariant&)
    {11, 232, 0, 0, Smoke::mf_const, 121, 29},	//106 QDBusArgument::currentSignature() const
    {11, 233, 0, 0, Smoke::mf_const, 15, 30},	//107 QDBusArgument::currentType() const
    {11, 355, 197, 1, Smoke::mf_const, 228, 31},	//108 QDBusArgument::operator>>(unsigned char&) const
    {11, 355, 199, 1, Smoke::mf_const, 228, 32},	//109 QDBusArgument::operator>>(bool&) const
    {11, 355, 201, 1, Smoke::mf_const, 228, 33},	//110 QDBusArgument::operator>>(short&) const
    {11, 355, 203, 1, Smoke::mf_const, 228, 34},	//111 QDBusArgument::operator>>(unsigned short&) const
    {11, 355, 205, 1, Smoke::mf_const, 228, 35},	//112 QDBusArgument::operator>>(int&) const
    {11, 355, 207, 1, Smoke::mf_const, 228, 36},	//113 QDBusArgument::operator>>(unsigned int&) const
    {11, 355, 209, 1, Smoke::mf_const, 228, 37},	//114 QDBusArgument::operator>>(long long&) const
    {11, 355, 211, 1, Smoke::mf_const, 228, 38},	//115 QDBusArgument::operator>>(unsigned long long&) const
    {11, 355, 213, 1, Smoke::mf_const, 228, 39},	//116 QDBusArgument::operator>>(double&) const
    {11, 355, 215, 1, Smoke::mf_const, 228, 40},	//117 QDBusArgument::operator>>(QString&) const
    {11, 355, 217, 1, Smoke::mf_const, 228, 41},	//118 QDBusArgument::operator>>(QDBusVariant&) const
    {11, 355, 219, 1, Smoke::mf_const, 228, 42},	//119 QDBusArgument::operator>>(QDBusObjectPath&) const
    {11, 355, 221, 1, Smoke::mf_const, 228, 43},	//120 QDBusArgument::operator>>(QDBusSignature&) const
    {11, 355, 223, 1, Smoke::mf_const, 228, 44},	//121 QDBusArgument::operator>>(QDBusUnixFileDescriptor&) const
    {11, 355, 225, 1, Smoke::mf_const, 228, 45},	//122 QDBusArgument::operator>>(QStringList&) const
    {11, 355, 227, 1, Smoke::mf_const, 228, 46},	//123 QDBusArgument::operator>>(QByteArray&) const
    {11, 172, 0, 0, Smoke::mf_const, 0, 47},	//124 QDBusArgument::beginStructure() const
    {11, 250, 0, 0, Smoke::mf_const, 0, 48},	//125 QDBusArgument::endStructure() const
    {11, 167, 0, 0, Smoke::mf_const, 0, 49},	//126 QDBusArgument::beginArray() const
    {11, 247, 0, 0, Smoke::mf_const, 0, 50},	//127 QDBusArgument::endArray() const
    {11, 169, 0, 0, Smoke::mf_const, 0, 51},	//128 QDBusArgument::beginMap() const
    {11, 248, 0, 0, Smoke::mf_const, 0, 52},	//129 QDBusArgument::endMap() const
    {11, 171, 0, 0, Smoke::mf_const, 0, 53},	//130 QDBusArgument::beginMapEntry() const
    {11, 249, 0, 0, Smoke::mf_const, 0, 54},	//131 QDBusArgument::endMapEntry() const
    {11, 163, 0, 0, Smoke::mf_const, 219, 55},	//132 QDBusArgument::atEnd() const
    {11, 148, 0, 0, Smoke::mf_const, 138, 56},	//133 QDBusArgument::asVariant() const
    {11, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 57},	//134 QDBusArgument::BasicType (enum)
    {11, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 58},	//135 QDBusArgument::VariantType (enum)
    {11, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 59},	//136 QDBusArgument::ArrayType (enum)
    {11, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 60},	//137 QDBusArgument::StructureType (enum)
    {11, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 61},	//138 QDBusArgument::MapType (enum)
    {11, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 62},	//139 QDBusArgument::MapEntryType (enum)
    {11, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 63},	//140 QDBusArgument::UnknownType (enum)
    {11, 632, 0, 0, Smoke::mf_dtor, 0, 64 },	//141 QDBusArgument::~QDBusArgument()
    {12, 67, 68, 1, Smoke::mf_ctor, 18, 1},	//142 QDBusConnection::QDBusConnection(const QString&)
    {12, 67, 229, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 18, 2},	//143 QDBusConnection::QDBusConnection(const QDBusConnection&)
    {12, 338, 229, 1, 0, 17, 3},	//144 QDBusConnection::operator=(const QDBusConnection&)
    {12, 280, 0, 0, Smoke::mf_const, 219, 4},	//145 QDBusConnection::isConnected() const
    {12, 166, 0, 0, Smoke::mf_const, 121, 5},	//146 QDBusConnection::baseService() const
    {12, 289, 0, 0, Smoke::mf_const, 29, 6},	//147 QDBusConnection::lastError() const
    {12, 296, 0, 0, Smoke::mf_const, 121, 7},	//148 QDBusConnection::name() const
    {12, 218, 0, 0, Smoke::mf_const, 70, 8},	//149 QDBusConnection::connectionCapabilities() const
    {12, 562, 231, 1, Smoke::mf_const, 219, 9},	//150 QDBusConnection::send(const QDBusMessage&) const
    {12, 197, 233, 5, Smoke::mf_const, 219, 10},	//151 QDBusConnection::callWithCallback(const QDBusMessage&, QObject*, const char*, const char*, int) const
    {12, 197, 239, 4, Smoke::mf_const, 219, 11},	//152 QDBusConnection::callWithCallback(const QDBusMessage&, QObject*, const char*, int) const
    {12, 173, 244, 3, Smoke::mf_const, 34, 12},	//153 QDBusConnection::call(const QDBusMessage&, QDBus::CallMode, int) const
    {12, 149, 248, 2, Smoke::mf_const, 40, 13},	//154 QDBusConnection::asyncCall(const QDBusMessage&, int) const
    {12, 207, 251, 6, 0, 219, 14},	//155 QDBusConnection::connect(const QString&, const QString&, const QString&, const QString&, QObject*, const char*)
    {12, 207, 258, 7, 0, 219, 15},	//156 QDBusConnection::connect(const QString&, const QString&, const QString&, const QString&, const QString&, QObject*, const char*)
    {12, 207, 266, 8, 0, 219, 16},	//157 QDBusConnection::connect(const QString&, const QString&, const QString&, const QString&, const QStringList&, const QString&, QObject*, const char*)
    {12, 237, 251, 6, 0, 219, 17},	//158 QDBusConnection::disconnect(const QString&, const QString&, const QString&, const QString&, QObject*, const char*)
    {12, 237, 258, 7, 0, 219, 18},	//159 QDBusConnection::disconnect(const QString&, const QString&, const QString&, const QString&, const QString&, QObject*, const char*)
    {12, 237, 266, 8, 0, 219, 19},	//160 QDBusConnection::disconnect(const QString&, const QString&, const QString&, const QString&, const QStringList&, const QString&, QObject*, const char*)
    {12, 548, 275, 3, 0, 219, 20},	//161 QDBusConnection::registerObject(const QString&, QObject*, QFlags<QDBusConnection::RegisterOption>)
    {12, 621, 279, 2, 0, 0, 21},	//162 QDBusConnection::unregisterObject(const QString&, QDBusConnection::UnregisterMode)
    {12, 299, 68, 1, Smoke::mf_const, 112, 22},	//163 QDBusConnection::objectRegisteredAt(const QString&) const
    {12, 555, 282, 3, 0, 219, 23},	//164 QDBusConnection::registerVirtualObject(const QString&, QDBusVirtualObject*, QDBusConnection::VirtualObjectRegisterOption)
    {12, 551, 68, 1, 0, 219, 24},	//165 QDBusConnection::registerService(const QString&)
    {12, 624, 68, 1, 0, 219, 25},	//166 QDBusConnection::unregisterService(const QString&)
    {12, 269, 0, 0, Smoke::mf_const, 24, 26},	//167 QDBusConnection::interface() const
    {12, 273, 0, 0, Smoke::mf_const, 313, 27},	//168 QDBusConnection::internalPointer() const
    {12, 213, 286, 2, Smoke::mf_static, 16, 28},	//169 QDBusConnection::connectToBus(QDBusConnection::BusType, const QString&)
    {12, 213, 289, 2, Smoke::mf_static, 16, 29},	//170 QDBusConnection::connectToBus(const QString&, const QString&)
    {12, 215, 289, 2, Smoke::mf_static, 16, 30},	//171 QDBusConnection::connectToPeer(const QString&, const QString&)
    {12, 241, 68, 1, Smoke::mf_static, 0, 31},	//172 QDBusConnection::disconnectFromBus(const QString&)
    {12, 243, 68, 1, Smoke::mf_static, 0, 32},	//173 QDBusConnection::disconnectFromPeer(const QString&)
    {12, 290, 0, 0, Smoke::mf_static, 5, 33},	//174 QDBusConnection::localMachineId()
    {12, 581, 0, 0, Smoke::mf_static, 16, 34},	//175 QDBusConnection::sessionBus()
    {12, 606, 0, 0, Smoke::mf_static, 16, 35},	//176 QDBusConnection::systemBus()
    {12, 567, 0, 0, Smoke::mf_static, 16, 36},	//177 QDBusConnection::sender()
    {12, 197, 292, 4, Smoke::mf_const, 219, 37},	//178 QDBusConnection::callWithCallback(const QDBusMessage&, QObject*, const char*, const char*) const
    {12, 197, 297, 3, Smoke::mf_const, 219, 38},	//179 QDBusConnection::callWithCallback(const QDBusMessage&, QObject*, const char*) const
    {12, 173, 231, 1, Smoke::mf_const, 34, 39},	//180 QDBusConnection::call(const QDBusMessage&) const
    {12, 173, 301, 2, Smoke::mf_const, 34, 40},	//181 QDBusConnection::call(const QDBusMessage&, QDBus::CallMode) const
    {12, 149, 231, 1, Smoke::mf_const, 40, 41},	//182 QDBusConnection::asyncCall(const QDBusMessage&) const
    {12, 548, 304, 2, 0, 219, 42},	//183 QDBusConnection::registerObject(const QString&, QObject*)
    {12, 621, 68, 1, 0, 0, 43},	//184 QDBusConnection::unregisterObject(const QString&)
    {12, 555, 307, 2, 0, 219, 44},	//185 QDBusConnection::registerVirtualObject(const QString&, QDBusVirtualObject*)
    {12, 605, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 252, 45},	//186 QDBusConnection::staticMetaObject() const
    {12, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 46},	//187 QDBusConnection::SessionBus (enum)
    {12, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 47},	//188 QDBusConnection::SystemBus (enum)
    {12, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 48},	//189 QDBusConnection::ActivationBus (enum)
    {12, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 49},	//190 QDBusConnection::ExportAdaptors (enum)
    {12, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 50},	//191 QDBusConnection::ExportScriptableSlots (enum)
    {12, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 51},	//192 QDBusConnection::ExportScriptableSignals (enum)
    {12, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 52},	//193 QDBusConnection::ExportScriptableProperties (enum)
    {12, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 53},	//194 QDBusConnection::ExportScriptableInvokables (enum)
    {12, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 54},	//195 QDBusConnection::ExportScriptableContents (enum)
    {12, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 55},	//196 QDBusConnection::ExportNonScriptableSlots (enum)
    {12, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 56},	//197 QDBusConnection::ExportNonScriptableSignals (enum)
    {12, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 57},	//198 QDBusConnection::ExportNonScriptableProperties (enum)
    {12, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 58},	//199 QDBusConnection::ExportNonScriptableInvokables (enum)
    {12, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 59},	//200 QDBusConnection::ExportNonScriptableContents (enum)
    {12, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 60},	//201 QDBusConnection::ExportAllSlots (enum)
    {12, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 61},	//202 QDBusConnection::ExportAllSignals (enum)
    {12, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 62},	//203 QDBusConnection::ExportAllProperties (enum)
    {12, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 63},	//204 QDBusConnection::ExportAllInvokables (enum)
    {12, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 64},	//205 QDBusConnection::ExportAllContents (enum)
    {12, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 65},	//206 QDBusConnection::ExportAllSignal (enum)
    {12, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 66},	//207 QDBusConnection::ExportChildObjects (enum)
    {12, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 22, 67},	//208 QDBusConnection::UnregisterNode (enum)
    {12, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 22, 68},	//209 QDBusConnection::UnregisterTree (enum)
    {12, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 69},	//210 QDBusConnection::SingleNode (enum)
    {12, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 70},	//211 QDBusConnection::SubPath (enum)
    {12, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 71},	//212 QDBusConnection::UnixFileDescriptorPassing (enum)
    {12, 633, 0, 0, Smoke::mf_dtor, 0, 72 },	//213 QDBusConnection::~QDBusConnection()
    {13, 295, 0, 0, Smoke::mf_const, 253, 1},	//214 QDBusConnectionInterface::metaObject() const
    {13, 535, 1, 1, 0, 313, 2},	//215 QDBusConnectionInterface::qt_metacast(const char*)
    {13, 610, 3, 2, Smoke::mf_static, 121, 3},	//216 QDBusConnectionInterface::tr(const char*, const char*)
    {13, 614, 3, 2, Smoke::mf_static, 121, 4},	//217 QDBusConnectionInterface::trUtf8(const char*, const char*)
    {13, 610, 6, 3, Smoke::mf_static, 121, 5},	//218 QDBusConnectionInterface::tr(const char*, const char*, int)
    {13, 614, 6, 3, Smoke::mf_static, 121, 6},	//219 QDBusConnectionInterface::trUtf8(const char*, const char*, int)
    {13, 533, 10, 3, 0, 286, 7},	//220 QDBusConnectionInterface::qt_metacall(QMetaObject::Call, int, void**)
    {13, 558, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_slot, 46, 8},	//221 QDBusConnectionInterface::registeredServiceNames() const
    {13, 285, 68, 1, Smoke::mf_const|Smoke::mf_slot, 47, 9},	//222 QDBusConnectionInterface::isServiceRegistered(const QString&) const
    {13, 569, 68, 1, Smoke::mf_const|Smoke::mf_slot, 45, 10},	//223 QDBusConnectionInterface::serviceOwner(const QString&) const
    {13, 624, 68, 1, Smoke::mf_slot, 47, 11},	//224 QDBusConnectionInterface::unregisterService(const QString&)
    {13, 551, 310, 3, Smoke::mf_slot, 44, 12},	//225 QDBusConnectionInterface::registerService(const QString&, QDBusConnectionInterface::ServiceQueueOptions, QDBusConnectionInterface::ServiceReplacementOptions)
    {13, 573, 68, 1, Smoke::mf_const|Smoke::mf_slot, 48, 13},	//226 QDBusConnectionInterface::servicePid(const QString&) const
    {13, 577, 68, 1, Smoke::mf_const|Smoke::mf_slot, 48, 14},	//227 QDBusConnectionInterface::serviceUid(const QString&) const
    {13, 603, 68, 1, Smoke::mf_slot, 49, 15},	//228 QDBusConnectionInterface::startService(const QString&)
    {13, 575, 68, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//229 QDBusConnectionInterface::serviceRegistered(const QString&)
    {13, 579, 68, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//230 QDBusConnectionInterface::serviceUnregistered(const QString&)
    {13, 571, 314, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//231 QDBusConnectionInterface::serviceOwnerChanged(const QString&, const QString&, const QString&)
    {13, 203, 318, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//232 QDBusConnectionInterface::callWithCallbackFailed(const QDBusError&, const QDBusMessage&)
    {13, 47, 68, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 20},	//233 QDBusConnectionInterface::NameAcquired(const QString&)
    {13, 49, 68, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 21},	//234 QDBusConnectionInterface::NameLost(const QString&)
    {13, 51, 314, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 22},	//235 QDBusConnectionInterface::NameOwnerChanged(const QString&, const QString&, const QString&)
    {13, 211, 1, 1, Smoke::mf_protected, 0, 23},	//236 QDBusConnectionInterface::connectNotify(const char*)
    {13, 245, 1, 1, Smoke::mf_protected, 0, 24},	//237 QDBusConnectionInterface::disconnectNotify(const char*)
    {13, 610, 1, 1, Smoke::mf_static, 121, 25},	//238 QDBusConnectionInterface::tr(const char*)
    {13, 614, 1, 1, Smoke::mf_static, 121, 26},	//239 QDBusConnectionInterface::trUtf8(const char*)
    {13, 551, 68, 1, Smoke::mf_slot, 44, 27},	//240 QDBusConnectionInterface::registerService(const QString&)
    {13, 551, 321, 2, Smoke::mf_slot, 44, 28},	//241 QDBusConnectionInterface::registerService(const QString&, QDBusConnectionInterface::ServiceQueueOptions)
    {13, 605, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 252, 29},	//242 QDBusConnectionInterface::staticMetaObject() const
    {13, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 30},	//243 QDBusConnectionInterface::DontQueueService (enum)
    {13, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 31},	//244 QDBusConnectionInterface::QueueService (enum)
    {13, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 32},	//245 QDBusConnectionInterface::ReplaceExistingService (enum)
    {13, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 27, 33},	//246 QDBusConnectionInterface::DontAllowReplacement (enum)
    {13, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 27, 34},	//247 QDBusConnectionInterface::AllowReplacement (enum)
    {13, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 35},	//248 QDBusConnectionInterface::ServiceNotRegistered (enum)
    {13, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 36},	//249 QDBusConnectionInterface::ServiceRegistered (enum)
    {13, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 37},	//250 QDBusConnectionInterface::ServiceQueued (enum)
    {14, 70, 0, 0, Smoke::mf_ctor, 28, 1},	//251 QDBusContext::QDBusContext()
    {14, 205, 0, 0, Smoke::mf_const, 219, 2},	//252 QDBusContext::calledFromDBus() const
    {14, 217, 0, 0, Smoke::mf_const, 16, 3},	//253 QDBusContext::connection() const
    {14, 294, 0, 0, Smoke::mf_const, 232, 4},	//254 QDBusContext::message() const
    {14, 281, 0, 0, Smoke::mf_const, 219, 5},	//255 QDBusContext::isDelayedReply() const
    {14, 590, 16, 1, Smoke::mf_const, 0, 6},	//256 QDBusContext::setDelayedReply(bool) const
    {14, 564, 289, 2, Smoke::mf_const, 0, 7},	//257 QDBusContext::sendErrorReply(const QString&, const QString&) const
    {14, 564, 324, 2, Smoke::mf_const, 0, 8},	//258 QDBusContext::sendErrorReply(QDBusError::ErrorType, const QString&) const
    {14, 70, 327, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 28, 9},	//259 QDBusContext::QDBusContext(const QDBusContext&)
    {14, 564, 68, 1, Smoke::mf_const, 0, 10},	//260 QDBusContext::sendErrorReply(const QString&) const
    {14, 564, 329, 1, Smoke::mf_const, 0, 11},	//261 QDBusContext::sendErrorReply(QDBusError::ErrorType) const
    {14, 634, 0, 0, Smoke::mf_dtor, 0, 12 },	//262 QDBusContext::~QDBusContext()
    {15, 72, 331, 1, Smoke::mf_ctor, 31, 1},	//263 QDBusError::QDBusError(const DBusError*)
    {15, 72, 231, 1, Smoke::mf_ctor, 31, 2},	//264 QDBusError::QDBusError(const QDBusMessage&)
    {15, 72, 324, 2, Smoke::mf_ctor, 31, 3},	//265 QDBusError::QDBusError(QDBusError::ErrorType, const QString&)
    {15, 72, 333, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 31, 4},	//266 QDBusError::QDBusError(const QDBusError&)
    {15, 338, 333, 1, 0, 30, 5},	//267 QDBusError::operator=(const QDBusError&)
    {15, 618, 0, 0, Smoke::mf_const, 32, 6},	//268 QDBusError::type() const
    {15, 296, 0, 0, Smoke::mf_const, 121, 7},	//269 QDBusError::name() const
    {15, 294, 0, 0, Smoke::mf_const, 121, 8},	//270 QDBusError::message() const
    {15, 288, 0, 0, Smoke::mf_const, 219, 9},	//271 QDBusError::isValid() const
    {15, 254, 329, 1, Smoke::mf_static, 121, 10},	//272 QDBusError::errorString(QDBusError::ErrorType)
    {15, 72, 0, 0, Smoke::mf_ctor, 31, 11},	//273 QDBusError::QDBusError()
    {15, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 12},	//274 QDBusError::NoError (enum)
    {15, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 13},	//275 QDBusError::Other (enum)
    {15, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 14},	//276 QDBusError::Failed (enum)
    {15, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 15},	//277 QDBusError::NoMemory (enum)
    {15, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 16},	//278 QDBusError::ServiceUnknown (enum)
    {15, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 17},	//279 QDBusError::NoReply (enum)
    {15, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 18},	//280 QDBusError::BadAddress (enum)
    {15, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 19},	//281 QDBusError::NotSupported (enum)
    {15, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 20},	//282 QDBusError::LimitsExceeded (enum)
    {15, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 21},	//283 QDBusError::AccessDenied (enum)
    {15, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 22},	//284 QDBusError::NoServer (enum)
    {15, 121, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 23},	//285 QDBusError::Timeout (enum)
    {15, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 24},	//286 QDBusError::NoNetwork (enum)
    {15, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 25},	//287 QDBusError::AddressInUse (enum)
    {15, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 26},	//288 QDBusError::Disconnected (enum)
    {15, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 27},	//289 QDBusError::InvalidArgs (enum)
    {15, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 28},	//290 QDBusError::UnknownMethod (enum)
    {15, 120, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 29},	//291 QDBusError::TimedOut (enum)
    {15, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 30},	//292 QDBusError::InvalidSignature (enum)
    {15, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 31},	//293 QDBusError::UnknownInterface (enum)
    {15, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 32},	//294 QDBusError::InternalError (enum)
    {15, 125, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 33},	//295 QDBusError::UnknownObject (enum)
    {15, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 34},	//296 QDBusError::InvalidService (enum)
    {15, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 35},	//297 QDBusError::InvalidObjectPath (enum)
    {15, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 36},	//298 QDBusError::InvalidInterface (enum)
    {15, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 37},	//299 QDBusError::InvalidMember (enum)
    {15, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 38},	//300 QDBusError::LastErrorType (enum)
    {15, 635, 0, 0, Smoke::mf_dtor, 0, 39 },	//301 QDBusError::~QDBusError()
    {16, 75, 335, 5, Smoke::mf_ctor, 33, 1},	//302 QDBusInterface::QDBusInterface(const QString&, const QString&, const QString&, const QDBusConnection&, QObject*)
    {16, 295, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 253, 2},	//303 QDBusInterface::metaObject() const
    {16, 535, 1, 1, Smoke::mf_virtual, 313, 3},	//304 QDBusInterface::qt_metacast(const char*)
    {16, 533, 10, 3, Smoke::mf_virtual, 286, 4},	//305 QDBusInterface::qt_metacall(QMetaObject::Call, int, void**)
    {16, 75, 289, 2, Smoke::mf_ctor, 33, 5},	//306 QDBusInterface::QDBusInterface(const QString&, const QString&)
    {16, 75, 314, 3, Smoke::mf_ctor, 33, 6},	//307 QDBusInterface::QDBusInterface(const QString&, const QString&, const QString&)
    {16, 75, 341, 4, Smoke::mf_ctor, 33, 7},	//308 QDBusInterface::QDBusInterface(const QString&, const QString&, const QString&, const QDBusConnection&)
    {16, 636, 0, 0, Smoke::mf_dtor, 0, 8 },	//309 QDBusInterface::~QDBusInterface()
    {17, 80, 0, 0, Smoke::mf_ctor, 36, 1},	//310 QDBusMessage::QDBusMessage()
    {17, 80, 231, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 36, 2},	//311 QDBusMessage::QDBusMessage(const QDBusMessage&)
    {17, 338, 231, 1, 0, 35, 3},	//312 QDBusMessage::operator=(const QDBusMessage&)
    {17, 230, 314, 3, Smoke::mf_static, 34, 4},	//313 QDBusMessage::createSignal(const QString&, const QString&, const QString&)
    {17, 225, 346, 4, Smoke::mf_static, 34, 5},	//314 QDBusMessage::createMethodCall(const QString&, const QString&, const QString&, const QString&)
    {17, 219, 289, 2, Smoke::mf_static, 34, 6},	//315 QDBusMessage::createError(const QString&, const QString&)
    {17, 219, 333, 1, Smoke::mf_static, 34, 7},	//316 QDBusMessage::createError(const QDBusError&)
    {17, 219, 324, 2, Smoke::mf_static, 34, 8},	//317 QDBusMessage::createError(QDBusError::ErrorType, const QString&)
    {17, 227, 351, 1, Smoke::mf_const, 34, 9},	//318 QDBusMessage::createReply(const QList<QVariant>&) const
    {17, 227, 195, 1, Smoke::mf_const, 34, 10},	//319 QDBusMessage::createReply(const QVariant&) const
    {17, 222, 353, 2, Smoke::mf_const, 34, 11},	//320 QDBusMessage::createErrorReply(const QString, const QString&) const
    {17, 222, 333, 1, Smoke::mf_const, 34, 12},	//321 QDBusMessage::createErrorReply(const QDBusError&) const
    {17, 222, 324, 2, Smoke::mf_const, 34, 13},	//322 QDBusMessage::createErrorReply(QDBusError::ErrorType, const QString&) const
    {17, 568, 0, 0, Smoke::mf_const, 121, 14},	//323 QDBusMessage::service() const
    {17, 367, 0, 0, Smoke::mf_const, 121, 15},	//324 QDBusMessage::path() const
    {17, 269, 0, 0, Smoke::mf_const, 121, 16},	//325 QDBusMessage::interface() const
    {17, 293, 0, 0, Smoke::mf_const, 121, 17},	//326 QDBusMessage::member() const
    {17, 253, 0, 0, Smoke::mf_const, 121, 18},	//327 QDBusMessage::errorName() const
    {17, 252, 0, 0, Smoke::mf_const, 121, 19},	//328 QDBusMessage::errorMessage() const
    {17, 618, 0, 0, Smoke::mf_const, 37, 20},	//329 QDBusMessage::type() const
    {17, 600, 0, 0, Smoke::mf_const, 121, 21},	//330 QDBusMessage::signature() const
    {17, 284, 0, 0, Smoke::mf_const, 219, 22},	//331 QDBusMessage::isReplyRequired() const
    {17, 590, 16, 1, Smoke::mf_const, 0, 23},	//332 QDBusMessage::setDelayedReply(bool) const
    {17, 281, 0, 0, Smoke::mf_const, 219, 24},	//333 QDBusMessage::isDelayedReply() const
    {17, 586, 16, 1, 0, 0, 25},	//334 QDBusMessage::setAutoStartService(bool)
    {17, 165, 0, 0, Smoke::mf_const, 219, 26},	//335 QDBusMessage::autoStartService() const
    {17, 582, 351, 1, 0, 0, 27},	//336 QDBusMessage::setArguments(const QList<QVariant>&)
    {17, 147, 0, 0, Smoke::mf_const, 107, 28},	//337 QDBusMessage::arguments() const
    {17, 326, 195, 1, 0, 35, 29},	//338 QDBusMessage::operator<<(const QVariant&)
    {17, 227, 0, 0, Smoke::mf_const, 34, 30},	//339 QDBusMessage::createReply() const
    {17, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 31},	//340 QDBusMessage::InvalidMessage (enum)
    {17, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 32},	//341 QDBusMessage::MethodCallMessage (enum)
    {17, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 33},	//342 QDBusMessage::ReplyMessage (enum)
    {17, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 34},	//343 QDBusMessage::ErrorMessage (enum)
    {17, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 35},	//344 QDBusMessage::SignalMessage (enum)
    {17, 637, 0, 0, Smoke::mf_dtor, 0, 36 },	//345 QDBusMessage::~QDBusMessage()
    {18, 546, 356, 3, Smoke::mf_static, 0, 1},	//346 QDBusMetaType::registerMarshallOperators(int, void(*)(QDBusArgument&,const void*), void(*)(const QDBusArgument&,void*))
    {18, 291, 360, 3, Smoke::mf_static, 219, 2},	//347 QDBusMetaType::marshall(QDBusArgument&, int, const void*)
    {18, 235, 364, 3, Smoke::mf_static, 219, 3},	//348 QDBusMetaType::demarshall(const QDBusArgument&, int, void*)
    {18, 601, 1, 1, Smoke::mf_static, 286, 4},	//349 QDBusMetaType::signatureToType(const char*)
    {18, 619, 18, 1, Smoke::mf_static, 280, 5},	//350 QDBusMetaType::typeToSignature(int)
    {18, 82, 0, 0, Smoke::mf_ctor, 38, 6},	//351 QDBusMetaType::QDBusMetaType()
    {18, 82, 368, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 38, 7},	//352 QDBusMetaType::QDBusMetaType(const QDBusMetaType&)
    {18, 638, 0, 0, Smoke::mf_dtor, 0, 8 },	//353 QDBusMetaType::~QDBusMetaType()
    {19, 84, 370, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 42, 1},	//354 QDBusPendingCall::QDBusPendingCall(const QDBusPendingCall&)
    {19, 338, 370, 1, 0, 41, 2},	//355 QDBusPendingCall::operator=(const QDBusPendingCall&)
    {19, 283, 0, 0, Smoke::mf_const, 219, 3},	//356 QDBusPendingCall::isFinished() const
    {19, 626, 0, 0, 0, 0, 4},	//357 QDBusPendingCall::waitForFinished()
    {19, 282, 0, 0, Smoke::mf_const, 219, 5},	//358 QDBusPendingCall::isError() const
    {19, 288, 0, 0, Smoke::mf_const, 219, 6},	//359 QDBusPendingCall::isValid() const
    {19, 251, 0, 0, Smoke::mf_const, 29, 7},	//360 QDBusPendingCall::error() const
    {19, 561, 0, 0, Smoke::mf_const, 34, 8},	//361 QDBusPendingCall::reply() const
    {19, 263, 333, 1, Smoke::mf_static, 40, 9},	//362 QDBusPendingCall::fromError(const QDBusError&)
    {19, 261, 231, 1, Smoke::mf_static, 40, 10},	//363 QDBusPendingCall::fromCompletedCall(const QDBusMessage&)
    {19, 639, 0, 0, Smoke::mf_dtor, 0, 11 },	//364 QDBusPendingCall::~QDBusPendingCall()
    {20, 295, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 253, 1},	//365 QDBusPendingCallWatcher::metaObject() const
    {20, 535, 1, 1, Smoke::mf_virtual, 313, 2},	//366 QDBusPendingCallWatcher::qt_metacast(const char*)
    {20, 610, 3, 2, Smoke::mf_static, 121, 3},	//367 QDBusPendingCallWatcher::tr(const char*, const char*)
    {20, 614, 3, 2, Smoke::mf_static, 121, 4},	//368 QDBusPendingCallWatcher::trUtf8(const char*, const char*)
    {20, 610, 6, 3, Smoke::mf_static, 121, 5},	//369 QDBusPendingCallWatcher::tr(const char*, const char*, int)
    {20, 614, 6, 3, Smoke::mf_static, 121, 6},	//370 QDBusPendingCallWatcher::trUtf8(const char*, const char*, int)
    {20, 533, 10, 3, Smoke::mf_virtual, 286, 7},	//371 QDBusPendingCallWatcher::qt_metacall(QMetaObject::Call, int, void**)
    {20, 86, 372, 2, Smoke::mf_ctor, 43, 8},	//372 QDBusPendingCallWatcher::QDBusPendingCallWatcher(const QDBusPendingCall&, QObject*)
    {20, 626, 0, 0, 0, 0, 9},	//373 QDBusPendingCallWatcher::waitForFinished()
    {20, 259, 375, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 10},	//374 QDBusPendingCallWatcher::finished(QDBusPendingCallWatcher*)
    {20, 610, 1, 1, Smoke::mf_static, 121, 11},	//375 QDBusPendingCallWatcher::tr(const char*)
    {20, 614, 1, 1, Smoke::mf_static, 121, 12},	//376 QDBusPendingCallWatcher::trUtf8(const char*)
    {20, 86, 370, 1, Smoke::mf_ctor, 43, 13},	//377 QDBusPendingCallWatcher::QDBusPendingCallWatcher(const QDBusPendingCall&)
    {20, 605, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 252, 14},	//378 QDBusPendingCallWatcher::staticMetaObject() const
    {20, 640, 0, 0, Smoke::mf_dtor, 0, 15 },	//379 QDBusPendingCallWatcher::~QDBusPendingCallWatcher()
    {21, 295, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 253, 1},	//380 QDBusServer::metaObject() const
    {21, 535, 1, 1, Smoke::mf_virtual, 313, 2},	//381 QDBusServer::qt_metacast(const char*)
    {21, 610, 3, 2, Smoke::mf_static, 121, 3},	//382 QDBusServer::tr(const char*, const char*)
    {21, 614, 3, 2, Smoke::mf_static, 121, 4},	//383 QDBusServer::trUtf8(const char*, const char*)
    {21, 610, 6, 3, Smoke::mf_static, 121, 5},	//384 QDBusServer::tr(const char*, const char*, int)
    {21, 614, 6, 3, Smoke::mf_static, 121, 6},	//385 QDBusServer::trUtf8(const char*, const char*, int)
    {21, 533, 10, 3, Smoke::mf_virtual, 286, 7},	//386 QDBusServer::qt_metacall(QMetaObject::Call, int, void**)
    {21, 89, 304, 2, Smoke::mf_ctor, 50, 8},	//387 QDBusServer::QDBusServer(const QString&, QObject*)
    {21, 280, 0, 0, Smoke::mf_const, 219, 9},	//388 QDBusServer::isConnected() const
    {21, 289, 0, 0, Smoke::mf_const, 29, 10},	//389 QDBusServer::lastError() const
    {21, 144, 0, 0, Smoke::mf_const, 121, 11},	//390 QDBusServer::address() const
    {21, 297, 229, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//391 QDBusServer::newConnection(const QDBusConnection&)
    {21, 610, 1, 1, Smoke::mf_static, 121, 13},	//392 QDBusServer::tr(const char*)
    {21, 614, 1, 1, Smoke::mf_static, 121, 14},	//393 QDBusServer::trUtf8(const char*)
    {21, 89, 0, 0, Smoke::mf_ctor, 50, 15},	//394 QDBusServer::QDBusServer()
    {21, 89, 68, 1, Smoke::mf_ctor, 50, 16},	//395 QDBusServer::QDBusServer(const QString&)
    {21, 605, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 252, 17},	//396 QDBusServer::staticMetaObject() const
    {21, 641, 0, 0, Smoke::mf_dtor, 0, 18 },	//397 QDBusServer::~QDBusServer()
    {22, 295, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 253, 1},	//398 QDBusServiceWatcher::metaObject() const
    {22, 535, 1, 1, Smoke::mf_virtual, 313, 2},	//399 QDBusServiceWatcher::qt_metacast(const char*)
    {22, 610, 3, 2, Smoke::mf_static, 121, 3},	//400 QDBusServiceWatcher::tr(const char*, const char*)
    {22, 614, 3, 2, Smoke::mf_static, 121, 4},	//401 QDBusServiceWatcher::trUtf8(const char*, const char*)
    {22, 610, 6, 3, Smoke::mf_static, 121, 5},	//402 QDBusServiceWatcher::tr(const char*, const char*, int)
    {22, 614, 6, 3, Smoke::mf_static, 121, 6},	//403 QDBusServiceWatcher::trUtf8(const char*, const char*, int)
    {22, 533, 10, 3, Smoke::mf_virtual, 286, 7},	//404 QDBusServiceWatcher::qt_metacall(QMetaObject::Call, int, void**)
    {22, 92, 14, 1, Smoke::mf_ctor, 51, 8},	//405 QDBusServiceWatcher::QDBusServiceWatcher(QObject*)
    {22, 92, 377, 4, Smoke::mf_ctor, 51, 9},	//406 QDBusServiceWatcher::QDBusServiceWatcher(const QString&, const QDBusConnection&, QFlags<QDBusServiceWatcher::WatchModeFlag>, QObject*)
    {22, 628, 0, 0, Smoke::mf_const|Smoke::mf_property, 125, 10},	//407 QDBusServiceWatcher::watchedServices() const
    {22, 598, 188, 1, Smoke::mf_property, 0, 11},	//408 QDBusServiceWatcher::setWatchedServices(const QStringList&)
    {22, 142, 68, 1, 0, 0, 12},	//409 QDBusServiceWatcher::addWatchedService(const QString&)
    {22, 559, 68, 1, 0, 219, 13},	//410 QDBusServiceWatcher::removeWatchedService(const QString&)
    {22, 627, 0, 0, Smoke::mf_const, 73, 14},	//411 QDBusServiceWatcher::watchMode() const
    {22, 596, 382, 1, 0, 0, 15},	//412 QDBusServiceWatcher::setWatchMode(QFlags<QDBusServiceWatcher::WatchModeFlag>)
    {22, 217, 0, 0, Smoke::mf_const, 16, 16},	//413 QDBusServiceWatcher::connection() const
    {22, 588, 229, 1, 0, 0, 17},	//414 QDBusServiceWatcher::setConnection(const QDBusConnection&)
    {22, 575, 68, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//415 QDBusServiceWatcher::serviceRegistered(const QString&)
    {22, 579, 68, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//416 QDBusServiceWatcher::serviceUnregistered(const QString&)
    {22, 571, 314, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 20},	//417 QDBusServiceWatcher::serviceOwnerChanged(const QString&, const QString&, const QString&)
    {22, 610, 1, 1, Smoke::mf_static, 121, 21},	//418 QDBusServiceWatcher::tr(const char*)
    {22, 614, 1, 1, Smoke::mf_static, 121, 22},	//419 QDBusServiceWatcher::trUtf8(const char*)
    {22, 92, 0, 0, Smoke::mf_ctor, 51, 23},	//420 QDBusServiceWatcher::QDBusServiceWatcher()
    {22, 92, 384, 2, Smoke::mf_ctor, 51, 24},	//421 QDBusServiceWatcher::QDBusServiceWatcher(const QString&, const QDBusConnection&)
    {22, 92, 387, 3, Smoke::mf_ctor, 51, 25},	//422 QDBusServiceWatcher::QDBusServiceWatcher(const QString&, const QDBusConnection&, QFlags<QDBusServiceWatcher::WatchModeFlag>)
    {22, 605, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 252, 26},	//423 QDBusServiceWatcher::staticMetaObject() const
    {22, 131, 0, 0, Smoke::mf_static|Smoke::mf_enum, 52, 27},	//424 QDBusServiceWatcher::WatchForRegistration (enum)
    {22, 132, 0, 0, Smoke::mf_static|Smoke::mf_enum, 52, 28},	//425 QDBusServiceWatcher::WatchForUnregistration (enum)
    {22, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 52, 29},	//426 QDBusServiceWatcher::WatchForOwnerChange (enum)
    {22, 642, 0, 0, Smoke::mf_dtor, 0, 30 },	//427 QDBusServiceWatcher::~QDBusServiceWatcher()
    {23, 97, 0, 0, Smoke::mf_ctor, 55, 1},	//428 QDBusUnixFileDescriptor::QDBusUnixFileDescriptor()
    {23, 97, 18, 1, Smoke::mf_ctor, 55, 2},	//429 QDBusUnixFileDescriptor::QDBusUnixFileDescriptor(int)
    {23, 97, 186, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 55, 3},	//430 QDBusUnixFileDescriptor::QDBusUnixFileDescriptor(const QDBusUnixFileDescriptor&)
    {23, 338, 186, 1, 0, 54, 4},	//431 QDBusUnixFileDescriptor::operator=(const QDBusUnixFileDescriptor&)
    {23, 288, 0, 0, Smoke::mf_const, 219, 5},	//432 QDBusUnixFileDescriptor::isValid() const
    {23, 258, 0, 0, Smoke::mf_const, 286, 6},	//433 QDBusUnixFileDescriptor::fileDescriptor() const
    {23, 592, 18, 1, 0, 0, 7},	//434 QDBusUnixFileDescriptor::setFileDescriptor(int)
    {23, 265, 18, 1, 0, 0, 8},	//435 QDBusUnixFileDescriptor::giveFileDescriptor(int)
    {23, 607, 0, 0, 0, 286, 9},	//436 QDBusUnixFileDescriptor::takeFileDescriptor()
    {23, 287, 0, 0, Smoke::mf_static, 219, 10},	//437 QDBusUnixFileDescriptor::isSupported()
    {23, 643, 0, 0, Smoke::mf_dtor, 0, 11 },	//438 QDBusUnixFileDescriptor::~QDBusUnixFileDescriptor()
    {25, 295, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 253, 1},	//439 QDBusVirtualObject::metaObject() const
    {25, 535, 1, 1, Smoke::mf_virtual, 313, 2},	//440 QDBusVirtualObject::qt_metacast(const char*)
    {25, 610, 3, 2, Smoke::mf_static, 121, 3},	//441 QDBusVirtualObject::tr(const char*, const char*)
    {25, 614, 3, 2, Smoke::mf_static, 121, 4},	//442 QDBusVirtualObject::trUtf8(const char*, const char*)
    {25, 610, 6, 3, Smoke::mf_static, 121, 5},	//443 QDBusVirtualObject::tr(const char*, const char*, int)
    {25, 614, 6, 3, Smoke::mf_static, 121, 6},	//444 QDBusVirtualObject::trUtf8(const char*, const char*, int)
    {25, 533, 10, 3, Smoke::mf_virtual, 286, 7},	//445 QDBusVirtualObject::qt_metacall(QMetaObject::Call, int, void**)
    {25, 100, 14, 1, Smoke::mf_ctor, 57, 8},	//446 QDBusVirtualObject::QDBusVirtualObject(QObject*)
    {25, 278, 68, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 121, 9},	//447 QDBusVirtualObject::introspect(const QString&) const [pure virtual]
    {25, 267, 391, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 219, 10},	//448 QDBusVirtualObject::handleMessage(const QDBusMessage&, const QDBusConnection&) [pure virtual]
    {25, 610, 1, 1, Smoke::mf_static, 121, 11},	//449 QDBusVirtualObject::tr(const char*)
    {25, 614, 1, 1, Smoke::mf_static, 121, 12},	//450 QDBusVirtualObject::trUtf8(const char*)
    {25, 100, 0, 0, Smoke::mf_ctor, 57, 13},	//451 QDBusVirtualObject::QDBusVirtualObject()
    {25, 605, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 252, 14},	//452 QDBusVirtualObject::staticMetaObject() const
    {25, 644, 0, 0, Smoke::mf_dtor, 0, 15 },	//453 QDBusVirtualObject::~QDBusVirtualObject()
    {33, 350, 394, 2, Smoke::mf_static, 219, 1},	//454 QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    {33, 415, 176, 1, Smoke::mf_static, 301, 2},	//455 QGlobalSpace::qHash(unsigned long long)
    {33, 425, 178, 1, Smoke::mf_static, 219, 3},	//456 QGlobalSpace::qIsInf(double)
    {33, 364, 397, 2, Smoke::mf_static, 103, 4},	//457 QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    {33, 364, 400, 2, Smoke::mf_static, 103, 5},	//458 QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    {33, 518, 403, 2, Smoke::mf_static, 301, 6},	//459 QGlobalSpace::qstrnlen(const char*, unsigned int)
    {33, 437, 406, 3, Smoke::mf_static, 313, 7},	//460 QGlobalSpace::qMemCopy(void*, const void*, size_t)
    {33, 364, 410, 2, Smoke::mf_static, 72, 8},	//461 QGlobalSpace::operator|(QDBusConnection::VirtualObjectRegisterOption, QFlags<QDBusConnection::VirtualObjectRegisterOption>)
    {33, 537, 0, 0, Smoke::mf_static, 0, 9},	//462 QGlobalSpace::qt_noop()
    {33, 340, 413, 2, Smoke::mf_static, 219, 10},	//463 QGlobalSpace::operator==(const char*, const QLatin1String&)
    {33, 326, 416, 2, Smoke::mf_static, 61, 11},	//464 QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    {33, 340, 419, 2, Smoke::mf_static, 219, 12},	//465 QGlobalSpace::operator==(const QStringRef&, const QString&)
    {33, 340, 422, 2, Smoke::mf_static, 219, 13},	//466 QGlobalSpace::operator==(const QSize&, const QSize&)
    {33, 311, 425, 2, Smoke::mf_static, 225, 14},	//467 QGlobalSpace::operator+(const char*, const QByteArray&)
    {33, 364, 428, 2, Smoke::mf_static, 78, 15},	//468 QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    {33, 468, 431, 2, Smoke::mf_static, 219, 16},	//469 QGlobalSpace::qStringComparisonHelper(const QString&, const char*)
    {33, 499, 425, 2, Smoke::mf_static, 286, 17},	//470 QGlobalSpace::qstrcmp(const char*, const QByteArray&)
    {33, 340, 434, 2, Smoke::mf_static, 219, 18},	//471 QGlobalSpace::operator==(const QPointF&, const QPointF&)
    {33, 377, 437, 2, Smoke::mf_static, 283, 19},	//472 QGlobalSpace::qAtan2(double, double)
    {33, 355, 440, 2, Smoke::mf_static, 58, 20},	//473 QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    {33, 350, 443, 2, Smoke::mf_static, 219, 21},	//474 QGlobalSpace::operator>=(const QByteArray&, const char*)
    {33, 425, 446, 1, Smoke::mf_static, 219, 22},	//475 QGlobalSpace::qIsInf(float)
    {33, 490, 1, 1, Smoke::mf_static, 5, 23},	//476 QGlobalSpace::qgetenv(const char*)
    {33, 415, 448, 1, Smoke::mf_static, 301, 24},	//477 QGlobalSpace::qHash(signed char)
    {33, 340, 450, 2, Smoke::mf_static, 219, 25},	//478 QGlobalSpace::operator==(const QString&, const QStringRef&)
    {33, 345, 425, 2, Smoke::mf_static, 219, 26},	//479 QGlobalSpace::operator>(const char*, const QByteArray&)
    {33, 421, 178, 1, Smoke::mf_static, 286, 27},	//480 QGlobalSpace::qIntCast(double)
    {33, 459, 453, 1, Smoke::mf_static, 132, 28},	//481 QGlobalSpace::qSetPadChar(QChar)
    {33, 340, 455, 2, Smoke::mf_static, 219, 29},	//482 QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    {33, 340, 458, 2, Smoke::mf_static, 219, 30},	//483 QGlobalSpace::operator==(QChar, QChar)
    {33, 340, 461, 2, Smoke::mf_static, 219, 31},	//484 QGlobalSpace::operator==(const QDBusVariant&, const QDBusVariant&)
    {33, 364, 464, 2, Smoke::mf_static, 99, 32},	//485 QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    {33, 415, 467, 1, Smoke::mf_static, 301, 33},	//486 QGlobalSpace::qHash(const QUrl&)
    {33, 326, 469, 2, Smoke::mf_static, 13, 34},	//487 QGlobalSpace::operator<<(QDBusArgument&, const QLineF&)
    {33, 415, 190, 1, Smoke::mf_static, 301, 35},	//488 QGlobalSpace::qHash(const QByteArray&)
    {33, 326, 472, 2, Smoke::mf_static, 13, 36},	//489 QGlobalSpace::operator<<(QDBusArgument&, const QPointF&)
    {33, 326, 475, 2, Smoke::mf_static, 61, 37},	//490 QGlobalSpace::operator<<(QDebug, const QUrl&)
    {33, 321, 458, 2, Smoke::mf_static, 219, 38},	//491 QGlobalSpace::operator<(QChar, QChar)
    {33, 350, 458, 2, Smoke::mf_static, 219, 39},	//492 QGlobalSpace::operator>=(QChar, QChar)
    {33, 301, 478, 2, Smoke::mf_static, 219, 40},	//493 QGlobalSpace::operator!=(QString::Null, const QString&)
    {33, 326, 481, 2, Smoke::mf_static, 13, 41},	//494 QGlobalSpace::operator<<(QDBusArgument&, const QList<QVariant>&)
    {33, 321, 425, 2, Smoke::mf_static, 219, 42},	//495 QGlobalSpace::operator<(const char*, const QByteArray&)
    {33, 364, 484, 2, Smoke::mf_static, 98, 43},	//496 QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    {33, 499, 3, 2, Smoke::mf_static, 286, 44},	//497 QGlobalSpace::qstrcmp(const char*, const char*)
    {33, 389, 178, 1, Smoke::mf_static, 283, 45},	//498 QGlobalSpace::qCos(double)
    {33, 364, 487, 2, Smoke::mf_static, 81, 46},	//499 QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    {33, 345, 458, 2, Smoke::mf_static, 219, 47},	//500 QGlobalSpace::operator>(QChar, QChar)
    {33, 326, 490, 2, Smoke::mf_static, 13, 48},	//501 QGlobalSpace::operator<<(QDBusArgument&, const QRectF&)
    {33, 364, 493, 2, Smoke::mf_static, 101, 49},	//502 QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    {33, 308, 496, 2, Smoke::mf_static, 267, 50},	//503 QGlobalSpace::operator*(double, const QSizeF&)
    {33, 463, 0, 0, Smoke::mf_static, 219, 51},	//504 QGlobalSpace::qSharedBuild()
    {33, 364, 499, 2, Smoke::mf_static, 103, 52},	//505 QGlobalSpace::operator|(QDir::Filter, int)
    {33, 301, 394, 2, Smoke::mf_static, 219, 53},	//506 QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    {33, 355, 502, 2, Smoke::mf_static, 228, 54},	//507 QGlobalSpace::operator>>(const QDBusArgument&, QLineF&)
    {33, 316, 505, 2, Smoke::mf_static, 257, 55},	//508 QGlobalSpace::operator-(const QPoint&, const QPoint&)
    {33, 326, 508, 2, Smoke::mf_static, 58, 56},	//509 QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    {33, 364, 511, 2, Smoke::mf_static, 103, 57},	//510 QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    {33, 364, 514, 2, Smoke::mf_static, 97, 58},	//511 QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    {33, 326, 517, 2, Smoke::mf_static, 13, 59},	//512 QGlobalSpace::operator<<(QDBusArgument&, const QDateTime&)
    {33, 415, 520, 1, Smoke::mf_static, 301, 60},	//513 QGlobalSpace::qHash(char)
    {33, 301, 419, 2, Smoke::mf_static, 219, 61},	//514 QGlobalSpace::operator!=(const QStringRef&, const QString&)
    {33, 364, 522, 2, Smoke::mf_static, 84, 62},	//515 QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    {33, 326, 525, 2, Smoke::mf_static, 61, 63},	//516 QGlobalSpace::operator<<(QDebug, const QMargins&)
    {33, 364, 528, 2, Smoke::mf_static, 103, 64},	//517 QGlobalSpace::operator|(QUrl::FormattingOption, int)
    {33, 364, 531, 2, Smoke::mf_static, 103, 65},	//518 QGlobalSpace::operator|(QFile::Permission, int)
    {33, 319, 534, 2, Smoke::mf_static, 257, 66},	//519 QGlobalSpace::operator/(const QPoint&, double)
    {33, 311, 505, 2, Smoke::mf_static, 257, 67},	//520 QGlobalSpace::operator+(const QPoint&, const QPoint&)
    {33, 364, 537, 2, Smoke::mf_static, 76, 68},	//521 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    {33, 311, 540, 2, Smoke::mf_static, 269, 69},	//522 QGlobalSpace::operator+(const QString&, const QByteArray&)
    {33, 316, 543, 2, Smoke::mf_static, 267, 70},	//523 QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    {33, 326, 546, 2, Smoke::mf_static, 61, 71},	//524 QGlobalSpace::operator<<(QDebug, const QPointF&)
    {33, 423, 178, 1, Smoke::mf_static, 219, 72},	//525 QGlobalSpace::qIsFinite(double)
    {33, 480, 549, 4, Smoke::mf_static, 222, 73},	//526 QGlobalSpace::qecvt(long double, int, int*, int*)
    {33, 301, 443, 2, Smoke::mf_static, 219, 74},	//527 QGlobalSpace::operator!=(const QByteArray&, const char*)
    {33, 364, 554, 2, Smoke::mf_static, 93, 75},	//528 QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    {33, 326, 557, 2, Smoke::mf_static, 61, 76},	//529 QGlobalSpace::operator<<(QDebug, const QLineF&)
    {33, 326, 560, 2, Smoke::mf_static, 61, 77},	//530 QGlobalSpace::operator<<(QDebug, const QDateTime&)
    {33, 321, 563, 2, Smoke::mf_static, 219, 78},	//531 QGlobalSpace::operator<(const char*, const QString&)
    {33, 364, 566, 2, Smoke::mf_static, 85, 79},	//532 QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    {33, 311, 422, 2, Smoke::mf_static, 265, 80},	//533 QGlobalSpace::operator+(const QSize&, const QSize&)
    {33, 364, 569, 2, Smoke::mf_static, 99, 81},	//534 QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    {33, 364, 572, 2, Smoke::mf_static, 90, 82},	//535 QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    {33, 529, 18, 1, Smoke::mf_static, 121, 83},	//536 QGlobalSpace::qt_error_string(int)
    {33, 529, 0, 0, Smoke::mf_static, 121, 84},	//537 QGlobalSpace::qt_error_string()
    {33, 311, 543, 2, Smoke::mf_static, 267, 85},	//538 QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    {33, 364, 575, 2, Smoke::mf_static, 103, 86},	//539 QGlobalSpace::operator|(QLocale::NumberOption, int)
    {33, 321, 578, 2, Smoke::mf_static, 219, 87},	//540 QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    {33, 473, 581, 2, Smoke::mf_static, 5, 88},	//541 QGlobalSpace::qUncompress(const unsigned char*, int)
    {33, 512, 584, 3, Smoke::mf_static, 286, 89},	//542 QGlobalSpace::qstrncmp(const char*, const char*, unsigned int)
    {33, 471, 178, 1, Smoke::mf_static, 283, 90},	//543 QGlobalSpace::qTan(double)
    {33, 345, 413, 2, Smoke::mf_static, 219, 91},	//544 QGlobalSpace::operator>(const char*, const QLatin1String&)
    {33, 301, 588, 2, Smoke::mf_static, 219, 92},	//545 QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    {33, 457, 18, 1, Smoke::mf_static, 132, 93},	//546 QGlobalSpace::qSetFieldWidth(int)
    {33, 301, 591, 2, Smoke::mf_static, 219, 94},	//547 QGlobalSpace::operator!=(const QDBusSignature&, const QDBusSignature&)
    {33, 364, 594, 2, Smoke::mf_static, 88, 95},	//548 QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    {33, 321, 591, 2, Smoke::mf_static, 219, 96},	//549 QGlobalSpace::operator<(const QDBusSignature&, const QDBusSignature&)
    {33, 405, 178, 1, Smoke::mf_static, 286, 97},	//550 QGlobalSpace::qFloor(double)
    {33, 326, 597, 2, Smoke::mf_static, 61, 98},	//551 QGlobalSpace::operator<<(QDebug, const QPoint&)
    {33, 355, 600, 2, Smoke::mf_static, 58, 99},	//552 QGlobalSpace::operator>>(QDataStream&, QLocale&)
    {33, 423, 446, 1, Smoke::mf_static, 219, 100},	//553 QGlobalSpace::qIsFinite(float)
    {33, 311, 603, 2, Smoke::mf_static, 269, 101},	//554 QGlobalSpace::operator+(const QString&, QChar)
    {33, 301, 606, 2, Smoke::mf_static, 219, 102},	//555 QGlobalSpace::operator!=(QString::Null, QString::Null)
    {33, 478, 609, 3, Smoke::mf_static, 0, 103},	//556 QGlobalSpace::qbswap_helper(const unsigned char*, unsigned char*, int)
    {33, 311, 443, 2, Smoke::mf_static, 225, 104},	//557 QGlobalSpace::operator+(const QByteArray&, const char*)
    {33, 364, 613, 2, Smoke::mf_static, 83, 105},	//558 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    {33, 311, 431, 2, Smoke::mf_static, 269, 106},	//559 QGlobalSpace::operator+(const QString&, const char*)
    {33, 345, 578, 2, Smoke::mf_static, 219, 107},	//560 QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    {33, 364, 616, 2, Smoke::mf_static, 96, 108},	//561 QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    {33, 446, 619, 4, Smoke::mf_static, 313, 109},	//562 QGlobalSpace::qReallocAligned(void*, size_t, size_t, size_t)
    {33, 311, 624, 2, Smoke::mf_static, 269, 110},	//563 QGlobalSpace::operator+(const QByteArray&, const QString&)
    {33, 415, 172, 1, Smoke::mf_static, 301, 111},	//564 QGlobalSpace::qHash(unsigned int)
    {33, 364, 627, 2, Smoke::mf_static, 98, 112},	//565 QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    {33, 415, 453, 1, Smoke::mf_static, 301, 113},	//566 QGlobalSpace::qHash(QChar)
    {33, 333, 443, 2, Smoke::mf_static, 219, 114},	//567 QGlobalSpace::operator<=(const QByteArray&, const char*)
    {33, 421, 446, 1, Smoke::mf_static, 286, 115},	//568 QGlobalSpace::qIntCast(float)
    {33, 340, 630, 2, Smoke::mf_static, 219, 116},	//569 QGlobalSpace::operator==(const QRect&, const QRect&)
    {33, 364, 633, 2, Smoke::mf_static, 77, 117},	//570 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    {33, 362, 636, 2, Smoke::mf_static, 2, 118},	//571 QGlobalSpace::operator^(const QBitArray&, const QBitArray&)
    {33, 345, 639, 2, Smoke::mf_static, 219, 119},	//572 QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    {33, 444, 642, 2, Smoke::mf_static, 313, 120},	//573 QGlobalSpace::qRealloc(void*, size_t)
    {33, 415, 68, 1, Smoke::mf_static, 301, 121},	//574 QGlobalSpace::qHash(const QString&)
    {33, 333, 578, 2, Smoke::mf_static, 219, 122},	//575 QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    {33, 326, 645, 2, Smoke::mf_static, 58, 123},	//576 QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    {33, 326, 648, 2, Smoke::mf_static, 61, 124},	//577 QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    {33, 454, 178, 1, Smoke::mf_static, 292, 125},	//578 QGlobalSpace::qRound64(double)
    {33, 419, 651, 1, Smoke::mf_static, 311, 126},	//579 QGlobalSpace::qInstallMsgHandler(void(*)(QtMsgType,const char*))
    {33, 466, 178, 1, Smoke::mf_static, 283, 127},	//580 QGlobalSpace::qSqrt(double)
    {33, 415, 653, 1, Smoke::mf_static, 301, 128},	//581 QGlobalSpace::qHash(const QModelIndex&)
    {33, 399, 178, 1, Smoke::mf_static, 283, 129},	//582 QGlobalSpace::qFastCos(double)
    {33, 355, 655, 2, Smoke::mf_static, 58, 130},	//583 QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    {33, 340, 658, 2, Smoke::mf_static, 219, 131},	//584 QGlobalSpace::operator==(QBool, QBool)
    {33, 340, 661, 2, Smoke::mf_static, 219, 132},	//585 QGlobalSpace::operator==(const char*, const QStringRef&)
    {33, 364, 664, 2, Smoke::mf_static, 103, 133},	//586 QGlobalSpace::operator|(Qt::ToolBarArea, int)
    {33, 301, 563, 2, Smoke::mf_static, 219, 134},	//587 QGlobalSpace::operator!=(const char*, const QString&)
    {33, 427, 446, 1, Smoke::mf_static, 219, 135},	//588 QGlobalSpace::qIsNaN(float)
    {33, 415, 184, 1, Smoke::mf_static, 301, 136},	//589 QGlobalSpace::qHash(const QDBusSignature&)
    {33, 333, 639, 2, Smoke::mf_static, 219, 137},	//590 QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    {33, 403, 1, 1, Smoke::mf_static, 280, 138},	//591 QGlobalSpace::qFlagLocation(const char*)
    {33, 326, 667, 2, Smoke::mf_static, 61, 139},	//592 QGlobalSpace::operator<<(QDebug, const QDBusMessage&)
    {33, 364, 670, 2, Smoke::mf_static, 103, 140},	//593 QGlobalSpace::operator|(Qt::InputMethodHint, int)
    {33, 427, 178, 1, Smoke::mf_static, 219, 141},	//594 QGlobalSpace::qIsNaN(double)
    {33, 311, 673, 2, Smoke::mf_static, 269, 142},	//595 QGlobalSpace::operator+(QChar, const QString&)
    {33, 364, 676, 2, Smoke::mf_static, 103, 143},	//596 QGlobalSpace::operator|(QString::SectionFlag, int)
    {33, 364, 679, 2, Smoke::mf_static, 103, 144},	//597 QGlobalSpace::operator|(QLibrary::LoadHint, int)
    {33, 355, 682, 2, Smoke::mf_static, 58, 145},	//598 QGlobalSpace::operator>>(QDataStream&, QUrl&)
    {33, 523, 6, 3, Smoke::mf_static, 0, 146},	//599 QGlobalSpace::qt_assert(const char*, const char*, int)
    {33, 326, 685, 2, Smoke::mf_static, 13, 147},	//600 QGlobalSpace::operator<<(QDBusArgument&, const QHash<QString,QVariant>&)
    {33, 415, 174, 1, Smoke::mf_static, 301, 148},	//601 QGlobalSpace::qHash(long long)
    {33, 301, 688, 2, Smoke::mf_static, 219, 149},	//602 QGlobalSpace::operator!=(const QString&, QString::Null)
    {33, 484, 549, 4, Smoke::mf_static, 222, 150},	//603 QGlobalSpace::qfcvt(long double, int, int*, int*)
    {33, 364, 691, 2, Smoke::mf_static, 103, 151},	//604 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    {33, 364, 694, 2, Smoke::mf_static, 83, 152},	//605 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    {33, 311, 697, 2, Smoke::mf_static, 269, 153},	//606 QGlobalSpace::operator+(const QString&, char)
    {33, 355, 700, 2, Smoke::mf_static, 228, 154},	//607 QGlobalSpace::operator>>(const QDBusArgument&, QDate&)
    {33, 301, 455, 2, Smoke::mf_static, 219, 155},	//608 QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    {33, 316, 434, 2, Smoke::mf_static, 259, 156},	//609 QGlobalSpace::operator-(const QPointF&, const QPointF&)
    {33, 340, 606, 2, Smoke::mf_static, 219, 157},	//610 QGlobalSpace::operator==(QString::Null, QString::Null)
    {33, 364, 703, 2, Smoke::mf_static, 91, 158},	//611 QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    {33, 321, 639, 2, Smoke::mf_static, 219, 159},	//612 QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    {33, 364, 706, 2, Smoke::mf_static, 101, 160},	//613 QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    {33, 413, 446, 1, Smoke::mf_static, 219, 161},	//614 QGlobalSpace::qFuzzyIsNull(float)
    {33, 326, 709, 2, Smoke::mf_static, 13, 162},	//615 QGlobalSpace::operator<<(QDBusArgument&, const QLine&)
    {33, 326, 712, 2, Smoke::mf_static, 13, 163},	//616 QGlobalSpace::operator<<(QDBusArgument&, const QTime&)
    {33, 364, 715, 2, Smoke::mf_static, 95, 164},	//617 QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    {33, 504, 718, 2, Smoke::mf_static, 222, 165},	//618 QGlobalSpace::qstrcpy(char*, const char*)
    {33, 415, 18, 1, Smoke::mf_static, 301, 166},	//619 QGlobalSpace::qHash(int)
    {33, 311, 434, 2, Smoke::mf_static, 259, 167},	//620 QGlobalSpace::operator+(const QPointF&, const QPointF&)
    {33, 364, 721, 2, Smoke::mf_static, 86, 168},	//621 QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    {33, 340, 543, 2, Smoke::mf_static, 219, 169},	//622 QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    {33, 316, 724, 1, Smoke::mf_static, 257, 170},	//623 QGlobalSpace::operator-(const QPoint&)
    {33, 364, 726, 2, Smoke::mf_static, 103, 171},	//624 QGlobalSpace::operator|(Qt::DropAction, int)
    {33, 326, 729, 2, Smoke::mf_static, 58, 172},	//625 QGlobalSpace::operator<<(QDataStream&, const QTime&)
    {33, 364, 732, 2, Smoke::mf_static, 103, 173},	//626 QGlobalSpace::operator|(QDir::SortFlag, int)
    {33, 395, 178, 1, Smoke::mf_static, 283, 174},	//627 QGlobalSpace::qExp(double)
    {33, 461, 18, 1, Smoke::mf_static, 132, 175},	//628 QGlobalSpace::qSetRealNumberPrecision(int)
    {33, 340, 735, 2, Smoke::mf_static, 219, 176},	//629 QGlobalSpace::operator==(const QMargins&, const QMargins&)
    {33, 364, 738, 2, Smoke::mf_static, 73, 177},	//630 QGlobalSpace::operator|(QDBusServiceWatcher::WatchModeFlag, QFlags<QDBusServiceWatcher::WatchModeFlag>)
    {33, 431, 178, 1, Smoke::mf_static, 283, 178},	//631 QGlobalSpace::qLn(double)
    {33, 301, 543, 2, Smoke::mf_static, 219, 179},	//632 QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    {33, 448, 741, 1, Smoke::mf_static, 0, 180},	//633 QGlobalSpace::qRegisterStaticPluginInstanceFunction(QObject*(*)())
    {33, 382, 403, 2, Smoke::mf_static, 306, 181},	//634 QGlobalSpace::qChecksum(const char*, unsigned int)
    {33, 364, 743, 2, Smoke::mf_static, 94, 182},	//635 QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    {33, 433, 746, 1, Smoke::mf_static, 313, 183},	//636 QGlobalSpace::qMalloc(size_t)
    {33, 443, 0, 0, Smoke::mf_static, 283, 184},	//637 QGlobalSpace::qQNaN()
    {33, 364, 748, 2, Smoke::mf_static, 87, 185},	//638 QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    {33, 355, 751, 2, Smoke::mf_static, 58, 186},	//639 QGlobalSpace::operator>>(QDataStream&, QStringList&)
    {33, 492, 425, 2, Smoke::mf_static, 219, 187},	//640 QGlobalSpace::qputenv(const char*, const QByteArray&)
    {33, 326, 754, 2, Smoke::mf_static, 61, 188},	//641 QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    {33, 364, 757, 2, Smoke::mf_static, 103, 189},	//642 QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    {33, 497, 172, 1, Smoke::mf_static, 0, 190},	//643 QGlobalSpace::qsrand(unsigned int)
    {33, 415, 760, 1, Smoke::mf_static, 301, 191},	//644 QGlobalSpace::qHash(long)
    {33, 308, 762, 2, Smoke::mf_static, 257, 192},	//645 QGlobalSpace::operator*(int, const QPoint&)
    {33, 326, 765, 2, Smoke::mf_static, 13, 193},	//646 QGlobalSpace::operator<<(QDBusArgument&, const QRect&)
    {33, 340, 591, 2, Smoke::mf_static, 219, 194},	//647 QGlobalSpace::operator==(const QDBusSignature&, const QDBusSignature&)
    {33, 345, 394, 2, Smoke::mf_static, 219, 195},	//648 QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    {33, 415, 170, 1, Smoke::mf_static, 301, 196},	//649 QGlobalSpace::qHash(unsigned short)
    {33, 355, 768, 2, Smoke::mf_static, 58, 197},	//650 QGlobalSpace::operator>>(QDataStream&, QLineF&)
    {33, 301, 434, 2, Smoke::mf_static, 219, 198},	//651 QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    {33, 364, 771, 2, Smoke::mf_static, 78, 199},	//652 QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    {33, 516, 584, 3, Smoke::mf_static, 286, 200},	//653 QGlobalSpace::qstrnicmp(const char*, const char*, unsigned int)
    {33, 311, 774, 2, Smoke::mf_static, 269, 201},	//654 QGlobalSpace::operator+(char, const QString&)
    {33, 301, 777, 2, Smoke::mf_static, 219, 202},	//655 QGlobalSpace::operator!=(const QDBusObjectPath&, const QDBusObjectPath&)
    {33, 355, 780, 2, Smoke::mf_static, 58, 203},	//656 QGlobalSpace::operator>>(QDataStream&, QSize&)
    {33, 340, 478, 2, Smoke::mf_static, 219, 204},	//657 QGlobalSpace::operator==(QString::Null, const QString&)
    {33, 340, 588, 2, Smoke::mf_static, 219, 205},	//658 QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    {33, 311, 639, 2, Smoke::mf_static, 225, 206},	//659 QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    {33, 415, 783, 1, Smoke::mf_static, 301, 207},	//660 QGlobalSpace::qHash(const QPersistentModelIndex&)
    {33, 345, 563, 2, Smoke::mf_static, 219, 208},	//661 QGlobalSpace::operator>(const char*, const QString&)
    {33, 326, 785, 2, Smoke::mf_static, 58, 209},	//662 QGlobalSpace::operator<<(QDataStream&, const QString&)
    {33, 326, 788, 2, Smoke::mf_static, 58, 210},	//663 QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    {33, 538, 791, 3, Smoke::mf_static, 112, 211},	//664 QGlobalSpace::qt_qFindChild_helper(const QObject*, const QString&, const QMetaObject&)
    {33, 364, 795, 2, Smoke::mf_static, 82, 212},	//665 QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    {33, 364, 798, 2, Smoke::mf_static, 73, 213},	//666 QGlobalSpace::operator|(QDBusServiceWatcher::WatchModeFlag, QDBusServiceWatcher::WatchModeFlag)
    {33, 319, 801, 2, Smoke::mf_static, 259, 214},	//667 QGlobalSpace::operator/(const QPointF&, double)
    {33, 301, 804, 2, Smoke::mf_static, 219, 215},	//668 QGlobalSpace::operator!=(bool, QBool)
    {33, 340, 578, 2, Smoke::mf_static, 219, 216},	//669 QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    {33, 514, 807, 3, Smoke::mf_static, 222, 217},	//670 QGlobalSpace::qstrncpy(char*, const char*, unsigned int)
    {33, 355, 811, 2, Smoke::mf_static, 228, 218},	//671 QGlobalSpace::operator>>(const QDBusArgument&, QPointF&)
    {33, 473, 190, 1, Smoke::mf_static, 5, 219},	//672 QGlobalSpace::qUncompress(const QByteArray&)
    {33, 326, 814, 2, Smoke::mf_static, 58, 220},	//673 QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    {33, 355, 817, 2, Smoke::mf_static, 58, 221},	//674 QGlobalSpace::operator>>(QDataStream&, QVariant&)
    {33, 364, 820, 2, Smoke::mf_static, 103, 222},	//675 QGlobalSpace::operator|(Qt::MouseButton, int)
    {33, 316, 823, 1, Smoke::mf_static, 259, 223},	//676 QGlobalSpace::operator-(const QPointF&)
    {33, 340, 804, 2, Smoke::mf_static, 219, 224},	//677 QGlobalSpace::operator==(bool, QBool)
    {33, 494, 0, 0, Smoke::mf_static, 286, 225},	//678 QGlobalSpace::qrand()
    {33, 364, 825, 2, Smoke::mf_static, 71, 226},	//679 QGlobalSpace::operator|(QDBusConnection::RegisterOption, QFlags<QDBusConnection::RegisterOption>)
    {33, 326, 828, 2, Smoke::mf_static, 61, 227},	//680 QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    {33, 392, 831, 3, Smoke::mf_static, 0, 228},	//681 QGlobalSpace::qDBusReplyFill(const QDBusMessage&, QDBusError&, QVariant&)
    {33, 525, 835, 4, Smoke::mf_static, 0, 229},	//682 QGlobalSpace::qt_assert_x(const char*, const char*, const char*, int)
    {33, 308, 840, 2, Smoke::mf_static, 257, 230},	//683 QGlobalSpace::operator*(float, const QPoint&)
    {33, 306, 636, 2, Smoke::mf_static, 2, 231},	//684 QGlobalSpace::operator&(const QBitArray&, const QBitArray&)
    {33, 350, 425, 2, Smoke::mf_static, 219, 232},	//685 QGlobalSpace::operator>=(const char*, const QByteArray&)
    {33, 364, 843, 2, Smoke::mf_static, 96, 233},	//686 QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    {33, 364, 846, 2, Smoke::mf_static, 103, 234},	//687 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    {33, 301, 849, 2, Smoke::mf_static, 219, 235},	//688 QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    {33, 391, 0, 0, Smoke::mf_static, 61, 236},	//689 QGlobalSpace::qCritical()
    {33, 326, 852, 2, Smoke::mf_static, 13, 237},	//690 QGlobalSpace::operator<<(QDBusArgument&, const QSize&)
    {33, 364, 855, 2, Smoke::mf_static, 90, 238},	//691 QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    {33, 301, 425, 2, Smoke::mf_static, 219, 239},	//692 QGlobalSpace::operator!=(const char*, const QByteArray&)
    {33, 301, 505, 2, Smoke::mf_static, 219, 240},	//693 QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    {33, 321, 413, 2, Smoke::mf_static, 219, 241},	//694 QGlobalSpace::operator<(const char*, const QLatin1String&)
    {33, 340, 849, 2, Smoke::mf_static, 219, 242},	//695 QGlobalSpace::operator==(const QRectF&, const QRectF&)
    {33, 326, 858, 2, Smoke::mf_static, 58, 243},	//696 QGlobalSpace::operator<<(QDataStream&, const QStringList&)
    {33, 311, 861, 2, Smoke::mf_static, 225, 244},	//697 QGlobalSpace::operator+(const QByteArray&, char)
    {33, 364, 864, 2, Smoke::mf_static, 76, 245},	//698 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    {33, 364, 867, 2, Smoke::mf_static, 74, 246},	//699 QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    {33, 355, 870, 2, Smoke::mf_static, 58, 247},	//700 QGlobalSpace::operator>>(QDataStream&, QPoint&)
    {33, 326, 873, 2, Smoke::mf_static, 61, 248},	//701 QGlobalSpace::operator<<(QDebug, const QDBusError&)
    {33, 319, 876, 2, Smoke::mf_static, 267, 249},	//702 QGlobalSpace::operator/(const QSizeF&, double)
    {33, 350, 578, 2, Smoke::mf_static, 219, 250},	//703 QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    {33, 326, 879, 2, Smoke::mf_static, 58, 251},	//704 QGlobalSpace::operator<<(QDataStream&, const QDate&)
    {33, 340, 505, 2, Smoke::mf_static, 219, 252},	//705 QGlobalSpace::operator==(const QPoint&, const QPoint&)
    {33, 370, 882, 1, Smoke::mf_static, 0, 253},	//706 QGlobalSpace::qAddPostRoutine(void(*)())
    {33, 384, 884, 3, Smoke::mf_static, 5, 254},	//707 QGlobalSpace::qCompress(const unsigned char*, int, int)
    {33, 384, 581, 2, Smoke::mf_static, 5, 255},	//708 QGlobalSpace::qCompress(const unsigned char*, int)
    {33, 333, 425, 2, Smoke::mf_static, 219, 256},	//709 QGlobalSpace::operator<=(const char*, const QByteArray&)
    {33, 401, 178, 1, Smoke::mf_static, 283, 257},	//710 QGlobalSpace::qFastSin(double)
    {33, 333, 394, 2, Smoke::mf_static, 219, 258},	//711 QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    {33, 326, 888, 2, Smoke::mf_static, 58, 259},	//712 QGlobalSpace::operator<<(QDataStream&, const QLine&)
    {33, 355, 891, 2, Smoke::mf_static, 58, 260},	//713 QGlobalSpace::operator>>(QDataStream&, QString&)
    {33, 372, 0, 0, Smoke::mf_static, 121, 261},	//714 QGlobalSpace::qAppName()
    {33, 476, 0, 0, Smoke::mf_static, 280, 262},	//715 QGlobalSpace::qVersion()
    {33, 355, 894, 2, Smoke::mf_static, 228, 263},	//716 QGlobalSpace::operator>>(const QDBusArgument&, QDateTime&)
    {33, 355, 897, 2, Smoke::mf_static, 228, 264},	//717 QGlobalSpace::operator>>(const QDBusArgument&, QRectF&)
    {33, 407, 900, 1, Smoke::mf_static, 0, 265},	//718 QGlobalSpace::qFree(void*)
    {33, 364, 902, 2, Smoke::mf_static, 103, 266},	//719 QGlobalSpace::operator|(Qt::ItemFlag, int)
    {33, 409, 900, 1, Smoke::mf_static, 0, 267},	//720 QGlobalSpace::qFreeAligned(void*)
    {33, 340, 688, 2, Smoke::mf_static, 219, 268},	//721 QGlobalSpace::operator==(const QString&, QString::Null)
    {33, 326, 905, 2, Smoke::mf_static, 61, 269},	//722 QGlobalSpace::operator<<(QDebug, const QDir&)
    {33, 326, 908, 2, Smoke::mf_static, 129, 270},	//723 QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    {33, 321, 443, 2, Smoke::mf_static, 219, 271},	//724 QGlobalSpace::operator<(const QByteArray&, const char*)
    {33, 326, 911, 2, Smoke::mf_static, 61, 272},	//725 QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    {33, 355, 914, 2, Smoke::mf_static, 228, 273},	//726 QGlobalSpace::operator>>(const QDBusArgument&, QTime&)
    {33, 364, 917, 2, Smoke::mf_static, 77, 274},	//727 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    {33, 415, 920, 1, Smoke::mf_static, 301, 275},	//728 QGlobalSpace::qHash(const QBitArray&)
    {33, 326, 922, 2, Smoke::mf_static, 61, 276},	//729 QGlobalSpace::operator<<(QDebug, const QTime&)
    {33, 326, 925, 2, Smoke::mf_static, 129, 277},	//730 QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    {33, 380, 178, 1, Smoke::mf_static, 286, 278},	//731 QGlobalSpace::qCeil(double)
    {33, 301, 458, 2, Smoke::mf_static, 219, 279},	//732 QGlobalSpace::operator!=(QChar, QChar)
    {33, 364, 928, 2, Smoke::mf_static, 89, 280},	//733 QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    {33, 468, 931, 2, Smoke::mf_static, 219, 281},	//734 QGlobalSpace::qStringComparisonHelper(const QStringRef&, const char*)
    {33, 506, 1, 1, Smoke::mf_static, 222, 282},	//735 QGlobalSpace::qstrdup(const char*)
    {33, 364, 934, 2, Smoke::mf_static, 71, 283},	//736 QGlobalSpace::operator|(QDBusConnection::RegisterOption, QDBusConnection::RegisterOption)
    {33, 355, 937, 2, Smoke::mf_static, 58, 284},	//737 QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    {33, 333, 563, 2, Smoke::mf_static, 219, 285},	//738 QGlobalSpace::operator<=(const char*, const QString&)
    {33, 301, 661, 2, Smoke::mf_static, 219, 286},	//739 QGlobalSpace::operator!=(const char*, const QStringRef&)
    {33, 326, 940, 2, Smoke::mf_static, 13, 287},	//740 QGlobalSpace::operator<<(QDBusArgument&, const QMap<QString,QVariant>&)
    {33, 394, 0, 0, Smoke::mf_static, 61, 288},	//741 QGlobalSpace::qDebug()
    {33, 435, 943, 2, Smoke::mf_static, 313, 289},	//742 QGlobalSpace::qMallocAligned(size_t, size_t)
    {33, 301, 931, 2, Smoke::mf_static, 219, 290},	//743 QGlobalSpace::operator!=(const QStringRef&, const char*)
    {33, 415, 182, 1, Smoke::mf_static, 301, 291},	//744 QGlobalSpace::qHash(const QDBusObjectPath&)
    {33, 482, 946, 6, Smoke::mf_static, 286, 292},	//745 QGlobalSpace::qecvt_r(long double, int, int*, int*, char*, size_t)
    {33, 355, 953, 2, Smoke::mf_static, 228, 293},	//746 QGlobalSpace::operator>>(const QDBusArgument&, QPoint&)
    {33, 441, 437, 2, Smoke::mf_static, 283, 294},	//747 QGlobalSpace::qPow(double, double)
    {33, 333, 413, 2, Smoke::mf_static, 219, 295},	//748 QGlobalSpace::operator<=(const char*, const QLatin1String&)
    {33, 326, 956, 2, Smoke::mf_static, 61, 296},	//749 QGlobalSpace::operator<<(QDebug, const QSizeF&)
    {33, 364, 959, 2, Smoke::mf_static, 103, 297},	//750 QGlobalSpace::operator|(Qt::GestureFlag, int)
    {33, 355, 908, 2, Smoke::mf_static, 129, 298},	//751 QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    {33, 311, 962, 2, Smoke::mf_static, 225, 299},	//752 QGlobalSpace::operator+(char, const QByteArray&)
    {33, 340, 425, 2, Smoke::mf_static, 219, 300},	//753 QGlobalSpace::operator==(const char*, const QByteArray&)
    {33, 326, 965, 2, Smoke::mf_static, 58, 301},	//754 QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    {33, 355, 968, 2, Smoke::mf_static, 228, 302},	//755 QGlobalSpace::operator>>(const QDBusArgument&, QSizeF&)
    {33, 316, 422, 2, Smoke::mf_static, 265, 303},	//756 QGlobalSpace::operator-(const QSize&, const QSize&)
    {33, 355, 971, 2, Smoke::mf_static, 228, 304},	//757 QGlobalSpace::operator>>(const QDBusArgument&, QSize&)
    {33, 326, 974, 2, Smoke::mf_static, 61, 305},	//758 QGlobalSpace::operator<<(QDebug, const QVariant&)
    {33, 311, 563, 2, Smoke::mf_static, 269, 306},	//759 QGlobalSpace::operator+(const char*, const QString&)
    {33, 364, 977, 2, Smoke::mf_static, 103, 307},	//760 QGlobalSpace::operator|(Qt::WindowState, int)
    {33, 355, 980, 2, Smoke::mf_static, 58, 308},	//761 QGlobalSpace::operator>>(QDataStream&, QTime&)
    {33, 301, 735, 2, Smoke::mf_static, 219, 309},	//762 QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    {33, 326, 983, 2, Smoke::mf_static, 61, 310},	//763 QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    {33, 364, 986, 2, Smoke::mf_static, 93, 311},	//764 QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    {33, 308, 989, 2, Smoke::mf_static, 259, 312},	//765 QGlobalSpace::operator*(double, const QPointF&)
    {33, 355, 992, 2, Smoke::mf_static, 58, 313},	//766 QGlobalSpace::operator>>(QDataStream&, QEasingCurve&)
    {33, 364, 995, 2, Smoke::mf_static, 88, 314},	//767 QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    {33, 340, 394, 2, Smoke::mf_static, 219, 315},	//768 QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    {33, 308, 998, 2, Smoke::mf_static, 265, 316},	//769 QGlobalSpace::operator*(const QSize&, double)
    {33, 326, 1001, 2, Smoke::mf_static, 61, 317},	//770 QGlobalSpace::operator<<(QDebug, const QDate&)
    {33, 364, 1004, 2, Smoke::mf_static, 103, 318},	//771 QGlobalSpace::operator|(QDBusConnection::VirtualObjectRegisterOption, int)
    {33, 364, 1007, 2, Smoke::mf_static, 74, 319},	//772 QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    {33, 544, 1010, 4, Smoke::mf_static, 286, 320},	//773 QGlobalSpace::qvsnprintf(char*, size_t, const char*, va_list)
    {33, 308, 1015, 2, Smoke::mf_static, 257, 321},	//774 QGlobalSpace::operator*(double, const QPoint&)
    {33, 439, 1018, 3, Smoke::mf_static, 313, 322},	//775 QGlobalSpace::qMemSet(void*, int, size_t)
    {33, 326, 1022, 2, Smoke::mf_static, 58, 323},	//776 QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    {33, 527, 1025, 2, Smoke::mf_static, 0, 324},	//777 QGlobalSpace::qt_check_pointer(const char*, int)
    {33, 415, 168, 1, Smoke::mf_static, 301, 325},	//778 QGlobalSpace::qHash(short)
    {33, 364, 1028, 2, Smoke::mf_static, 79, 326},	//779 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    {33, 397, 178, 1, Smoke::mf_static, 283, 327},	//780 QGlobalSpace::qFabs(double)
    {33, 364, 1031, 2, Smoke::mf_static, 87, 328},	//781 QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    {33, 364, 1034, 2, Smoke::mf_static, 75, 329},	//782 QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    {33, 499, 639, 2, Smoke::mf_static, 286, 330},	//783 QGlobalSpace::qstrcmp(const QByteArray&, const QByteArray&)
    {33, 411, 1037, 2, Smoke::mf_static, 219, 331},	//784 QGlobalSpace::qFuzzyCompare(float, float)
    {33, 340, 1040, 2, Smoke::mf_static, 219, 332},	//785 QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    {33, 364, 1043, 2, Smoke::mf_static, 80, 333},	//786 QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    {33, 486, 946, 6, Smoke::mf_static, 286, 334},	//787 QGlobalSpace::qfcvt_r(long double, int, int*, int*, char*, size_t)
    {33, 488, 1046, 3, Smoke::mf_static, 222, 335},	//788 QGlobalSpace::qgcvt(long double, int, char*)
    {33, 495, 1050, 4, Smoke::mf_static, 0, 336},	//789 QGlobalSpace::qsort(void*, size_t, size_t, int(*)(const void*,const void*))
    {33, 368, 178, 1, Smoke::mf_static, 283, 337},	//790 QGlobalSpace::qAcos(double)
    {33, 364, 1055, 2, Smoke::mf_static, 103, 338},	//791 QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    {33, 364, 1058, 2, Smoke::mf_static, 91, 339},	//792 QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    {33, 355, 1061, 2, Smoke::mf_static, 228, 340},	//793 QGlobalSpace::operator>>(const QDBusArgument&, QRect&)
    {33, 350, 639, 2, Smoke::mf_static, 219, 341},	//794 QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    {33, 379, 0, 0, Smoke::mf_static, 0, 342},	//795 QGlobalSpace::qBadAlloc()
    {33, 326, 1064, 2, Smoke::mf_static, 61, 343},	//796 QGlobalSpace::operator<<(QDebug, const QLine&)
    {33, 364, 1067, 2, Smoke::mf_static, 97, 344},	//797 QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    {33, 364, 1070, 2, Smoke::mf_static, 103, 345},	//798 QGlobalSpace::operator|(Qt::TouchPointState, int)
    {33, 413, 178, 1, Smoke::mf_static, 219, 346},	//799 QGlobalSpace::qFuzzyIsNull(double)
    {33, 384, 1073, 2, Smoke::mf_static, 5, 347},	//800 QGlobalSpace::qCompress(const QByteArray&, int)
    {33, 384, 190, 1, Smoke::mf_static, 5, 348},	//801 QGlobalSpace::qCompress(const QByteArray&)
    {33, 364, 1076, 2, Smoke::mf_static, 85, 349},	//802 QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    {33, 364, 1079, 2, Smoke::mf_static, 103, 350},	//803 QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    {33, 364, 1082, 2, Smoke::mf_static, 100, 351},	//804 QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    {33, 364, 1085, 2, Smoke::mf_static, 69, 352},	//805 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    {33, 326, 1088, 2, Smoke::mf_static, 58, 353},	//806 QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    {33, 326, 1091, 2, Smoke::mf_static, 58, 354},	//807 QGlobalSpace::operator<<(QDataStream&, const QEasingCurve&)
    {33, 326, 1094, 2, Smoke::mf_static, 58, 355},	//808 QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    {33, 373, 178, 1, Smoke::mf_static, 283, 356},	//809 QGlobalSpace::qAsin(double)
    {33, 326, 1097, 2, Smoke::mf_static, 61, 357},	//810 QGlobalSpace::operator<<(QDebug, const QRect&)
    {33, 355, 1100, 2, Smoke::mf_static, 228, 358},	//811 QGlobalSpace::operator>>(const QDBusArgument&, QVariant&)
    {33, 364, 1103, 2, Smoke::mf_static, 75, 359},	//812 QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    {33, 301, 630, 2, Smoke::mf_static, 219, 360},	//813 QGlobalSpace::operator!=(const QRect&, const QRect&)
    {33, 464, 178, 1, Smoke::mf_static, 283, 361},	//814 QGlobalSpace::qSin(double)
    {33, 364, 1106, 2, Smoke::mf_static, 103, 362},	//815 QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    {33, 340, 639, 2, Smoke::mf_static, 219, 363},	//816 QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    {33, 355, 1109, 2, Smoke::mf_static, 58, 364},	//817 QGlobalSpace::operator>>(QDataStream&, QRect&)
    {33, 364, 636, 2, Smoke::mf_static, 2, 365},	//818 QGlobalSpace::operator|(const QBitArray&, const QBitArray&)
    {33, 326, 1112, 2, Smoke::mf_static, 58, 366},	//819 QGlobalSpace::operator<<(QDataStream&, const QSize&)
    {33, 326, 1115, 2, Smoke::mf_static, 58, 367},	//820 QGlobalSpace::operator<<(QDataStream&, const QChar&)
    {33, 364, 1118, 2, Smoke::mf_static, 103, 368},	//821 QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    {33, 326, 1121, 2, Smoke::mf_static, 58, 369},	//822 QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    {33, 520, 1025, 2, Smoke::mf_static, 121, 370},	//823 QGlobalSpace::qtTrId(const char*, int)
    {33, 520, 1, 1, Smoke::mf_static, 121, 371},	//824 QGlobalSpace::qtTrId(const char*)
    {33, 326, 1124, 2, Smoke::mf_static, 61, 372},	//825 QGlobalSpace::operator<<(QDebug, const QRectF&)
    {33, 333, 458, 2, Smoke::mf_static, 219, 373},	//826 QGlobalSpace::operator<=(QChar, QChar)
    {33, 355, 1127, 2, Smoke::mf_static, 228, 374},	//827 QGlobalSpace::operator>>(const QDBusArgument&, QLine&)
    {33, 364, 1130, 2, Smoke::mf_static, 100, 375},	//828 QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    {33, 301, 1040, 2, Smoke::mf_static, 219, 376},	//829 QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    {33, 364, 1133, 2, Smoke::mf_static, 92, 377},	//830 QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    {33, 355, 1136, 2, Smoke::mf_static, 58, 378},	//831 QGlobalSpace::operator>>(QDataStream&, QUuid&)
    {33, 308, 1139, 2, Smoke::mf_static, 257, 379},	//832 QGlobalSpace::operator*(const QPoint&, int)
    {33, 355, 1142, 2, Smoke::mf_static, 58, 380},	//833 QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    {33, 542, 1145, 3, Smoke::mf_static, 219, 381},	//834 QGlobalSpace::qvariant_cast_helper(const QVariant&, QVariant::Type, void*)
    {33, 319, 998, 2, Smoke::mf_static, 265, 382},	//835 QGlobalSpace::operator/(const QSize&, double)
    {33, 429, 446, 1, Smoke::mf_static, 219, 383},	//836 QGlobalSpace::qIsNull(float)
    {33, 364, 1149, 2, Smoke::mf_static, 72, 384},	//837 QGlobalSpace::operator|(QDBusConnection::VirtualObjectRegisterOption, QDBusConnection::VirtualObjectRegisterOption)
    {33, 326, 1152, 2, Smoke::mf_static, 13, 385},	//838 QGlobalSpace::operator<<(QDBusArgument&, const QDate&)
    {33, 540, 1155, 5, Smoke::mf_static, 0, 386},	//839 QGlobalSpace::qt_qFindChildren_helper(const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*)
    {33, 340, 1161, 2, Smoke::mf_static, 219, 387},	//840 QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    {33, 375, 178, 1, Smoke::mf_static, 283, 388},	//841 QGlobalSpace::qAtan(double)
    {33, 355, 1164, 2, Smoke::mf_static, 58, 389},	//842 QGlobalSpace::operator>>(QDataStream&, QPointF&)
    {33, 364, 1167, 2, Smoke::mf_static, 103, 390},	//843 QGlobalSpace::operator|(Qt::Orientation, int)
    {33, 411, 437, 2, Smoke::mf_static, 219, 391},	//844 QGlobalSpace::qFuzzyCompare(double, double)
    {33, 301, 413, 2, Smoke::mf_static, 219, 392},	//845 QGlobalSpace::operator!=(const char*, const QLatin1String&)
    {33, 308, 534, 2, Smoke::mf_static, 257, 393},	//846 QGlobalSpace::operator*(const QPoint&, double)
    {33, 364, 1170, 2, Smoke::mf_static, 89, 394},	//847 QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    {33, 364, 1173, 2, Smoke::mf_static, 79, 395},	//848 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    {33, 456, 0, 0, Smoke::mf_static, 283, 396},	//849 QGlobalSpace::qSNaN()
    {33, 340, 777, 2, Smoke::mf_static, 219, 397},	//850 QGlobalSpace::operator==(const QDBusObjectPath&, const QDBusObjectPath&)
    {33, 340, 443, 2, Smoke::mf_static, 219, 398},	//851 QGlobalSpace::operator==(const QByteArray&, const char*)
    {33, 308, 876, 2, Smoke::mf_static, 267, 399},	//852 QGlobalSpace::operator*(const QSizeF&, double)
    {33, 340, 931, 2, Smoke::mf_static, 219, 400},	//853 QGlobalSpace::operator==(const QStringRef&, const char*)
    {33, 364, 1176, 2, Smoke::mf_static, 103, 401},	//854 QGlobalSpace::operator|(QDBusConnection::RegisterOption, int)
    {33, 308, 1179, 2, Smoke::mf_static, 257, 402},	//855 QGlobalSpace::operator*(const QPoint&, float)
    {33, 308, 1182, 2, Smoke::mf_static, 265, 403},	//856 QGlobalSpace::operator*(double, const QSize&)
    {33, 326, 1185, 2, Smoke::mf_static, 13, 404},	//857 QGlobalSpace::operator<<(QDBusArgument&, const QSizeF&)
    {33, 321, 394, 2, Smoke::mf_static, 219, 405},	//858 QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    {33, 301, 1188, 2, Smoke::mf_static, 219, 406},	//859 QGlobalSpace::operator!=(QBool, bool)
    {33, 301, 422, 2, Smoke::mf_static, 219, 407},	//860 QGlobalSpace::operator!=(const QSize&, const QSize&)
    {33, 355, 1191, 2, Smoke::mf_static, 58, 408},	//861 QGlobalSpace::operator>>(QDataStream&, QLine&)
    {33, 326, 1194, 2, Smoke::mf_static, 61, 409},	//862 QGlobalSpace::operator<<(QDebug, const QSize&)
    {33, 301, 578, 2, Smoke::mf_static, 219, 410},	//863 QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    {33, 364, 1197, 2, Smoke::mf_static, 84, 411},	//864 QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    {33, 308, 801, 2, Smoke::mf_static, 259, 412},	//865 QGlobalSpace::operator*(const QPointF&, double)
    {33, 508, 3, 2, Smoke::mf_static, 286, 413},	//866 QGlobalSpace::qstricmp(const char*, const char*)
    {33, 364, 1200, 2, Smoke::mf_static, 95, 414},	//867 QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    {33, 321, 777, 2, Smoke::mf_static, 219, 415},	//868 QGlobalSpace::operator<(const QDBusObjectPath&, const QDBusObjectPath&)
    {33, 301, 450, 2, Smoke::mf_static, 219, 416},	//869 QGlobalSpace::operator!=(const QString&, const QStringRef&)
    {33, 452, 178, 1, Smoke::mf_static, 286, 417},	//870 QGlobalSpace::qRound(double)
    {33, 418, 0, 0, Smoke::mf_static, 283, 418},	//871 QGlobalSpace::qInf()
    {33, 326, 1203, 2, Smoke::mf_static, 58, 419},	//872 QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    {33, 364, 1206, 2, Smoke::mf_static, 92, 420},	//873 QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    {33, 326, 1209, 2, Smoke::mf_static, 58, 421},	//874 QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    {33, 364, 1212, 2, Smoke::mf_static, 80, 422},	//875 QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    {33, 364, 1215, 2, Smoke::mf_static, 103, 423},	//876 QGlobalSpace::operator|(Qt::WindowType, int)
    {33, 499, 443, 2, Smoke::mf_static, 286, 424},	//877 QGlobalSpace::qstrcmp(const QByteArray&, const char*)
    {33, 450, 882, 1, Smoke::mf_static, 0, 425},	//878 QGlobalSpace::qRemovePostRoutine(void(*)())
    {33, 355, 1218, 2, Smoke::mf_static, 58, 426},	//879 QGlobalSpace::operator>>(QDataStream&, QRectF&)
    {33, 326, 1221, 2, Smoke::mf_static, 58, 427},	//880 QGlobalSpace::operator<<(QDataStream&, const QRect&)
    {33, 364, 1224, 2, Smoke::mf_static, 94, 428},	//881 QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    {33, 364, 1227, 2, Smoke::mf_static, 103, 429},	//882 QGlobalSpace::operator|(QDBusServiceWatcher::WatchModeFlag, int)
    {33, 364, 1230, 2, Smoke::mf_static, 86, 430},	//883 QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    {33, 477, 0, 0, Smoke::mf_static, 61, 431},	//884 QGlobalSpace::qWarning()
    {33, 510, 1, 1, Smoke::mf_static, 301, 432},	//885 QGlobalSpace::qstrlen(const char*)
    {33, 340, 1188, 2, Smoke::mf_static, 219, 433},	//886 QGlobalSpace::operator==(QBool, bool)
    {33, 355, 1233, 2, Smoke::mf_static, 58, 434},	//887 QGlobalSpace::operator>>(QDataStream&, QChar&)
    {33, 355, 1236, 2, Smoke::mf_static, 58, 435},	//888 QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    {33, 415, 1239, 1, Smoke::mf_static, 301, 436},	//889 QGlobalSpace::qHash(unsigned long)
    {33, 326, 1241, 2, Smoke::mf_static, 58, 437},	//890 QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    {33, 326, 1244, 2, Smoke::mf_static, 58, 438},	//891 QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    {33, 364, 1247, 2, Smoke::mf_static, 81, 439},	//892 QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    {33, 340, 563, 2, Smoke::mf_static, 219, 440},	//893 QGlobalSpace::operator==(const char*, const QString&)
    {33, 364, 1250, 2, Smoke::mf_static, 82, 441},	//894 QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    {33, 311, 289, 2, Smoke::mf_static, 269, 442},	//895 QGlobalSpace::operator+(const QString&, const QString&)
    {33, 301, 658, 2, Smoke::mf_static, 219, 443},	//896 QGlobalSpace::operator!=(QBool, QBool)
    {33, 364, 1253, 2, Smoke::mf_static, 69, 444},	//897 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    {33, 531, 1256, 2, Smoke::mf_static, 0, 445},	//898 QGlobalSpace::qt_message_output(QtMsgType, const char*)
    {33, 350, 563, 2, Smoke::mf_static, 219, 446},	//899 QGlobalSpace::operator>=(const char*, const QString&)
    {33, 415, 1259, 1, Smoke::mf_static, 301, 447},	//900 QGlobalSpace::qHash(const QStringRef&)
    {33, 429, 178, 1, Smoke::mf_static, 219, 448},	//901 QGlobalSpace::qIsNull(double)
    {33, 364, 1261, 2, Smoke::mf_static, 103, 449},	//902 QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    {33, 350, 413, 2, Smoke::mf_static, 219, 450},	//903 QGlobalSpace::operator>=(const char*, const QLatin1String&)
    {33, 345, 443, 2, Smoke::mf_static, 219, 451},	//904 QGlobalSpace::operator>(const QByteArray&, const char*)
    {33, 415, 166, 1, Smoke::mf_static, 301, 452},	//905 QGlobalSpace::qHash(unsigned char)
    {33, 355, 1264, 2, Smoke::mf_static, 58, 453},	//906 QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    {33, 326, 1267, 2, Smoke::mf_static, 61, 454},	//907 QGlobalSpace::operator<<(QDebug, const QObject*)
    {33, 364, 1270, 2, Smoke::mf_static, 103, 455},	//908 QGlobalSpace::operator|(Qt::MatchFlag, int)
    {33, 301, 639, 2, Smoke::mf_static, 219, 456},	//909 QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    {33, 326, 1273, 2, Smoke::mf_static, 13, 457},	//910 QGlobalSpace::operator<<(QDBusArgument&, const QPoint&)
    {33, 355, 1276, 2, Smoke::mf_static, 58, 458},	//911 QGlobalSpace::operator>>(QDataStream&, QDate&)
    {33, 326, 1279, 2, Smoke::mf_static, 58, 459},	//912 QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    {33, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 460},	//913 QGlobalSpace::_IEEE_ (enum)
    {33, 136, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 461},	//914 QGlobalSpace::_SVID_ (enum)
    {33, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 462},	//915 QGlobalSpace::_XOPEN_ (enum)
    {33, 135, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 463},	//916 QGlobalSpace::_POSIX_ (enum)
    {33, 134, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 464},	//917 QGlobalSpace::_ISOC_ (enum)
    {33, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 216, 465},	//918 QGlobalSpace::QtDebugMsg (enum)
    {33, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 216, 466},	//919 QGlobalSpace::QtWarningMsg (enum)
    {33, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 216, 467},	//920 QGlobalSpace::QtCriticalMsg (enum)
    {33, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 216, 468},	//921 QGlobalSpace::QtFatalMsg (enum)
    {33, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 216, 469},	//922 QGlobalSpace::QtSystemMsg (enum)
    {33, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 470},	//923 QGlobalSpace::__codecvt_ok (enum)
    {33, 141, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 471},	//924 QGlobalSpace::__codecvt_partial (enum)
    {33, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 472},	//925 QGlobalSpace::__codecvt_error (enum)
    {33, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 473},	//926 QGlobalSpace::__codecvt_noconv (enum)
    {43, 295, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 253, 0},	//927 QObject::metaObject() const
    {43, 535, 1, 1, Smoke::mf_virtual, 313, 0},	//928 QObject::qt_metacast(const char*)
    {43, 256, 1282, 1, Smoke::mf_virtual, 219, 0},	//929 QObject::event(QEvent*)
    {43, 257, 1284, 2, Smoke::mf_virtual, 219, 0},	//930 QObject::eventFilter(QObject*, QEvent*)
    {43, 609, 1287, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//931 QObject::timerEvent(QTimerEvent*)
    {43, 206, 1289, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//932 QObject::childEvent(QChildEvent*)
    {43, 234, 1282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//933 QObject::customEvent(QEvent*)
    {43, 211, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//934 QObject::connectNotify(const char*)
    {43, 245, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//935 QObject::disconnectNotify(const char*)
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    315,  // QDBusMessage::createError(const QString&, const QString&)
    317,  // QDBusMessage::createError(QDBusError::ErrorType, const QString&)
    0,
    320,  // QDBusMessage::createErrorReply(const QString, const QString&) const
    322,  // QDBusMessage::createErrorReply(QDBusError::ErrorType, const QString&) const
    0,
    260,  // QDBusContext::sendErrorReply(const QString&) const
    261,  // QDBusContext::sendErrorReply(QDBusError::ErrorType) const
    0,
    257,  // QDBusContext::sendErrorReply(const QString&, const QString&) const
    258,  // QDBusContext::sendErrorReply(QDBusError::ErrorType, const QString&) const
    0,
    152,  // QDBusConnection::callWithCallback(const QDBusMessage&, QObject*, const char*, int) const
    178,  // QDBusConnection::callWithCallback(const QDBusMessage&, QObject*, const char*, const char*) const
    0,
    169,  // QDBusConnection::connectToBus(QDBusConnection::BusType, const QString&)
    170,  // QDBusConnection::connectToBus(const QString&, const QString&)
    0,
    263,  // QDBusError::QDBusError(const DBusError*)
    264,  // QDBusError::QDBusError(const QDBusMessage&)
    266,  // QDBusError::QDBusError(const QDBusError&)
    0,
    506,  // QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    545,  // QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    555,  // QGlobalSpace::operator!=(QString::Null, QString::Null)
    608,  // QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    632,  // QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    651,  // QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    688,  // QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    693,  // QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    732,  // QGlobalSpace::operator!=(QChar, QChar)
    762,  // QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    813,  // QGlobalSpace::operator!=(const QRect&, const QRect&)
    829,  // QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    860,  // QGlobalSpace::operator!=(const QSize&, const QSize&)
    863,  // QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    896,  // QGlobalSpace::operator!=(QBool, QBool)
    909,  // QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    0,
    493,  // QGlobalSpace::operator!=(QString::Null, const QString&)
    514,  // QGlobalSpace::operator!=(const QStringRef&, const QString&)
    527,  // QGlobalSpace::operator!=(const QByteArray&, const char*)
    743,  // QGlobalSpace::operator!=(const QStringRef&, const char*)
    859,  // QGlobalSpace::operator!=(QBool, bool)
    0,
    602,  // QGlobalSpace::operator!=(const QString&, QString::Null)
    668,  // QGlobalSpace::operator!=(bool, QBool)
    692,  // QGlobalSpace::operator!=(const char*, const QByteArray&)
    739,  // QGlobalSpace::operator!=(const char*, const QStringRef&)
    845,  // QGlobalSpace::operator!=(const char*, const QLatin1String&)
    869,  // QGlobalSpace::operator!=(const QString&, const QStringRef&)
    0,
    547,  // QGlobalSpace::operator!=(const QDBusSignature&, const QDBusSignature&)
    587,  // QGlobalSpace::operator!=(const char*, const QString&)
    655,  // QGlobalSpace::operator!=(const QDBusObjectPath&, const QDBusObjectPath&)
    0,
    769,  // QGlobalSpace::operator*(const QSize&, double)
    832,  // QGlobalSpace::operator*(const QPoint&, int)
    846,  // QGlobalSpace::operator*(const QPoint&, double)
    852,  // QGlobalSpace::operator*(const QSizeF&, double)
    855,  // QGlobalSpace::operator*(const QPoint&, float)
    865,  // QGlobalSpace::operator*(const QPointF&, double)
    0,
    503,  // QGlobalSpace::operator*(double, const QSizeF&)
    645,  // QGlobalSpace::operator*(int, const QPoint&)
    683,  // QGlobalSpace::operator*(float, const QPoint&)
    765,  // QGlobalSpace::operator*(double, const QPointF&)
    774,  // QGlobalSpace::operator*(double, const QPoint&)
    856,  // QGlobalSpace::operator*(double, const QSize&)
    0,
    520,  // QGlobalSpace::operator+(const QPoint&, const QPoint&)
    533,  // QGlobalSpace::operator+(const QSize&, const QSize&)
    538,  // QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    620,  // QGlobalSpace::operator+(const QPointF&, const QPointF&)
    659,  // QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    0,
    557,  // QGlobalSpace::operator+(const QByteArray&, const char*)
    563,  // QGlobalSpace::operator+(const QByteArray&, const QString&)
    595,  // QGlobalSpace::operator+(QChar, const QString&)
    697,  // QGlobalSpace::operator+(const QByteArray&, char)
    0,
    467,  // QGlobalSpace::operator+(const char*, const QByteArray&)
    522,  // QGlobalSpace::operator+(const QString&, const QByteArray&)
    554,  // QGlobalSpace::operator+(const QString&, QChar)
    752,  // QGlobalSpace::operator+(char, const QByteArray&)
    0,
    559,  // QGlobalSpace::operator+(const QString&, const char*)
    606,  // QGlobalSpace::operator+(const QString&, char)
    654,  // QGlobalSpace::operator+(char, const QString&)
    759,  // QGlobalSpace::operator+(const char*, const QString&)
    895,  // QGlobalSpace::operator+(const QString&, const QString&)
    0,
    623,  // QGlobalSpace::operator-(const QPoint&)
    676,  // QGlobalSpace::operator-(const QPointF&)
    0,
    508,  // QGlobalSpace::operator-(const QPoint&, const QPoint&)
    523,  // QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    609,  // QGlobalSpace::operator-(const QPointF&, const QPointF&)
    756,  // QGlobalSpace::operator-(const QSize&, const QSize&)
    0,
    519,  // QGlobalSpace::operator/(const QPoint&, double)
    667,  // QGlobalSpace::operator/(const QPointF&, double)
    702,  // QGlobalSpace::operator/(const QSizeF&, double)
    835,  // QGlobalSpace::operator/(const QSize&, double)
    0,
    491,  // QGlobalSpace::operator<(QChar, QChar)
    540,  // QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    612,  // QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    858,  // QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    0,
    495,  // QGlobalSpace::operator<(const char*, const QByteArray&)
    694,  // QGlobalSpace::operator<(const char*, const QLatin1String&)
    0,
    531,  // QGlobalSpace::operator<(const char*, const QString&)
    549,  // QGlobalSpace::operator<(const QDBusSignature&, const QDBusSignature&)
    868,  // QGlobalSpace::operator<(const QDBusObjectPath&, const QDBusObjectPath&)
    0,
    487,  // QGlobalSpace::operator<<(QDBusArgument&, const QLineF&)
    489,  // QGlobalSpace::operator<<(QDBusArgument&, const QPointF&)
    490,  // QGlobalSpace::operator<<(QDebug, const QUrl&)
    501,  // QGlobalSpace::operator<<(QDBusArgument&, const QRectF&)
    509,  // QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    512,  // QGlobalSpace::operator<<(QDBusArgument&, const QDateTime&)
    516,  // QGlobalSpace::operator<<(QDebug, const QMargins&)
    524,  // QGlobalSpace::operator<<(QDebug, const QPointF&)
    529,  // QGlobalSpace::operator<<(QDebug, const QLineF&)
    530,  // QGlobalSpace::operator<<(QDebug, const QDateTime&)
    551,  // QGlobalSpace::operator<<(QDebug, const QPoint&)
    576,  // QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    577,  // QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    592,  // QGlobalSpace::operator<<(QDebug, const QDBusMessage&)
    615,  // QGlobalSpace::operator<<(QDBusArgument&, const QLine&)
    616,  // QGlobalSpace::operator<<(QDBusArgument&, const QTime&)
    625,  // QGlobalSpace::operator<<(QDataStream&, const QTime&)
    646,  // QGlobalSpace::operator<<(QDBusArgument&, const QRect&)
    663,  // QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    673,  // QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    680,  // QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    690,  // QGlobalSpace::operator<<(QDBusArgument&, const QSize&)
    701,  // QGlobalSpace::operator<<(QDebug, const QDBusError&)
    704,  // QGlobalSpace::operator<<(QDataStream&, const QDate&)
    712,  // QGlobalSpace::operator<<(QDataStream&, const QLine&)
    722,  // QGlobalSpace::operator<<(QDebug, const QDir&)
    723,  // QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    725,  // QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    729,  // QGlobalSpace::operator<<(QDebug, const QTime&)
    730,  // QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    749,  // QGlobalSpace::operator<<(QDebug, const QSizeF&)
    754,  // QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    758,  // QGlobalSpace::operator<<(QDebug, const QVariant&)
    770,  // QGlobalSpace::operator<<(QDebug, const QDate&)
    776,  // QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    796,  // QGlobalSpace::operator<<(QDebug, const QLine&)
    806,  // QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    807,  // QGlobalSpace::operator<<(QDataStream&, const QEasingCurve&)
    808,  // QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    810,  // QGlobalSpace::operator<<(QDebug, const QRect&)
    819,  // QGlobalSpace::operator<<(QDataStream&, const QSize&)
    820,  // QGlobalSpace::operator<<(QDataStream&, const QChar&)
    822,  // QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    825,  // QGlobalSpace::operator<<(QDebug, const QRectF&)
    838,  // QGlobalSpace::operator<<(QDBusArgument&, const QDate&)
    857,  // QGlobalSpace::operator<<(QDBusArgument&, const QSizeF&)
    862,  // QGlobalSpace::operator<<(QDebug, const QSize&)
    874,  // QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    880,  // QGlobalSpace::operator<<(QDataStream&, const QRect&)
    890,  // QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    891,  // QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    907,  // QGlobalSpace::operator<<(QDebug, const QObject*)
    910,  // QGlobalSpace::operator<<(QDBusArgument&, const QPoint&)
    912,  // QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    0,
    464,  // QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    641,  // QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    662,  // QGlobalSpace::operator<<(QDataStream&, const QString&)
    763,  // QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    872,  // QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    0,
    494,  // QGlobalSpace::operator<<(QDBusArgument&, const QList<QVariant>&)
    600,  // QGlobalSpace::operator<<(QDBusArgument&, const QHash<QString,QVariant>&)
    696,  // QGlobalSpace::operator<<(QDataStream&, const QStringList&)
    740,  // QGlobalSpace::operator<<(QDBusArgument&, const QMap<QString,QVariant>&)
    0,
    575,  // QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    590,  // QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    711,  // QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    826,  // QGlobalSpace::operator<=(QChar, QChar)
    0,
    709,  // QGlobalSpace::operator<=(const char*, const QByteArray&)
    748,  // QGlobalSpace::operator<=(const char*, const QLatin1String&)
    0,
    466,  // QGlobalSpace::operator==(const QSize&, const QSize&)
    471,  // QGlobalSpace::operator==(const QPointF&, const QPointF&)
    482,  // QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    483,  // QGlobalSpace::operator==(QChar, QChar)
    484,  // QGlobalSpace::operator==(const QDBusVariant&, const QDBusVariant&)
    569,  // QGlobalSpace::operator==(const QRect&, const QRect&)
    584,  // QGlobalSpace::operator==(QBool, QBool)
    610,  // QGlobalSpace::operator==(QString::Null, QString::Null)
    622,  // QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    629,  // QGlobalSpace::operator==(const QMargins&, const QMargins&)
    658,  // QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    669,  // QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    695,  // QGlobalSpace::operator==(const QRectF&, const QRectF&)
    705,  // QGlobalSpace::operator==(const QPoint&, const QPoint&)
    768,  // QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    785,  // QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    816,  // QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    840,  // QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    0,
    465,  // QGlobalSpace::operator==(const QStringRef&, const QString&)
    657,  // QGlobalSpace::operator==(QString::Null, const QString&)
    851,  // QGlobalSpace::operator==(const QByteArray&, const char*)
    853,  // QGlobalSpace::operator==(const QStringRef&, const char*)
    886,  // QGlobalSpace::operator==(QBool, bool)
    0,
    463,  // QGlobalSpace::operator==(const char*, const QLatin1String&)
    478,  // QGlobalSpace::operator==(const QString&, const QStringRef&)
    585,  // QGlobalSpace::operator==(const char*, const QStringRef&)
    677,  // QGlobalSpace::operator==(bool, QBool)
    721,  // QGlobalSpace::operator==(const QString&, QString::Null)
    753,  // QGlobalSpace::operator==(const char*, const QByteArray&)
    0,
    647,  // QGlobalSpace::operator==(const QDBusSignature&, const QDBusSignature&)
    850,  // QGlobalSpace::operator==(const QDBusObjectPath&, const QDBusObjectPath&)
    893,  // QGlobalSpace::operator==(const char*, const QString&)
    0,
    500,  // QGlobalSpace::operator>(QChar, QChar)
    560,  // QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    572,  // QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    648,  // QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    0,
    479,  // QGlobalSpace::operator>(const char*, const QByteArray&)
    544,  // QGlobalSpace::operator>(const char*, const QLatin1String&)
    0,
    454,  // QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    492,  // QGlobalSpace::operator>=(QChar, QChar)
    703,  // QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    794,  // QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    0,
    685,  // QGlobalSpace::operator>=(const char*, const QByteArray&)
    903,  // QGlobalSpace::operator>=(const char*, const QLatin1String&)
    0,
    473,  // QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    507,  // QGlobalSpace::operator>>(const QDBusArgument&, QLineF&)
    552,  // QGlobalSpace::operator>>(QDataStream&, QLocale&)
    583,  // QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    598,  // QGlobalSpace::operator>>(QDataStream&, QUrl&)
    607,  // QGlobalSpace::operator>>(const QDBusArgument&, QDate&)
    650,  // QGlobalSpace::operator>>(QDataStream&, QLineF&)
    656,  // QGlobalSpace::operator>>(QDataStream&, QSize&)
    671,  // QGlobalSpace::operator>>(const QDBusArgument&, QPointF&)
    674,  // QGlobalSpace::operator>>(QDataStream&, QVariant&)
    700,  // QGlobalSpace::operator>>(QDataStream&, QPoint&)
    716,  // QGlobalSpace::operator>>(const QDBusArgument&, QDateTime&)
    717,  // QGlobalSpace::operator>>(const QDBusArgument&, QRectF&)
    726,  // QGlobalSpace::operator>>(const QDBusArgument&, QTime&)
    737,  // QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    746,  // QGlobalSpace::operator>>(const QDBusArgument&, QPoint&)
    751,  // QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    755,  // QGlobalSpace::operator>>(const QDBusArgument&, QSizeF&)
    757,  // QGlobalSpace::operator>>(const QDBusArgument&, QSize&)
    761,  // QGlobalSpace::operator>>(QDataStream&, QTime&)
    766,  // QGlobalSpace::operator>>(QDataStream&, QEasingCurve&)
    793,  // QGlobalSpace::operator>>(const QDBusArgument&, QRect&)
    811,  // QGlobalSpace::operator>>(const QDBusArgument&, QVariant&)
    817,  // QGlobalSpace::operator>>(QDataStream&, QRect&)
    827,  // QGlobalSpace::operator>>(const QDBusArgument&, QLine&)
    831,  // QGlobalSpace::operator>>(QDataStream&, QUuid&)
    842,  // QGlobalSpace::operator>>(QDataStream&, QPointF&)
    861,  // QGlobalSpace::operator>>(QDataStream&, QLine&)
    879,  // QGlobalSpace::operator>>(QDataStream&, QRectF&)
    887,  // QGlobalSpace::operator>>(QDataStream&, QChar&)
    888,  // QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    906,  // QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    911,  // QGlobalSpace::operator>>(QDataStream&, QDate&)
    0,
    713,  // QGlobalSpace::operator>>(QDataStream&, QString&)
    833,  // QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    0,
    457,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    458,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    461,  // QGlobalSpace::operator|(QDBusConnection::VirtualObjectRegisterOption, QFlags<QDBusConnection::VirtualObjectRegisterOption>)
    468,  // QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    485,  // QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    496,  // QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    499,  // QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    502,  // QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    505,  // QGlobalSpace::operator|(QDir::Filter, int)
    510,  // QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    511,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    515,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    517,  // QGlobalSpace::operator|(QUrl::FormattingOption, int)
    518,  // QGlobalSpace::operator|(QFile::Permission, int)
    521,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    528,  // QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    532,  // QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    534,  // QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    535,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    539,  // QGlobalSpace::operator|(QLocale::NumberOption, int)
    548,  // QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    558,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    561,  // QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    565,  // QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    570,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    586,  // QGlobalSpace::operator|(Qt::ToolBarArea, int)
    593,  // QGlobalSpace::operator|(Qt::InputMethodHint, int)
    596,  // QGlobalSpace::operator|(QString::SectionFlag, int)
    597,  // QGlobalSpace::operator|(QLibrary::LoadHint, int)
    604,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    605,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    611,  // QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    613,  // QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    617,  // QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    621,  // QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    624,  // QGlobalSpace::operator|(Qt::DropAction, int)
    626,  // QGlobalSpace::operator|(QDir::SortFlag, int)
    630,  // QGlobalSpace::operator|(QDBusServiceWatcher::WatchModeFlag, QFlags<QDBusServiceWatcher::WatchModeFlag>)
    635,  // QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    638,  // QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    642,  // QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    652,  // QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    665,  // QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    666,  // QGlobalSpace::operator|(QDBusServiceWatcher::WatchModeFlag, QDBusServiceWatcher::WatchModeFlag)
    675,  // QGlobalSpace::operator|(Qt::MouseButton, int)
    679,  // QGlobalSpace::operator|(QDBusConnection::RegisterOption, QFlags<QDBusConnection::RegisterOption>)
    686,  // QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    687,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    691,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    698,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    699,  // QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    719,  // QGlobalSpace::operator|(Qt::ItemFlag, int)
    727,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    733,  // QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    736,  // QGlobalSpace::operator|(QDBusConnection::RegisterOption, QDBusConnection::RegisterOption)
    750,  // QGlobalSpace::operator|(Qt::GestureFlag, int)
    760,  // QGlobalSpace::operator|(Qt::WindowState, int)
    764,  // QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    767,  // QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    771,  // QGlobalSpace::operator|(QDBusConnection::VirtualObjectRegisterOption, int)
    772,  // QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    779,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    781,  // QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    782,  // QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    786,  // QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    791,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    792,  // QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    797,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    798,  // QGlobalSpace::operator|(Qt::TouchPointState, int)
    802,  // QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    803,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    804,  // QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    805,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    812,  // QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    815,  // QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    821,  // QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    828,  // QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    830,  // QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    837,  // QGlobalSpace::operator|(QDBusConnection::VirtualObjectRegisterOption, QDBusConnection::VirtualObjectRegisterOption)
    843,  // QGlobalSpace::operator|(Qt::Orientation, int)
    847,  // QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    848,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    854,  // QGlobalSpace::operator|(QDBusConnection::RegisterOption, int)
    864,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    867,  // QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    873,  // QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    875,  // QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    876,  // QGlobalSpace::operator|(Qt::WindowType, int)
    881,  // QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    882,  // QGlobalSpace::operator|(QDBusServiceWatcher::WatchModeFlag, int)
    883,  // QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    892,  // QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    894,  // QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    897,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    902,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    908,  // QGlobalSpace::operator|(Qt::MatchFlag, int)
    0,
    784,  // QGlobalSpace::qFuzzyCompare(float, float)
    844,  // QGlobalSpace::qFuzzyCompare(double, double)
    0,
    614,  // QGlobalSpace::qFuzzyIsNull(float)
    799,  // QGlobalSpace::qFuzzyIsNull(double)
    0,
    486,  // QGlobalSpace::qHash(const QUrl&)
    488,  // QGlobalSpace::qHash(const QByteArray&)
    566,  // QGlobalSpace::qHash(QChar)
    581,  // QGlobalSpace::qHash(const QModelIndex&)
    660,  // QGlobalSpace::qHash(const QPersistentModelIndex&)
    728,  // QGlobalSpace::qHash(const QBitArray&)
    900,  // QGlobalSpace::qHash(const QStringRef&)
    0,
    455,  // QGlobalSpace::qHash(unsigned long long)
    477,  // QGlobalSpace::qHash(signed char)
    513,  // QGlobalSpace::qHash(char)
    564,  // QGlobalSpace::qHash(unsigned int)
    574,  // QGlobalSpace::qHash(const QString&)
    589,  // QGlobalSpace::qHash(const QDBusSignature&)
    601,  // QGlobalSpace::qHash(long long)
    619,  // QGlobalSpace::qHash(int)
    644,  // QGlobalSpace::qHash(long)
    649,  // QGlobalSpace::qHash(unsigned short)
    744,  // QGlobalSpace::qHash(const QDBusObjectPath&)
    778,  // QGlobalSpace::qHash(short)
    889,  // QGlobalSpace::qHash(unsigned long)
    905,  // QGlobalSpace::qHash(unsigned char)
    0,
    480,  // QGlobalSpace::qIntCast(double)
    568,  // QGlobalSpace::qIntCast(float)
    0,
    525,  // QGlobalSpace::qIsFinite(double)
    553,  // QGlobalSpace::qIsFinite(float)
    0,
    456,  // QGlobalSpace::qIsInf(double)
    475,  // QGlobalSpace::qIsInf(float)
    0,
    588,  // QGlobalSpace::qIsNaN(float)
    594,  // QGlobalSpace::qIsNaN(double)
    0,
    836,  // QGlobalSpace::qIsNull(float)
    901,  // QGlobalSpace::qIsNull(double)
    0,
    103,  // QDBusArgument::beginMapEntry()
    130,  // QDBusArgument::beginMapEntry() const
    0,
    97,  // QDBusArgument::beginStructure()
    124,  // QDBusArgument::beginStructure() const
    0,
    100,  // QDBusArgument::endArray()
    127,  // QDBusArgument::endArray() const
    0,
    102,  // QDBusArgument::endMap()
    129,  // QDBusArgument::endMap() const
    0,
    104,  // QDBusArgument::endMapEntry()
    131,  // QDBusArgument::endMapEntry() const
    0,
    98,  // QDBusArgument::endStructure()
    125,  // QDBusArgument::endStructure() const
    0,
    91,  // QDBusArgument::operator<<(const QDBusVariant&)
    94,  // QDBusArgument::operator<<(const QDBusUnixFileDescriptor&)
    96,  // QDBusArgument::operator<<(const QByteArray&)
    0,
    81,  // QDBusArgument::operator<<(unsigned char)
    82,  // QDBusArgument::operator<<(bool)
    83,  // QDBusArgument::operator<<(short)
    84,  // QDBusArgument::operator<<(unsigned short)
    85,  // QDBusArgument::operator<<(int)
    86,  // QDBusArgument::operator<<(unsigned int)
    87,  // QDBusArgument::operator<<(long long)
    88,  // QDBusArgument::operator<<(unsigned long long)
    89,  // QDBusArgument::operator<<(double)
    90,  // QDBusArgument::operator<<(const QString&)
    92,  // QDBusArgument::operator<<(const QDBusObjectPath&)
    93,  // QDBusArgument::operator<<(const QDBusSignature&)
    0,
    118,  // QDBusArgument::operator>>(QDBusVariant&) const
    121,  // QDBusArgument::operator>>(QDBusUnixFileDescriptor&) const
    123,  // QDBusArgument::operator>>(QByteArray&) const
    0,
    108,  // QDBusArgument::operator>>(unsigned char&) const
    109,  // QDBusArgument::operator>>(bool&) const
    110,  // QDBusArgument::operator>>(short&) const
    111,  // QDBusArgument::operator>>(unsigned short&) const
    112,  // QDBusArgument::operator>>(int&) const
    113,  // QDBusArgument::operator>>(unsigned int&) const
    114,  // QDBusArgument::operator>>(long long&) const
    115,  // QDBusArgument::operator>>(unsigned long long&) const
    116,  // QDBusArgument::operator>>(double&) const
    117,  // QDBusArgument::operator>>(QString&) const
    119,  // QDBusArgument::operator>>(QDBusObjectPath&) const
    120,  // QDBusArgument::operator>>(QDBusSignature&) const
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {7, 6, 4},	// QDBus::AutoDetect
    {7, 9, 2},	// QDBus::Block
    {7, 10, 3},	// QDBus::BlockWithGui
    {7, 53, 1},	// QDBus::NoBlock
    {8, 62, 12},	// QDBusAbstractAdaptor::QDBusAbstractAdaptor#
    {8, 164, 14},	// QDBusAbstractAdaptor::autoRelaySignals
    {8, 295, 5},	// QDBusAbstractAdaptor::metaObject
    {8, 534, 11},	// QDBusAbstractAdaptor::qt_metacall$$?
    {8, 536, 6},	// QDBusAbstractAdaptor::qt_metacast$
    {8, 585, 13},	// QDBusAbstractAdaptor::setAutoRelaySignals$
    {8, 605, 17},	// QDBusAbstractAdaptor::staticMetaObject
    {8, 611, 15},	// QDBusAbstractAdaptor::tr$
    {8, 612, 7},	// QDBusAbstractAdaptor::tr$$
    {8, 613, 9},	// QDBusAbstractAdaptor::tr$$$
    {8, 615, 16},	// QDBusAbstractAdaptor::trUtf8$
    {8, 616, 8},	// QDBusAbstractAdaptor::trUtf8$$
    {8, 617, 10},	// QDBusAbstractAdaptor::trUtf8$$$
    {8, 629, 18},	// QDBusAbstractAdaptor::~QDBusAbstractAdaptor
    {9, 64, 41},	// QDBusAbstractInterface::QDBusAbstractInterface$$$##
    {9, 152, 65},	// QDBusAbstractInterface::asyncCall$
    {9, 153, 66},	// QDBusAbstractInterface::asyncCall$#
    {9, 154, 67},	// QDBusAbstractInterface::asyncCall$##
    {9, 155, 68},	// QDBusAbstractInterface::asyncCall$###
    {9, 156, 69},	// QDBusAbstractInterface::asyncCall$####
    {9, 157, 70},	// QDBusAbstractInterface::asyncCall$#####
    {9, 158, 71},	// QDBusAbstractInterface::asyncCall$######
    {9, 159, 72},	// QDBusAbstractInterface::asyncCall$#######
    {9, 160, 39},	// QDBusAbstractInterface::asyncCall$########
    {9, 162, 40},	// QDBusAbstractInterface::asyncCallWithArgumentList$?
    {9, 177, 49},	// QDBusAbstractInterface::call$
    {9, 178, 50},	// QDBusAbstractInterface::call$#
    {9, 179, 51},	// QDBusAbstractInterface::call$##
    {9, 180, 52},	// QDBusAbstractInterface::call$###
    {9, 181, 53},	// QDBusAbstractInterface::call$####
    {9, 182, 54},	// QDBusAbstractInterface::call$#####
    {9, 183, 55},	// QDBusAbstractInterface::call$######
    {9, 184, 56},	// QDBusAbstractInterface::call$#######
    {9, 185, 34},	// QDBusAbstractInterface::call$########
    {9, 186, 57},	// QDBusAbstractInterface::call$$
    {9, 187, 58},	// QDBusAbstractInterface::call$$#
    {9, 188, 59},	// QDBusAbstractInterface::call$$##
    {9, 189, 60},	// QDBusAbstractInterface::call$$###
    {9, 190, 61},	// QDBusAbstractInterface::call$$####
    {9, 191, 62},	// QDBusAbstractInterface::call$$#####
    {9, 192, 63},	// QDBusAbstractInterface::call$$######
    {9, 193, 64},	// QDBusAbstractInterface::call$$#######
    {9, 194, 35},	// QDBusAbstractInterface::call$$########
    {9, 196, 36},	// QDBusAbstractInterface::callWithArgumentList$$?
    {9, 201, 38},	// QDBusAbstractInterface::callWithCallback$?#$
    {9, 202, 37},	// QDBusAbstractInterface::callWithCallback$?#$$
    {9, 212, 42},	// QDBusAbstractInterface::connectNotify$
    {9, 217, 27},	// QDBusAbstractInterface::connection
    {9, 246, 43},	// QDBusAbstractInterface::disconnectNotify$
    {9, 269, 30},	// QDBusAbstractInterface::interface
    {9, 271, 73},	// QDBusAbstractInterface::internalConstCall$$
    {9, 272, 46},	// QDBusAbstractInterface::internalConstCall$$?
    {9, 275, 44},	// QDBusAbstractInterface::internalPropGet$
    {9, 277, 45},	// QDBusAbstractInterface::internalPropSet$#
    {9, 288, 26},	// QDBusAbstractInterface::isValid
    {9, 289, 31},	// QDBusAbstractInterface::lastError
    {9, 295, 19},	// QDBusAbstractInterface::metaObject
    {9, 367, 29},	// QDBusAbstractInterface::path
    {9, 534, 25},	// QDBusAbstractInterface::qt_metacall$$?
    {9, 536, 20},	// QDBusAbstractInterface::qt_metacast$
    {9, 568, 28},	// QDBusAbstractInterface::service
    {9, 595, 32},	// QDBusAbstractInterface::setTimeout$
    {9, 605, 74},	// QDBusAbstractInterface::staticMetaObject
    {9, 608, 33},	// QDBusAbstractInterface::timeout
    {9, 611, 47},	// QDBusAbstractInterface::tr$
    {9, 612, 21},	// QDBusAbstractInterface::tr$$
    {9, 613, 23},	// QDBusAbstractInterface::tr$$$
    {9, 615, 48},	// QDBusAbstractInterface::trUtf8$
    {9, 616, 22},	// QDBusAbstractInterface::trUtf8$$
    {9, 617, 24},	// QDBusAbstractInterface::trUtf8$$$
    {9, 630, 75},	// QDBusAbstractInterface::~QDBusAbstractInterface
    {10, 534, 76},	// QDBusAbstractInterfaceBase::qt_metacall$$?
    {10, 631, 77},	// QDBusAbstractInterfaceBase::~QDBusAbstractInterfaceBase
    {11, 5, 136},	// QDBusArgument::ArrayType
    {11, 8, 134},	// QDBusArgument::BasicType
    {11, 44, 139},	// QDBusArgument::MapEntryType
    {11, 45, 138},	// QDBusArgument::MapType
    {11, 65, 78},	// QDBusArgument::QDBusArgument
    {11, 66, 79},	// QDBusArgument::QDBusArgument#
    {11, 117, 137},	// QDBusArgument::StructureType
    {11, 126, 140},	// QDBusArgument::UnknownType
    {11, 129, 135},	// QDBusArgument::VariantType
    {11, 146, 105},	// QDBusArgument::appendVariant#
    {11, 148, 133},	// QDBusArgument::asVariant
    {11, 163, 132},	// QDBusArgument::atEnd
    {11, 167, 126},	// QDBusArgument::beginArray
    {11, 168, 99},	// QDBusArgument::beginArray$
    {11, 169, 128},	// QDBusArgument::beginMap
    {11, 170, 101},	// QDBusArgument::beginMap$$
    {11, 171, -422},	// QDBusArgument::beginMapEntry
    {11, 172, -425},	// QDBusArgument::beginStructure
    {11, 232, 106},	// QDBusArgument::currentSignature
    {11, 233, 107},	// QDBusArgument::currentType
    {11, 247, -428},	// QDBusArgument::endArray
    {11, 248, -431},	// QDBusArgument::endMap
    {11, 249, -434},	// QDBusArgument::endMapEntry
    {11, 250, -437},	// QDBusArgument::endStructure
    {11, 327, -440},	// QDBusArgument::operator<<#
    {11, 331, -444},	// QDBusArgument::operator<<$
    {11, 332, 95},	// QDBusArgument::operator<<?
    {11, 339, 80},	// QDBusArgument::operator=#
    {11, 356, -457},	// QDBusArgument::operator>>#
    {11, 360, -461},	// QDBusArgument::operator>>$
    {11, 361, 122},	// QDBusArgument::operator>>?
    {11, 632, 141},	// QDBusArgument::~QDBusArgument
    {12, 2, 189},	// QDBusConnection::ActivationBus
    {12, 15, 190},	// QDBusConnection::ExportAdaptors
    {12, 16, 205},	// QDBusConnection::ExportAllContents
    {12, 17, 204},	// QDBusConnection::ExportAllInvokables
    {12, 18, 203},	// QDBusConnection::ExportAllProperties
    {12, 19, 206},	// QDBusConnection::ExportAllSignal
    {12, 20, 202},	// QDBusConnection::ExportAllSignals
    {12, 21, 201},	// QDBusConnection::ExportAllSlots
    {12, 22, 207},	// QDBusConnection::ExportChildObjects
    {12, 23, 200},	// QDBusConnection::ExportNonScriptableContents
    {12, 24, 199},	// QDBusConnection::ExportNonScriptableInvokables
    {12, 25, 198},	// QDBusConnection::ExportNonScriptableProperties
    {12, 26, 197},	// QDBusConnection::ExportNonScriptableSignals
    {12, 27, 196},	// QDBusConnection::ExportNonScriptableSlots
    {12, 28, 195},	// QDBusConnection::ExportScriptableContents
    {12, 29, 194},	// QDBusConnection::ExportScriptableInvokables
    {12, 30, 193},	// QDBusConnection::ExportScriptableProperties
    {12, 31, 192},	// QDBusConnection::ExportScriptableSignals
    {12, 32, 191},	// QDBusConnection::ExportScriptableSlots
    {12, 68, 143},	// QDBusConnection::QDBusConnection#
    {12, 69, 142},	// QDBusConnection::QDBusConnection$
    {12, 114, 187},	// QDBusConnection::SessionBus
    {12, 116, 210},	// QDBusConnection::SingleNode
    {12, 118, 211},	// QDBusConnection::SubPath
    {12, 119, 188},	// QDBusConnection::SystemBus
    {12, 122, 212},	// QDBusConnection::UnixFileDescriptorPassing
    {12, 127, 208},	// QDBusConnection::UnregisterNode
    {12, 128, 209},	// QDBusConnection::UnregisterTree
    {12, 150, 182},	// QDBusConnection::asyncCall#
    {12, 151, 154},	// QDBusConnection::asyncCall#$
    {12, 166, 146},	// QDBusConnection::baseService
    {12, 174, 180},	// QDBusConnection::call#
    {12, 175, 181},	// QDBusConnection::call#$
    {12, 176, 153},	// QDBusConnection::call#$$
    {12, 198, 179},	// QDBusConnection::callWithCallback##$
    {12, 199, -13},	// QDBusConnection::callWithCallback##$$
    {12, 200, 151},	// QDBusConnection::callWithCallback##$$$
    {12, 208, 155},	// QDBusConnection::connect$$$$#$
    {12, 209, 156},	// QDBusConnection::connect$$$$$#$
    {12, 210, 157},	// QDBusConnection::connect$$$$?$#$
    {12, 214, -16},	// QDBusConnection::connectToBus$$
    {12, 216, 171},	// QDBusConnection::connectToPeer$$
    {12, 218, 149},	// QDBusConnection::connectionCapabilities
    {12, 238, 158},	// QDBusConnection::disconnect$$$$#$
    {12, 239, 159},	// QDBusConnection::disconnect$$$$$#$
    {12, 240, 160},	// QDBusConnection::disconnect$$$$?$#$
    {12, 242, 172},	// QDBusConnection::disconnectFromBus$
    {12, 244, 173},	// QDBusConnection::disconnectFromPeer$
    {12, 269, 167},	// QDBusConnection::interface
    {12, 273, 168},	// QDBusConnection::internalPointer
    {12, 280, 145},	// QDBusConnection::isConnected
    {12, 289, 147},	// QDBusConnection::lastError
    {12, 290, 174},	// QDBusConnection::localMachineId
    {12, 296, 148},	// QDBusConnection::name
    {12, 300, 163},	// QDBusConnection::objectRegisteredAt$
    {12, 339, 144},	// QDBusConnection::operator=#
    {12, 549, 183},	// QDBusConnection::registerObject$#
    {12, 550, 161},	// QDBusConnection::registerObject$#$
    {12, 552, 165},	// QDBusConnection::registerService$
    {12, 556, 185},	// QDBusConnection::registerVirtualObject$#
    {12, 557, 164},	// QDBusConnection::registerVirtualObject$#$
    {12, 563, 150},	// QDBusConnection::send#
    {12, 567, 177},	// QDBusConnection::sender
    {12, 581, 175},	// QDBusConnection::sessionBus
    {12, 605, 186},	// QDBusConnection::staticMetaObject
    {12, 606, 176},	// QDBusConnection::systemBus
    {12, 622, 184},	// QDBusConnection::unregisterObject$
    {12, 623, 162},	// QDBusConnection::unregisterObject$$
    {12, 625, 166},	// QDBusConnection::unregisterService$
    {12, 633, 213},	// QDBusConnection::~QDBusConnection
    {13, 4, 247},	// QDBusConnectionInterface::AllowReplacement
    {13, 12, 246},	// QDBusConnectionInterface::DontAllowReplacement
    {13, 13, 243},	// QDBusConnectionInterface::DontQueueService
    {13, 48, 233},	// QDBusConnectionInterface::NameAcquired$
    {13, 50, 234},	// QDBusConnectionInterface::NameLost$
    {13, 52, 235},	// QDBusConnectionInterface::NameOwnerChanged$$$
    {13, 107, 244},	// QDBusConnectionInterface::QueueService
    {13, 108, 245},	// QDBusConnectionInterface::ReplaceExistingService
    {13, 110, 248},	// QDBusConnectionInterface::ServiceNotRegistered
    {13, 111, 250},	// QDBusConnectionInterface::ServiceQueued
    {13, 112, 249},	// QDBusConnectionInterface::ServiceRegistered
    {13, 204, 232},	// QDBusConnectionInterface::callWithCallbackFailed##
    {13, 212, 236},	// QDBusConnectionInterface::connectNotify$
    {13, 246, 237},	// QDBusConnectionInterface::disconnectNotify$
    {13, 286, 222},	// QDBusConnectionInterface::isServiceRegistered$
    {13, 295, 214},	// QDBusConnectionInterface::metaObject
    {13, 534, 220},	// QDBusConnectionInterface::qt_metacall$$?
    {13, 536, 215},	// QDBusConnectionInterface::qt_metacast$
    {13, 552, 240},	// QDBusConnectionInterface::registerService$
    {13, 553, 241},	// QDBusConnectionInterface::registerService$$
    {13, 554, 225},	// QDBusConnectionInterface::registerService$$$
    {13, 558, 221},	// QDBusConnectionInterface::registeredServiceNames
    {13, 570, 223},	// QDBusConnectionInterface::serviceOwner$
    {13, 572, 231},	// QDBusConnectionInterface::serviceOwnerChanged$$$
    {13, 574, 226},	// QDBusConnectionInterface::servicePid$
    {13, 576, 229},	// QDBusConnectionInterface::serviceRegistered$
    {13, 578, 227},	// QDBusConnectionInterface::serviceUid$
    {13, 580, 230},	// QDBusConnectionInterface::serviceUnregistered$
    {13, 604, 228},	// QDBusConnectionInterface::startService$
    {13, 605, 242},	// QDBusConnectionInterface::staticMetaObject
    {13, 611, 238},	// QDBusConnectionInterface::tr$
    {13, 612, 216},	// QDBusConnectionInterface::tr$$
    {13, 613, 218},	// QDBusConnectionInterface::tr$$$
    {13, 615, 239},	// QDBusConnectionInterface::trUtf8$
    {13, 616, 217},	// QDBusConnectionInterface::trUtf8$$
    {13, 617, 219},	// QDBusConnectionInterface::trUtf8$$$
    {13, 625, 224},	// QDBusConnectionInterface::unregisterService$
    {14, 70, 251},	// QDBusContext::QDBusContext
    {14, 71, 259},	// QDBusContext::QDBusContext#
    {14, 205, 252},	// QDBusContext::calledFromDBus
    {14, 217, 253},	// QDBusContext::connection
    {14, 281, 255},	// QDBusContext::isDelayedReply
    {14, 294, 254},	// QDBusContext::message
    {14, 565, -7},	// QDBusContext::sendErrorReply$
    {14, 566, -10},	// QDBusContext::sendErrorReply$$
    {14, 591, 256},	// QDBusContext::setDelayedReply$
    {14, 634, 262},	// QDBusContext::~QDBusContext
    {15, 1, 283},	// QDBusError::AccessDenied
    {15, 3, 287},	// QDBusError::AddressInUse
    {15, 7, 280},	// QDBusError::BadAddress
    {15, 11, 288},	// QDBusError::Disconnected
    {15, 33, 276},	// QDBusError::Failed
    {15, 34, 294},	// QDBusError::InternalError
    {15, 35, 289},	// QDBusError::InvalidArgs
    {15, 36, 298},	// QDBusError::InvalidInterface
    {15, 37, 299},	// QDBusError::InvalidMember
    {15, 39, 297},	// QDBusError::InvalidObjectPath
    {15, 40, 296},	// QDBusError::InvalidService
    {15, 41, 292},	// QDBusError::InvalidSignature
    {15, 42, 300},	// QDBusError::LastErrorType
    {15, 43, 282},	// QDBusError::LimitsExceeded
    {15, 54, 274},	// QDBusError::NoError
    {15, 55, 277},	// QDBusError::NoMemory
    {15, 56, 286},	// QDBusError::NoNetwork
    {15, 57, 279},	// QDBusError::NoReply
    {15, 58, 284},	// QDBusError::NoServer
    {15, 59, 281},	// QDBusError::NotSupported
    {15, 60, 275},	// QDBusError::Other
    {15, 72, 273},	// QDBusError::QDBusError
    {15, 73, -19},	// QDBusError::QDBusError#
    {15, 74, 265},	// QDBusError::QDBusError$$
    {15, 113, 278},	// QDBusError::ServiceUnknown
    {15, 120, 291},	// QDBusError::TimedOut
    {15, 121, 285},	// QDBusError::Timeout
    {15, 123, 293},	// QDBusError::UnknownInterface
    {15, 124, 290},	// QDBusError::UnknownMethod
    {15, 125, 295},	// QDBusError::UnknownObject
    {15, 255, 272},	// QDBusError::errorString$
    {15, 288, 271},	// QDBusError::isValid
    {15, 294, 270},	// QDBusError::message
    {15, 296, 269},	// QDBusError::name
    {15, 339, 267},	// QDBusError::operator=#
    {15, 618, 268},	// QDBusError::type
    {15, 635, 301},	// QDBusError::~QDBusError
    {16, 76, 306},	// QDBusInterface::QDBusInterface$$
    {16, 77, 307},	// QDBusInterface::QDBusInterface$$$
    {16, 78, 308},	// QDBusInterface::QDBusInterface$$$#
    {16, 79, 302},	// QDBusInterface::QDBusInterface$$$##
    {16, 295, 303},	// QDBusInterface::metaObject
    {16, 534, 305},	// QDBusInterface::qt_metacall$$?
    {16, 536, 304},	// QDBusInterface::qt_metacast$
    {16, 636, 309},	// QDBusInterface::~QDBusInterface
    {17, 14, 343},	// QDBusMessage::ErrorMessage
    {17, 38, 340},	// QDBusMessage::InvalidMessage
    {17, 46, 341},	// QDBusMessage::MethodCallMessage
    {17, 80, 310},	// QDBusMessage::QDBusMessage
    {17, 81, 311},	// QDBusMessage::QDBusMessage#
    {17, 109, 342},	// QDBusMessage::ReplyMessage
    {17, 115, 344},	// QDBusMessage::SignalMessage
    {17, 147, 337},	// QDBusMessage::arguments
    {17, 165, 335},	// QDBusMessage::autoStartService
    {17, 220, 316},	// QDBusMessage::createError#
    {17, 221, -1},	// QDBusMessage::createError$$
    {17, 223, 321},	// QDBusMessage::createErrorReply#
    {17, 224, -4},	// QDBusMessage::createErrorReply$$
    {17, 226, 314},	// QDBusMessage::createMethodCall$$$$
    {17, 227, 339},	// QDBusMessage::createReply
    {17, 228, 319},	// QDBusMessage::createReply#
    {17, 229, 318},	// QDBusMessage::createReply?
    {17, 231, 313},	// QDBusMessage::createSignal$$$
    {17, 252, 328},	// QDBusMessage::errorMessage
    {17, 253, 327},	// QDBusMessage::errorName
    {17, 269, 325},	// QDBusMessage::interface
    {17, 281, 333},	// QDBusMessage::isDelayedReply
    {17, 284, 331},	// QDBusMessage::isReplyRequired
    {17, 293, 326},	// QDBusMessage::member
    {17, 327, 338},	// QDBusMessage::operator<<#
    {17, 339, 312},	// QDBusMessage::operator=#
    {17, 367, 324},	// QDBusMessage::path
    {17, 568, 323},	// QDBusMessage::service
    {17, 583, 336},	// QDBusMessage::setArguments?
    {17, 587, 334},	// QDBusMessage::setAutoStartService$
    {17, 591, 332},	// QDBusMessage::setDelayedReply$
    {17, 600, 330},	// QDBusMessage::signature
    {17, 618, 329},	// QDBusMessage::type
    {17, 637, 345},	// QDBusMessage::~QDBusMessage
    {18, 82, 351},	// QDBusMetaType::QDBusMetaType
    {18, 83, 352},	// QDBusMetaType::QDBusMetaType#
    {18, 236, 348},	// QDBusMetaType::demarshall#$$
    {18, 292, 347},	// QDBusMetaType::marshall#$$
    {18, 547, 346},	// QDBusMetaType::registerMarshallOperators$$$
    {18, 602, 349},	// QDBusMetaType::signatureToType$
    {18, 620, 350},	// QDBusMetaType::typeToSignature$
    {18, 638, 353},	// QDBusMetaType::~QDBusMetaType
    {19, 85, 354},	// QDBusPendingCall::QDBusPendingCall#
    {19, 251, 360},	// QDBusPendingCall::error
    {19, 262, 363},	// QDBusPendingCall::fromCompletedCall#
    {19, 264, 362},	// QDBusPendingCall::fromError#
    {19, 282, 358},	// QDBusPendingCall::isError
    {19, 283, 356},	// QDBusPendingCall::isFinished
    {19, 288, 359},	// QDBusPendingCall::isValid
    {19, 339, 355},	// QDBusPendingCall::operator=#
    {19, 561, 361},	// QDBusPendingCall::reply
    {19, 626, 357},	// QDBusPendingCall::waitForFinished
    {19, 639, 364},	// QDBusPendingCall::~QDBusPendingCall
    {20, 87, 377},	// QDBusPendingCallWatcher::QDBusPendingCallWatcher#
    {20, 88, 372},	// QDBusPendingCallWatcher::QDBusPendingCallWatcher##
    {20, 260, 374},	// QDBusPendingCallWatcher::finished#
    {20, 295, 365},	// QDBusPendingCallWatcher::metaObject
    {20, 534, 371},	// QDBusPendingCallWatcher::qt_metacall$$?
    {20, 536, 366},	// QDBusPendingCallWatcher::qt_metacast$
    {20, 605, 378},	// QDBusPendingCallWatcher::staticMetaObject
    {20, 611, 375},	// QDBusPendingCallWatcher::tr$
    {20, 612, 367},	// QDBusPendingCallWatcher::tr$$
    {20, 613, 369},	// QDBusPendingCallWatcher::tr$$$
    {20, 615, 376},	// QDBusPendingCallWatcher::trUtf8$
    {20, 616, 368},	// QDBusPendingCallWatcher::trUtf8$$
    {20, 617, 370},	// QDBusPendingCallWatcher::trUtf8$$$
    {20, 626, 373},	// QDBusPendingCallWatcher::waitForFinished
    {20, 640, 379},	// QDBusPendingCallWatcher::~QDBusPendingCallWatcher
    {21, 89, 394},	// QDBusServer::QDBusServer
    {21, 90, 395},	// QDBusServer::QDBusServer$
    {21, 91, 387},	// QDBusServer::QDBusServer$#
    {21, 144, 390},	// QDBusServer::address
    {21, 280, 388},	// QDBusServer::isConnected
    {21, 289, 389},	// QDBusServer::lastError
    {21, 295, 380},	// QDBusServer::metaObject
    {21, 298, 391},	// QDBusServer::newConnection#
    {21, 534, 386},	// QDBusServer::qt_metacall$$?
    {21, 536, 381},	// QDBusServer::qt_metacast$
    {21, 605, 396},	// QDBusServer::staticMetaObject
    {21, 611, 392},	// QDBusServer::tr$
    {21, 612, 382},	// QDBusServer::tr$$
    {21, 613, 384},	// QDBusServer::tr$$$
    {21, 615, 393},	// QDBusServer::trUtf8$
    {21, 616, 383},	// QDBusServer::trUtf8$$
    {21, 617, 385},	// QDBusServer::trUtf8$$$
    {21, 641, 397},	// QDBusServer::~QDBusServer
    {22, 92, 420},	// QDBusServiceWatcher::QDBusServiceWatcher
    {22, 93, 405},	// QDBusServiceWatcher::QDBusServiceWatcher#
    {22, 94, 421},	// QDBusServiceWatcher::QDBusServiceWatcher$#
    {22, 95, 422},	// QDBusServiceWatcher::QDBusServiceWatcher$#$
    {22, 96, 406},	// QDBusServiceWatcher::QDBusServiceWatcher$#$#
    {22, 130, 426},	// QDBusServiceWatcher::WatchForOwnerChange
    {22, 131, 424},	// QDBusServiceWatcher::WatchForRegistration
    {22, 132, 425},	// QDBusServiceWatcher::WatchForUnregistration
    {22, 143, 409},	// QDBusServiceWatcher::addWatchedService$
    {22, 217, 413},	// QDBusServiceWatcher::connection
    {22, 295, 398},	// QDBusServiceWatcher::metaObject
    {22, 534, 404},	// QDBusServiceWatcher::qt_metacall$$?
    {22, 536, 399},	// QDBusServiceWatcher::qt_metacast$
    {22, 560, 410},	// QDBusServiceWatcher::removeWatchedService$
    {22, 572, 417},	// QDBusServiceWatcher::serviceOwnerChanged$$$
    {22, 576, 415},	// QDBusServiceWatcher::serviceRegistered$
    {22, 580, 416},	// QDBusServiceWatcher::serviceUnregistered$
    {22, 589, 414},	// QDBusServiceWatcher::setConnection#
    {22, 597, 412},	// QDBusServiceWatcher::setWatchMode$
    {22, 599, 408},	// QDBusServiceWatcher::setWatchedServices?
    {22, 605, 423},	// QDBusServiceWatcher::staticMetaObject
    {22, 611, 418},	// QDBusServiceWatcher::tr$
    {22, 612, 400},	// QDBusServiceWatcher::tr$$
    {22, 613, 402},	// QDBusServiceWatcher::tr$$$
    {22, 615, 419},	// QDBusServiceWatcher::trUtf8$
    {22, 616, 401},	// QDBusServiceWatcher::trUtf8$$
    {22, 617, 403},	// QDBusServiceWatcher::trUtf8$$$
    {22, 627, 411},	// QDBusServiceWatcher::watchMode
    {22, 628, 407},	// QDBusServiceWatcher::watchedServices
    {22, 642, 427},	// QDBusServiceWatcher::~QDBusServiceWatcher
    {23, 97, 428},	// QDBusUnixFileDescriptor::QDBusUnixFileDescriptor
    {23, 98, 430},	// QDBusUnixFileDescriptor::QDBusUnixFileDescriptor#
    {23, 99, 429},	// QDBusUnixFileDescriptor::QDBusUnixFileDescriptor$
    {23, 258, 433},	// QDBusUnixFileDescriptor::fileDescriptor
    {23, 266, 435},	// QDBusUnixFileDescriptor::giveFileDescriptor$
    {23, 287, 437},	// QDBusUnixFileDescriptor::isSupported
    {23, 288, 432},	// QDBusUnixFileDescriptor::isValid
    {23, 339, 431},	// QDBusUnixFileDescriptor::operator=#
    {23, 593, 434},	// QDBusUnixFileDescriptor::setFileDescriptor$
    {23, 607, 436},	// QDBusUnixFileDescriptor::takeFileDescriptor
    {23, 643, 438},	// QDBusUnixFileDescriptor::~QDBusUnixFileDescriptor
    {25, 100, 451},	// QDBusVirtualObject::QDBusVirtualObject
    {25, 101, 446},	// QDBusVirtualObject::QDBusVirtualObject#
    {25, 268, 448},	// QDBusVirtualObject::handleMessage##
    {25, 279, 447},	// QDBusVirtualObject::introspect$
    {25, 295, 439},	// QDBusVirtualObject::metaObject
    {25, 534, 445},	// QDBusVirtualObject::qt_metacall$$?
    {25, 536, 440},	// QDBusVirtualObject::qt_metacast$
    {25, 605, 452},	// QDBusVirtualObject::staticMetaObject
    {25, 611, 449},	// QDBusVirtualObject::tr$
    {25, 612, 441},	// QDBusVirtualObject::tr$$
    {25, 613, 443},	// QDBusVirtualObject::tr$$$
    {25, 615, 450},	// QDBusVirtualObject::trUtf8$
    {25, 616, 442},	// QDBusVirtualObject::trUtf8$$
    {25, 617, 444},	// QDBusVirtualObject::trUtf8$$$
    {25, 644, 453},	// QDBusVirtualObject::~QDBusVirtualObject
    {33, 102, 920},	// QGlobalSpace::QtCriticalMsg
    {33, 103, 918},	// QGlobalSpace::QtDebugMsg
    {33, 104, 921},	// QGlobalSpace::QtFatalMsg
    {33, 105, 922},	// QGlobalSpace::QtSystemMsg
    {33, 106, 919},	// QGlobalSpace::QtWarningMsg
    {33, 133, 913},	// QGlobalSpace::_IEEE_
    {33, 134, 917},	// QGlobalSpace::_ISOC_
    {33, 135, 916},	// QGlobalSpace::_POSIX_
    {33, 136, 914},	// QGlobalSpace::_SVID_
    {33, 137, 915},	// QGlobalSpace::_XOPEN_
    {33, 138, 925},	// QGlobalSpace::__codecvt_error
    {33, 139, 926},	// QGlobalSpace::__codecvt_noconv
    {33, 140, 923},	// QGlobalSpace::__codecvt_ok
    {33, 141, 924},	// QGlobalSpace::__codecvt_partial
    {33, 302, -23},	// QGlobalSpace::operator!=##
    {33, 303, -40},	// QGlobalSpace::operator!=#$
    {33, 304, -46},	// QGlobalSpace::operator!=$#
    {33, 305, -53},	// QGlobalSpace::operator!=$$
    {33, 307, 684},	// QGlobalSpace::operator&##
    {33, 309, -57},	// QGlobalSpace::operator*#$
    {33, 310, -64},	// QGlobalSpace::operator*$#
    {33, 312, -71},	// QGlobalSpace::operator+##
    {33, 313, -77},	// QGlobalSpace::operator+#$
    {33, 314, -82},	// QGlobalSpace::operator+$#
    {33, 315, -87},	// QGlobalSpace::operator+$$
    {33, 317, -93},	// QGlobalSpace::operator-#
    {33, 318, -96},	// QGlobalSpace::operator-##
    {33, 320, -101},	// QGlobalSpace::operator/#$
    {33, 322, -106},	// QGlobalSpace::operator<##
    {33, 323, 724},	// QGlobalSpace::operator<#$
    {33, 324, -111},	// QGlobalSpace::operator<$#
    {33, 325, -114},	// QGlobalSpace::operator<$$
    {33, 328, -118},	// QGlobalSpace::operator<<##
    {33, 329, -173},	// QGlobalSpace::operator<<#$
    {33, 330, -179},	// QGlobalSpace::operator<<#?
    {33, 334, -184},	// QGlobalSpace::operator<=##
    {33, 335, 567},	// QGlobalSpace::operator<=#$
    {33, 336, -189},	// QGlobalSpace::operator<=$#
    {33, 337, 738},	// QGlobalSpace::operator<=$$
    {33, 341, -192},	// QGlobalSpace::operator==##
    {33, 342, -211},	// QGlobalSpace::operator==#$
    {33, 343, -217},	// QGlobalSpace::operator==$#
    {33, 344, -224},	// QGlobalSpace::operator==$$
    {33, 346, -228},	// QGlobalSpace::operator>##
    {33, 347, 904},	// QGlobalSpace::operator>#$
    {33, 348, -233},	// QGlobalSpace::operator>$#
    {33, 349, 661},	// QGlobalSpace::operator>$$
    {33, 351, -236},	// QGlobalSpace::operator>=##
    {33, 352, 474},	// QGlobalSpace::operator>=#$
    {33, 353, -241},	// QGlobalSpace::operator>=$#
    {33, 354, 899},	// QGlobalSpace::operator>=$$
    {33, 357, -244},	// QGlobalSpace::operator>>##
    {33, 358, -278},	// QGlobalSpace::operator>>#$
    {33, 359, 639},	// QGlobalSpace::operator>>#?
    {33, 363, 571},	// QGlobalSpace::operator^##
    {33, 365, 818},	// QGlobalSpace::operator|##
    {33, 366, -281},	// QGlobalSpace::operator|$$
    {33, 369, 790},	// QGlobalSpace::qAcos$
    {33, 371, 706},	// QGlobalSpace::qAddPostRoutine$
    {33, 372, 714},	// QGlobalSpace::qAppName
    {33, 374, 809},	// QGlobalSpace::qAsin$
    {33, 376, 841},	// QGlobalSpace::qAtan$
    {33, 378, 472},	// QGlobalSpace::qAtan2$$
    {33, 379, 795},	// QGlobalSpace::qBadAlloc
    {33, 381, 731},	// QGlobalSpace::qCeil$
    {33, 383, 634},	// QGlobalSpace::qChecksum$$
    {33, 385, 801},	// QGlobalSpace::qCompress#
    {33, 386, 800},	// QGlobalSpace::qCompress#$
    {33, 387, 708},	// QGlobalSpace::qCompress$$
    {33, 388, 707},	// QGlobalSpace::qCompress$$$
    {33, 390, 498},	// QGlobalSpace::qCos$
    {33, 391, 689},	// QGlobalSpace::qCritical
    {33, 393, 681},	// QGlobalSpace::qDBusReplyFill###
    {33, 394, 741},	// QGlobalSpace::qDebug
    {33, 396, 627},	// QGlobalSpace::qExp$
    {33, 398, 780},	// QGlobalSpace::qFabs$
    {33, 400, 582},	// QGlobalSpace::qFastCos$
    {33, 402, 710},	// QGlobalSpace::qFastSin$
    {33, 404, 591},	// QGlobalSpace::qFlagLocation$
    {33, 406, 550},	// QGlobalSpace::qFloor$
    {33, 408, 718},	// QGlobalSpace::qFree$
    {33, 410, 720},	// QGlobalSpace::qFreeAligned$
    {33, 412, -378},	// QGlobalSpace::qFuzzyCompare$$
    {33, 414, -381},	// QGlobalSpace::qFuzzyIsNull$
    {33, 416, -384},	// QGlobalSpace::qHash#
    {33, 417, -392},	// QGlobalSpace::qHash$
    {33, 418, 871},	// QGlobalSpace::qInf
    {33, 420, 579},	// QGlobalSpace::qInstallMsgHandler$
    {33, 422, -407},	// QGlobalSpace::qIntCast$
    {33, 424, -410},	// QGlobalSpace::qIsFinite$
    {33, 426, -413},	// QGlobalSpace::qIsInf$
    {33, 428, -416},	// QGlobalSpace::qIsNaN$
    {33, 430, -419},	// QGlobalSpace::qIsNull$
    {33, 432, 631},	// QGlobalSpace::qLn$
    {33, 434, 636},	// QGlobalSpace::qMalloc$
    {33, 436, 742},	// QGlobalSpace::qMallocAligned$$
    {33, 438, 460},	// QGlobalSpace::qMemCopy$$$
    {33, 440, 775},	// QGlobalSpace::qMemSet$$$
    {33, 442, 747},	// QGlobalSpace::qPow$$
    {33, 443, 637},	// QGlobalSpace::qQNaN
    {33, 445, 573},	// QGlobalSpace::qRealloc$$
    {33, 447, 562},	// QGlobalSpace::qReallocAligned$$$$
    {33, 449, 633},	// QGlobalSpace::qRegisterStaticPluginInstanceFunction#
    {33, 451, 878},	// QGlobalSpace::qRemovePostRoutine$
    {33, 453, 870},	// QGlobalSpace::qRound$
    {33, 455, 578},	// QGlobalSpace::qRound64$
    {33, 456, 849},	// QGlobalSpace::qSNaN
    {33, 458, 546},	// QGlobalSpace::qSetFieldWidth$
    {33, 460, 481},	// QGlobalSpace::qSetPadChar#
    {33, 462, 628},	// QGlobalSpace::qSetRealNumberPrecision$
    {33, 463, 504},	// QGlobalSpace::qSharedBuild
    {33, 465, 814},	// QGlobalSpace::qSin$
    {33, 467, 580},	// QGlobalSpace::qSqrt$
    {33, 469, 734},	// QGlobalSpace::qStringComparisonHelper#$
    {33, 470, 469},	// QGlobalSpace::qStringComparisonHelper$$
    {33, 472, 543},	// QGlobalSpace::qTan$
    {33, 474, 672},	// QGlobalSpace::qUncompress#
    {33, 475, 541},	// QGlobalSpace::qUncompress$$
    {33, 476, 715},	// QGlobalSpace::qVersion
    {33, 477, 884},	// QGlobalSpace::qWarning
    {33, 479, 556},	// QGlobalSpace::qbswap_helper$$$
    {33, 481, 526},	// QGlobalSpace::qecvt$$$$
    {33, 483, 745},	// QGlobalSpace::qecvt_r$$$$$$
    {33, 485, 603},	// QGlobalSpace::qfcvt$$$$
    {33, 487, 787},	// QGlobalSpace::qfcvt_r$$$$$$
    {33, 489, 788},	// QGlobalSpace::qgcvt$$$
    {33, 491, 476},	// QGlobalSpace::qgetenv$
    {33, 493, 640},	// QGlobalSpace::qputenv$#
    {33, 494, 678},	// QGlobalSpace::qrand
    {33, 496, 789},	// QGlobalSpace::qsort$$$$
    {33, 498, 643},	// QGlobalSpace::qsrand$
    {33, 500, 783},	// QGlobalSpace::qstrcmp##
    {33, 501, 877},	// QGlobalSpace::qstrcmp#$
    {33, 502, 470},	// QGlobalSpace::qstrcmp$#
    {33, 503, 497},	// QGlobalSpace::qstrcmp$$
    {33, 505, 618},	// QGlobalSpace::qstrcpy$$
    {33, 507, 735},	// QGlobalSpace::qstrdup$
    {33, 509, 866},	// QGlobalSpace::qstricmp$$
    {33, 511, 885},	// QGlobalSpace::qstrlen$
    {33, 513, 542},	// QGlobalSpace::qstrncmp$$$
    {33, 515, 670},	// QGlobalSpace::qstrncpy$$$
    {33, 517, 653},	// QGlobalSpace::qstrnicmp$$$
    {33, 519, 459},	// QGlobalSpace::qstrnlen$$
    {33, 521, 824},	// QGlobalSpace::qtTrId$
    {33, 522, 823},	// QGlobalSpace::qtTrId$$
    {33, 524, 599},	// QGlobalSpace::qt_assert$$$
    {33, 526, 682},	// QGlobalSpace::qt_assert_x$$$$
    {33, 528, 777},	// QGlobalSpace::qt_check_pointer$$
    {33, 529, 537},	// QGlobalSpace::qt_error_string
    {33, 530, 536},	// QGlobalSpace::qt_error_string$
    {33, 532, 898},	// QGlobalSpace::qt_message_output$$
    {33, 537, 462},	// QGlobalSpace::qt_noop
    {33, 539, 664},	// QGlobalSpace::qt_qFindChild_helper#$#
    {33, 541, 839},	// QGlobalSpace::qt_qFindChildren_helper#$##?
    {33, 543, 834},	// QGlobalSpace::qvariant_cast_helper#$$
    {33, 545, 773},	// QGlobalSpace::qvsnprintf$$$?
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();

static bool initialized = false;
Smoke *qtdbus_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qtdbus_Smoke() {
    init_qtcore_Smoke();
    if (initialized) return;
    qtdbus_Smoke = new Smoke(
        "qtdbus",
        __smokeqtdbus::classes, 61,
        __smokeqtdbus::methods, 936,
        __smokeqtdbus::methodMaps, 570,
        __smokeqtdbus::methodNames, 644,
        __smokeqtdbus::types, 315,
        __smokeqtdbus::inheritanceList,
        __smokeqtdbus::argumentList,
        __smokeqtdbus::ambiguousMethodList,
        __smokeqtdbus::cast );
    initialized = true;
}

void delete_qtdbus_Smoke() { delete qtdbus_Smoke; }

}
