#include <qtsql_includes.h>

#include <smoke.h>
#include <qtsql_smoke.h>

namespace __smokeqtsql {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QAbstractItemModel
      switch(to) {
        case 43: return (void*)(QObject*)(QAbstractItemModel*)xptr;
        case 1: return (void*)(QAbstractItemModel*)xptr;
        case 78: return (void*)(QSqlRelationalTableModel*)(QAbstractItemModel*)xptr;
        case 80: return (void*)(QSqlTableModel*)(QAbstractItemModel*)xptr;
        case 74: return (void*)(QSqlQueryModel*)(QAbstractItemModel*)xptr;
        default: return xptr;
      }
    case 2:   //QAbstractTableModel
      switch(to) {
        case 1: return (void*)(QAbstractItemModel*)(QAbstractTableModel*)xptr;
        case 43: return (void*)(QObject*)(QAbstractTableModel*)xptr;
        case 2: return (void*)(QAbstractTableModel*)xptr;
        case 78: return (void*)(QSqlRelationalTableModel*)(QAbstractTableModel*)xptr;
        case 80: return (void*)(QSqlTableModel*)(QAbstractTableModel*)xptr;
        case 74: return (void*)(QSqlQueryModel*)(QAbstractTableModel*)xptr;
        default: return xptr;
      }
    case 3:   //QAccessible2Interface
      switch(to) {
        case 3: return (void*)(QAccessible2Interface*)xptr;
        default: return xptr;
      }
    case 4:   //QBitArray
      switch(to) {
        case 4: return (void*)(QBitArray*)xptr;
        default: return xptr;
      }
    case 5:   //QBool
      switch(to) {
        case 5: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 6:   //QBrush
      switch(to) {
        case 6: return (void*)(QBrush*)xptr;
        default: return xptr;
      }
    case 7:   //QByteArray
      switch(to) {
        case 7: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 8:   //QChar
      switch(to) {
        case 8: return (void*)(QChar*)xptr;
        default: return xptr;
      }
    case 9:   //QChildEvent
      switch(to) {
        case 18: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 9: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 10:   //QColor
      switch(to) {
        case 10: return (void*)(QColor*)xptr;
        default: return xptr;
      }
    case 11:   //QCursor
      switch(to) {
        case 11: return (void*)(QCursor*)xptr;
        default: return xptr;
      }
    case 12:   //QDataStream
      switch(to) {
        case 12: return (void*)(QDataStream*)xptr;
        default: return xptr;
      }
    case 13:   //QDate
      switch(to) {
        case 13: return (void*)(QDate*)xptr;
        default: return xptr;
      }
    case 14:   //QDateTime
      switch(to) {
        case 14: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 15:   //QDebug
      switch(to) {
        case 15: return (void*)(QDebug*)xptr;
        default: return xptr;
      }
    case 16:   //QDir
      switch(to) {
        case 16: return (void*)(QDir*)xptr;
        default: return xptr;
      }
    case 17:   //QEasingCurve
      switch(to) {
        case 17: return (void*)(QEasingCurve*)xptr;
        default: return xptr;
      }
    case 18:   //QEvent
      switch(to) {
        case 18: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 19:   //QFactoryInterface
      switch(to) {
        case 19: return (void*)(QFactoryInterface*)xptr;
        case 68: return (void*)(QSqlDriverFactoryInterface*)(QFactoryInterface*)xptr;
        case 69: return (void*)(QSqlDriverPlugin*)(QFactoryInterface*)xptr;
        default: return xptr;
      }
    case 20:   //QFont
      switch(to) {
        case 20: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 22:   //QGraphicsItem
      switch(to) {
        case 22: return (void*)(QGraphicsItem*)xptr;
        default: return xptr;
      }
    case 23:   //QGraphicsObject
      switch(to) {
        case 43: return (void*)(QObject*)(QGraphicsObject*)xptr;
        case 22: return (void*)(QGraphicsItem*)(QGraphicsObject*)xptr;
        case 23: return (void*)(QGraphicsObject*)xptr;
        default: return xptr;
      }
    case 24:   //QHashDummyValue
      switch(to) {
        case 24: return (void*)(QHashDummyValue*)xptr;
        default: return xptr;
      }
    case 25:   //QIcon
      switch(to) {
        case 25: return (void*)(QIcon*)xptr;
        default: return xptr;
      }
    case 26:   //QImage
      switch(to) {
        case 26: return (void*)(QImage*)xptr;
        default: return xptr;
      }
    case 27:   //QIncompatibleFlag
      switch(to) {
        case 27: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 28:   //QItemDelegate
      switch(to) {
        case 43: return (void*)(QObject*)(QItemDelegate*)xptr;
        case 28: return (void*)(QItemDelegate*)xptr;
        case 77: return (void*)(QSqlRelationalDelegate*)(QItemDelegate*)xptr;
        default: return xptr;
      }
    case 29:   //QItemSelectionRange
      switch(to) {
        case 29: return (void*)(QItemSelectionRange*)xptr;
        default: return xptr;
      }
    case 30:   //QKeyEvent
      switch(to) {
        case 18: return (void*)(QEvent*)(QKeyEvent*)xptr;
        case 30: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 31:   //QKeySequence
      switch(to) {
        case 31: return (void*)(QKeySequence*)xptr;
        default: return xptr;
      }
    case 32:   //QLatin1String
      switch(to) {
        case 32: return (void*)(QLatin1String*)xptr;
        default: return xptr;
      }
    case 33:   //QLine
      switch(to) {
        case 33: return (void*)(QLine*)xptr;
        default: return xptr;
      }
    case 34:   //QLineF
      switch(to) {
        case 34: return (void*)(QLineF*)xptr;
        default: return xptr;
      }
    case 35:   //QListWidgetItem
      switch(to) {
        case 35: return (void*)(QListWidgetItem*)xptr;
        default: return xptr;
      }
    case 36:   //QLocale
      switch(to) {
        case 36: return (void*)(QLocale*)xptr;
        default: return xptr;
      }
    case 37:   //QMargins
      switch(to) {
        case 37: return (void*)(QMargins*)xptr;
        default: return xptr;
      }
    case 38:   //QMatrix
      switch(to) {
        case 38: return (void*)(QMatrix*)xptr;
        default: return xptr;
      }
    case 39:   //QMatrix4x4
      switch(to) {
        case 39: return (void*)(QMatrix4x4*)xptr;
        default: return xptr;
      }
    case 40:   //QMetaObject
      switch(to) {
        case 40: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 41:   //QMimeData
      switch(to) {
        case 43: return (void*)(QObject*)(QMimeData*)xptr;
        case 41: return (void*)(QMimeData*)xptr;
        default: return xptr;
      }
    case 42:   //QModelIndex
      switch(to) {
        case 42: return (void*)(QModelIndex*)xptr;
        default: return xptr;
      }
    case 43:   //QObject
      switch(to) {
        case 43: return (void*)(QObject*)xptr;
        case 77: return (void*)(QSqlRelationalDelegate*)(QObject*)xptr;
        case 78: return (void*)(QSqlRelationalTableModel*)(QObject*)xptr;
        case 66: return (void*)(QSqlDriver*)(QObject*)xptr;
        case 69: return (void*)(QSqlDriverPlugin*)(QObject*)xptr;
        case 80: return (void*)(QSqlTableModel*)(QObject*)xptr;
        case 74: return (void*)(QSqlQueryModel*)(QObject*)xptr;
        default: return xptr;
      }
    case 44:   //QPainter
      switch(to) {
        case 44: return (void*)(QPainter*)xptr;
        default: return xptr;
      }
    case 45:   //QPainterPath
      switch(to) {
        case 45: return (void*)(QPainterPath*)xptr;
        default: return xptr;
      }
    case 46:   //QPalette
      switch(to) {
        case 46: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 47:   //QPen
      switch(to) {
        case 47: return (void*)(QPen*)xptr;
        default: return xptr;
      }
    case 48:   //QPersistentModelIndex
      switch(to) {
        case 48: return (void*)(QPersistentModelIndex*)xptr;
        default: return xptr;
      }
    case 49:   //QPicture
      switch(to) {
        case 49: return (void*)(QPicture*)xptr;
        default: return xptr;
      }
    case 50:   //QPixmap
      switch(to) {
        case 50: return (void*)(QPixmap*)xptr;
        default: return xptr;
      }
    case 51:   //QPoint
      switch(to) {
        case 51: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 52:   //QPointF
      switch(to) {
        case 52: return (void*)(QPointF*)xptr;
        default: return xptr;
      }
    case 53:   //QPolygon
      switch(to) {
        case 53: return (void*)(QPolygon*)xptr;
        default: return xptr;
      }
    case 54:   //QPolygonF
      switch(to) {
        case 54: return (void*)(QPolygonF*)xptr;
        default: return xptr;
      }
    case 55:   //QQuaternion
      switch(to) {
        case 55: return (void*)(QQuaternion*)xptr;
        default: return xptr;
      }
    case 56:   //QRect
      switch(to) {
        case 56: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 57:   //QRectF
      switch(to) {
        case 57: return (void*)(QRectF*)xptr;
        default: return xptr;
      }
    case 58:   //QRegExp
      switch(to) {
        case 58: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 59:   //QRegion
      switch(to) {
        case 59: return (void*)(QRegion*)xptr;
        default: return xptr;
      }
    case 60:   //QSize
      switch(to) {
        case 60: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 61:   //QSizeF
      switch(to) {
        case 61: return (void*)(QSizeF*)xptr;
        default: return xptr;
      }
    case 62:   //QSizePolicy
      switch(to) {
        case 62: return (void*)(QSizePolicy*)xptr;
        default: return xptr;
      }
    case 63:   //QSplitter
      switch(to) {
        case 104: return (void*)(QWidget*)(QSplitter*)xptr;
        case 43: return (void*)(QObject*)(QSplitter*)xptr;
        case 63: return (void*)(QSplitter*)xptr;
        default: return xptr;
      }
    case 65:   //QSqlDatabase
      switch(to) {
        case 65: return (void*)(QSqlDatabase*)xptr;
        default: return xptr;
      }
    case 66:   //QSqlDriver
      switch(to) {
        case 43: return (void*)(QObject*)(QSqlDriver*)xptr;
        case 66: return (void*)(QSqlDriver*)xptr;
        default: return xptr;
      }
    case 67:   //QSqlDriverCreatorBase
      switch(to) {
        case 67: return (void*)(QSqlDriverCreatorBase*)xptr;
        default: return xptr;
      }
    case 68:   //QSqlDriverFactoryInterface
      switch(to) {
        case 19: return (void*)(QFactoryInterface*)(QSqlDriverFactoryInterface*)xptr;
        case 68: return (void*)(QSqlDriverFactoryInterface*)xptr;
        case 69: return (void*)(QSqlDriverPlugin*)(QSqlDriverFactoryInterface*)xptr;
        default: return xptr;
      }
    case 69:   //QSqlDriverPlugin
      switch(to) {
        case 43: return (void*)(QObject*)(QSqlDriverPlugin*)xptr;
        case 68: return (void*)(QSqlDriverFactoryInterface*)(QSqlDriverPlugin*)xptr;
        case 19: return (void*)(QFactoryInterface*)(QSqlDriverPlugin*)xptr;
        case 69: return (void*)(QSqlDriverPlugin*)xptr;
        default: return xptr;
      }
    case 70:   //QSqlError
      switch(to) {
        case 70: return (void*)(QSqlError*)xptr;
        default: return xptr;
      }
    case 71:   //QSqlField
      switch(to) {
        case 71: return (void*)(QSqlField*)xptr;
        default: return xptr;
      }
    case 72:   //QSqlIndex
      switch(to) {
        case 75: return (void*)(QSqlRecord*)(QSqlIndex*)xptr;
        case 72: return (void*)(QSqlIndex*)xptr;
        default: return xptr;
      }
    case 73:   //QSqlQuery
      switch(to) {
        case 73: return (void*)(QSqlQuery*)xptr;
        default: return xptr;
      }
    case 74:   //QSqlQueryModel
      switch(to) {
        case 2: return (void*)(QAbstractTableModel*)(QSqlQueryModel*)xptr;
        case 1: return (void*)(QAbstractItemModel*)(QSqlQueryModel*)xptr;
        case 43: return (void*)(QObject*)(QSqlQueryModel*)xptr;
        case 74: return (void*)(QSqlQueryModel*)xptr;
        case 78: return (void*)(QSqlRelationalTableModel*)(QSqlQueryModel*)xptr;
        case 80: return (void*)(QSqlTableModel*)(QSqlQueryModel*)xptr;
        default: return xptr;
      }
    case 75:   //QSqlRecord
      switch(to) {
        case 75: return (void*)(QSqlRecord*)xptr;
        case 72: return (void*)(QSqlIndex*)(QSqlRecord*)xptr;
        default: return xptr;
      }
    case 76:   //QSqlRelation
      switch(to) {
        case 76: return (void*)(QSqlRelation*)xptr;
        default: return xptr;
      }
    case 77:   //QSqlRelationalDelegate
      switch(to) {
        case 28: return (void*)(QItemDelegate*)(QSqlRelationalDelegate*)xptr;
        case 43: return (void*)(QObject*)(QSqlRelationalDelegate*)xptr;
        case 77: return (void*)(QSqlRelationalDelegate*)xptr;
        default: return xptr;
      }
    case 78:   //QSqlRelationalTableModel
      switch(to) {
        case 80: return (void*)(QSqlTableModel*)(QSqlRelationalTableModel*)xptr;
        case 74: return (void*)(QSqlQueryModel*)(QSqlRelationalTableModel*)xptr;
        case 2: return (void*)(QAbstractTableModel*)(QSqlRelationalTableModel*)xptr;
        case 1: return (void*)(QAbstractItemModel*)(QSqlRelationalTableModel*)xptr;
        case 43: return (void*)(QObject*)(QSqlRelationalTableModel*)xptr;
        case 78: return (void*)(QSqlRelationalTableModel*)xptr;
        default: return xptr;
      }
    case 79:   //QSqlResult
      switch(to) {
        case 79: return (void*)(QSqlResult*)xptr;
        default: return xptr;
      }
    case 80:   //QSqlTableModel
      switch(to) {
        case 74: return (void*)(QSqlQueryModel*)(QSqlTableModel*)xptr;
        case 2: return (void*)(QAbstractTableModel*)(QSqlTableModel*)xptr;
        case 1: return (void*)(QAbstractItemModel*)(QSqlTableModel*)xptr;
        case 43: return (void*)(QObject*)(QSqlTableModel*)xptr;
        case 80: return (void*)(QSqlTableModel*)xptr;
        case 78: return (void*)(QSqlRelationalTableModel*)(QSqlTableModel*)xptr;
        default: return xptr;
      }
    case 81:   //QStandardItem
      switch(to) {
        case 81: return (void*)(QStandardItem*)xptr;
        default: return xptr;
      }
    case 82:   //QString::Null
      switch(to) {
        case 82: return (void*)(QString::Null*)xptr;
        default: return xptr;
      }
    case 83:   //QStringRef
      switch(to) {
        case 83: return (void*)(QStringRef*)xptr;
        default: return xptr;
      }
    case 84:   //QStyleOption
      switch(to) {
        case 84: return (void*)(QStyleOption*)xptr;
        default: return xptr;
      }
    case 85:   //QStyleOptionViewItem
      switch(to) {
        case 84: return (void*)(QStyleOption*)(QStyleOptionViewItem*)xptr;
        case 85: return (void*)(QStyleOptionViewItem*)xptr;
        default: return xptr;
      }
    case 86:   //QTableWidgetItem
      switch(to) {
        case 86: return (void*)(QTableWidgetItem*)xptr;
        default: return xptr;
      }
    case 87:   //QTextCodec
      switch(to) {
        case 87: return (void*)(QTextCodec*)xptr;
        default: return xptr;
      }
    case 88:   //QTextFormat
      switch(to) {
        case 88: return (void*)(QTextFormat*)xptr;
        default: return xptr;
      }
    case 89:   //QTextLength
      switch(to) {
        case 89: return (void*)(QTextLength*)xptr;
        default: return xptr;
      }
    case 90:   //QTextStream
      switch(to) {
        case 90: return (void*)(QTextStream*)xptr;
        default: return xptr;
      }
    case 91:   //QTextStreamManipulator
      switch(to) {
        case 91: return (void*)(QTextStreamManipulator*)xptr;
        default: return xptr;
      }
    case 92:   //QTileRules
      switch(to) {
        case 92: return (void*)(QTileRules*)xptr;
        default: return xptr;
      }
    case 93:   //QTime
      switch(to) {
        case 93: return (void*)(QTime*)xptr;
        default: return xptr;
      }
    case 94:   //QTimerEvent
      switch(to) {
        case 18: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 94: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 95:   //QTransform
      switch(to) {
        case 95: return (void*)(QTransform*)xptr;
        default: return xptr;
      }
    case 96:   //QTreeWidgetItem
      switch(to) {
        case 96: return (void*)(QTreeWidgetItem*)xptr;
        default: return xptr;
      }
    case 97:   //QUrl
      switch(to) {
        case 97: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 98:   //QUuid
      switch(to) {
        case 98: return (void*)(QUuid*)xptr;
        default: return xptr;
      }
    case 99:   //QVariant
      switch(to) {
        case 99: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 100:   //QVariantComparisonHelper
      switch(to) {
        case 100: return (void*)(QVariantComparisonHelper*)xptr;
        default: return xptr;
      }
    case 101:   //QVector2D
      switch(to) {
        case 101: return (void*)(QVector2D*)xptr;
        default: return xptr;
      }
    case 102:   //QVector3D
      switch(to) {
        case 102: return (void*)(QVector3D*)xptr;
        default: return xptr;
      }
    case 103:   //QVector4D
      switch(to) {
        case 103: return (void*)(QVector4D*)xptr;
        default: return xptr;
      }
    case 104:   //QWidget
      switch(to) {
        case 43: return (void*)(QObject*)(QWidget*)xptr;
        case 104: return (void*)(QWidget*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    43, 0,	// 1: QObject
    19, 0,	// 3: QFactoryInterface
    43, 68, 0,	// 5: QObject, QSqlDriverFactoryInterface
    75, 0,	// 8: QSqlRecord
    2, 0,	// 10: QAbstractTableModel
    28, 0,	// 12: QItemDelegate
    80, 0,	// 14: QSqlTableModel
    74, 0,	// 16: QSqlQueryModel
};

// These are the xenum functions for manipulating enum pointers
void xenum_QSqlField(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSqlError(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSqlResult(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSqlDriver(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSqlRelationalTableModel(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSql(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSqlTableModel(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSqlQuery(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_QSql(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlDatabase(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlDriver(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlDriverCreatorBase(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlDriverFactoryInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlDriverPlugin(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlError(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlField(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlIndex(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlQuery(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlQueryModel(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlRecord(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlRelation(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlRelationalDelegate(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlRelationalTableModel(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlResult(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlTableModel(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QAbstractItemModel", true, 0, 0, 0, 0, 0 },	//1
    { "QAbstractTableModel", true, 0, 0, 0, 0, 0 },	//2
    { "QAccessible2Interface", true, 0, 0, 0, 0, 0 },	//3
    { "QBitArray", true, 0, 0, 0, 0, 0 },	//4
    { "QBool", true, 0, 0, 0, 0, 0 },	//5
    { "QBrush", true, 0, 0, 0, 0, 0 },	//6
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//7
    { "QChar", true, 0, 0, 0, 0, 0 },	//8
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//9
    { "QColor", true, 0, 0, 0, 0, 0 },	//10
    { "QCursor", true, 0, 0, 0, 0, 0 },	//11
    { "QDataStream", true, 0, 0, 0, 0, 0 },	//12
    { "QDate", true, 0, 0, 0, 0, 0 },	//13
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//14
    { "QDebug", true, 0, 0, 0, 0, 0 },	//15
    { "QDir", true, 0, 0, 0, 0, 0 },	//16
    { "QEasingCurve", true, 0, 0, 0, 0, 0 },	//17
    { "QEvent", true, 0, 0, 0, 0, 0 },	//18
    { "QFactoryInterface", true, 0, 0, 0, 0, 0 },	//19
    { "QFont", true, 0, 0, 0, 0, 0 },	//20
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//21
    { "QGraphicsItem", true, 0, 0, 0, 0, 0 },	//22
    { "QGraphicsObject", true, 0, 0, 0, 0, 0 },	//23
    { "QHashDummyValue", true, 0, 0, 0, 0, 0 },	//24
    { "QIcon", true, 0, 0, 0, 0, 0 },	//25
    { "QImage", true, 0, 0, 0, 0, 0 },	//26
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//27
    { "QItemDelegate", true, 0, 0, 0, 0, 0 },	//28
    { "QItemSelectionRange", true, 0, 0, 0, 0, 0 },	//29
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//30
    { "QKeySequence", true, 0, 0, 0, 0, 0 },	//31
    { "QLatin1String", true, 0, 0, 0, 0, 0 },	//32
    { "QLine", true, 0, 0, 0, 0, 0 },	//33
    { "QLineF", true, 0, 0, 0, 0, 0 },	//34
    { "QListWidgetItem", true, 0, 0, 0, 0, 0 },	//35
    { "QLocale", true, 0, 0, 0, 0, 0 },	//36
    { "QMargins", true, 0, 0, 0, 0, 0 },	//37
    { "QMatrix", true, 0, 0, 0, 0, 0 },	//38
    { "QMatrix4x4", true, 0, 0, 0, 0, 0 },	//39
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//40
    { "QMimeData", true, 0, 0, 0, 0, 0 },	//41
    { "QModelIndex", true, 0, 0, 0, 0, 0 },	//42
    { "QObject", true, 0, 0, 0, 0, 0 },	//43
    { "QPainter", true, 0, 0, 0, 0, 0 },	//44
    { "QPainterPath", true, 0, 0, 0, 0, 0 },	//45
    { "QPalette", true, 0, 0, 0, 0, 0 },	//46
    { "QPen", true, 0, 0, 0, 0, 0 },	//47
    { "QPersistentModelIndex", true, 0, 0, 0, 0, 0 },	//48
    { "QPicture", true, 0, 0, 0, 0, 0 },	//49
    { "QPixmap", true, 0, 0, 0, 0, 0 },	//50
    { "QPoint", true, 0, 0, 0, 0, 0 },	//51
    { "QPointF", true, 0, 0, 0, 0, 0 },	//52
    { "QPolygon", true, 0, 0, 0, 0, 0 },	//53
    { "QPolygonF", true, 0, 0, 0, 0, 0 },	//54
    { "QQuaternion", true, 0, 0, 0, 0, 0 },	//55
    { "QRect", true, 0, 0, 0, 0, 0 },	//56
    { "QRectF", true, 0, 0, 0, 0, 0 },	//57
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//58
    { "QRegion", true, 0, 0, 0, 0, 0 },	//59
    { "QSize", true, 0, 0, 0, 0, 0 },	//60
    { "QSizeF", true, 0, 0, 0, 0, 0 },	//61
    { "QSizePolicy", true, 0, 0, 0, 0, 0 },	//62
    { "QSplitter", true, 0, 0, 0, 0, 0 },	//63
    { "QSql", false, 0, xcall_QSql, xenum_QSql, Smoke::cf_namespace, 0 },	//64
    { "QSqlDatabase", false, 0, xcall_QSqlDatabase, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSqlDatabase) },	//65
    { "QSqlDriver", false, 1, xcall_QSqlDriver, xenum_QSqlDriver, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSqlDriver) },	//66
    { "QSqlDriverCreatorBase", false, 0, xcall_QSqlDriverCreatorBase, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QSqlDriverCreatorBase) },	//67
    { "QSqlDriverFactoryInterface", false, 3, xcall_QSqlDriverFactoryInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QSqlDriverFactoryInterface) },	//68
    { "QSqlDriverPlugin", false, 5, xcall_QSqlDriverPlugin, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSqlDriverPlugin) },	//69
    { "QSqlError", false, 0, xcall_QSqlError, xenum_QSqlError, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSqlError) },	//70
    { "QSqlField", false, 0, xcall_QSqlField, xenum_QSqlField, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSqlField) },	//71
    { "QSqlIndex", false, 8, xcall_QSqlIndex, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSqlIndex) },	//72
    { "QSqlQuery", false, 0, xcall_QSqlQuery, xenum_QSqlQuery, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSqlQuery) },	//73
    { "QSqlQueryModel", false, 10, xcall_QSqlQueryModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSqlQueryModel) },	//74
    { "QSqlRecord", false, 0, xcall_QSqlRecord, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSqlRecord) },	//75
    { "QSqlRelation", false, 0, xcall_QSqlRelation, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSqlRelation) },	//76
    { "QSqlRelationalDelegate", false, 12, xcall_QSqlRelationalDelegate, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSqlRelationalDelegate) },	//77
    { "QSqlRelationalTableModel", false, 14, xcall_QSqlRelationalTableModel, xenum_QSqlRelationalTableModel, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSqlRelationalTableModel) },	//78
    { "QSqlResult", false, 0, xcall_QSqlResult, xenum_QSqlResult, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSqlResult) },	//79
    { "QSqlTableModel", false, 16, xcall_QSqlTableModel, xenum_QSqlTableModel, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSqlTableModel) },	//80
    { "QStandardItem", true, 0, 0, 0, 0, 0 },	//81
    { "QString::Null", true, 0, 0, 0, 0, 0 },	//82
    { "QStringRef", true, 0, 0, 0, 0, 0 },	//83
    { "QStyleOption", true, 0, 0, 0, 0, 0 },	//84
    { "QStyleOptionViewItem", true, 0, 0, 0, 0, 0 },	//85
    { "QTableWidgetItem", true, 0, 0, 0, 0, 0 },	//86
    { "QTextCodec", true, 0, 0, 0, 0, 0 },	//87
    { "QTextFormat", true, 0, 0, 0, 0, 0 },	//88
    { "QTextLength", true, 0, 0, 0, 0, 0 },	//89
    { "QTextStream", true, 0, 0, 0, 0, 0 },	//90
    { "QTextStreamManipulator", true, 0, 0, 0, 0, 0 },	//91
    { "QTileRules", true, 0, 0, 0, 0, 0 },	//92
    { "QTime", true, 0, 0, 0, 0, 0 },	//93
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//94
    { "QTransform", true, 0, 0, 0, 0, 0 },	//95
    { "QTreeWidgetItem", true, 0, 0, 0, 0, 0 },	//96
    { "QUrl", true, 0, 0, 0, 0, 0 },	//97
    { "QUuid", true, 0, 0, 0, 0, 0 },	//98
    { "QVariant", true, 0, 0, 0, 0, 0 },	//99
    { "QVariantComparisonHelper", true, 0, 0, 0, 0, 0 },	//100
    { "QVector2D", true, 0, 0, 0, 0, 0 },	//101
    { "QVector3D", true, 0, 0, 0, 0, 0 },	//102
    { "QVector4D", true, 0, 0, 0, 0, 0 },	//103
    { "QWidget", true, 0, 0, 0, 0, 0 },	//104
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QAbstractFileEngine::FileFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//1
    { "QAbstractItemModel*", 1, Smoke::t_class|Smoke::tf_ptr },	//2
    { "QAbstractItemView::EditTrigger", 0, Smoke::t_enum|Smoke::tf_stack },	//3
    { "QAbstractPrintDialog::PrintDialogOption", 0, Smoke::t_enum|Smoke::tf_stack },	//4
    { "QAbstractSpinBox::StepEnabledFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//5
    { "QAccessible2::BoundaryType", 0, Smoke::t_enum|Smoke::tf_stack },	//6
    { "QAccessible2::CoordinateType", 0, Smoke::t_enum|Smoke::tf_stack },	//7
    { "QAccessible2::InterfaceType", 0, Smoke::t_enum|Smoke::tf_stack },	//8
    { "QAccessible2::TableModelChangeType", 0, Smoke::t_enum|Smoke::tf_stack },	//9
    { "QAccessible2Interface*", 3, Smoke::t_class|Smoke::tf_ptr },	//10
    { "QAccessible::RelationFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//11
    { "QAccessible::StateFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//12
    { "QBitArray", 4, Smoke::t_class|Smoke::tf_stack },	//13
    { "QBitArray&", 4, Smoke::t_class|Smoke::tf_ref },	//14
    { "QBool", 5, Smoke::t_class|Smoke::tf_stack },	//15
    { "QBrush&", 6, Smoke::t_class|Smoke::tf_ref },	//16
    { "QByteArray", 7, Smoke::t_class|Smoke::tf_stack },	//17
    { "QByteArray&", 7, Smoke::t_class|Smoke::tf_ref },	//18
    { "QChar", 8, Smoke::t_class|Smoke::tf_stack },	//19
    { "QChar&", 8, Smoke::t_class|Smoke::tf_ref },	//20
    { "QChildEvent*", 9, Smoke::t_class|Smoke::tf_ptr },	//21
    { "QColor&", 10, Smoke::t_class|Smoke::tf_ref },	//22
    { "QColorDialog::ColorDialogOption", 0, Smoke::t_enum|Smoke::tf_stack },	//23
    { "QCursor&", 11, Smoke::t_class|Smoke::tf_ref },	//24
    { "QDataStream&", 12, Smoke::t_class|Smoke::tf_ref },	//25
    { "QDate&", 13, Smoke::t_class|Smoke::tf_ref },	//26
    { "QDateTime&", 14, Smoke::t_class|Smoke::tf_ref },	//27
    { "QDateTimeEdit::Section", 0, Smoke::t_enum|Smoke::tf_stack },	//28
    { "QDebug", 15, Smoke::t_class|Smoke::tf_stack },	//29
    { "QDialogButtonBox::StandardButton", 0, Smoke::t_enum|Smoke::tf_stack },	//30
    { "QDir::Filter", 16, Smoke::t_enum|Smoke::tf_stack },	//31
    { "QDir::SortFlag", 16, Smoke::t_enum|Smoke::tf_stack },	//32
    { "QDirIterator::IteratorFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//33
    { "QDockWidget::DockWidgetFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//34
    { "QDrawBorderPixmap::DrawingHint", 0, Smoke::t_enum|Smoke::tf_stack },	//35
    { "QEasingCurve&", 17, Smoke::t_class|Smoke::tf_ref },	//36
    { "QEvent*", 18, Smoke::t_class|Smoke::tf_ptr },	//37
    { "QEventLoop::ProcessEventsFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//38
    { "QFile::Permission", 0, Smoke::t_enum|Smoke::tf_stack },	//39
    { "QFileDialog::Option", 0, Smoke::t_enum|Smoke::tf_stack },	//40
    { "QFlags<QAbstractFileEngine::FileFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//41
    { "QFlags<QAbstractItemView::EditTrigger>", 0, Smoke::t_uint|Smoke::tf_stack },	//42
    { "QFlags<QAbstractPrintDialog::PrintDialogOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//43
    { "QFlags<QAbstractSpinBox::StepEnabledFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//44
    { "QFlags<QAccessible::RelationFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//45
    { "QFlags<QAccessible::StateFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//46
    { "QFlags<QColorDialog::ColorDialogOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//47
    { "QFlags<QDateTimeEdit::Section>", 0, Smoke::t_uint|Smoke::tf_stack },	//48
    { "QFlags<QDialogButtonBox::StandardButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//49
    { "QFlags<QDir::Filter>", 0, Smoke::t_uint|Smoke::tf_stack },	//50
    { "QFlags<QDir::SortFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//51
    { "QFlags<QDirIterator::IteratorFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//52
    { "QFlags<QDockWidget::DockWidgetFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//53
    { "QFlags<QDrawBorderPixmap::DrawingHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//54
    { "QFlags<QEventLoop::ProcessEventsFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//55
    { "QFlags<QFile::Permission>", 0, Smoke::t_uint|Smoke::tf_stack },	//56
    { "QFlags<QFileDialog::Option>", 0, Smoke::t_uint|Smoke::tf_stack },	//57
    { "QFlags<QFontComboBox::FontFilter>", 0, Smoke::t_uint|Smoke::tf_stack },	//58
    { "QFlags<QFontDialog::FontDialogOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//59
    { "QFlags<QGestureRecognizer::ResultFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//60
    { "QFlags<QGraphicsBlurEffect::BlurHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//61
    { "QFlags<QGraphicsEffect::ChangeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//62
    { "QFlags<QGraphicsItem::GraphicsItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//63
    { "QFlags<QGraphicsScene::SceneLayer>", 0, Smoke::t_uint|Smoke::tf_stack },	//64
    { "QFlags<QGraphicsView::CacheModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//65
    { "QFlags<QGraphicsView::OptimizationFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//66
    { "QFlags<QIODevice::OpenModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//67
    { "QFlags<QImageIOPlugin::Capability>", 0, Smoke::t_uint|Smoke::tf_stack },	//68
    { "QFlags<QInputDialog::InputDialogOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//69
    { "QFlags<QItemSelectionModel::SelectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//70
    { "QFlags<QLibrary::LoadHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//71
    { "QFlags<QLocale::NumberOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//72
    { "QFlags<QMainWindow::DockOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//73
    { "QFlags<QMdiArea::AreaOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//74
    { "QFlags<QMdiSubWindow::SubWindowOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//75
    { "QFlags<QMessageBox::StandardButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//76
    { "QFlags<QPaintEngine::DirtyFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//77
    { "QFlags<QPaintEngine::PaintEngineFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//78
    { "QFlags<QPainter::RenderHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//79
    { "QFlags<QPinchGesture::ChangeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//80
    { "QFlags<QSizePolicy::ControlType>", 0, Smoke::t_uint|Smoke::tf_stack },	//81
    { "QFlags<QSql::ParamTypeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//82
    { "QFlags<QString::SectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//83
    { "QFlags<QStyle::StateFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//84
    { "QFlags<QStyle::SubControl>", 0, Smoke::t_uint|Smoke::tf_stack },	//85
    { "QFlags<QStyleOptionButton::ButtonFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//86
    { "QFlags<QStyleOptionFrameV2::FrameFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//87
    { "QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//88
    { "QFlags<QStyleOptionTab::CornerWidget>", 0, Smoke::t_uint|Smoke::tf_stack },	//89
    { "QFlags<QStyleOptionToolBar::ToolBarFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//90
    { "QFlags<QStyleOptionToolButton::ToolButtonFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//91
    { "QFlags<QStyleOptionViewItemV2::ViewItemFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//92
    { "QFlags<QTextCodec::ConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//93
    { "QFlags<QTextDocument::FindFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//94
    { "QFlags<QTextEdit::AutoFormattingFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//95
    { "QFlags<QTextFormat::PageBreakFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//96
    { "QFlags<QTextItem::RenderFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//97
    { "QFlags<QTextOption::Flag>", 0, Smoke::t_uint|Smoke::tf_stack },	//98
    { "QFlags<QTextStream::NumberFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//99
    { "QFlags<QTreeWidgetItemIterator::IteratorFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//100
    { "QFlags<QUrl::FormattingOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//101
    { "QFlags<QWidget::RenderFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//102
    { "QFlags<QWizard::WizardOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//103
    { "QFlags<Qt::AlignmentFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//104
    { "QFlags<Qt::DockWidgetArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//105
    { "QFlags<Qt::DropAction>", 0, Smoke::t_uint|Smoke::tf_stack },	//106
    { "QFlags<Qt::GestureFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//107
    { "QFlags<Qt::ImageConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//108
    { "QFlags<Qt::InputMethodHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//109
    { "QFlags<Qt::ItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//110
    { "QFlags<Qt::KeyboardModifier>", 0, Smoke::t_uint|Smoke::tf_stack },	//111
    { "QFlags<Qt::MatchFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//112
    { "QFlags<Qt::MouseButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//113
    { "QFlags<Qt::Orientation>", 0, Smoke::t_uint|Smoke::tf_stack },	//114
    { "QFlags<Qt::TextInteractionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//115
    { "QFlags<Qt::ToolBarArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//116
    { "QFlags<Qt::TouchPointState>", 0, Smoke::t_uint|Smoke::tf_stack },	//117
    { "QFlags<Qt::WindowState>", 0, Smoke::t_uint|Smoke::tf_stack },	//118
    { "QFlags<Qt::WindowType>", 0, Smoke::t_uint|Smoke::tf_stack },	//119
    { "QFont&", 20, Smoke::t_class|Smoke::tf_ref },	//120
    { "QFontComboBox::FontFilter", 0, Smoke::t_enum|Smoke::tf_stack },	//121
    { "QFontDialog::FontDialogOption", 0, Smoke::t_enum|Smoke::tf_stack },	//122
    { "QGestureRecognizer::ResultFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//123
    { "QGraphicsBlurEffect::BlurHint", 0, Smoke::t_enum|Smoke::tf_stack },	//124
    { "QGraphicsEffect::ChangeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//125
    { "QGraphicsItem*", 22, Smoke::t_class|Smoke::tf_ptr },	//126
    { "QGraphicsItem::GraphicsItemChange", 22, Smoke::t_enum|Smoke::tf_stack },	//127
    { "QGraphicsItem::GraphicsItemFlag", 22, Smoke::t_enum|Smoke::tf_stack },	//128
    { "QGraphicsObject*", 23, Smoke::t_class|Smoke::tf_ptr },	//129
    { "QGraphicsScene::SceneLayer", 0, Smoke::t_enum|Smoke::tf_stack },	//130
    { "QGraphicsView::CacheModeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//131
    { "QGraphicsView::OptimizationFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//132
    { "QIODevice::OpenModeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//133
    { "QIcon&", 25, Smoke::t_class|Smoke::tf_ref },	//134
    { "QImage&", 26, Smoke::t_class|Smoke::tf_ref },	//135
    { "QImageIOPlugin::Capability", 0, Smoke::t_enum|Smoke::tf_stack },	//136
    { "QIncompatibleFlag", 27, Smoke::t_class|Smoke::tf_stack },	//137
    { "QInputDialog::InputDialogOption", 0, Smoke::t_enum|Smoke::tf_stack },	//138
    { "QItemSelectionModel::SelectionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//139
    { "QKeyEvent*", 30, Smoke::t_class|Smoke::tf_ptr },	//140
    { "QKeySequence&", 31, Smoke::t_class|Smoke::tf_ref },	//141
    { "QKeySequence::StandardKey", 31, Smoke::t_enum|Smoke::tf_stack },	//142
    { "QLibrary::LoadHint", 0, Smoke::t_enum|Smoke::tf_stack },	//143
    { "QLine", 33, Smoke::t_class|Smoke::tf_stack },	//144
    { "QLine&", 33, Smoke::t_class|Smoke::tf_ref },	//145
    { "QLineF", 34, Smoke::t_class|Smoke::tf_stack },	//146
    { "QLineF&", 34, Smoke::t_class|Smoke::tf_ref },	//147
    { "QList<QModelIndex>", 0, Smoke::t_voidp|Smoke::tf_stack },	//148
    { "QList<void*>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//149
    { "QListWidgetItem&", 35, Smoke::t_class|Smoke::tf_ref },	//150
    { "QLocale&", 36, Smoke::t_class|Smoke::tf_ref },	//151
    { "QLocale::NumberOption", 36, Smoke::t_enum|Smoke::tf_stack },	//152
    { "QMainWindow::DockOption", 0, Smoke::t_enum|Smoke::tf_stack },	//153
    { "QMap<QString,QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//154
    { "QMap<int,QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//155
    { "QMatrix&", 38, Smoke::t_class|Smoke::tf_ref },	//156
    { "QMatrix4x4", 39, Smoke::t_class|Smoke::tf_stack },	//157
    { "QMatrix4x4&", 39, Smoke::t_class|Smoke::tf_ref },	//158
    { "QMdiArea::AreaOption", 0, Smoke::t_enum|Smoke::tf_stack },	//159
    { "QMdiSubWindow::SubWindowOption", 0, Smoke::t_enum|Smoke::tf_stack },	//160
    { "QMessageBox::StandardButton", 0, Smoke::t_enum|Smoke::tf_stack },	//161
    { "QMetaObject::Call", 40, Smoke::t_enum|Smoke::tf_stack },	//162
    { "QMimeData*", 41, Smoke::t_class|Smoke::tf_ptr },	//163
    { "QModelIndex", 42, Smoke::t_class|Smoke::tf_stack },	//164
    { "QObject*", 43, Smoke::t_class|Smoke::tf_ptr },	//165
    { "QObject*(*)()", 43, Smoke::t_class|Smoke::tf_ptr },	//166
    { "QPaintEngine::DirtyFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//167
    { "QPaintEngine::PaintEngineFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//168
    { "QPainter*", 44, Smoke::t_class|Smoke::tf_ptr },	//169
    { "QPainter::RenderHint", 44, Smoke::t_enum|Smoke::tf_stack },	//170
    { "QPainterPath", 45, Smoke::t_class|Smoke::tf_stack },	//171
    { "QPainterPath&", 45, Smoke::t_class|Smoke::tf_ref },	//172
    { "QPalette&", 46, Smoke::t_class|Smoke::tf_ref },	//173
    { "QPen&", 47, Smoke::t_class|Smoke::tf_ref },	//174
    { "QPicture&", 49, Smoke::t_class|Smoke::tf_ref },	//175
    { "QPinchGesture::ChangeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//176
    { "QPixmap&", 50, Smoke::t_class|Smoke::tf_ref },	//177
    { "QPoint", 51, Smoke::t_class|Smoke::tf_stack },	//178
    { "QPoint&", 51, Smoke::t_class|Smoke::tf_ref },	//179
    { "QPointF", 52, Smoke::t_class|Smoke::tf_stack },	//180
    { "QPointF&", 52, Smoke::t_class|Smoke::tf_ref },	//181
    { "QPolygon", 53, Smoke::t_class|Smoke::tf_stack },	//182
    { "QPolygon&", 53, Smoke::t_class|Smoke::tf_ref },	//183
    { "QPolygonF", 54, Smoke::t_class|Smoke::tf_stack },	//184
    { "QPolygonF&", 54, Smoke::t_class|Smoke::tf_ref },	//185
    { "QQuaternion&", 55, Smoke::t_class|Smoke::tf_ref },	//186
    { "QRect&", 56, Smoke::t_class|Smoke::tf_ref },	//187
    { "QRectF&", 57, Smoke::t_class|Smoke::tf_ref },	//188
    { "QRegExp&", 58, Smoke::t_class|Smoke::tf_ref },	//189
    { "QRegion", 59, Smoke::t_class|Smoke::tf_stack },	//190
    { "QRegion&", 59, Smoke::t_class|Smoke::tf_ref },	//191
    { "QSize", 60, Smoke::t_class|Smoke::tf_stack },	//192
    { "QSize&", 60, Smoke::t_class|Smoke::tf_ref },	//193
    { "QSizeF&", 61, Smoke::t_class|Smoke::tf_ref },	//194
    { "QSizePolicy&", 62, Smoke::t_class|Smoke::tf_ref },	//195
    { "QSizePolicy::ControlType", 62, Smoke::t_enum|Smoke::tf_stack },	//196
    { "QSplitter&", 63, Smoke::t_class|Smoke::tf_ref },	//197
    { "QSql::Location", 64, Smoke::t_enum|Smoke::tf_stack },	//198
    { "QSql::NumericalPrecisionPolicy", 64, Smoke::t_enum|Smoke::tf_stack },	//199
    { "QSql::ParamTypeFlag", 64, Smoke::t_enum|Smoke::tf_stack },	//200
    { "QSql::TableType", 64, Smoke::t_enum|Smoke::tf_stack },	//201
    { "QSqlDatabase", 65, Smoke::t_class|Smoke::tf_stack },	//202
    { "QSqlDatabase&", 65, Smoke::t_class|Smoke::tf_ref },	//203
    { "QSqlDatabase*", 65, Smoke::t_class|Smoke::tf_ptr },	//204
    { "QSqlDriver*", 66, Smoke::t_class|Smoke::tf_ptr },	//205
    { "QSqlDriver::DriverFeature", 66, Smoke::t_enum|Smoke::tf_stack },	//206
    { "QSqlDriver::IdentifierType", 66, Smoke::t_enum|Smoke::tf_stack },	//207
    { "QSqlDriver::StatementType", 66, Smoke::t_enum|Smoke::tf_stack },	//208
    { "QSqlDriverCreatorBase*", 67, Smoke::t_class|Smoke::tf_ptr },	//209
    { "QSqlDriverFactoryInterface*", 68, Smoke::t_class|Smoke::tf_ptr },	//210
    { "QSqlDriverPlugin*", 69, Smoke::t_class|Smoke::tf_ptr },	//211
    { "QSqlError", 70, Smoke::t_class|Smoke::tf_stack },	//212
    { "QSqlError&", 70, Smoke::t_class|Smoke::tf_ref },	//213
    { "QSqlError*", 70, Smoke::t_class|Smoke::tf_ptr },	//214
    { "QSqlError::ErrorType", 70, Smoke::t_enum|Smoke::tf_stack },	//215
    { "QSqlField", 71, Smoke::t_class|Smoke::tf_stack },	//216
    { "QSqlField&", 71, Smoke::t_class|Smoke::tf_ref },	//217
    { "QSqlField*", 71, Smoke::t_class|Smoke::tf_ptr },	//218
    { "QSqlField::RequiredStatus", 71, Smoke::t_enum|Smoke::tf_stack },	//219
    { "QSqlIndex", 72, Smoke::t_class|Smoke::tf_stack },	//220
    { "QSqlIndex&", 72, Smoke::t_class|Smoke::tf_ref },	//221
    { "QSqlIndex*", 72, Smoke::t_class|Smoke::tf_ptr },	//222
    { "QSqlQuery", 73, Smoke::t_class|Smoke::tf_stack },	//223
    { "QSqlQuery&", 73, Smoke::t_class|Smoke::tf_ref },	//224
    { "QSqlQuery*", 73, Smoke::t_class|Smoke::tf_ptr },	//225
    { "QSqlQuery::BatchExecutionMode", 73, Smoke::t_enum|Smoke::tf_stack },	//226
    { "QSqlQueryModel*", 74, Smoke::t_class|Smoke::tf_ptr },	//227
    { "QSqlRecord", 75, Smoke::t_class|Smoke::tf_stack },	//228
    { "QSqlRecord&", 75, Smoke::t_class|Smoke::tf_ref },	//229
    { "QSqlRecord*", 75, Smoke::t_class|Smoke::tf_ptr },	//230
    { "QSqlRelation", 76, Smoke::t_class|Smoke::tf_stack },	//231
    { "QSqlRelation*", 76, Smoke::t_class|Smoke::tf_ptr },	//232
    { "QSqlRelationalDelegate*", 77, Smoke::t_class|Smoke::tf_ptr },	//233
    { "QSqlRelationalTableModel*", 78, Smoke::t_class|Smoke::tf_ptr },	//234
    { "QSqlRelationalTableModel::JoinMode", 78, Smoke::t_enum|Smoke::tf_stack },	//235
    { "QSqlResult*", 79, Smoke::t_class|Smoke::tf_ptr },	//236
    { "QSqlResult::BindingSyntax", 79, Smoke::t_enum|Smoke::tf_stack },	//237
    { "QSqlResult::VirtualHookOperation", 79, Smoke::t_enum|Smoke::tf_stack },	//238
    { "QSqlTableModel*", 80, Smoke::t_class|Smoke::tf_ptr },	//239
    { "QSqlTableModel::EditStrategy", 80, Smoke::t_enum|Smoke::tf_stack },	//240
    { "QStandardItem&", 81, Smoke::t_class|Smoke::tf_ref },	//241
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//242
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//243
    { "QString::Null", 82, Smoke::t_class|Smoke::tf_stack },	//244
    { "QString::SectionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//245
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//246
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//247
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//248
    { "QStyle::StateFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//249
    { "QStyle::SubControl", 0, Smoke::t_enum|Smoke::tf_stack },	//250
    { "QStyleOptionButton::ButtonFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//251
    { "QStyleOptionFrameV2::FrameFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//252
    { "QStyleOptionQ3ListViewItem::Q3ListViewItemFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//253
    { "QStyleOptionTab::CornerWidget", 0, Smoke::t_enum|Smoke::tf_stack },	//254
    { "QStyleOptionToolBar::ToolBarFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//255
    { "QStyleOptionToolButton::ToolButtonFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//256
    { "QStyleOptionViewItemV2::ViewItemFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//257
    { "QTableWidgetItem&", 86, Smoke::t_class|Smoke::tf_ref },	//258
    { "QTextCodec*", 87, Smoke::t_class|Smoke::tf_ptr },	//259
    { "QTextCodec::ConversionFlag", 87, Smoke::t_enum|Smoke::tf_stack },	//260
    { "QTextDocument::FindFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//261
    { "QTextEdit::AutoFormattingFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//262
    { "QTextFormat&", 88, Smoke::t_class|Smoke::tf_ref },	//263
    { "QTextFormat::PageBreakFlag", 88, Smoke::t_enum|Smoke::tf_stack },	//264
    { "QTextItem::RenderFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//265
    { "QTextLength&", 89, Smoke::t_class|Smoke::tf_ref },	//266
    { "QTextOption::Flag", 0, Smoke::t_enum|Smoke::tf_stack },	//267
    { "QTextStream&", 90, Smoke::t_class|Smoke::tf_ref },	//268
    { "QTextStream&(*)(QTextStream&)", 90, Smoke::t_class|Smoke::tf_ref },	//269
    { "QTextStream::NumberFlag", 90, Smoke::t_enum|Smoke::tf_stack },	//270
    { "QTextStreamManipulator", 91, Smoke::t_class|Smoke::tf_stack },	//271
    { "QTime&", 93, Smoke::t_class|Smoke::tf_ref },	//272
    { "QTimerEvent*", 94, Smoke::t_class|Smoke::tf_ptr },	//273
    { "QTransform", 95, Smoke::t_class|Smoke::tf_stack },	//274
    { "QTransform&", 95, Smoke::t_class|Smoke::tf_ref },	//275
    { "QTreeWidgetItem&", 96, Smoke::t_class|Smoke::tf_ref },	//276
    { "QTreeWidgetItemIterator::IteratorFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//277
    { "QUrl&", 97, Smoke::t_class|Smoke::tf_ref },	//278
    { "QUrl::FormattingOption", 97, Smoke::t_enum|Smoke::tf_stack },	//279
    { "QUuid&", 98, Smoke::t_class|Smoke::tf_ref },	//280
    { "QVariant", 99, Smoke::t_class|Smoke::tf_stack },	//281
    { "QVariant&", 99, Smoke::t_class|Smoke::tf_ref },	//282
    { "QVariant::Type", 99, Smoke::t_enum|Smoke::tf_stack },	//283
    { "QVariant::Type&", 99, Smoke::t_enum|Smoke::tf_ref },	//284
    { "QVector2D&", 101, Smoke::t_class|Smoke::tf_ref },	//285
    { "QVector3D", 102, Smoke::t_class|Smoke::tf_stack },	//286
    { "QVector3D&", 102, Smoke::t_class|Smoke::tf_ref },	//287
    { "QVector4D", 103, Smoke::t_class|Smoke::tf_stack },	//288
    { "QVector4D&", 103, Smoke::t_class|Smoke::tf_ref },	//289
    { "QVector<QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//290
    { "QWidget*", 104, Smoke::t_class|Smoke::tf_ptr },	//291
    { "QWidget::RenderFlag", 104, Smoke::t_enum|Smoke::tf_stack },	//292
    { "QWizard::WizardOption", 0, Smoke::t_enum|Smoke::tf_stack },	//293
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//294
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//295
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//296
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//297
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//298
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//299
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//300
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//301
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//302
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//303
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//304
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//305
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//306
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//307
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//308
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//309
    { "Qt::CursorMoveStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//310
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//311
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//312
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//313
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//314
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//315
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//316
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//317
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//318
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//319
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//320
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//321
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//322
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//323
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//324
    { "Qt::HitTestAccuracy", 0, Smoke::t_enum|Smoke::tf_stack },	//325
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//326
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//327
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//328
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//329
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//330
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//331
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//332
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//333
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//334
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//335
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//336
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//337
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//338
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//339
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//340
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//341
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//342
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//343
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//344
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//345
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//346
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//347
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//348
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//349
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//350
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//351
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//352
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//353
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//354
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//355
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//356
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//357
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//358
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//359
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//360
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//361
    { "Qt::WhiteSpaceMode", 0, Smoke::t_enum|Smoke::tf_stack },	//362
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//363
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//364
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//365
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//366
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//367
    { "QtConcurrent::ReduceOption", 0, Smoke::t_enum|Smoke::tf_stack },	//368
    { "QtConcurrent::ThreadFunctionResult", 0, Smoke::t_enum|Smoke::tf_stack },	//369
    { "QtMsgType", 21, Smoke::t_enum|Smoke::tf_stack },	//370
    { "__codecvt_result", 21, Smoke::t_enum|Smoke::tf_stack },	//371
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//372
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//373
    { "char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//374
    { "const QBitArray&", 4, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//375
    { "const QBrush&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//376
    { "const QBrush*", 6, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//377
    { "const QByteArray", 7, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//378
    { "const QByteArray&", 7, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//379
    { "const QChar&", 8, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//380
    { "const QColor&", 10, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//381
    { "const QCursor&", 11, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//382
    { "const QDate&", 13, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//383
    { "const QDateTime&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//384
    { "const QDir&", 16, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//385
    { "const QEasingCurve&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//386
    { "const QEvent*", 18, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//387
    { "const QFont&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//388
    { "const QHashDummyValue&", 24, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//389
    { "const QIcon&", 25, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//390
    { "const QImage&", 26, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//391
    { "const QItemSelectionRange&", 29, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//392
    { "const QKeySequence&", 31, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//393
    { "const QLatin1String&", 32, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//394
    { "const QLine&", 33, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//395
    { "const QLineF&", 34, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//396
    { "const QList<QModelIndex>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//397
    { "const QListWidgetItem&", 35, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//398
    { "const QLocale&", 36, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//399
    { "const QMap<int,QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//400
    { "const QMargins&", 37, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//401
    { "const QMatrix&", 38, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//402
    { "const QMatrix4x4&", 39, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//403
    { "const QMetaObject&", 40, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//404
    { "const QMetaObject*", 40, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//405
    { "const QMimeData*", 41, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//406
    { "const QModelIndex&", 42, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//407
    { "const QObject*", 43, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//408
    { "const QPainterPath&", 45, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//409
    { "const QPalette&", 46, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//410
    { "const QPen&", 47, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//411
    { "const QPersistentModelIndex&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//412
    { "const QPicture&", 49, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//413
    { "const QPixmap&", 50, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//414
    { "const QPoint", 51, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//415
    { "const QPoint&", 51, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//416
    { "const QPointF", 52, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//417
    { "const QPointF&", 52, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//418
    { "const QPolygon&", 53, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//419
    { "const QPolygonF&", 54, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//420
    { "const QQuaternion", 55, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//421
    { "const QQuaternion&", 55, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//422
    { "const QRect&", 56, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//423
    { "const QRectF&", 57, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//424
    { "const QRegExp&", 58, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//425
    { "const QRegExp*", 58, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//426
    { "const QRegion&", 59, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//427
    { "const QSize", 60, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//428
    { "const QSize&", 60, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//429
    { "const QSizeF", 61, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//430
    { "const QSizeF&", 61, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//431
    { "const QSizePolicy&", 62, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//432
    { "const QSplitter&", 63, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//433
    { "const QSqlDatabase&", 65, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//434
    { "const QSqlDriver*", 66, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//435
    { "const QSqlDriverCreatorBase&", 67, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//436
    { "const QSqlDriverFactoryInterface&", 68, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//437
    { "const QSqlError&", 70, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//438
    { "const QSqlField&", 71, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//439
    { "const QSqlIndex&", 72, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//440
    { "const QSqlQuery&", 73, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//441
    { "const QSqlRecord&", 75, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//442
    { "const QSqlRelation&", 76, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//443
    { "const QSqlResult*", 79, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//444
    { "const QStandardItem&", 81, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//445
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//446
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//447
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//448
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//449
    { "const QStringRef&", 83, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//450
    { "const QStyleOption&", 84, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//451
    { "const QStyleOption::OptionType&", 84, Smoke::t_enum|Smoke::tf_ref|Smoke::tf_const },	//452
    { "const QStyleOptionViewItem&", 85, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//453
    { "const QTableWidgetItem&", 86, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//454
    { "const QTextFormat&", 88, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//455
    { "const QTextLength&", 89, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//456
    { "const QTileRules&", 92, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//457
    { "const QTime&", 93, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//458
    { "const QTransform&", 95, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//459
    { "const QTreeWidgetItem&", 96, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//460
    { "const QUrl&", 97, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//461
    { "const QUuid&", 98, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//462
    { "const QVariant&", 99, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//463
    { "const QVariant::Type", 99, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//464
    { "const QVariantComparisonHelper&", 100, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//465
    { "const QVector2D", 101, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//466
    { "const QVector2D&", 101, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//467
    { "const QVector3D", 102, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//468
    { "const QVector3D&", 102, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//469
    { "const QVector4D", 103, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//470
    { "const QVector4D&", 103, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//471
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//472
    { "const unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//473
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//474
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//475
    { "float", 0, Smoke::t_float|Smoke::tf_stack },	//476
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//477
    { "int(*)(const void*,const void*)", 0, Smoke::t_int|Smoke::tf_stack },	//478
    { "int*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//479
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//480
    { "long double", 0, Smoke::t_double|Smoke::tf_stack },	//481
    { "long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//482
    { "short", 0, Smoke::t_short|Smoke::tf_stack },	//483
    { "signed char", 0, Smoke::t_char|Smoke::tf_stack },	//484
    { "size_t", 0, Smoke::t_ulong|Smoke::tf_stack },	//485
    { "unsigned char", 0, Smoke::t_uchar|Smoke::tf_stack },	//486
    { "unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//487
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//488
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//489
    { "unsigned long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//490
    { "unsigned short", 0, Smoke::t_ushort|Smoke::tf_stack },	//491
    { "va_list", 0, Smoke::t_voidp|Smoke::tf_stack },	//492
    { "void(*)()", 0, Smoke::t_voidp|Smoke::tf_stack },	//493
    { "void(*)(QtMsgType,const char*)", 0, Smoke::t_voidp|Smoke::tf_stack },	//494
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//495
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//496
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//497
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    407, 463, 477, 0,	//1  const QModelIndex&, const QVariant&, int
    407, 0,	//5  const QModelIndex&
    407, 400, 0,	//7  const QModelIndex&, const QMap<int,QVariant>&
    397, 0,	//10  const QList<QModelIndex>&
    477, 477, 407, 0,	//12  int, int, const QModelIndex&
    477, 349, 0,	//16  int, Qt::SortOrder
    407, 477, 463, 477, 112, 0,	//19  const QModelIndex&, int, const QVariant&, int, QFlags<Qt::MatchFlag>
    406, 316, 477, 477, 407, 0,	//25  const QMimeData*, Qt::DropAction, int, int, const QModelIndex&
    28, 477, 0,	//31  QDateTimeEdit::Section, int
    450, 450, 0,	//34  const QStringRef&, const QStringRef&
    490, 0,	//37  unsigned long long
    475, 0,	//39  double
    260, 477, 0,	//41  QTextCodec::ConversionFlag, int
    403, 403, 0,	//44  const QMatrix4x4&, const QMatrix4x4&
    326, 477, 0,	//47  Qt::ImageConversionFlag, int
    469, 469, 0,	//50  const QVector3D&, const QVector3D&
    467, 467, 0,	//53  const QVector2D&, const QVector2D&
    472, 488, 0,	//56  const char*, unsigned int
    495, 474, 485, 0,	//59  void*, const void*, size_t
    472, 394, 0,	//63  const char*, const QLatin1String&
    29, 67, 0,	//66  QDebug, QFlags<QIODevice::OpenModeFlag>
    25, 134, 0,	//69  QDataStream&, QIcon&
    418, 402, 0,	//72  const QPointF&, const QMatrix&
    167, 77, 0,	//75  QPaintEngine::DirtyFlag, QFlags<QPaintEngine::DirtyFlag>
    450, 447, 0,	//78  const QStringRef&, const QString&
    429, 429, 0,	//81  const QSize&, const QSize&
    25, 393, 0,	//84  QDataStream&, const QKeySequence&
    262, 262, 0,	//87  QTextEdit::AutoFormattingFlag, QTextEdit::AutoFormattingFlag
    472, 379, 0,	//90  const char*, const QByteArray&
    25, 241, 0,	//93  QDataStream&, QStandardItem&
    251, 251, 0,	//96  QStyleOptionButton::ButtonFeature, QStyleOptionButton::ButtonFeature
    159, 74, 0,	//99  QMdiArea::AreaOption, QFlags<QMdiArea::AreaOption>
    39, 56, 0,	//102  QFile::Permission, QFlags<QFile::Permission>
    447, 472, 0,	//105  const QString&, const char*
    25, 186, 0,	//108  QDataStream&, QQuaternion&
    418, 418, 0,	//111  const QPointF&, const QPointF&
    25, 420, 0,	//114  QDataStream&, const QPolygonF&
    475, 475, 0,	//117  double, double
    25, 194, 0,	//120  QDataStream&, QSizeF&
    379, 472, 0,	//123  const QByteArray&, const char*
    476, 0,	//126  float
    472, 0,	//128  const char*
    484, 0,	//130  signed char
    125, 477, 0,	//132  QGraphicsEffect::ChangeFlag, int
    447, 450, 0,	//135  const QString&, const QStringRef&
    40, 477, 0,	//138  QFileDialog::Option, int
    19, 0,	//141  QChar
    25, 427, 0,	//143  QDataStream&, const QRegion&
    161, 161, 0,	//146  QMessageBox::StandardButton, QMessageBox::StandardButton
    250, 85, 0,	//149  QStyle::SubControl, QFlags<QStyle::SubControl>
    403, 416, 0,	//152  const QMatrix4x4&, const QPoint&
    25, 456, 0,	//155  QDataStream&, const QTextLength&
    29, 376, 0,	//158  QDebug, const QBrush&
    123, 123, 0,	//161  QGestureRecognizer::ResultFlag, QGestureRecognizer::ResultFlag
    450, 394, 0,	//164  const QStringRef&, const QLatin1String&
    403, 471, 0,	//167  const QMatrix4x4&, const QVector4D&
    19, 19, 0,	//170  QChar, QChar
    29, 422, 0,	//173  QDebug, const QQuaternion&
    359, 359, 0,	//176  Qt::TouchPointState, Qt::TouchPointState
    403, 0,	//179  const QMatrix4x4&
    461, 0,	//181  const QUrl&
    379, 0,	//183  const QByteArray&
    292, 477, 0,	//185  QWidget::RenderFlag, int
    403, 475, 0,	//188  const QMatrix4x4&, double
    25, 410, 0,	//191  QDataStream&, const QPalette&
    29, 461, 0,	//194  QDebug, const QUrl&
    25, 22, 0,	//197  QDataStream&, QColor&
    25, 258, 0,	//200  QDataStream&, QTableWidgetItem&
    153, 73, 0,	//203  QMainWindow::DockOption, QFlags<QMainWindow::DockOption>
    244, 447, 0,	//206  QString::Null, const QString&
    29, 128, 0,	//209  QDebug, QGraphicsItem::GraphicsItemFlag
    292, 102, 0,	//212  QWidget::RenderFlag, QFlags<QWidget::RenderFlag>
    356, 356, 0,	//215  Qt::ToolBarArea, Qt::ToolBarArea
    472, 472, 0,	//218  const char*, const char*
    132, 477, 0,	//221  QGraphicsView::OptimizationFlag, int
    152, 152, 0,	//224  QLocale::NumberOption, QLocale::NumberOption
    367, 367, 0,	//227  Qt::WindowType, Qt::WindowType
    475, 431, 0,	//230  double, const QSizeF&
    422, 422, 0,	//233  const QQuaternion&, const QQuaternion&
    31, 477, 0,	//236  QDir::Filter, int
    250, 250, 0,	//239  QStyle::SubControl, QStyle::SubControl
    416, 416, 0,	//242  const QPoint&, const QPoint&
    25, 424, 0,	//245  QDataStream&, const QRectF&
    334, 477, 0,	//248  Qt::KeyboardModifier, int
    353, 115, 0,	//251  Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>
    159, 477, 0,	//254  QMdiArea::AreaOption, int
    459, 475, 0,	//257  const QTransform&, double
    3, 42, 0,	//260  QAbstractItemView::EditTrigger, QFlags<QAbstractItemView::EditTrigger>
    373, 0,	//263  char
    293, 293, 0,	//265  QWizard::WizardOption, QWizard::WizardOption
    270, 99, 0,	//268  QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>
    267, 477, 0,	//271  QTextOption::Flag, int
    29, 401, 0,	//274  QDebug, const QMargins&
    279, 477, 0,	//277  QUrl::FormattingOption, int
    39, 477, 0,	//280  QFile::Permission, int
    123, 60, 0,	//283  QGestureRecognizer::ResultFlag, QFlags<QGestureRecognizer::ResultFlag>
    416, 475, 0,	//286  const QPoint&, double
    169, 477, 477, 477, 477, 410, 372, 377, 0,	//289  QPainter*, int, int, int, int, const QPalette&, bool, const QBrush*
    169, 477, 477, 477, 477, 410, 0,	//298  QPainter*, int, int, int, int, const QPalette&
    169, 477, 477, 477, 477, 410, 372, 0,	//305  QPainter*, int, int, int, int, const QPalette&, bool
    25, 459, 0,	//313  QDataStream&, const QTransform&
    33, 52, 0,	//316  QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>
    447, 379, 0,	//319  const QString&, const QByteArray&
    431, 431, 0,	//322  const QSizeF&, const QSizeF&
    469, 403, 0,	//325  const QVector3D&, const QMatrix4x4&
    471, 471, 0,	//328  const QVector4D&, const QVector4D&
    29, 418, 0,	//331  QDebug, const QPointF&
    481, 477, 479, 479, 0,	//334  long double, int, int*, int*
    40, 57, 0,	//339  QFileDialog::Option, QFlags<QFileDialog::Option>
    25, 414, 0,	//342  QDataStream&, const QPixmap&
    334, 111, 0,	//345  Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>
    293, 477, 0,	//348  QWizard::WizardOption, int
    29, 396, 0,	//351  QDebug, const QLineF&
    488, 0,	//354  unsigned int
    29, 384, 0,	//356  QDebug, const QDateTime&
    34, 53, 0,	//359  QDockWidget::DockWidgetFeature, QFlags<QDockWidget::DockWidgetFeature>
    472, 447, 0,	//362  const char*, const QString&
    477, 477, 477, 0,	//365  int, int, int
    131, 131, 0,	//369  QGraphicsView::CacheModeFlag, QGraphicsView::CacheModeFlag
    25, 413, 0,	//372  QDataStream&, const QPicture&
    279, 279, 0,	//375  QUrl::FormattingOption, QUrl::FormattingOption
    359, 117, 0,	//378  Qt::TouchPointState, QFlags<Qt::TouchPointState>
    326, 326, 0,	//381  Qt::ImageConversionFlag, Qt::ImageConversionFlag
    477, 0,	//384  int
    168, 477, 0,	//386  QPaintEngine::PaintEngineFeature, int
    3, 3, 0,	//389  QAbstractItemView::EditTrigger, QAbstractItemView::EditTrigger
    152, 477, 0,	//392  QLocale::NumberOption, int
    394, 394, 0,	//395  const QLatin1String&, const QLatin1String&
    473, 477, 0,	//398  const unsigned char*, int
    472, 472, 488, 0,	//401  const char*, const char*, unsigned int
    394, 450, 0,	//405  const QLatin1String&, const QStringRef&
    140, 142, 0,	//408  QKeyEvent*, QKeySequence::StandardKey
    253, 253, 0,	//411  QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QStyleOptionQ3ListViewItem::Q3ListViewItemFeature
    268, 197, 0,	//414  QTextStream&, QSplitter&
    392, 0,	//417  const QItemSelectionRange&
    316, 316, 0,	//419  Qt::DropAction, Qt::DropAction
    170, 79, 0,	//422  QPainter::RenderHint, QFlags<QPainter::RenderHint>
    29, 416, 0,	//425  QDebug, const QPoint&
    25, 151, 0,	//428  QDataStream&, QLocale&
    447, 19, 0,	//431  const QString&, QChar
    244, 244, 0,	//434  QString::Null, QString::Null
    11, 45, 0,	//437  QAccessible::RelationFlag, QFlags<QAccessible::RelationFlag>
    473, 487, 477, 0,	//440  const unsigned char*, unsigned char*, int
    29, 439, 0,	//444  QDebug, const QSqlField&
    252, 87, 0,	//447  QStyleOptionFrameV2::FrameFeature, QFlags<QStyleOptionFrameV2::FrameFeature>
    260, 260, 0,	//450  QTextCodec::ConversionFlag, QTextCodec::ConversionFlag
    341, 341, 0,	//453  Qt::Orientation, Qt::Orientation
    495, 485, 485, 485, 0,	//456  void*, size_t, size_t, size_t
    25, 173, 0,	//461  QDataStream&, QPalette&
    25, 382, 0,	//464  QDataStream&, const QCursor&
    379, 447, 0,	//467  const QByteArray&, const QString&
    356, 116, 0,	//470  Qt::ToolBarArea, QFlags<Qt::ToolBarArea>
    262, 95, 0,	//473  QTextEdit::AutoFormattingFlag, QFlags<QTextEdit::AutoFormattingFlag>
    423, 423, 0,	//476  const QRect&, const QRect&
    38, 55, 0,	//479  QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>
    375, 375, 0,	//482  const QBitArray&, const QBitArray&
    379, 379, 0,	//485  const QByteArray&, const QByteArray&
    161, 76, 0,	//488  QMessageBox::StandardButton, QFlags<QMessageBox::StandardButton>
    495, 485, 0,	//491  void*, size_t
    447, 0,	//494  const QString&
    176, 80, 0,	//496  QPinchGesture::ChangeFlag, QFlags<QPinchGesture::ChangeFlag>
    25, 402, 0,	//499  QDataStream&, const QMatrix&
    25, 399, 0,	//502  QDataStream&, const QLocale&
    29, 386, 0,	//505  QDebug, const QEasingCurve&
    494, 0,	//508  void(*)(QtMsgType,const char*)
    4, 477, 0,	//510  QAbstractPrintDialog::PrintDialogOption, int
    28, 28, 0,	//513  QDateTimeEdit::Section, QDateTimeEdit::Section
    257, 92, 0,	//516  QStyleOptionViewItemV2::ViewItemFeature, QFlags<QStyleOptionViewItemV2::ViewItemFeature>
    29, 387, 0,	//519  QDebug, const QEvent*
    25, 27, 0,	//522  QDataStream&, QDateTime&
    15, 15, 0,	//525  QBool, QBool
    125, 125, 0,	//528  QGraphicsEffect::ChangeFlag, QGraphicsEffect::ChangeFlag
    472, 450, 0,	//531  const char*, const QStringRef&
    121, 477, 0,	//534  QFontComboBox::FontFilter, int
    356, 477, 0,	//537  Qt::ToolBarArea, int
    123, 477, 0,	//540  QGestureRecognizer::ResultFlag, int
    136, 136, 0,	//543  QImageIOPlugin::Capability, QImageIOPlugin::Capability
    25, 174, 0,	//546  QDataStream&, QPen&
    395, 459, 0,	//549  const QLine&, const QTransform&
    29, 420, 0,	//552  QDebug, const QPolygonF&
    328, 477, 0,	//555  Qt::InputMethodHint, int
    19, 447, 0,	//558  QChar, const QString&
    254, 89, 0,	//561  QStyleOptionTab::CornerWidget, QFlags<QStyleOptionTab::CornerWidget>
    245, 477, 0,	//564  QString::SectionFlag, int
    124, 61, 0,	//567  QGraphicsBlurEffect::BlurHint, QFlags<QGraphicsBlurEffect::BlurHint>
    143, 477, 0,	//570  QLibrary::LoadHint, int
    29, 127, 0,	//573  QDebug, QGraphicsItem::GraphicsItemChange
    25, 278, 0,	//576  QDataStream&, QUrl&
    472, 472, 477, 0,	//579  const char*, const char*, int
    482, 0,	//583  long long
    422, 0,	//585  const QQuaternion&
    447, 244, 0,	//587  const QString&, QString::Null
    122, 122, 0,	//590  QFontDialog::FontDialogOption, QFontDialog::FontDialogOption
    459, 459, 0,	//593  const QTransform&, const QTransform&
    153, 477, 0,	//596  QMainWindow::DockOption, int
    25, 16, 0,	//599  QDataStream&, QBrush&
    1, 477, 0,	//602  QAbstractFileEngine::FileFlag, int
    260, 93, 0,	//605  QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>
    447, 373, 0,	//608  const QString&, char
    409, 402, 0,	//611  const QPainterPath&, const QMatrix&
    328, 109, 0,	//614  Qt::InputMethodHint, QFlags<Qt::InputMethodHint>
    153, 153, 0,	//617  QMainWindow::DockOption, QMainWindow::DockOption
    293, 103, 0,	//620  QWizard::WizardOption, QFlags<QWizard::WizardOption>
    25, 195, 0,	//623  QDataStream&, QSizePolicy&
    367, 119, 0,	//626  Qt::WindowType, QFlags<Qt::WindowType>
    169, 477, 477, 477, 477, 381, 477, 377, 0,	//629  QPainter*, int, int, int, int, const QColor&, int, const QBrush*
    169, 477, 477, 477, 477, 381, 0,	//638  QPainter*, int, int, int, int, const QColor&
    169, 477, 477, 477, 477, 381, 477, 0,	//645  QPainter*, int, int, int, int, const QColor&, int
    422, 475, 0,	//653  const QQuaternion&, double
    339, 339, 0,	//656  Qt::MouseButton, Qt::MouseButton
    374, 472, 0,	//659  char*, const char*
    176, 176, 0,	//662  QPinchGesture::ChangeFlag, QPinchGesture::ChangeFlag
    427, 402, 0,	//665  const QRegion&, const QMatrix&
    294, 294, 0,	//668  Qt::AlignmentFlag, Qt::AlignmentFlag
    416, 0,	//671  const QPoint&
    316, 477, 0,	//673  Qt::DropAction, int
    25, 458, 0,	//676  QDataStream&, const QTime&
    32, 477, 0,	//679  QDir::SortFlag, int
    401, 401, 0,	//682  const QMargins&, const QMargins&
    169, 423, 410, 372, 477, 477, 377, 0,	//685  QPainter*, const QRect&, const QPalette&, bool, int, int, const QBrush*
    169, 423, 410, 0,	//693  QPainter*, const QRect&, const QPalette&
    169, 423, 410, 372, 0,	//697  QPainter*, const QRect&, const QPalette&, bool
    169, 423, 410, 372, 477, 0,	//702  QPainter*, const QRect&, const QPalette&, bool, int
    169, 423, 410, 372, 477, 477, 0,	//708  QPainter*, const QRect&, const QPalette&, bool, int, int
    25, 409, 0,	//715  QDataStream&, const QPainterPath&
    471, 403, 0,	//718  const QVector4D&, const QMatrix4x4&
    261, 477, 0,	//721  QTextDocument::FindFlag, int
    166, 0,	//724  QObject*(*)()
    29, 392, 0,	//726  QDebug, const QItemSelectionRange&
    29, 393, 0,	//729  QDebug, const QKeySequence&
    34, 34, 0,	//732  QDockWidget::DockWidgetFeature, QDockWidget::DockWidgetFeature
    169, 423, 401, 414, 0,	//735  QPainter*, const QRect&, const QMargins&, const QPixmap&
    471, 475, 0,	//740  const QVector4D&, double
    268, 433, 0,	//743  QTextStream&, const QSplitter&
    337, 337, 0,	//746  Qt::MatchFlag, Qt::MatchFlag
    485, 0,	//749  size_t
    314, 105, 0,	//751  Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>
    25, 247, 0,	//754  QDataStream&, QStringList&
    255, 255, 0,	//757  QStyleOptionToolBar::ToolBarFeature, QStyleOptionToolBar::ToolBarFeature
    139, 70, 0,	//760  QItemSelectionModel::SelectionFlag, QFlags<QItemSelectionModel::SelectionFlag>
    25, 469, 0,	//763  QDataStream&, const QVector3D&
    29, 464, 0,	//766  QDebug, const QVariant::Type
    314, 477, 0,	//769  Qt::DockWidgetArea, int
    265, 97, 0,	//772  QTextItem::RenderFlag, QFlags<QTextItem::RenderFlag>
    25, 467, 0,	//775  QDataStream&, const QVector2D&
    25, 376, 0,	//778  QDataStream&, const QBrush&
    169, 423, 410, 372, 377, 0,	//781  QPainter*, const QRect&, const QPalette&, bool, const QBrush*
    160, 477, 0,	//787  QMdiSubWindow::SubWindowOption, int
    480, 0,	//790  long
    25, 460, 0,	//792  QDataStream&, const QTreeWidgetItem&
    477, 416, 0,	//795  int, const QPoint&
    491, 0,	//798  unsigned short
    264, 264, 0,	//800  QTextFormat::PageBreakFlag, QTextFormat::PageBreakFlag
    25, 147, 0,	//803  QDataStream&, QLineF&
    167, 167, 0,	//806  QPaintEngine::DirtyFlag, QPaintEngine::DirtyFlag
    25, 391, 0,	//809  QDataStream&, const QImage&
    39, 39, 0,	//812  QFile::Permission, QFile::Permission
    138, 69, 0,	//815  QInputDialog::InputDialogOption, QFlags<QInputDialog::InputDialogOption>
    169, 423, 410, 372, 477, 377, 0,	//818  QPainter*, const QRect&, const QPalette&, bool, int, const QBrush*
    373, 447, 0,	//825  char, const QString&
    25, 193, 0,	//828  QDataStream&, QSize&
    25, 141, 0,	//831  QDataStream&, QKeySequence&
    254, 254, 0,	//834  QStyleOptionTab::CornerWidget, QStyleOptionTab::CornerWidget
    30, 477, 0,	//837  QDialogButtonBox::StandardButton, int
    264, 96, 0,	//840  QTextFormat::PageBreakFlag, QFlags<QTextFormat::PageBreakFlag>
    412, 0,	//843  const QPersistentModelIndex&
    29, 427, 0,	//845  QDebug, const QRegion&
    25, 471, 0,	//848  QDataStream&, const QVector4D&
    25, 390, 0,	//851  QDataStream&, const QIcon&
    25, 447, 0,	//854  QDataStream&, const QString&
    25, 384, 0,	//857  QDataStream&, const QDateTime&
    25, 287, 0,	//860  QDataStream&, QVector3D&
    408, 447, 404, 0,	//863  const QObject*, const QString&, const QMetaObject&
    169, 477, 477, 477, 477, 410, 372, 477, 377, 0,	//867  QPainter*, int, int, int, int, const QPalette&, bool, int, const QBrush*
    169, 477, 477, 477, 477, 410, 372, 477, 0,	//877  QPainter*, int, int, int, int, const QPalette&, bool, int
    245, 245, 0,	//886  QString::SectionFlag, QString::SectionFlag
    25, 285, 0,	//889  QDataStream&, QVector2D&
    161, 477, 0,	//892  QMessageBox::StandardButton, int
    467, 475, 0,	//895  const QVector2D&, double
    252, 252, 0,	//898  QStyleOptionFrameV2::FrameFeature, QStyleOptionFrameV2::FrameFeature
    418, 475, 0,	//901  const QPointF&, double
    372, 15, 0,	//904  bool, QBool
    132, 132, 0,	//907  QGraphicsView::OptimizationFlag, QGraphicsView::OptimizationFlag
    139, 139, 0,	//910  QItemSelectionModel::SelectionFlag, QItemSelectionModel::SelectionFlag
    138, 138, 0,	//913  QInputDialog::InputDialogOption, QInputDialog::InputDialogOption
    469, 475, 0,	//916  const QVector3D&, double
    374, 472, 488, 0,	//919  char*, const char*, unsigned int
    475, 467, 0,	//923  double, const QVector2D&
    471, 0,	//926  const QVector4D&
    277, 100, 0,	//928  QTreeWidgetItemIterator::IteratorFlag, QFlags<QTreeWidgetItemIterator::IteratorFlag>
    25, 158, 0,	//931  QDataStream&, QMatrix4x4&
    255, 90, 0,	//934  QStyleOptionToolBar::ToolBarFeature, QFlags<QStyleOptionToolBar::ToolBarFeature>
    262, 477, 0,	//937  QTextEdit::AutoFormattingFlag, int
    254, 477, 0,	//940  QStyleOptionTab::CornerWidget, int
    25, 416, 0,	//943  QDataStream&, const QPoint&
    25, 282, 0,	//946  QDataStream&, QVariant&
    418, 403, 0,	//949  const QPointF&, const QMatrix4x4&
    339, 477, 0,	//952  Qt::MouseButton, int
    25, 135, 0,	//955  QDataStream&, QImage&
    418, 0,	//958  const QPointF&
    29, 451, 0,	//960  QDebug, const QStyleOption&
    4, 43, 0,	//963  QAbstractPrintDialog::PrintDialogOption, QFlags<QAbstractPrintDialog::PrintDialogOption>
    25, 175, 0,	//966  QDataStream&, QPicture&
    23, 477, 0,	//969  QColorDialog::ColorDialogOption, int
    29, 412, 0,	//972  QDebug, const QPersistentModelIndex&
    420, 402, 0,	//975  const QPolygonF&, const QMatrix&
    25, 289, 0,	//978  QDataStream&, QVector4D&
    23, 23, 0,	//981  QColorDialog::ColorDialogOption, QColorDialog::ColorDialogOption
    472, 472, 472, 477, 0,	//984  const char*, const char*, const char*, int
    476, 416, 0,	//989  float, const QPoint&
    29, 438, 0,	//992  QDebug, const QSqlError&
    40, 40, 0,	//995  QFileDialog::Option, QFileDialog::Option
    267, 267, 0,	//998  QTextOption::Flag, QTextOption::Flag
    341, 114, 0,	//1001  Qt::Orientation, QFlags<Qt::Orientation>
    25, 403, 0,	//1004  QDataStream&, const QMatrix4x4&
    402, 402, 0,	//1007  const QMatrix&, const QMatrix&
    38, 477, 0,	//1010  QEventLoop::ProcessEventsFlag, int
    424, 424, 0,	//1013  const QRectF&, const QRectF&
    477, 477, 477, 477, 0,	//1016  int, int, int, int
    25, 275, 0,	//1021  QDataStream&, QTransform&
    25, 445, 0,	//1024  QDataStream&, const QStandardItem&
    29, 129, 0,	//1027  QDebug, QGraphicsObject*
    326, 108, 0,	//1030  Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>
    475, 471, 0,	//1033  double, const QVector4D&
    11, 477, 0,	//1036  QAccessible::RelationFlag, int
    160, 75, 0,	//1039  QMdiSubWindow::SubWindowOption, QFlags<QMdiSubWindow::SubWindowOption>
    25, 448, 0,	//1042  QDataStream&, const QStringList&
    29, 403, 0,	//1045  QDebug, const QMatrix4x4&
    379, 373, 0,	//1048  const QByteArray&, char
    33, 33, 0,	//1051  QDirIterator::IteratorFlag, QDirIterator::IteratorFlag
    31, 50, 0,	//1054  QDir::Filter, QFlags<QDir::Filter>
    25, 179, 0,	//1057  QDataStream&, QPoint&
    431, 475, 0,	//1060  const QSizeF&, double
    25, 383, 0,	//1063  QDataStream&, const QDate&
    257, 477, 0,	//1066  QStyleOptionViewItemV2::ViewItemFeature, int
    493, 0,	//1069  void(*)()
    473, 477, 477, 0,	//1071  const unsigned char*, int, int
    196, 196, 0,	//1075  QSizePolicy::ControlType, QSizePolicy::ControlType
    25, 395, 0,	//1078  QDataStream&, const QLine&
    25, 156, 0,	//1081  QDataStream&, QMatrix&
    30, 30, 0,	//1084  QDialogButtonBox::StandardButton, QDialogButtonBox::StandardButton
    25, 243, 0,	//1087  QDataStream&, QString&
    249, 249, 0,	//1090  QStyle::StateFlag, QStyle::StateFlag
    25, 398, 0,	//1093  QDataStream&, const QListWidgetItem&
    252, 477, 0,	//1096  QStyleOptionFrameV2::FrameFeature, int
    495, 0,	//1099  void*
    29, 63, 0,	//1101  QDebug, QFlags<QGraphicsItem::GraphicsItemFlag>
    396, 402, 0,	//1104  const QLineF&, const QMatrix&
    25, 455, 0,	//1107  QDataStream&, const QTextFormat&
    200, 477, 0,	//1110  QSql::ParamTypeFlag, int
    331, 477, 0,	//1113  Qt::ItemFlag, int
    25, 276, 0,	//1116  QDataStream&, QTreeWidgetItem&
    29, 385, 0,	//1119  QDebug, const QDir&
    268, 269, 0,	//1122  QTextStream&, QTextStream&(*)(QTextStream&)
    29, 411, 0,	//1125  QDebug, const QPen&
    475, 422, 0,	//1128  double, const QQuaternion&
    29, 407, 0,	//1131  QDebug, const QModelIndex&
    128, 63, 0,	//1134  QGraphicsItem::GraphicsItemFlag, QFlags<QGraphicsItem::GraphicsItemFlag>
    29, 469, 0,	//1137  QDebug, const QVector3D&
    265, 265, 0,	//1140  QTextItem::RenderFlag, QTextItem::RenderFlag
    38, 38, 0,	//1143  QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag
    375, 0,	//1146  const QBitArray&
    29, 467, 0,	//1148  QDebug, const QVector2D&
    136, 68, 0,	//1151  QImageIOPlugin::Capability, QFlags<QImageIOPlugin::Capability>
    29, 458, 0,	//1154  QDebug, const QTime&
    268, 271, 0,	//1157  QTextStream&, QTextStreamManipulator
    29, 471, 0,	//1160  QDebug, const QVector4D&
    25, 263, 0,	//1163  QDataStream&, QTextFormat&
    321, 107, 0,	//1166  Qt::GestureFlag, QFlags<Qt::GestureFlag>
    450, 472, 0,	//1169  const QStringRef&, const char*
    256, 477, 0,	//1172  QStyleOptionToolButton::ToolButtonFeature, int
    196, 81, 0,	//1175  QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>
    292, 292, 0,	//1178  QWidget::RenderFlag, QWidget::RenderFlag
    25, 14, 0,	//1181  QDataStream&, QBitArray&
    25, 183, 0,	//1184  QDataStream&, QPolygon&
    25, 191, 0,	//1187  QDataStream&, QRegion&
    5, 5, 0,	//1190  QAbstractSpinBox::StepEnabledFlag, QAbstractSpinBox::StepEnabledFlag
    25, 432, 0,	//1193  QDataStream&, const QSizePolicy&
    256, 256, 0,	//1196  QStyleOptionToolButton::ToolButtonFeature, QStyleOptionToolButton::ToolButtonFeature
    34, 477, 0,	//1199  QDockWidget::DockWidgetFeature, int
    485, 485, 0,	//1202  size_t, size_t
    130, 64, 0,	//1205  QGraphicsScene::SceneLayer, QFlags<QGraphicsScene::SceneLayer>
    416, 459, 0,	//1208  const QPoint&, const QTransform&
    481, 477, 479, 479, 374, 485, 0,	//1211  long double, int, int*, int*, char*, size_t
    29, 431, 0,	//1218  QDebug, const QSizeF&
    321, 477, 0,	//1221  Qt::GestureFlag, int
    373, 379, 0,	//1224  char, const QByteArray&
    249, 477, 0,	//1227  QStyle::StateFlag, int
    25, 463, 0,	//1230  QDataStream&, const QVariant&
    256, 91, 0,	//1233  QStyleOptionToolButton::ToolButtonFeature, QFlags<QStyleOptionToolButton::ToolButtonFeature>
    29, 463, 0,	//1236  QDebug, const QVariant&
    12, 12, 0,	//1239  QAccessible::StateFlag, QAccessible::StateFlag
    170, 170, 0,	//1242  QPainter::RenderHint, QPainter::RenderHint
    366, 477, 0,	//1245  Qt::WindowState, int
    25, 272, 0,	//1248  QDataStream&, QTime&
    25, 177, 0,	//1251  QDataStream&, QPixmap&
    28, 48, 0,	//1254  QDateTimeEdit::Section, QFlags<QDateTimeEdit::Section>
    267, 98, 0,	//1257  QTextOption::Flag, QFlags<QTextOption::Flag>
    29, 50, 0,	//1260  QDebug, QFlags<QDir::Filter>
    334, 334, 0,	//1263  Qt::KeyboardModifier, Qt::KeyboardModifier
    475, 418, 0,	//1266  double, const QPointF&
    25, 36, 0,	//1269  QDataStream&, QEasingCurve&
    316, 106, 0,	//1272  Qt::DropAction, QFlags<Qt::DropAction>
    427, 459, 0,	//1275  const QRegion&, const QTransform&
    429, 475, 0,	//1278  const QSize&, double
    29, 383, 0,	//1281  QDebug, const QDate&
    409, 459, 0,	//1284  const QPainterPath&, const QTransform&
    12, 46, 0,	//1287  QAccessible::StateFlag, QFlags<QAccessible::StateFlag>
    31, 31, 0,	//1290  QDir::Filter, QDir::Filter
    374, 485, 472, 492, 0,	//1293  char*, size_t, const char*, va_list
    475, 416, 0,	//1298  double, const QPoint&
    420, 459, 0,	//1301  const QPolygonF&, const QTransform&
    495, 477, 485, 0,	//1304  void*, int, size_t
    25, 396, 0,	//1308  QDataStream&, const QLineF&
    472, 477, 0,	//1311  const char*, int
    483, 0,	//1314  short
    160, 160, 0,	//1316  QMdiSubWindow::SubWindowOption, QMdiSubWindow::SubWindowOption
    133, 133, 0,	//1319  QIODevice::OpenModeFlag, QIODevice::OpenModeFlag
    314, 314, 0,	//1322  Qt::DockWidgetArea, Qt::DockWidgetArea
    32, 51, 0,	//1325  QDir::SortFlag, QFlags<QDir::SortFlag>
    476, 476, 0,	//1328  float, float
    463, 465, 0,	//1331  const QVariant&, const QVariantComparisonHelper&
    138, 477, 0,	//1334  QInputDialog::InputDialogOption, int
    143, 143, 0,	//1337  QLibrary::LoadHint, QLibrary::LoadHint
    481, 477, 374, 0,	//1340  long double, int, char*
    495, 485, 485, 478, 0,	//1344  void*, size_t, size_t, int(*)(const void*,const void*)
    277, 277, 0,	//1349  QTreeWidgetItemIterator::IteratorFlag, QTreeWidgetItemIterator::IteratorFlag
    253, 88, 0,	//1352  QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeature>
    132, 66, 0,	//1355  QGraphicsView::OptimizationFlag, QFlags<QGraphicsView::OptimizationFlag>
    33, 477, 0,	//1358  QDirIterator::IteratorFlag, int
    328, 328, 0,	//1361  Qt::InputMethodHint, Qt::InputMethodHint
    130, 477, 0,	//1364  QGraphicsScene::SceneLayer, int
    25, 411, 0,	//1367  QDataStream&, const QPen&
    200, 82, 0,	//1370  QSql::ParamTypeFlag, QFlags<QSql::ParamTypeFlag>
    168, 168, 0,	//1373  QPaintEngine::PaintEngineFeature, QPaintEngine::PaintEngineFeature
    25, 172, 0,	//1376  QDataStream&, QPainterPath&
    29, 395, 0,	//1379  QDebug, const QLine&
    353, 353, 0,	//1382  Qt::TextInteractionFlag, Qt::TextInteractionFlag
    169, 477, 477, 477, 477, 410, 372, 477, 477, 377, 0,	//1385  QPainter*, int, int, int, int, const QPalette&, bool, int, int, const QBrush*
    169, 477, 477, 477, 477, 410, 372, 477, 477, 0,	//1396  QPainter*, int, int, int, int, const QPalette&, bool, int, int
    359, 477, 0,	//1406  Qt::TouchPointState, int
    25, 266, 0,	//1409  QDataStream&, QTextLength&
    29, 459, 0,	//1412  QDebug, const QTransform&
    277, 477, 0,	//1415  QTreeWidgetItemIterator::IteratorFlag, int
    379, 477, 0,	//1418  const QByteArray&, int
    29, 419, 0,	//1421  QDebug, const QPolygon&
    279, 101, 0,	//1424  QUrl::FormattingOption, QFlags<QUrl::FormattingOption>
    5, 477, 0,	//1427  QAbstractSpinBox::StepEnabledFlag, int
    196, 477, 0,	//1430  QSizePolicy::ControlType, int
    130, 130, 0,	//1433  QGraphicsScene::SceneLayer, QGraphicsScene::SceneLayer
    353, 477, 0,	//1436  Qt::TextInteractionFlag, int
    366, 366, 0,	//1439  Qt::WindowState, Qt::WindowState
    264, 477, 0,	//1442  QTextFormat::PageBreakFlag, int
    467, 0,	//1445  const QVector2D&
    1, 41, 0,	//1447  QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>
    25, 381, 0,	//1450  QDataStream&, const QColor&
    475, 403, 0,	//1453  double, const QMatrix4x4&
    25, 379, 0,	//1456  QDataStream&, const QByteArray&
    11, 11, 0,	//1459  QAccessible::RelationFlag, QAccessible::RelationFlag
    395, 402, 0,	//1462  const QLine&, const QMatrix&
    25, 386, 0,	//1465  QDataStream&, const QEasingCurve&
    25, 461, 0,	//1468  QDataStream&, const QUrl&
    29, 423, 0,	//1471  QDebug, const QRect&
    29, 388, 0,	//1474  QDebug, const QFont&
    32, 32, 0,	//1477  QDir::SortFlag, QDir::SortFlag
    23, 47, 0,	//1480  QColorDialog::ColorDialogOption, QFlags<QColorDialog::ColorDialogOption>
    131, 477, 0,	//1483  QGraphicsView::CacheModeFlag, int
    270, 477, 0,	//1486  QTextStream::NumberFlag, int
    25, 187, 0,	//1489  QDataStream&, QRect&
    159, 159, 0,	//1492  QMdiArea::AreaOption, QMdiArea::AreaOption
    25, 429, 0,	//1495  QDataStream&, const QSize&
    25, 380, 0,	//1498  QDataStream&, const QChar&
    121, 58, 0,	//1501  QFontComboBox::FontFilter, QFlags<QFontComboBox::FontFilter>
    142, 140, 0,	//1504  QKeySequence::StandardKey, QKeyEvent*
    122, 59, 0,	//1507  QFontDialog::FontDialogOption, QFlags<QFontDialog::FontDialogOption>
    249, 84, 0,	//1510  QStyle::StateFlag, QFlags<QStyle::StateFlag>
    294, 477, 0,	//1513  Qt::AlignmentFlag, int
    25, 150, 0,	//1516  QDataStream&, QListWidgetItem&
    25, 425, 0,	//1519  QDataStream&, const QRegExp&
    136, 477, 0,	//1522  QImageIOPlugin::Capability, int
    261, 94, 0,	//1525  QTextDocument::FindFlag, QFlags<QTextDocument::FindFlag>
    469, 0,	//1528  const QVector3D&
    29, 424, 0,	//1530  QDebug, const QRectF&
    366, 118, 0,	//1533  Qt::WindowState, QFlags<Qt::WindowState>
    125, 62, 0,	//1536  QGraphicsEffect::ChangeFlag, QFlags<QGraphicsEffect::ChangeFlag>
    331, 331, 0,	//1539  Qt::ItemFlag, Qt::ItemFlag
    25, 280, 0,	//1542  QDataStream&, QUuid&
    25, 120, 0,	//1545  QDataStream&, QFont&
    169, 423, 381, 477, 377, 0,	//1548  QPainter*, const QRect&, const QColor&, int, const QBrush*
    169, 423, 381, 0,	//1554  QPainter*, const QRect&, const QColor&
    169, 423, 381, 477, 0,	//1558  QPainter*, const QRect&, const QColor&, int
    25, 185, 0,	//1563  QDataStream&, QPolygonF&
    128, 128, 0,	//1566  QGraphicsItem::GraphicsItemFlag, QGraphicsItem::GraphicsItemFlag
    255, 477, 0,	//1569  QStyleOptionToolBar::ToolBarFeature, int
    416, 477, 0,	//1572  const QPoint&, int
    25, 284, 0,	//1575  QDataStream&, QVariant::Type&
    200, 200, 0,	//1578  QSql::ParamTypeFlag, QSql::ParamTypeFlag
    170, 477, 0,	//1581  QPainter::RenderHint, int
    463, 283, 495, 0,	//1584  const QVariant&, QVariant::Type, void*
    29, 84, 0,	//1588  QDebug, QFlags<QStyle::StateFlag>
    3, 477, 0,	//1591  QAbstractItemView::EditTrigger, int
    416, 403, 0,	//1594  const QPoint&, const QMatrix4x4&
    416, 402, 0,	//1597  const QPoint&, const QMatrix&
    4, 4, 0,	//1600  QAbstractPrintDialog::PrintDialogOption, QAbstractPrintDialog::PrintDialogOption
    408, 447, 426, 404, 149, 0,	//1603  const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*
    389, 389, 0,	//1609  const QHashDummyValue&, const QHashDummyValue&
    25, 181, 0,	//1612  QDataStream&, QPointF&
    341, 477, 0,	//1615  Qt::Orientation, int
    257, 257, 0,	//1618  QStyleOptionViewItemV2::ViewItemFeature, QStyleOptionViewItemV2::ViewItemFeature
    403, 469, 0,	//1621  const QMatrix4x4&, const QVector3D&
    25, 454, 0,	//1624  QDataStream&, const QTableWidgetItem&
    29, 126, 0,	//1627  QDebug, QGraphicsItem*
    169, 416, 416, 410, 372, 477, 477, 0,	//1630  QPainter*, const QPoint&, const QPoint&, const QPalette&, bool, int, int
    169, 416, 416, 410, 0,	//1638  QPainter*, const QPoint&, const QPoint&, const QPalette&
    169, 416, 416, 410, 372, 0,	//1643  QPainter*, const QPoint&, const QPoint&, const QPalette&, bool
    169, 416, 416, 410, 372, 477, 0,	//1649  QPainter*, const QPoint&, const QPoint&, const QPalette&, bool, int
    321, 321, 0,	//1656  Qt::GestureFlag, Qt::GestureFlag
    133, 67, 0,	//1659  QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>
    403, 418, 0,	//1662  const QMatrix4x4&, const QPointF&
    124, 477, 0,	//1665  QGraphicsBlurEffect::BlurHint, int
    168, 78, 0,	//1668  QPaintEngine::PaintEngineFeature, QFlags<QPaintEngine::PaintEngineFeature>
    25, 388, 0,	//1671  QDataStream&, const QFont&
    124, 124, 0,	//1674  QGraphicsBlurEffect::BlurHint, QGraphicsBlurEffect::BlurHint
    419, 459, 0,	//1677  const QPolygon&, const QTransform&
    167, 477, 0,	//1680  QPaintEngine::DirtyFlag, int
    416, 476, 0,	//1683  const QPoint&, float
    475, 429, 0,	//1686  double, const QSize&
    139, 477, 0,	//1689  QItemSelectionModel::SelectionFlag, int
    15, 372, 0,	//1692  QBool, bool
    30, 49, 0,	//1695  QDialogButtonBox::StandardButton, QFlags<QDialogButtonBox::StandardButton>
    25, 145, 0,	//1698  QDataStream&, QLine&
    29, 429, 0,	//1701  QDebug, const QSize&
    250, 477, 0,	//1704  QStyle::SubControl, int
    270, 270, 0,	//1707  QTextStream::NumberFlag, QTextStream::NumberFlag
    29, 434, 0,	//1710  QDebug, const QSqlDatabase&
    396, 459, 0,	//1713  const QLineF&, const QTransform&
    122, 477, 0,	//1716  QFontDialog::FontDialogOption, int
    339, 113, 0,	//1719  Qt::MouseButton, QFlags<Qt::MouseButton>
    25, 464, 0,	//1722  QDataStream&, const QVariant::Type
    261, 261, 0,	//1725  QTextDocument::FindFlag, QTextDocument::FindFlag
    253, 477, 0,	//1728  QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, int
    331, 110, 0,	//1731  Qt::ItemFlag, QFlags<Qt::ItemFlag>
    418, 459, 0,	//1734  const QPointF&, const QTransform&
    29, 381, 0,	//1737  QDebug, const QColor&
    29, 402, 0,	//1740  QDebug, const QMatrix&
    25, 462, 0,	//1743  QDataStream&, const QUuid&
    143, 71, 0,	//1746  QLibrary::LoadHint, QFlags<QLibrary::LoadHint>
    367, 477, 0,	//1749  Qt::WindowType, int
    251, 477, 0,	//1752  QStyleOptionButton::ButtonFeature, int
    25, 188, 0,	//1755  QDataStream&, QRectF&
    251, 86, 0,	//1758  QStyleOptionButton::ButtonFeature, QFlags<QStyleOptionButton::ButtonFeature>
    131, 65, 0,	//1761  QGraphicsView::CacheModeFlag, QFlags<QGraphicsView::CacheModeFlag>
    25, 24, 0,	//1764  QDataStream&, QCursor&
    128, 477, 0,	//1767  QGraphicsItem::GraphicsItemFlag, int
    25, 423, 0,	//1770  QDataStream&, const QRect&
    337, 112, 0,	//1773  Qt::MatchFlag, QFlags<Qt::MatchFlag>
    294, 104, 0,	//1776  Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>
    25, 20, 0,	//1779  QDataStream&, QChar&
    25, 189, 0,	//1782  QDataStream&, QRegExp&
    489, 0,	//1785  unsigned long
    25, 422, 0,	//1787  QDataStream&, const QQuaternion&
    12, 477, 0,	//1790  QAccessible::StateFlag, int
    25, 418, 0,	//1793  QDataStream&, const QPointF&
    176, 477, 0,	//1796  QPinchGesture::ChangeFlag, int
    25, 431, 0,	//1799  QDataStream&, const QSizeF&
    152, 72, 0,	//1802  QLocale::NumberOption, QFlags<QLocale::NumberOption>
    265, 477, 0,	//1805  QTextItem::RenderFlag, int
    169, 423, 401, 414, 423, 401, 457, 54, 0,	//1808  QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&, const QTileRules&, QFlags<QDrawBorderPixmap::DrawingHint>
    169, 423, 401, 414, 423, 401, 0,	//1817  QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&
    169, 423, 401, 414, 423, 401, 457, 0,	//1824  QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&, const QTileRules&
    245, 83, 0,	//1832  QString::SectionFlag, QFlags<QString::SectionFlag>
    447, 447, 0,	//1835  const QString&, const QString&
    1, 1, 0,	//1838  QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag
    370, 472, 0,	//1841  QtMsgType, const char*
    29, 409, 0,	//1844  QDebug, const QPainterPath&
    475, 469, 0,	//1847  double, const QVector3D&
    29, 442, 0,	//1850  QDebug, const QSqlRecord&
    450, 0,	//1853  const QStringRef&
    133, 477, 0,	//1855  QIODevice::OpenModeFlag, int
    5, 44, 0,	//1858  QAbstractSpinBox::StepEnabledFlag, QFlags<QAbstractSpinBox::StepEnabledFlag>
    486, 0,	//1861  unsigned char
    25, 18, 0,	//1863  QDataStream&, QByteArray&
    121, 121, 0,	//1866  QFontComboBox::FontFilter, QFontComboBox::FontFilter
    419, 402, 0,	//1869  const QPolygon&, const QMatrix&
    29, 452, 0,	//1872  QDebug, const QStyleOption::OptionType&
    29, 408, 0,	//1875  QDebug, const QObject*
    337, 477, 0,	//1878  Qt::MatchFlag, int
    25, 419, 0,	//1881  QDataStream&, const QPolygon&
    25, 26, 0,	//1884  QDataStream&, QDate&
    25, 375, 0,	//1887  QDataStream&, const QBitArray&
    162, 477, 496, 0,	//1890  QMetaObject::Call, int, void**
    169, 453, 407, 0,	//1894  QPainter*, const QStyleOptionViewItem&, const QModelIndex&
    453, 407, 0,	//1898  const QStyleOptionViewItem&, const QModelIndex&
    291, 453, 407, 0,	//1901  QWidget*, const QStyleOptionViewItem&, const QModelIndex&
    169, 453, 423, 447, 0,	//1905  QPainter*, const QStyleOptionViewItem&, const QRect&, const QString&
    169, 453, 423, 414, 0,	//1910  QPainter*, const QStyleOptionViewItem&, const QRect&, const QPixmap&
    169, 453, 423, 0,	//1915  QPainter*, const QStyleOptionViewItem&, const QRect&
    169, 453, 423, 304, 0,	//1919  QPainter*, const QStyleOptionViewItem&, const QRect&, Qt::CheckState
    165, 37, 0,	//1924  QObject*, QEvent*
    37, 2, 453, 407, 0,	//1927  QEvent*, QAbstractItemModel*, const QStyleOptionViewItem&, const QModelIndex&
    37, 0,	//1932  QEvent*
    273, 0,	//1934  QTimerEvent*
    21, 0,	//1936  QChildEvent*
    434, 0,	//1938  const QSqlDatabase&
    201, 0,	//1940  QSql::TableType
    199, 0,	//1942  QSql::NumericalPrecisionPolicy
    205, 447, 0,	//1944  QSqlDriver*, const QString&
    434, 447, 0,	//1947  const QSqlDatabase&, const QString&
    447, 372, 0,	//1950  const QString&, bool
    447, 209, 0,	//1953  const QString&, QSqlDriverCreatorBase*
    205, 0,	//1956  QSqlDriver*
    165, 0,	//1958  QObject*
    439, 372, 0,	//1960  const QSqlField&, bool
    447, 207, 0,	//1963  const QString&, QSqlDriver::IdentifierType
    208, 447, 442, 372, 0,	//1966  QSqlDriver::StatementType, const QString&, const QSqlRecord&, bool
    206, 0,	//1971  QSqlDriver::DriverFeature
    447, 447, 447, 447, 477, 447, 0,	//1973  const QString&, const QString&, const QString&, const QString&, int, const QString&
    372, 0,	//1980  bool
    438, 0,	//1982  const QSqlError&
    439, 0,	//1984  const QSqlField&
    447, 447, 447, 0,	//1986  const QString&, const QString&, const QString&
    447, 447, 447, 447, 0,	//1990  const QString&, const QString&, const QString&, const QString&
    447, 447, 447, 447, 477, 0,	//1995  const QString&, const QString&, const QString&, const QString&, int
    436, 0,	//2001  const QSqlDriverCreatorBase&
    437, 0,	//2003  const QSqlDriverFactoryInterface&
    447, 447, 215, 477, 0,	//2005  const QString&, const QString&, QSqlError::ErrorType, int
    215, 0,	//2010  QSqlError::ErrorType
    447, 447, 215, 0,	//2012  const QString&, const QString&, QSqlError::ErrorType
    447, 283, 0,	//2016  const QString&, QVariant::Type
    463, 0,	//2019  const QVariant&
    283, 0,	//2021  QVariant::Type
    219, 0,	//2023  QSqlField::RequiredStatus
    440, 0,	//2025  const QSqlIndex&
    477, 372, 0,	//2027  int, bool
    236, 0,	//2030  QSqlResult*
    447, 202, 0,	//2032  const QString&, QSqlDatabase
    202, 0,	//2035  QSqlDatabase
    441, 0,	//2037  const QSqlQuery&
    226, 0,	//2039  QSqlQuery::BatchExecutionMode
    447, 463, 82, 0,	//2041  const QString&, const QVariant&, QFlags<QSql::ParamTypeFlag>
    477, 463, 82, 0,	//2045  int, const QVariant&, QFlags<QSql::ParamTypeFlag>
    463, 82, 0,	//2049  const QVariant&, QFlags<QSql::ParamTypeFlag>
    447, 463, 0,	//2052  const QString&, const QVariant&
    477, 463, 0,	//2055  int, const QVariant&
    407, 477, 0,	//2058  const QModelIndex&, int
    477, 341, 477, 0,	//2061  int, Qt::Orientation, int
    477, 341, 463, 477, 0,	//2065  int, Qt::Orientation, const QVariant&, int
    447, 434, 0,	//2070  const QString&, const QSqlDatabase&
    477, 341, 0,	//2073  int, Qt::Orientation
    477, 341, 463, 0,	//2076  int, Qt::Orientation, const QVariant&
    477, 477, 0,	//2080  int, int
    442, 0,	//2083  const QSqlRecord&
    477, 439, 0,	//2085  int, const QSqlField&
    443, 0,	//2088  const QSqlRelation&
    291, 407, 0,	//2090  QWidget*, const QModelIndex&
    291, 2, 407, 0,	//2093  QWidget*, QAbstractItemModel*, const QModelIndex&
    165, 202, 0,	//2097  QObject*, QSqlDatabase
    477, 443, 0,	//2100  int, const QSqlRelation&
    235, 0,	//2103  QSqlRelationalTableModel::JoinMode
    477, 442, 0,	//2105  int, const QSqlRecord&
    407, 463, 0,	//2108  const QModelIndex&, const QVariant&
    435, 0,	//2111  const QSqlDriver*
    477, 495, 0,	//2113  int, void*
    240, 0,	//2116  QSqlTableModel::EditStrategy
    477, 229, 0,	//2118  int, QSqlRecord&
    229, 0,	//2121  QSqlRecord&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AfterLastRow",	//1
    "AllTables",	//2
    "BLOB",	//3
    "BatchOperation",	//4
    "BatchOperations",	//5
    "BeforeFirstRow",	//6
    "Binary",	//7
    "ConnectionError",	//8
    "DeleteStatement",	//9
    "DetachFromResultSet",	//10
    "EventNotifications",	//11
    "FieldName",	//12
    "FinishQuery",	//13
    "HighPrecision",	//14
    "In",	//15
    "InOut",	//16
    "InnerJoin",	//17
    "InsertStatement",	//18
    "LastInsertId",	//19
    "LeftJoin",	//20
    "LowPrecisionDouble",	//21
    "LowPrecisionInt32",	//22
    "LowPrecisionInt64",	//23
    "LowPrecisionNumbers",	//24
    "MultipleResultSets",	//25
    "NamedBinding",	//26
    "NamedPlaceholders",	//27
    "NextResult",	//28
    "NoError",	//29
    "OnFieldChange",	//30
    "OnManualSubmit",	//31
    "OnRowChange",	//32
    "Optional",	//33
    "Out",	//34
    "PositionalBinding",	//35
    "PositionalPlaceholders",	//36
    "PreparedQueries",	//37
    "QSqlDatabase",	//38
    "QSqlDatabase#",	//39
    "QSqlDatabase$",	//40
    "QSqlDriver",	//41
    "QSqlDriver#",	//42
    "QSqlDriverCreatorBase",	//43
    "QSqlDriverCreatorBase#",	//44
    "QSqlDriverFactoryInterface",	//45
    "QSqlDriverFactoryInterface#",	//46
    "QSqlDriverPlugin",	//47
    "QSqlDriverPlugin#",	//48
    "QSqlError",	//49
    "QSqlError#",	//50
    "QSqlError$",	//51
    "QSqlError$$",	//52
    "QSqlError$$$",	//53
    "QSqlError$$$$",	//54
    "QSqlField",	//55
    "QSqlField#",	//56
    "QSqlField$",	//57
    "QSqlField$$",	//58
    "QSqlIndex",	//59
    "QSqlIndex#",	//60
    "QSqlIndex$",	//61
    "QSqlIndex$$",	//62
    "QSqlQuery",	//63
    "QSqlQuery#",	//64
    "QSqlQuery$",	//65
    "QSqlQuery$#",	//66
    "QSqlQueryModel",	//67
    "QSqlQueryModel#",	//68
    "QSqlRecord",	//69
    "QSqlRecord#",	//70
    "QSqlRelation",	//71
    "QSqlRelation#",	//72
    "QSqlRelation$$$",	//73
    "QSqlRelationalDelegate",	//74
    "QSqlRelationalDelegate#",	//75
    "QSqlRelationalTableModel",	//76
    "QSqlRelationalTableModel#",	//77
    "QSqlRelationalTableModel##",	//78
    "QSqlResult",	//79
    "QSqlResult#",	//80
    "QSqlTableModel",	//81
    "QSqlTableModel#",	//82
    "QSqlTableModel##",	//83
    "QtCriticalMsg",	//84
    "QtDebugMsg",	//85
    "QtFatalMsg",	//86
    "QtSystemMsg",	//87
    "QtWarningMsg",	//88
    "QuerySize",	//89
    "Required",	//90
    "SP_CustomCameraCaptureButton",	//91
    "SP_CustomCameraCaptureButtonPressed",	//92
    "SP_CustomCameraPauseButton",	//93
    "SP_CustomCameraPauseButtonPressed",	//94
    "SP_CustomCameraPlayButton",	//95
    "SP_CustomCameraPlayButtonPressed",	//96
    "SP_CustomCameraRecButton",	//97
    "SP_CustomCameraRecButtonPressed",	//98
    "SP_CustomCameraStopButton",	//99
    "SP_CustomCameraStopButtonPressed",	//100
    "SP_CustomTabAll",	//101
    "SP_CustomTabArtist",	//102
    "SP_CustomTabFavourite",	//103
    "SP_CustomTabGenre",	//104
    "SP_CustomTabLanguage",	//105
    "SP_CustomTabMusicAlbum",	//106
    "SP_CustomTabPhotosAlbum",	//107
    "SP_CustomTabPhotosAll",	//108
    "SP_CustomTabPlaylist",	//109
    "SP_CustomTabServices",	//110
    "SP_CustomTabSongs",	//111
    "SP_CustomTabVideos",	//112
    "SP_CustomToolBarAdd",	//113
    "SP_CustomToolBarAddDetail",	//114
    "SP_CustomToolBarAgain",	//115
    "SP_CustomToolBarAgenda",	//116
    "SP_CustomToolBarAudioOff",	//117
    "SP_CustomToolBarAudioOn",	//118
    "SP_CustomToolBarBack",	//119
    "SP_CustomToolBarBluetoothOff",	//120
    "SP_CustomToolBarBluetoothOn",	//121
    "SP_CustomToolBarCancel",	//122
    "SP_CustomToolBarDelete",	//123
    "SP_CustomToolBarDone",	//124
    "SP_CustomToolBarEdit",	//125
    "SP_CustomToolBarEditDisabled",	//126
    "SP_CustomToolBarEmailSend",	//127
    "SP_CustomToolBarEmergencyCall",	//128
    "SP_CustomToolBarFavouriteAdd",	//129
    "SP_CustomToolBarFavouriteRemove",	//130
    "SP_CustomToolBarFavourites",	//131
    "SP_CustomToolBarGo",	//132
    "SP_CustomToolBarHome",	//133
    "SP_CustomToolBarImageTools",	//134
    "SP_CustomToolBarList",	//135
    "SP_CustomToolBarLock",	//136
    "SP_CustomToolBarLogs",	//137
    "SP_CustomToolBarMenu",	//138
    "SP_CustomToolBarNewContact",	//139
    "SP_CustomToolBarNewGroup",	//140
    "SP_CustomToolBarNextFrame",	//141
    "SP_CustomToolBarNowPlay",	//142
    "SP_CustomToolBarOptions",	//143
    "SP_CustomToolBarOther",	//144
    "SP_CustomToolBarOvi",	//145
    "SP_CustomToolBarPreviousFrame",	//146
    "SP_CustomToolBarRead",	//147
    "SP_CustomToolBarRedo",	//148
    "SP_CustomToolBarRedoDisabled",	//149
    "SP_CustomToolBarRefresh",	//150
    "SP_CustomToolBarRemoveDetail",	//151
    "SP_CustomToolBarRemoveDisabled",	//152
    "SP_CustomToolBarRepeat",	//153
    "SP_CustomToolBarRepeatOff",	//154
    "SP_CustomToolBarRepeatOne",	//155
    "SP_CustomToolBarSearch",	//156
    "SP_CustomToolBarSearchDisabled",	//157
    "SP_CustomToolBarSelectContent",	//158
    "SP_CustomToolBarSelfTimer",	//159
    "SP_CustomToolBarSend",	//160
    "SP_CustomToolBarSendDimmed",	//161
    "SP_CustomToolBarShare",	//162
    "SP_CustomToolBarShift",	//163
    "SP_CustomToolBarShuffle",	//164
    "SP_CustomToolBarShuffleOff",	//165
    "SP_CustomToolBarSignalOff",	//166
    "SP_CustomToolBarSignalOn",	//167
    "SP_CustomToolBarSync",	//168
    "SP_CustomToolBarTools",	//169
    "SP_CustomToolBarTrim",	//170
    "SP_CustomToolBarUnlock",	//171
    "SP_CustomToolBarUnmark",	//172
    "SP_CustomToolBarView",	//173
    "SP_CustomToolBarWlanOff",	//174
    "SP_CustomToolBarWlanOn",	//175
    "SelectStatement",	//176
    "SetNumericalPrecision",	//177
    "SimpleLocking",	//178
    "StatementError",	//179
    "SystemTables",	//180
    "TableName",	//181
    "Tables",	//182
    "TransactionError",	//183
    "Transactions",	//184
    "Unicode",	//185
    "Unknown",	//186
    "UnknownError",	//187
    "UpdateStatement",	//188
    "ValuesAsColumns",	//189
    "ValuesAsRows",	//190
    "Views",	//191
    "WhereStatement",	//192
    "__codecvt_error",	//193
    "__codecvt_noconv",	//194
    "__codecvt_ok",	//195
    "__codecvt_partial",	//196
    "addBindValue",	//197
    "addBindValue#",	//198
    "addBindValue#$",	//199
    "addDatabase",	//200
    "addDatabase#",	//201
    "addDatabase#$",	//202
    "addDatabase$",	//203
    "addDatabase$$",	//204
    "append",	//205
    "append#",	//206
    "append#$",	//207
    "at",	//208
    "beforeDelete",	//209
    "beforeDelete$",	//210
    "beforeInsert",	//211
    "beforeInsert#",	//212
    "beforeUpdate",	//213
    "beforeUpdate$#",	//214
    "beginTransaction",	//215
    "bindValue",	//216
    "bindValue$#",	//217
    "bindValue$#$",	//218
    "bindValueType",	//219
    "bindValueType$",	//220
    "bindingSyntax",	//221
    "boundValue",	//222
    "boundValue$",	//223
    "boundValueCount",	//224
    "boundValueName",	//225
    "boundValueName$",	//226
    "boundValues",	//227
    "buddy",	//228
    "canFetchMore",	//229
    "canFetchMore#",	//230
    "childEvent",	//231
    "clear",	//232
    "clearValues",	//233
    "cloneDatabase",	//234
    "cloneDatabase#$",	//235
    "close",	//236
    "columnCount",	//237
    "columnCount#",	//238
    "commit",	//239
    "commitTransaction",	//240
    "connectNotify",	//241
    "connectOptions",	//242
    "connectionName",	//243
    "connectionNames",	//244
    "contains",	//245
    "contains$",	//246
    "count",	//247
    "create",	//248
    "create$",	//249
    "createEditor",	//250
    "createEditor###",	//251
    "createObject",	//252
    "createResult",	//253
    "cursorName",	//254
    "customEvent",	//255
    "data",	//256
    "data#",	//257
    "data#$",	//258
    "data$",	//259
    "database",	//260
    "database$",	//261
    "database$$",	//262
    "databaseName",	//263
    "databaseText",	//264
    "defaultConnection",	//265
    "defaultValue",	//266
    "deleteRowFromTable",	//267
    "deleteRowFromTable$",	//268
    "detachFromResultSet",	//269
    "disconnectNotify",	//270
    "displayColumn",	//271
    "drawCheck",	//272
    "drawDecoration",	//273
    "drawDisplay",	//274
    "drawFocus",	//275
    "driver",	//276
    "driverName",	//277
    "driverText",	//278
    "drivers",	//279
    "dropMimeData",	//280
    "editStrategy",	//281
    "editorEvent",	//282
    "escapeIdentifier",	//283
    "escapeIdentifier$$",	//284
    "event",	//285
    "eventFilter",	//286
    "exec",	//287
    "exec$",	//288
    "execBatch",	//289
    "execBatch$",	//290
    "executedQuery",	//291
    "fetch",	//292
    "fetch$",	//293
    "fetchFirst",	//294
    "fetchLast",	//295
    "fetchMore",	//296
    "fetchMore#",	//297
    "fetchNext",	//298
    "fetchPrevious",	//299
    "field",	//300
    "field$",	//301
    "fieldIndex",	//302
    "fieldIndex$",	//303
    "fieldName",	//304
    "fieldName$",	//305
    "filter",	//306
    "finish",	//307
    "first",	//308
    "flags",	//309
    "flags#",	//310
    "formatValue",	//311
    "formatValue#",	//312
    "formatValue#$",	//313
    "handle",	//314
    "hasFeature",	//315
    "hasFeature$",	//316
    "hasOutValues",	//317
    "headerData",	//318
    "headerData$$",	//319
    "headerData$$$",	//320
    "hostName",	//321
    "index",	//322
    "indexColumn",	//323
    "indexInQuery",	//324
    "indexInQuery#",	//325
    "indexOf",	//326
    "indexOf$",	//327
    "insert",	//328
    "insert$#",	//329
    "insertColumns",	//330
    "insertColumns$$",	//331
    "insertColumns$$#",	//332
    "insertRecord",	//333
    "insertRecord$#",	//334
    "insertRowIntoTable",	//335
    "insertRowIntoTable#",	//336
    "insertRows",	//337
    "insertRows$$",	//338
    "insertRows$$#",	//339
    "isActive",	//340
    "isAutoValue",	//341
    "isDescending",	//342
    "isDescending$",	//343
    "isDirty",	//344
    "isDirty#",	//345
    "isDriverAvailable",	//346
    "isDriverAvailable$",	//347
    "isEmpty",	//348
    "isForwardOnly",	//349
    "isGenerated",	//350
    "isGenerated$",	//351
    "isIdentifierEscaped",	//352
    "isIdentifierEscaped$$",	//353
    "isIdentifierEscapedImplementation",	//354
    "isIdentifierEscapedImplementation$$",	//355
    "isNull",	//356
    "isNull$",	//357
    "isOpen",	//358
    "isOpenError",	//359
    "isReadOnly",	//360
    "isSelect",	//361
    "isValid",	//362
    "itemData",	//363
    "keys",	//364
    "last",	//365
    "lastError",	//366
    "lastInsertId",	//367
    "lastQuery",	//368
    "length",	//369
    "match",	//370
    "metaObject",	//371
    "mimeData",	//372
    "mimeTypes",	//373
    "name",	//374
    "next",	//375
    "nextResult",	//376
    "notification",	//377
    "notification$",	//378
    "numRowsAffected",	//379
    "number",	//380
    "numericalPrecisionPolicy",	//381
    "open",	//382
    "open$",	//383
    "open$$",	//384
    "open$$$",	//385
    "open$$$$",	//386
    "open$$$$$",	//387
    "open$$$$$$",	//388
    "operator!=",	//389
    "operator!=#",	//390
    "operator!=##",	//391
    "operator!=#$",	//392
    "operator!=$#",	//393
    "operator!=$$",	//394
    "operator&",	//395
    "operator&##",	//396
    "operator*",	//397
    "operator*##",	//398
    "operator*#$",	//399
    "operator*$#",	//400
    "operator+",	//401
    "operator+##",	//402
    "operator+#$",	//403
    "operator+$#",	//404
    "operator+$$",	//405
    "operator-",	//406
    "operator-#",	//407
    "operator-##",	//408
    "operator-#$",	//409
    "operator/",	//410
    "operator/#$",	//411
    "operator<",	//412
    "operator<##",	//413
    "operator<#$",	//414
    "operator<$#",	//415
    "operator<$$",	//416
    "operator<<",	//417
    "operator<<##",	//418
    "operator<<#$",	//419
    "operator<<#?",	//420
    "operator<=",	//421
    "operator<=##",	//422
    "operator<=#$",	//423
    "operator<=$#",	//424
    "operator<=$$",	//425
    "operator=",	//426
    "operator=#",	//427
    "operator==",	//428
    "operator==#",	//429
    "operator==##",	//430
    "operator==#$",	//431
    "operator==$#",	//432
    "operator==$$",	//433
    "operator>",	//434
    "operator>##",	//435
    "operator>#$",	//436
    "operator>$#",	//437
    "operator>$$",	//438
    "operator>=",	//439
    "operator>=##",	//440
    "operator>=#$",	//441
    "operator>=$#",	//442
    "operator>=$$",	//443
    "operator>>",	//444
    "operator>>##",	//445
    "operator>>#$",	//446
    "operator>>#?",	//447
    "operator^",	//448
    "operator^##",	//449
    "operator|",	//450
    "operator|##",	//451
    "operator|$$",	//452
    "orderByClause",	//453
    "paint",	//454
    "password",	//455
    "port",	//456
    "precision",	//457
    "prepare",	//458
    "prepare$",	//459
    "previous",	//460
    "primaryIndex",	//461
    "primaryIndex$",	//462
    "primaryKey",	//463
    "primeInsert",	//464
    "primeInsert$#",	//465
    "qAccessibleActionCastHelper",	//466
    "qAccessibleEditableTextCastHelper",	//467
    "qAccessibleImageCastHelper",	//468
    "qAccessibleTable2CastHelper",	//469
    "qAccessibleTableCastHelper",	//470
    "qAccessibleTextCastHelper",	//471
    "qAccessibleValueCastHelper",	//472
    "qAcos",	//473
    "qAcos$",	//474
    "qAddPostRoutine",	//475
    "qAddPostRoutine$",	//476
    "qAlpha",	//477
    "qAlpha$",	//478
    "qAppName",	//479
    "qAsin",	//480
    "qAsin$",	//481
    "qAtan",	//482
    "qAtan$",	//483
    "qAtan2",	//484
    "qAtan2$$",	//485
    "qBadAlloc",	//486
    "qBlue",	//487
    "qBlue$",	//488
    "qCeil",	//489
    "qCeil$",	//490
    "qChecksum",	//491
    "qChecksum$$",	//492
    "qCompress",	//493
    "qCompress#",	//494
    "qCompress#$",	//495
    "qCompress$$",	//496
    "qCompress$$$",	//497
    "qCos",	//498
    "qCos$",	//499
    "qCritical",	//500
    "qDebug",	//501
    "qDrawBorderPixmap",	//502
    "qDrawBorderPixmap####",	//503
    "qDrawBorderPixmap######",	//504
    "qDrawBorderPixmap#######",	//505
    "qDrawBorderPixmap#######$",	//506
    "qDrawPlainRect",	//507
    "qDrawPlainRect###",	//508
    "qDrawPlainRect###$",	//509
    "qDrawPlainRect###$#",	//510
    "qDrawPlainRect#$$$$#",	//511
    "qDrawPlainRect#$$$$#$",	//512
    "qDrawPlainRect#$$$$#$#",	//513
    "qDrawShadeLine",	//514
    "qDrawShadeLine####",	//515
    "qDrawShadeLine####$",	//516
    "qDrawShadeLine####$$",	//517
    "qDrawShadeLine####$$$",	//518
    "qDrawShadeLine#$$$$#",	//519
    "qDrawShadeLine#$$$$#$",	//520
    "qDrawShadeLine#$$$$#$$",	//521
    "qDrawShadeLine#$$$$#$$$",	//522
    "qDrawShadePanel",	//523
    "qDrawShadePanel###",	//524
    "qDrawShadePanel###$",	//525
    "qDrawShadePanel###$$",	//526
    "qDrawShadePanel###$$#",	//527
    "qDrawShadePanel#$$$$#",	//528
    "qDrawShadePanel#$$$$#$",	//529
    "qDrawShadePanel#$$$$#$$",	//530
    "qDrawShadePanel#$$$$#$$#",	//531
    "qDrawShadeRect",	//532
    "qDrawShadeRect###",	//533
    "qDrawShadeRect###$",	//534
    "qDrawShadeRect###$$",	//535
    "qDrawShadeRect###$$$",	//536
    "qDrawShadeRect###$$$#",	//537
    "qDrawShadeRect#$$$$#",	//538
    "qDrawShadeRect#$$$$#$",	//539
    "qDrawShadeRect#$$$$#$$",	//540
    "qDrawShadeRect#$$$$#$$$",	//541
    "qDrawShadeRect#$$$$#$$$#",	//542
    "qDrawWinButton",	//543
    "qDrawWinButton###",	//544
    "qDrawWinButton###$",	//545
    "qDrawWinButton###$#",	//546
    "qDrawWinButton#$$$$#",	//547
    "qDrawWinButton#$$$$#$",	//548
    "qDrawWinButton#$$$$#$#",	//549
    "qDrawWinPanel",	//550
    "qDrawWinPanel###",	//551
    "qDrawWinPanel###$",	//552
    "qDrawWinPanel###$#",	//553
    "qDrawWinPanel#$$$$#",	//554
    "qDrawWinPanel#$$$$#$",	//555
    "qDrawWinPanel#$$$$#$#",	//556
    "qExp",	//557
    "qExp$",	//558
    "qFabs",	//559
    "qFabs$",	//560
    "qFastCos",	//561
    "qFastCos$",	//562
    "qFastSin",	//563
    "qFastSin$",	//564
    "qFlagLocation",	//565
    "qFlagLocation$",	//566
    "qFloor",	//567
    "qFloor$",	//568
    "qFree",	//569
    "qFree$",	//570
    "qFreeAligned",	//571
    "qFreeAligned$",	//572
    "qFuzzyCompare",	//573
    "qFuzzyCompare##",	//574
    "qFuzzyCompare$$",	//575
    "qFuzzyIsNull",	//576
    "qFuzzyIsNull$",	//577
    "qGray",	//578
    "qGray$",	//579
    "qGray$$$",	//580
    "qGreen",	//581
    "qGreen$",	//582
    "qHash",	//583
    "qHash#",	//584
    "qHash$",	//585
    "qInf",	//586
    "qInstallMsgHandler",	//587
    "qInstallMsgHandler$",	//588
    "qIntCast",	//589
    "qIntCast$",	//590
    "qIsFinite",	//591
    "qIsFinite$",	//592
    "qIsGray",	//593
    "qIsGray$",	//594
    "qIsInf",	//595
    "qIsInf$",	//596
    "qIsNaN",	//597
    "qIsNaN$",	//598
    "qIsNull",	//599
    "qIsNull$",	//600
    "qLn",	//601
    "qLn$",	//602
    "qMalloc",	//603
    "qMalloc$",	//604
    "qMallocAligned",	//605
    "qMallocAligned$$",	//606
    "qMemCopy",	//607
    "qMemCopy$$$",	//608
    "qMemSet",	//609
    "qMemSet$$$",	//610
    "qPow",	//611
    "qPow$$",	//612
    "qQNaN",	//613
    "qRealloc",	//614
    "qRealloc$$",	//615
    "qReallocAligned",	//616
    "qReallocAligned$$$$",	//617
    "qRed",	//618
    "qRed$",	//619
    "qRegisterStaticPluginInstanceFunction",	//620
    "qRegisterStaticPluginInstanceFunction#",	//621
    "qRemovePostRoutine",	//622
    "qRemovePostRoutine$",	//623
    "qRgb",	//624
    "qRgb$$$",	//625
    "qRgba",	//626
    "qRgba$$$$",	//627
    "qRound",	//628
    "qRound$",	//629
    "qRound64",	//630
    "qRound64$",	//631
    "qSNaN",	//632
    "qSetFieldWidth",	//633
    "qSetFieldWidth$",	//634
    "qSetPadChar",	//635
    "qSetPadChar#",	//636
    "qSetRealNumberPrecision",	//637
    "qSetRealNumberPrecision$",	//638
    "qSharedBuild",	//639
    "qSin",	//640
    "qSin$",	//641
    "qSqrt",	//642
    "qSqrt$",	//643
    "qStringComparisonHelper",	//644
    "qStringComparisonHelper#$",	//645
    "qStringComparisonHelper$$",	//646
    "qTan",	//647
    "qTan$",	//648
    "qUncompress",	//649
    "qUncompress#",	//650
    "qUncompress$$",	//651
    "qVersion",	//652
    "qWarning",	//653
    "qbswap_helper",	//654
    "qbswap_helper$$$",	//655
    "qecvt",	//656
    "qecvt$$$$",	//657
    "qecvt_r",	//658
    "qecvt_r$$$$$$",	//659
    "qfcvt",	//660
    "qfcvt$$$$",	//661
    "qfcvt_r",	//662
    "qfcvt_r$$$$$$",	//663
    "qgcvt",	//664
    "qgcvt$$$",	//665
    "qgetenv",	//666
    "qgetenv$",	//667
    "qputenv",	//668
    "qputenv$#",	//669
    "qrand",	//670
    "qsort",	//671
    "qsort$$$$",	//672
    "qsrand",	//673
    "qsrand$",	//674
    "qstrcmp",	//675
    "qstrcmp##",	//676
    "qstrcmp#$",	//677
    "qstrcmp$#",	//678
    "qstrcmp$$",	//679
    "qstrcpy",	//680
    "qstrcpy$$",	//681
    "qstrdup",	//682
    "qstrdup$",	//683
    "qstricmp",	//684
    "qstricmp$$",	//685
    "qstrlen",	//686
    "qstrlen$",	//687
    "qstrncmp",	//688
    "qstrncmp$$$",	//689
    "qstrncpy",	//690
    "qstrncpy$$$",	//691
    "qstrnicmp",	//692
    "qstrnicmp$$$",	//693
    "qstrnlen",	//694
    "qstrnlen$$",	//695
    "qtTrId",	//696
    "qtTrId$",	//697
    "qtTrId$$",	//698
    "qt_assert",	//699
    "qt_assert$$$",	//700
    "qt_assert_x",	//701
    "qt_assert_x$$$$",	//702
    "qt_check_pointer",	//703
    "qt_check_pointer$$",	//704
    "qt_error_string",	//705
    "qt_error_string$",	//706
    "qt_message_output",	//707
    "qt_message_output$$",	//708
    "qt_metacall",	//709
    "qt_metacall$$?",	//710
    "qt_metacast",	//711
    "qt_metacast$",	//712
    "qt_noop",	//713
    "qt_qFindChild_helper",	//714
    "qt_qFindChild_helper#$#",	//715
    "qt_qFindChildren_helper",	//716
    "qt_qFindChildren_helper#$##?",	//717
    "query",	//718
    "queryChange",	//719
    "qvariant_cast_helper",	//720
    "qvariant_cast_helper#$$",	//721
    "qvsnprintf",	//722
    "qvsnprintf$$$?",	//723
    "record",	//724
    "record$",	//725
    "registerSqlDriver",	//726
    "registerSqlDriver$#",	//727
    "relation",	//728
    "relation$",	//729
    "relationModel",	//730
    "relationModel$",	//731
    "remove",	//732
    "remove$",	//733
    "removeColumns",	//734
    "removeColumns$$",	//735
    "removeColumns$$#",	//736
    "removeDatabase",	//737
    "removeDatabase$",	//738
    "removeRows",	//739
    "removeRows$$",	//740
    "removeRows$$#",	//741
    "replace",	//742
    "replace$#",	//743
    "requiredStatus",	//744
    "reset",	//745
    "reset$",	//746
    "result",	//747
    "revert",	//748
    "revertAll",	//749
    "revertRow",	//750
    "revertRow$",	//751
    "rollback",	//752
    "rollbackTransaction",	//753
    "rowCount",	//754
    "rowCount#",	//755
    "savePrepare",	//756
    "savePrepare$",	//757
    "seek",	//758
    "seek$",	//759
    "seek$$",	//760
    "select",	//761
    "selectStatement",	//762
    "setActive",	//763
    "setActive$",	//764
    "setAt",	//765
    "setAt$",	//766
    "setAutoValue",	//767
    "setAutoValue$",	//768
    "setConnectOptions",	//769
    "setConnectOptions$",	//770
    "setCursorName",	//771
    "setCursorName$",	//772
    "setData",	//773
    "setData##",	//774
    "setData##$",	//775
    "setDatabaseName",	//776
    "setDatabaseName$",	//777
    "setDatabaseText",	//778
    "setDatabaseText$",	//779
    "setDefaultConnection",	//780
    "setDefaultConnection$",	//781
    "setDefaultValue",	//782
    "setDefaultValue#",	//783
    "setDescending",	//784
    "setDescending$$",	//785
    "setDriverText",	//786
    "setDriverText$",	//787
    "setEditStrategy",	//788
    "setEditStrategy$",	//789
    "setEditorData",	//790
    "setEditorData##",	//791
    "setFilter",	//792
    "setFilter$",	//793
    "setForwardOnly",	//794
    "setForwardOnly$",	//795
    "setGenerated",	//796
    "setGenerated$",	//797
    "setGenerated$$",	//798
    "setHeaderData",	//799
    "setHeaderData$$#",	//800
    "setHeaderData$$#$",	//801
    "setHostName",	//802
    "setHostName$",	//803
    "setItemData",	//804
    "setJoinMode",	//805
    "setJoinMode$",	//806
    "setLastError",	//807
    "setLastError#",	//808
    "setLength",	//809
    "setLength$",	//810
    "setModelData",	//811
    "setModelData###",	//812
    "setName",	//813
    "setName$",	//814
    "setNull",	//815
    "setNull$",	//816
    "setNumber",	//817
    "setNumber$",	//818
    "setNumericalPrecisionPolicy",	//819
    "setNumericalPrecisionPolicy$",	//820
    "setOpen",	//821
    "setOpen$",	//822
    "setOpenError",	//823
    "setOpenError$",	//824
    "setPassword",	//825
    "setPassword$",	//826
    "setPort",	//827
    "setPort$",	//828
    "setPrecision",	//829
    "setPrecision$",	//830
    "setPrimaryKey",	//831
    "setPrimaryKey#",	//832
    "setQuery",	//833
    "setQuery#",	//834
    "setQuery$",	//835
    "setQuery$#",	//836
    "setReadOnly",	//837
    "setReadOnly$",	//838
    "setRecord",	//839
    "setRecord$#",	//840
    "setRelation",	//841
    "setRelation$#",	//842
    "setRequired",	//843
    "setRequired$",	//844
    "setRequiredStatus",	//845
    "setRequiredStatus$",	//846
    "setSelect",	//847
    "setSelect$",	//848
    "setSort",	//849
    "setSort$$",	//850
    "setSqlType",	//851
    "setSqlType$",	//852
    "setTable",	//853
    "setTable$",	//854
    "setType",	//855
    "setType$",	//856
    "setUserName",	//857
    "setUserName$",	//858
    "setValue",	//859
    "setValue#",	//860
    "setValue$#",	//861
    "size",	//862
    "sizeHint",	//863
    "sort",	//864
    "sort$$",	//865
    "span",	//866
    "sqlStatement",	//867
    "sqlStatement$$#$",	//868
    "staticMetaObject",	//869
    "stripDelimiters",	//870
    "stripDelimiters$$",	//871
    "stripDelimitersImplementation",	//872
    "stripDelimitersImplementation$$",	//873
    "submit",	//874
    "submitAll",	//875
    "subscribeToNotification",	//876
    "subscribeToNotification$",	//877
    "subscribeToNotificationImplementation",	//878
    "subscribeToNotificationImplementation$",	//879
    "subscribedToNotifications",	//880
    "subscribedToNotificationsImplementation",	//881
    "supportedDropActions",	//882
    "tableName",	//883
    "tables",	//884
    "tables$",	//885
    "text",	//886
    "timerEvent",	//887
    "tr",	//888
    "tr$",	//889
    "tr$$",	//890
    "tr$$$",	//891
    "trUtf8",	//892
    "trUtf8$",	//893
    "trUtf8$$",	//894
    "trUtf8$$$",	//895
    "transaction",	//896
    "type",	//897
    "typeID",	//898
    "unsubscribeFromNotification",	//899
    "unsubscribeFromNotification$",	//900
    "unsubscribeFromNotificationImplementation",	//901
    "unsubscribeFromNotificationImplementation$",	//902
    "updateEditorGeometry",	//903
    "updateRowInTable",	//904
    "updateRowInTable$#",	//905
    "userName",	//906
    "value",	//907
    "value$",	//908
    "virtual_hook",	//909
    "virtual_hook$$",	//910
    "~QSqlDatabase",	//911
    "~QSqlDriver",	//912
    "~QSqlDriverCreatorBase",	//913
    "~QSqlDriverFactoryInterface",	//914
    "~QSqlDriverPlugin",	//915
    "~QSqlError",	//916
    "~QSqlField",	//917
    "~QSqlIndex",	//918
    "~QSqlQuery",	//919
    "~QSqlQueryModel",	//920
    "~QSqlRecord",	//921
    "~QSqlRelation",	//922
    "~QSqlRelationalDelegate",	//923
    "~QSqlRelationalTableModel",	//924
    "~QSqlResult",	//925
    "~QSqlTableModel",	//926
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {1, 773, 1, 3, Smoke::mf_virtual, 372, 0},	//1 QAbstractItemModel::setData(const QModelIndex&, const QVariant&, int)
    {1, 363, 5, 1, Smoke::mf_const|Smoke::mf_virtual, 155, 0},	//2 QAbstractItemModel::itemData(const QModelIndex&) const
    {1, 804, 7, 2, Smoke::mf_virtual, 372, 0},	//3 QAbstractItemModel::setItemData(const QModelIndex&, const QMap<int,QVariant>&)
    {1, 373, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 246, 0},	//4 QAbstractItemModel::mimeTypes() const
    {1, 372, 10, 1, Smoke::mf_const|Smoke::mf_virtual, 163, 0},	//5 QAbstractItemModel::mimeData(const QList<QModelIndex>&) const
    {1, 882, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 106, 0},	//6 QAbstractItemModel::supportedDropActions() const
    {1, 337, 12, 3, Smoke::mf_virtual, 372, 0},	//7 QAbstractItemModel::insertRows(int, int, const QModelIndex&)
    {1, 739, 12, 3, Smoke::mf_virtual, 372, 0},	//8 QAbstractItemModel::removeRows(int, int, const QModelIndex&)
    {1, 309, 5, 1, Smoke::mf_const|Smoke::mf_virtual, 110, 0},	//9 QAbstractItemModel::flags(const QModelIndex&) const
    {1, 864, 16, 2, Smoke::mf_virtual, 0, 0},	//10 QAbstractItemModel::sort(int, Qt::SortOrder)
    {1, 228, 5, 1, Smoke::mf_const|Smoke::mf_virtual, 164, 0},	//11 QAbstractItemModel::buddy(const QModelIndex&) const
    {1, 370, 19, 5, Smoke::mf_const|Smoke::mf_virtual, 148, 0},	//12 QAbstractItemModel::match(const QModelIndex&, int, const QVariant&, int, QFlags<Qt::MatchFlag>) const
    {1, 866, 5, 1, Smoke::mf_const|Smoke::mf_virtual, 192, 0},	//13 QAbstractItemModel::span(const QModelIndex&) const
    {1, 874, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 372, 0},	//14 QAbstractItemModel::submit()
    {1, 748, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//15 QAbstractItemModel::revert()
    {2, 322, 12, 3, Smoke::mf_const|Smoke::mf_virtual, 164, 0},	//16 QAbstractTableModel::index(int, int, const QModelIndex&) const
    {2, 280, 25, 5, Smoke::mf_virtual, 372, 0},	//17 QAbstractTableModel::dropMimeData(const QMimeData*, Qt::DropAction, int, int, const QModelIndex&)
    {19, 364, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 246, 0},	//18 QFactoryInterface::keys() const [pure virtual]
    {21, 450, 31, 2, Smoke::mf_static, 137, 1},	//19 QGlobalSpace::operator|(QDateTimeEdit::Section, int)
    {21, 472, 0, 0, Smoke::mf_static, 10, 2},	//20 QGlobalSpace::qAccessibleValueCastHelper()
    {21, 439, 34, 2, Smoke::mf_static, 372, 3},	//21 QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    {21, 583, 37, 1, Smoke::mf_static, 488, 4},	//22 QGlobalSpace::qHash(unsigned long long)
    {21, 595, 39, 1, Smoke::mf_static, 372, 5},	//23 QGlobalSpace::qIsInf(double)
    {21, 450, 41, 2, Smoke::mf_static, 137, 6},	//24 QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    {21, 406, 44, 2, Smoke::mf_static, 157, 7},	//25 QGlobalSpace::operator-(const QMatrix4x4&, const QMatrix4x4&)
    {21, 450, 47, 2, Smoke::mf_static, 137, 8},	//26 QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    {21, 428, 50, 2, Smoke::mf_static, 372, 9},	//27 QGlobalSpace::operator==(const QVector3D&, const QVector3D&)
    {21, 389, 53, 2, Smoke::mf_static, 372, 10},	//28 QGlobalSpace::operator!=(const QVector2D&, const QVector2D&)
    {21, 694, 56, 2, Smoke::mf_static, 488, 11},	//29 QGlobalSpace::qstrnlen(const char*, unsigned int)
    {21, 607, 59, 3, Smoke::mf_static, 495, 12},	//30 QGlobalSpace::qMemCopy(void*, const void*, size_t)
    {21, 713, 0, 0, Smoke::mf_static, 0, 13},	//31 QGlobalSpace::qt_noop()
    {21, 428, 63, 2, Smoke::mf_static, 372, 14},	//32 QGlobalSpace::operator==(const char*, const QLatin1String&)
    {21, 417, 66, 2, Smoke::mf_static, 29, 15},	//33 QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    {21, 444, 69, 2, Smoke::mf_static, 25, 16},	//34 QGlobalSpace::operator>>(QDataStream&, QIcon&)
    {21, 397, 72, 2, Smoke::mf_static, 180, 17},	//35 QGlobalSpace::operator*(const QPointF&, const QMatrix&)
    {21, 450, 75, 2, Smoke::mf_static, 77, 18},	//36 QGlobalSpace::operator|(QPaintEngine::DirtyFlag, QFlags<QPaintEngine::DirtyFlag>)
    {21, 428, 78, 2, Smoke::mf_static, 372, 19},	//37 QGlobalSpace::operator==(const QStringRef&, const QString&)
    {21, 428, 81, 2, Smoke::mf_static, 372, 20},	//38 QGlobalSpace::operator==(const QSize&, const QSize&)
    {21, 417, 84, 2, Smoke::mf_static, 25, 21},	//39 QGlobalSpace::operator<<(QDataStream&, const QKeySequence&)
    {21, 450, 87, 2, Smoke::mf_static, 95, 22},	//40 QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, QTextEdit::AutoFormattingFlag)
    {21, 401, 90, 2, Smoke::mf_static, 378, 23},	//41 QGlobalSpace::operator+(const char*, const QByteArray&)
    {21, 444, 93, 2, Smoke::mf_static, 25, 24},	//42 QGlobalSpace::operator>>(QDataStream&, QStandardItem&)
    {21, 450, 96, 2, Smoke::mf_static, 86, 25},	//43 QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QStyleOptionButton::ButtonFeature)
    {21, 450, 99, 2, Smoke::mf_static, 74, 26},	//44 QGlobalSpace::operator|(QMdiArea::AreaOption, QFlags<QMdiArea::AreaOption>)
    {21, 450, 102, 2, Smoke::mf_static, 56, 27},	//45 QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    {21, 644, 105, 2, Smoke::mf_static, 372, 28},	//46 QGlobalSpace::qStringComparisonHelper(const QString&, const char*)
    {21, 444, 108, 2, Smoke::mf_static, 25, 29},	//47 QGlobalSpace::operator>>(QDataStream&, QQuaternion&)
    {21, 675, 90, 2, Smoke::mf_static, 477, 30},	//48 QGlobalSpace::qstrcmp(const char*, const QByteArray&)
    {21, 428, 111, 2, Smoke::mf_static, 372, 31},	//49 QGlobalSpace::operator==(const QPointF&, const QPointF&)
    {21, 417, 114, 2, Smoke::mf_static, 25, 32},	//50 QGlobalSpace::operator<<(QDataStream&, const QPolygonF&)
    {21, 484, 117, 2, Smoke::mf_static, 475, 33},	//51 QGlobalSpace::qAtan2(double, double)
    {21, 444, 120, 2, Smoke::mf_static, 25, 34},	//52 QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    {21, 439, 123, 2, Smoke::mf_static, 372, 35},	//53 QGlobalSpace::operator>=(const QByteArray&, const char*)
    {21, 595, 126, 1, Smoke::mf_static, 372, 36},	//54 QGlobalSpace::qIsInf(float)
    {21, 666, 128, 1, Smoke::mf_static, 17, 37},	//55 QGlobalSpace::qgetenv(const char*)
    {21, 583, 130, 1, Smoke::mf_static, 488, 38},	//56 QGlobalSpace::qHash(signed char)
    {21, 450, 132, 2, Smoke::mf_static, 137, 39},	//57 QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, int)
    {21, 428, 135, 2, Smoke::mf_static, 372, 40},	//58 QGlobalSpace::operator==(const QString&, const QStringRef&)
    {21, 434, 90, 2, Smoke::mf_static, 372, 41},	//59 QGlobalSpace::operator>(const char*, const QByteArray&)
    {21, 450, 138, 2, Smoke::mf_static, 137, 42},	//60 QGlobalSpace::operator|(QFileDialog::Option, int)
    {21, 401, 44, 2, Smoke::mf_static, 157, 43},	//61 QGlobalSpace::operator+(const QMatrix4x4&, const QMatrix4x4&)
    {21, 589, 39, 1, Smoke::mf_static, 477, 44},	//62 QGlobalSpace::qIntCast(double)
    {21, 635, 141, 1, Smoke::mf_static, 271, 45},	//63 QGlobalSpace::qSetPadChar(QChar)
    {21, 417, 143, 2, Smoke::mf_static, 25, 46},	//64 QGlobalSpace::operator<<(QDataStream&, const QRegion&)
    {21, 450, 146, 2, Smoke::mf_static, 76, 47},	//65 QGlobalSpace::operator|(QMessageBox::StandardButton, QMessageBox::StandardButton)
    {21, 450, 149, 2, Smoke::mf_static, 85, 48},	//66 QGlobalSpace::operator|(QStyle::SubControl, QFlags<QStyle::SubControl>)
    {21, 397, 152, 2, Smoke::mf_static, 178, 49},	//67 QGlobalSpace::operator*(const QMatrix4x4&, const QPoint&)
    {21, 417, 155, 2, Smoke::mf_static, 25, 50},	//68 QGlobalSpace::operator<<(QDataStream&, const QTextLength&)
    {21, 417, 158, 2, Smoke::mf_static, 29, 51},	//69 QGlobalSpace::operator<<(QDebug, const QBrush&)
    {21, 450, 161, 2, Smoke::mf_static, 60, 52},	//70 QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, QGestureRecognizer::ResultFlag)
    {21, 428, 164, 2, Smoke::mf_static, 372, 53},	//71 QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    {21, 397, 167, 2, Smoke::mf_static, 288, 54},	//72 QGlobalSpace::operator*(const QMatrix4x4&, const QVector4D&)
    {21, 428, 170, 2, Smoke::mf_static, 372, 55},	//73 QGlobalSpace::operator==(QChar, QChar)
    {21, 417, 173, 2, Smoke::mf_static, 29, 56},	//74 QGlobalSpace::operator<<(QDebug, const QQuaternion&)
    {21, 397, 44, 2, Smoke::mf_static, 157, 57},	//75 QGlobalSpace::operator*(const QMatrix4x4&, const QMatrix4x4&)
    {21, 450, 176, 2, Smoke::mf_static, 117, 58},	//76 QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    {21, 406, 179, 1, Smoke::mf_static, 157, 59},	//77 QGlobalSpace::operator-(const QMatrix4x4&)
    {21, 583, 181, 1, Smoke::mf_static, 488, 60},	//78 QGlobalSpace::qHash(const QUrl&)
    {21, 583, 183, 1, Smoke::mf_static, 488, 61},	//79 QGlobalSpace::qHash(const QByteArray&)
    {21, 450, 185, 2, Smoke::mf_static, 137, 62},	//80 QGlobalSpace::operator|(QWidget::RenderFlag, int)
    {21, 397, 188, 2, Smoke::mf_static, 157, 63},	//81 QGlobalSpace::operator*(const QMatrix4x4&, double)
    {21, 417, 191, 2, Smoke::mf_static, 25, 64},	//82 QGlobalSpace::operator<<(QDataStream&, const QPalette&)
    {21, 417, 194, 2, Smoke::mf_static, 29, 65},	//83 QGlobalSpace::operator<<(QDebug, const QUrl&)
    {21, 444, 197, 2, Smoke::mf_static, 25, 66},	//84 QGlobalSpace::operator>>(QDataStream&, QColor&)
    {21, 412, 170, 2, Smoke::mf_static, 372, 67},	//85 QGlobalSpace::operator<(QChar, QChar)
    {21, 444, 200, 2, Smoke::mf_static, 25, 68},	//86 QGlobalSpace::operator>>(QDataStream&, QTableWidgetItem&)
    {21, 450, 203, 2, Smoke::mf_static, 73, 69},	//87 QGlobalSpace::operator|(QMainWindow::DockOption, QFlags<QMainWindow::DockOption>)
    {21, 439, 170, 2, Smoke::mf_static, 372, 70},	//88 QGlobalSpace::operator>=(QChar, QChar)
    {21, 389, 206, 2, Smoke::mf_static, 372, 71},	//89 QGlobalSpace::operator!=(QString::Null, const QString&)
    {21, 417, 209, 2, Smoke::mf_static, 29, 72},	//90 QGlobalSpace::operator<<(QDebug, QGraphicsItem::GraphicsItemFlag)
    {21, 412, 90, 2, Smoke::mf_static, 372, 73},	//91 QGlobalSpace::operator<(const char*, const QByteArray&)
    {21, 450, 212, 2, Smoke::mf_static, 102, 74},	//92 QGlobalSpace::operator|(QWidget::RenderFlag, QFlags<QWidget::RenderFlag>)
    {21, 450, 215, 2, Smoke::mf_static, 116, 75},	//93 QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    {21, 675, 218, 2, Smoke::mf_static, 477, 76},	//94 QGlobalSpace::qstrcmp(const char*, const char*)
    {21, 450, 221, 2, Smoke::mf_static, 137, 77},	//95 QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, int)
    {21, 401, 50, 2, Smoke::mf_static, 468, 78},	//96 QGlobalSpace::operator+(const QVector3D&, const QVector3D&)
    {21, 498, 39, 1, Smoke::mf_static, 475, 79},	//97 QGlobalSpace::qCos(double)
    {21, 450, 224, 2, Smoke::mf_static, 72, 80},	//98 QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    {21, 434, 170, 2, Smoke::mf_static, 372, 81},	//99 QGlobalSpace::operator>(QChar, QChar)
    {21, 450, 227, 2, Smoke::mf_static, 119, 82},	//100 QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    {21, 397, 230, 2, Smoke::mf_static, 430, 83},	//101 QGlobalSpace::operator*(double, const QSizeF&)
    {21, 639, 0, 0, Smoke::mf_static, 372, 84},	//102 QGlobalSpace::qSharedBuild()
    {21, 428, 233, 2, Smoke::mf_static, 372, 85},	//103 QGlobalSpace::operator==(const QQuaternion&, const QQuaternion&)
    {21, 450, 236, 2, Smoke::mf_static, 137, 86},	//104 QGlobalSpace::operator|(QDir::Filter, int)
    {21, 450, 239, 2, Smoke::mf_static, 85, 87},	//105 QGlobalSpace::operator|(QStyle::SubControl, QStyle::SubControl)
    {21, 389, 34, 2, Smoke::mf_static, 372, 88},	//106 QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    {21, 406, 242, 2, Smoke::mf_static, 415, 89},	//107 QGlobalSpace::operator-(const QPoint&, const QPoint&)
    {21, 467, 0, 0, Smoke::mf_static, 10, 90},	//108 QGlobalSpace::qAccessibleEditableTextCastHelper()
    {21, 417, 245, 2, Smoke::mf_static, 25, 91},	//109 QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    {21, 450, 248, 2, Smoke::mf_static, 137, 92},	//110 QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    {21, 450, 251, 2, Smoke::mf_static, 115, 93},	//111 QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    {21, 450, 254, 2, Smoke::mf_static, 137, 94},	//112 QGlobalSpace::operator|(QMdiArea::AreaOption, int)
    {21, 406, 257, 2, Smoke::mf_static, 274, 95},	//113 QGlobalSpace::operator-(const QTransform&, double)
    {21, 450, 260, 2, Smoke::mf_static, 42, 96},	//114 QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QFlags<QAbstractItemView::EditTrigger>)
    {21, 583, 263, 1, Smoke::mf_static, 488, 97},	//115 QGlobalSpace::qHash(char)
    {21, 450, 265, 2, Smoke::mf_static, 103, 98},	//116 QGlobalSpace::operator|(QWizard::WizardOption, QWizard::WizardOption)
    {21, 397, 50, 2, Smoke::mf_static, 468, 99},	//117 QGlobalSpace::operator*(const QVector3D&, const QVector3D&)
    {21, 389, 78, 2, Smoke::mf_static, 372, 100},	//118 QGlobalSpace::operator!=(const QStringRef&, const QString&)
    {21, 450, 268, 2, Smoke::mf_static, 99, 101},	//119 QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    {21, 450, 271, 2, Smoke::mf_static, 137, 102},	//120 QGlobalSpace::operator|(QTextOption::Flag, int)
    {21, 417, 274, 2, Smoke::mf_static, 29, 103},	//121 QGlobalSpace::operator<<(QDebug, const QMargins&)
    {21, 450, 277, 2, Smoke::mf_static, 137, 104},	//122 QGlobalSpace::operator|(QUrl::FormattingOption, int)
    {21, 450, 280, 2, Smoke::mf_static, 137, 105},	//123 QGlobalSpace::operator|(QFile::Permission, int)
    {21, 450, 283, 2, Smoke::mf_static, 60, 106},	//124 QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, QFlags<QGestureRecognizer::ResultFlag>)
    {21, 410, 286, 2, Smoke::mf_static, 415, 107},	//125 QGlobalSpace::operator/(const QPoint&, double)
    {21, 550, 289, 8, Smoke::mf_static, 0, 108},	//126 QGlobalSpace::qDrawWinPanel(QPainter*, int, int, int, int, const QPalette&, bool, const QBrush*)
    {21, 550, 298, 6, Smoke::mf_static, 0, 109},	//127 QGlobalSpace::qDrawWinPanel(QPainter*, int, int, int, int, const QPalette&)
    {21, 550, 305, 7, Smoke::mf_static, 0, 110},	//128 QGlobalSpace::qDrawWinPanel(QPainter*, int, int, int, int, const QPalette&, bool)
    {21, 401, 242, 2, Smoke::mf_static, 415, 111},	//129 QGlobalSpace::operator+(const QPoint&, const QPoint&)
    {21, 417, 313, 2, Smoke::mf_static, 25, 112},	//130 QGlobalSpace::operator<<(QDataStream&, const QTransform&)
    {21, 450, 316, 2, Smoke::mf_static, 52, 113},	//131 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    {21, 401, 319, 2, Smoke::mf_static, 446, 114},	//132 QGlobalSpace::operator+(const QString&, const QByteArray&)
    {21, 406, 322, 2, Smoke::mf_static, 430, 115},	//133 QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    {21, 397, 325, 2, Smoke::mf_static, 286, 116},	//134 QGlobalSpace::operator*(const QVector3D&, const QMatrix4x4&)
    {21, 573, 328, 2, Smoke::mf_static, 372, 117},	//135 QGlobalSpace::qFuzzyCompare(const QVector4D&, const QVector4D&)
    {21, 417, 331, 2, Smoke::mf_static, 29, 118},	//136 QGlobalSpace::operator<<(QDebug, const QPointF&)
    {21, 406, 50, 2, Smoke::mf_static, 468, 119},	//137 QGlobalSpace::operator-(const QVector3D&, const QVector3D&)
    {21, 591, 39, 1, Smoke::mf_static, 372, 120},	//138 QGlobalSpace::qIsFinite(double)
    {21, 656, 334, 4, Smoke::mf_static, 374, 121},	//139 QGlobalSpace::qecvt(long double, int, int*, int*)
    {21, 450, 339, 2, Smoke::mf_static, 57, 122},	//140 QGlobalSpace::operator|(QFileDialog::Option, QFlags<QFileDialog::Option>)
    {21, 389, 123, 2, Smoke::mf_static, 372, 123},	//141 QGlobalSpace::operator!=(const QByteArray&, const char*)
    {21, 417, 342, 2, Smoke::mf_static, 25, 124},	//142 QGlobalSpace::operator<<(QDataStream&, const QPixmap&)
    {21, 450, 345, 2, Smoke::mf_static, 111, 125},	//143 QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    {21, 450, 348, 2, Smoke::mf_static, 137, 126},	//144 QGlobalSpace::operator|(QWizard::WizardOption, int)
    {21, 417, 351, 2, Smoke::mf_static, 29, 127},	//145 QGlobalSpace::operator<<(QDebug, const QLineF&)
    {21, 477, 354, 1, Smoke::mf_static, 477, 128},	//146 QGlobalSpace::qAlpha(unsigned int)
    {21, 417, 356, 2, Smoke::mf_static, 29, 129},	//147 QGlobalSpace::operator<<(QDebug, const QDateTime&)
    {21, 450, 359, 2, Smoke::mf_static, 53, 130},	//148 QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, QFlags<QDockWidget::DockWidgetFeature>)
    {21, 412, 362, 2, Smoke::mf_static, 372, 131},	//149 QGlobalSpace::operator<(const char*, const QString&)
    {21, 578, 365, 3, Smoke::mf_static, 477, 132},	//150 QGlobalSpace::qGray(int, int, int)
    {21, 450, 369, 2, Smoke::mf_static, 65, 133},	//151 QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, QGraphicsView::CacheModeFlag)
    {21, 417, 372, 2, Smoke::mf_static, 25, 134},	//152 QGlobalSpace::operator<<(QDataStream&, const QPicture&)
    {21, 450, 375, 2, Smoke::mf_static, 101, 135},	//153 QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    {21, 401, 81, 2, Smoke::mf_static, 428, 136},	//154 QGlobalSpace::operator+(const QSize&, const QSize&)
    {21, 450, 378, 2, Smoke::mf_static, 117, 137},	//155 QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    {21, 450, 381, 2, Smoke::mf_static, 108, 138},	//156 QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    {21, 705, 384, 1, Smoke::mf_static, 242, 139},	//157 QGlobalSpace::qt_error_string(int)
    {21, 705, 0, 0, Smoke::mf_static, 242, 140},	//158 QGlobalSpace::qt_error_string()
    {21, 401, 322, 2, Smoke::mf_static, 430, 141},	//159 QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    {21, 410, 188, 2, Smoke::mf_static, 157, 142},	//160 QGlobalSpace::operator/(const QMatrix4x4&, double)
    {21, 450, 386, 2, Smoke::mf_static, 137, 143},	//161 QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, int)
    {21, 450, 389, 2, Smoke::mf_static, 42, 144},	//162 QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QAbstractItemView::EditTrigger)
    {21, 450, 392, 2, Smoke::mf_static, 137, 145},	//163 QGlobalSpace::operator|(QLocale::NumberOption, int)
    {21, 406, 328, 2, Smoke::mf_static, 470, 146},	//164 QGlobalSpace::operator-(const QVector4D&, const QVector4D&)
    {21, 412, 395, 2, Smoke::mf_static, 372, 147},	//165 QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    {21, 649, 398, 2, Smoke::mf_static, 17, 148},	//166 QGlobalSpace::qUncompress(const unsigned char*, int)
    {21, 688, 401, 3, Smoke::mf_static, 477, 149},	//167 QGlobalSpace::qstrncmp(const char*, const char*, unsigned int)
    {21, 647, 39, 1, Smoke::mf_static, 475, 150},	//168 QGlobalSpace::qTan(double)
    {21, 434, 63, 2, Smoke::mf_static, 372, 151},	//169 QGlobalSpace::operator>(const char*, const QLatin1String&)
    {21, 389, 405, 2, Smoke::mf_static, 372, 152},	//170 QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    {21, 428, 408, 2, Smoke::mf_static, 372, 153},	//171 QGlobalSpace::operator==(QKeyEvent*, QKeySequence::StandardKey)
    {21, 633, 384, 1, Smoke::mf_static, 271, 154},	//172 QGlobalSpace::qSetFieldWidth(int)
    {21, 450, 411, 2, Smoke::mf_static, 88, 155},	//173 QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QStyleOptionQ3ListViewItem::Q3ListViewItemFeature)
    {21, 444, 414, 2, Smoke::mf_static, 268, 156},	//174 QGlobalSpace::operator>>(QTextStream&, QSplitter&)
    {21, 583, 417, 1, Smoke::mf_static, 488, 157},	//175 QGlobalSpace::qHash(const QItemSelectionRange&)
    {21, 618, 354, 1, Smoke::mf_static, 477, 158},	//176 QGlobalSpace::qRed(unsigned int)
    {21, 450, 419, 2, Smoke::mf_static, 106, 159},	//177 QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    {21, 397, 257, 2, Smoke::mf_static, 274, 160},	//178 QGlobalSpace::operator*(const QTransform&, double)
    {21, 567, 39, 1, Smoke::mf_static, 477, 161},	//179 QGlobalSpace::qFloor(double)
    {21, 450, 422, 2, Smoke::mf_static, 79, 162},	//180 QGlobalSpace::operator|(QPainter::RenderHint, QFlags<QPainter::RenderHint>)
    {21, 417, 425, 2, Smoke::mf_static, 29, 163},	//181 QGlobalSpace::operator<<(QDebug, const QPoint&)
    {21, 444, 428, 2, Smoke::mf_static, 25, 164},	//182 QGlobalSpace::operator>>(QDataStream&, QLocale&)
    {21, 591, 126, 1, Smoke::mf_static, 372, 165},	//183 QGlobalSpace::qIsFinite(float)
    {21, 401, 431, 2, Smoke::mf_static, 446, 166},	//184 QGlobalSpace::operator+(const QString&, QChar)
    {21, 389, 434, 2, Smoke::mf_static, 372, 167},	//185 QGlobalSpace::operator!=(QString::Null, QString::Null)
    {21, 397, 328, 2, Smoke::mf_static, 470, 168},	//186 QGlobalSpace::operator*(const QVector4D&, const QVector4D&)
    {21, 450, 437, 2, Smoke::mf_static, 45, 169},	//187 QGlobalSpace::operator|(QAccessible::RelationFlag, QFlags<QAccessible::RelationFlag>)
    {21, 654, 440, 3, Smoke::mf_static, 0, 170},	//188 QGlobalSpace::qbswap_helper(const unsigned char*, unsigned char*, int)
    {21, 401, 123, 2, Smoke::mf_static, 378, 171},	//189 QGlobalSpace::operator+(const QByteArray&, const char*)
    {21, 417, 444, 2, Smoke::mf_static, 29, 172},	//190 QGlobalSpace::operator<<(QDebug, const QSqlField&)
    {21, 471, 0, 0, Smoke::mf_static, 10, 173},	//191 QGlobalSpace::qAccessibleTextCastHelper()
    {21, 450, 447, 2, Smoke::mf_static, 87, 174},	//192 QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QFlags<QStyleOptionFrameV2::FrameFeature>)
    {21, 450, 450, 2, Smoke::mf_static, 93, 175},	//193 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    {21, 401, 105, 2, Smoke::mf_static, 446, 176},	//194 QGlobalSpace::operator+(const QString&, const char*)
    {21, 434, 395, 2, Smoke::mf_static, 372, 177},	//195 QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    {21, 450, 453, 2, Smoke::mf_static, 114, 178},	//196 QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    {21, 616, 456, 4, Smoke::mf_static, 495, 179},	//197 QGlobalSpace::qReallocAligned(void*, size_t, size_t, size_t)
    {21, 444, 461, 2, Smoke::mf_static, 25, 180},	//198 QGlobalSpace::operator>>(QDataStream&, QPalette&)
    {21, 417, 464, 2, Smoke::mf_static, 25, 181},	//199 QGlobalSpace::operator<<(QDataStream&, const QCursor&)
    {21, 401, 467, 2, Smoke::mf_static, 446, 182},	//200 QGlobalSpace::operator+(const QByteArray&, const QString&)
    {21, 583, 354, 1, Smoke::mf_static, 488, 183},	//201 QGlobalSpace::qHash(unsigned int)
    {21, 573, 233, 2, Smoke::mf_static, 372, 184},	//202 QGlobalSpace::qFuzzyCompare(const QQuaternion&, const QQuaternion&)
    {21, 450, 470, 2, Smoke::mf_static, 116, 185},	//203 QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    {21, 583, 141, 1, Smoke::mf_static, 488, 186},	//204 QGlobalSpace::qHash(QChar)
    {21, 450, 473, 2, Smoke::mf_static, 95, 187},	//205 QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, QFlags<QTextEdit::AutoFormattingFlag>)
    {21, 421, 123, 2, Smoke::mf_static, 372, 188},	//206 QGlobalSpace::operator<=(const QByteArray&, const char*)
    {21, 589, 126, 1, Smoke::mf_static, 477, 189},	//207 QGlobalSpace::qIntCast(float)
    {21, 428, 476, 2, Smoke::mf_static, 372, 190},	//208 QGlobalSpace::operator==(const QRect&, const QRect&)
    {21, 450, 479, 2, Smoke::mf_static, 55, 191},	//209 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    {21, 448, 482, 2, Smoke::mf_static, 13, 192},	//210 QGlobalSpace::operator^(const QBitArray&, const QBitArray&)
    {21, 434, 485, 2, Smoke::mf_static, 372, 193},	//211 QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    {21, 450, 488, 2, Smoke::mf_static, 76, 194},	//212 QGlobalSpace::operator|(QMessageBox::StandardButton, QFlags<QMessageBox::StandardButton>)
    {21, 614, 491, 2, Smoke::mf_static, 495, 195},	//213 QGlobalSpace::qRealloc(void*, size_t)
    {21, 583, 494, 1, Smoke::mf_static, 488, 196},	//214 QGlobalSpace::qHash(const QString&)
    {21, 421, 395, 2, Smoke::mf_static, 372, 197},	//215 QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    {21, 401, 328, 2, Smoke::mf_static, 470, 198},	//216 QGlobalSpace::operator+(const QVector4D&, const QVector4D&)
    {21, 450, 496, 2, Smoke::mf_static, 80, 199},	//217 QGlobalSpace::operator|(QPinchGesture::ChangeFlag, QFlags<QPinchGesture::ChangeFlag>)
    {21, 417, 499, 2, Smoke::mf_static, 25, 200},	//218 QGlobalSpace::operator<<(QDataStream&, const QMatrix&)
    {21, 417, 502, 2, Smoke::mf_static, 25, 201},	//219 QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    {21, 417, 505, 2, Smoke::mf_static, 29, 202},	//220 QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    {21, 630, 39, 1, Smoke::mf_static, 482, 203},	//221 QGlobalSpace::qRound64(double)
    {21, 587, 508, 1, Smoke::mf_static, 494, 204},	//222 QGlobalSpace::qInstallMsgHandler(void(*)(QtMsgType,const char*))
    {21, 642, 39, 1, Smoke::mf_static, 475, 205},	//223 QGlobalSpace::qSqrt(double)
    {21, 450, 510, 2, Smoke::mf_static, 137, 206},	//224 QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, int)
    {21, 583, 5, 1, Smoke::mf_static, 488, 207},	//225 QGlobalSpace::qHash(const QModelIndex&)
    {21, 450, 513, 2, Smoke::mf_static, 48, 208},	//226 QGlobalSpace::operator|(QDateTimeEdit::Section, QDateTimeEdit::Section)
    {21, 561, 39, 1, Smoke::mf_static, 475, 209},	//227 QGlobalSpace::qFastCos(double)
    {21, 450, 516, 2, Smoke::mf_static, 92, 210},	//228 QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QFlags<QStyleOptionViewItemV2::ViewItemFeature>)
    {21, 417, 519, 2, Smoke::mf_static, 29, 211},	//229 QGlobalSpace::operator<<(QDebug, const QEvent*)
    {21, 444, 522, 2, Smoke::mf_static, 25, 212},	//230 QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    {21, 428, 525, 2, Smoke::mf_static, 372, 213},	//231 QGlobalSpace::operator==(QBool, QBool)
    {21, 450, 528, 2, Smoke::mf_static, 62, 214},	//232 QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, QGraphicsEffect::ChangeFlag)
    {21, 428, 531, 2, Smoke::mf_static, 372, 215},	//233 QGlobalSpace::operator==(const char*, const QStringRef&)
    {21, 450, 534, 2, Smoke::mf_static, 137, 216},	//234 QGlobalSpace::operator|(QFontComboBox::FontFilter, int)
    {21, 450, 537, 2, Smoke::mf_static, 137, 217},	//235 QGlobalSpace::operator|(Qt::ToolBarArea, int)
    {21, 389, 362, 2, Smoke::mf_static, 372, 218},	//236 QGlobalSpace::operator!=(const char*, const QString&)
    {21, 597, 126, 1, Smoke::mf_static, 372, 219},	//237 QGlobalSpace::qIsNaN(float)
    {21, 450, 540, 2, Smoke::mf_static, 137, 220},	//238 QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, int)
    {21, 450, 543, 2, Smoke::mf_static, 68, 221},	//239 QGlobalSpace::operator|(QImageIOPlugin::Capability, QImageIOPlugin::Capability)
    {21, 421, 485, 2, Smoke::mf_static, 372, 222},	//240 QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    {21, 444, 546, 2, Smoke::mf_static, 25, 223},	//241 QGlobalSpace::operator>>(QDataStream&, QPen&)
    {21, 565, 128, 1, Smoke::mf_static, 472, 224},	//242 QGlobalSpace::qFlagLocation(const char*)
    {21, 401, 257, 2, Smoke::mf_static, 274, 225},	//243 QGlobalSpace::operator+(const QTransform&, double)
    {21, 397, 549, 2, Smoke::mf_static, 144, 226},	//244 QGlobalSpace::operator*(const QLine&, const QTransform&)
    {21, 417, 552, 2, Smoke::mf_static, 29, 227},	//245 QGlobalSpace::operator<<(QDebug, const QPolygonF&)
    {21, 450, 555, 2, Smoke::mf_static, 137, 228},	//246 QGlobalSpace::operator|(Qt::InputMethodHint, int)
    {21, 597, 39, 1, Smoke::mf_static, 372, 229},	//247 QGlobalSpace::qIsNaN(double)
    {21, 578, 354, 1, Smoke::mf_static, 477, 230},	//248 QGlobalSpace::qGray(unsigned int)
    {21, 401, 558, 2, Smoke::mf_static, 446, 231},	//249 QGlobalSpace::operator+(QChar, const QString&)
    {21, 450, 561, 2, Smoke::mf_static, 89, 232},	//250 QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QFlags<QStyleOptionTab::CornerWidget>)
    {21, 450, 564, 2, Smoke::mf_static, 137, 233},	//251 QGlobalSpace::operator|(QString::SectionFlag, int)
    {21, 450, 567, 2, Smoke::mf_static, 61, 234},	//252 QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, QFlags<QGraphicsBlurEffect::BlurHint>)
    {21, 450, 570, 2, Smoke::mf_static, 137, 235},	//253 QGlobalSpace::operator|(QLibrary::LoadHint, int)
    {21, 417, 573, 2, Smoke::mf_static, 29, 236},	//254 QGlobalSpace::operator<<(QDebug, QGraphicsItem::GraphicsItemChange)
    {21, 444, 576, 2, Smoke::mf_static, 25, 237},	//255 QGlobalSpace::operator>>(QDataStream&, QUrl&)
    {21, 699, 579, 3, Smoke::mf_static, 0, 238},	//256 QGlobalSpace::qt_assert(const char*, const char*, int)
    {21, 583, 583, 1, Smoke::mf_static, 488, 239},	//257 QGlobalSpace::qHash(long long)
    {21, 406, 585, 1, Smoke::mf_static, 421, 240},	//258 QGlobalSpace::operator-(const QQuaternion&)
    {21, 389, 587, 2, Smoke::mf_static, 372, 241},	//259 QGlobalSpace::operator!=(const QString&, QString::Null)
    {21, 660, 334, 4, Smoke::mf_static, 374, 242},	//260 QGlobalSpace::qfcvt(long double, int, int*, int*)
    {21, 450, 590, 2, Smoke::mf_static, 59, 243},	//261 QGlobalSpace::operator|(QFontDialog::FontDialogOption, QFontDialog::FontDialogOption)
    {21, 573, 593, 2, Smoke::mf_static, 372, 244},	//262 QGlobalSpace::qFuzzyCompare(const QTransform&, const QTransform&)
    {21, 450, 596, 2, Smoke::mf_static, 137, 245},	//263 QGlobalSpace::operator|(QMainWindow::DockOption, int)
    {21, 444, 599, 2, Smoke::mf_static, 25, 246},	//264 QGlobalSpace::operator>>(QDataStream&, QBrush&)
    {21, 450, 602, 2, Smoke::mf_static, 137, 247},	//265 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    {21, 624, 365, 3, Smoke::mf_static, 488, 248},	//266 QGlobalSpace::qRgb(int, int, int)
    {21, 450, 605, 2, Smoke::mf_static, 93, 249},	//267 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    {21, 401, 608, 2, Smoke::mf_static, 446, 250},	//268 QGlobalSpace::operator+(const QString&, char)
    {21, 389, 164, 2, Smoke::mf_static, 372, 251},	//269 QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    {21, 397, 611, 2, Smoke::mf_static, 171, 252},	//270 QGlobalSpace::operator*(const QPainterPath&, const QMatrix&)
    {21, 406, 111, 2, Smoke::mf_static, 417, 253},	//271 QGlobalSpace::operator-(const QPointF&, const QPointF&)
    {21, 428, 434, 2, Smoke::mf_static, 372, 254},	//272 QGlobalSpace::operator==(QString::Null, QString::Null)
    {21, 450, 614, 2, Smoke::mf_static, 109, 255},	//273 QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    {21, 450, 617, 2, Smoke::mf_static, 73, 256},	//274 QGlobalSpace::operator|(QMainWindow::DockOption, QMainWindow::DockOption)
    {21, 450, 620, 2, Smoke::mf_static, 103, 257},	//275 QGlobalSpace::operator|(QWizard::WizardOption, QFlags<QWizard::WizardOption>)
    {21, 444, 623, 2, Smoke::mf_static, 25, 258},	//276 QGlobalSpace::operator>>(QDataStream&, QSizePolicy&)
    {21, 412, 485, 2, Smoke::mf_static, 372, 259},	//277 QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    {21, 470, 0, 0, Smoke::mf_static, 10, 260},	//278 QGlobalSpace::qAccessibleTableCastHelper()
    {21, 450, 626, 2, Smoke::mf_static, 119, 261},	//279 QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    {21, 507, 629, 8, Smoke::mf_static, 0, 262},	//280 QGlobalSpace::qDrawPlainRect(QPainter*, int, int, int, int, const QColor&, int, const QBrush*)
    {21, 507, 638, 6, Smoke::mf_static, 0, 263},	//281 QGlobalSpace::qDrawPlainRect(QPainter*, int, int, int, int, const QColor&)
    {21, 507, 645, 7, Smoke::mf_static, 0, 264},	//282 QGlobalSpace::qDrawPlainRect(QPainter*, int, int, int, int, const QColor&, int)
    {21, 576, 126, 1, Smoke::mf_static, 372, 265},	//283 QGlobalSpace::qFuzzyIsNull(float)
    {21, 397, 653, 2, Smoke::mf_static, 421, 266},	//284 QGlobalSpace::operator*(const QQuaternion&, double)
    {21, 450, 656, 2, Smoke::mf_static, 113, 267},	//285 QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    {21, 680, 659, 2, Smoke::mf_static, 374, 268},	//286 QGlobalSpace::qstrcpy(char*, const char*)
    {21, 583, 384, 1, Smoke::mf_static, 488, 269},	//287 QGlobalSpace::qHash(int)
    {21, 450, 662, 2, Smoke::mf_static, 80, 270},	//288 QGlobalSpace::operator|(QPinchGesture::ChangeFlag, QPinchGesture::ChangeFlag)
    {21, 401, 111, 2, Smoke::mf_static, 417, 271},	//289 QGlobalSpace::operator+(const QPointF&, const QPointF&)
    {21, 397, 665, 2, Smoke::mf_static, 190, 272},	//290 QGlobalSpace::operator*(const QRegion&, const QMatrix&)
    {21, 450, 668, 2, Smoke::mf_static, 104, 273},	//291 QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    {21, 428, 322, 2, Smoke::mf_static, 372, 274},	//292 QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    {21, 406, 671, 1, Smoke::mf_static, 415, 275},	//293 QGlobalSpace::operator-(const QPoint&)
    {21, 450, 673, 2, Smoke::mf_static, 137, 276},	//294 QGlobalSpace::operator|(Qt::DropAction, int)
    {21, 417, 676, 2, Smoke::mf_static, 25, 277},	//295 QGlobalSpace::operator<<(QDataStream&, const QTime&)
    {21, 450, 679, 2, Smoke::mf_static, 137, 278},	//296 QGlobalSpace::operator|(QDir::SortFlag, int)
    {21, 557, 39, 1, Smoke::mf_static, 475, 279},	//297 QGlobalSpace::qExp(double)
    {21, 637, 384, 1, Smoke::mf_static, 271, 280},	//298 QGlobalSpace::qSetRealNumberPrecision(int)
    {21, 428, 682, 2, Smoke::mf_static, 372, 281},	//299 QGlobalSpace::operator==(const QMargins&, const QMargins&)
    {21, 601, 39, 1, Smoke::mf_static, 475, 282},	//300 QGlobalSpace::qLn(double)
    {21, 401, 53, 2, Smoke::mf_static, 466, 283},	//301 QGlobalSpace::operator+(const QVector2D&, const QVector2D&)
    {21, 532, 685, 7, Smoke::mf_static, 0, 284},	//302 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&, bool, int, int, const QBrush*)
    {21, 532, 693, 3, Smoke::mf_static, 0, 285},	//303 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&)
    {21, 532, 697, 4, Smoke::mf_static, 0, 286},	//304 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&, bool)
    {21, 532, 702, 5, Smoke::mf_static, 0, 287},	//305 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&, bool, int)
    {21, 532, 708, 6, Smoke::mf_static, 0, 288},	//306 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&, bool, int, int)
    {21, 417, 715, 2, Smoke::mf_static, 25, 289},	//307 QGlobalSpace::operator<<(QDataStream&, const QPainterPath&)
    {21, 397, 718, 2, Smoke::mf_static, 288, 290},	//308 QGlobalSpace::operator*(const QVector4D&, const QMatrix4x4&)
    {21, 450, 721, 2, Smoke::mf_static, 137, 291},	//309 QGlobalSpace::operator|(QTextDocument::FindFlag, int)
    {21, 389, 322, 2, Smoke::mf_static, 372, 292},	//310 QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    {21, 620, 724, 1, Smoke::mf_static, 0, 293},	//311 QGlobalSpace::qRegisterStaticPluginInstanceFunction(QObject*(*)())
    {21, 417, 726, 2, Smoke::mf_static, 29, 294},	//312 QGlobalSpace::operator<<(QDebug, const QItemSelectionRange&)
    {21, 417, 729, 2, Smoke::mf_static, 29, 295},	//313 QGlobalSpace::operator<<(QDebug, const QKeySequence&)
    {21, 450, 732, 2, Smoke::mf_static, 53, 296},	//314 QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, QDockWidget::DockWidgetFeature)
    {21, 491, 56, 2, Smoke::mf_static, 491, 297},	//315 QGlobalSpace::qChecksum(const char*, unsigned int)
    {21, 502, 735, 4, Smoke::mf_static, 0, 298},	//316 QGlobalSpace::qDrawBorderPixmap(QPainter*, const QRect&, const QMargins&, const QPixmap&)
    {21, 410, 740, 2, Smoke::mf_static, 470, 299},	//317 QGlobalSpace::operator/(const QVector4D&, double)
    {21, 469, 0, 0, Smoke::mf_static, 10, 300},	//318 QGlobalSpace::qAccessibleTable2CastHelper()
    {21, 417, 743, 2, Smoke::mf_static, 268, 301},	//319 QGlobalSpace::operator<<(QTextStream&, const QSplitter&)
    {21, 450, 746, 2, Smoke::mf_static, 112, 302},	//320 QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    {21, 603, 749, 1, Smoke::mf_static, 495, 303},	//321 QGlobalSpace::qMalloc(size_t)
    {21, 613, 0, 0, Smoke::mf_static, 475, 304},	//322 QGlobalSpace::qQNaN()
    {21, 450, 751, 2, Smoke::mf_static, 105, 305},	//323 QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    {21, 444, 754, 2, Smoke::mf_static, 25, 306},	//324 QGlobalSpace::operator>>(QDataStream&, QStringList&)
    {21, 668, 90, 2, Smoke::mf_static, 372, 307},	//325 QGlobalSpace::qputenv(const char*, const QByteArray&)
    {21, 450, 757, 2, Smoke::mf_static, 90, 308},	//326 QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QStyleOptionToolBar::ToolBarFeature)
    {21, 450, 760, 2, Smoke::mf_static, 70, 309},	//327 QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QFlags<QItemSelectionModel::SelectionFlag>)
    {21, 417, 763, 2, Smoke::mf_static, 25, 310},	//328 QGlobalSpace::operator<<(QDataStream&, const QVector3D&)
    {21, 417, 766, 2, Smoke::mf_static, 29, 311},	//329 QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    {21, 450, 769, 2, Smoke::mf_static, 137, 312},	//330 QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    {21, 487, 354, 1, Smoke::mf_static, 477, 313},	//331 QGlobalSpace::qBlue(unsigned int)
    {21, 450, 772, 2, Smoke::mf_static, 97, 314},	//332 QGlobalSpace::operator|(QTextItem::RenderFlag, QFlags<QTextItem::RenderFlag>)
    {21, 397, 53, 2, Smoke::mf_static, 466, 315},	//333 QGlobalSpace::operator*(const QVector2D&, const QVector2D&)
    {21, 417, 775, 2, Smoke::mf_static, 25, 316},	//334 QGlobalSpace::operator<<(QDataStream&, const QVector2D&)
    {21, 417, 778, 2, Smoke::mf_static, 25, 317},	//335 QGlobalSpace::operator<<(QDataStream&, const QBrush&)
    {21, 543, 781, 5, Smoke::mf_static, 0, 318},	//336 QGlobalSpace::qDrawWinButton(QPainter*, const QRect&, const QPalette&, bool, const QBrush*)
    {21, 543, 693, 3, Smoke::mf_static, 0, 319},	//337 QGlobalSpace::qDrawWinButton(QPainter*, const QRect&, const QPalette&)
    {21, 543, 697, 4, Smoke::mf_static, 0, 320},	//338 QGlobalSpace::qDrawWinButton(QPainter*, const QRect&, const QPalette&, bool)
    {21, 673, 354, 1, Smoke::mf_static, 0, 321},	//339 QGlobalSpace::qsrand(unsigned int)
    {21, 389, 233, 2, Smoke::mf_static, 372, 322},	//340 QGlobalSpace::operator!=(const QQuaternion&, const QQuaternion&)
    {21, 450, 787, 2, Smoke::mf_static, 137, 323},	//341 QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, int)
    {21, 583, 790, 1, Smoke::mf_static, 488, 324},	//342 QGlobalSpace::qHash(long)
    {21, 417, 792, 2, Smoke::mf_static, 25, 325},	//343 QGlobalSpace::operator<<(QDataStream&, const QTreeWidgetItem&)
    {21, 397, 795, 2, Smoke::mf_static, 415, 326},	//344 QGlobalSpace::operator*(int, const QPoint&)
    {21, 434, 34, 2, Smoke::mf_static, 372, 327},	//345 QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    {21, 583, 798, 1, Smoke::mf_static, 488, 328},	//346 QGlobalSpace::qHash(unsigned short)
    {21, 450, 800, 2, Smoke::mf_static, 96, 329},	//347 QGlobalSpace::operator|(QTextFormat::PageBreakFlag, QTextFormat::PageBreakFlag)
    {21, 444, 803, 2, Smoke::mf_static, 25, 330},	//348 QGlobalSpace::operator>>(QDataStream&, QLineF&)
    {21, 389, 111, 2, Smoke::mf_static, 372, 331},	//349 QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    {21, 450, 806, 2, Smoke::mf_static, 77, 332},	//350 QGlobalSpace::operator|(QPaintEngine::DirtyFlag, QPaintEngine::DirtyFlag)
    {21, 417, 809, 2, Smoke::mf_static, 25, 333},	//351 QGlobalSpace::operator<<(QDataStream&, const QImage&)
    {21, 450, 812, 2, Smoke::mf_static, 56, 334},	//352 QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    {21, 450, 815, 2, Smoke::mf_static, 69, 335},	//353 QGlobalSpace::operator|(QInputDialog::InputDialogOption, QFlags<QInputDialog::InputDialogOption>)
    {21, 406, 53, 2, Smoke::mf_static, 466, 336},	//354 QGlobalSpace::operator-(const QVector2D&, const QVector2D&)
    {21, 523, 818, 6, Smoke::mf_static, 0, 337},	//355 QGlobalSpace::qDrawShadePanel(QPainter*, const QRect&, const QPalette&, bool, int, const QBrush*)
    {21, 523, 693, 3, Smoke::mf_static, 0, 338},	//356 QGlobalSpace::qDrawShadePanel(QPainter*, const QRect&, const QPalette&)
    {21, 523, 697, 4, Smoke::mf_static, 0, 339},	//357 QGlobalSpace::qDrawShadePanel(QPainter*, const QRect&, const QPalette&, bool)
    {21, 523, 702, 5, Smoke::mf_static, 0, 340},	//358 QGlobalSpace::qDrawShadePanel(QPainter*, const QRect&, const QPalette&, bool, int)
    {21, 692, 401, 3, Smoke::mf_static, 477, 341},	//359 QGlobalSpace::qstrnicmp(const char*, const char*, unsigned int)
    {21, 401, 825, 2, Smoke::mf_static, 446, 342},	//360 QGlobalSpace::operator+(char, const QString&)
    {21, 444, 828, 2, Smoke::mf_static, 25, 343},	//361 QGlobalSpace::operator>>(QDataStream&, QSize&)
    {21, 428, 206, 2, Smoke::mf_static, 372, 344},	//362 QGlobalSpace::operator==(QString::Null, const QString&)
    {21, 444, 831, 2, Smoke::mf_static, 25, 345},	//363 QGlobalSpace::operator>>(QDataStream&, QKeySequence&)
    {21, 428, 405, 2, Smoke::mf_static, 372, 346},	//364 QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    {21, 450, 834, 2, Smoke::mf_static, 89, 347},	//365 QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QStyleOptionTab::CornerWidget)
    {21, 450, 837, 2, Smoke::mf_static, 137, 348},	//366 QGlobalSpace::operator|(QDialogButtonBox::StandardButton, int)
    {21, 401, 485, 2, Smoke::mf_static, 378, 349},	//367 QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    {21, 450, 840, 2, Smoke::mf_static, 96, 350},	//368 QGlobalSpace::operator|(QTextFormat::PageBreakFlag, QFlags<QTextFormat::PageBreakFlag>)
    {21, 583, 843, 1, Smoke::mf_static, 488, 351},	//369 QGlobalSpace::qHash(const QPersistentModelIndex&)
    {21, 434, 362, 2, Smoke::mf_static, 372, 352},	//370 QGlobalSpace::operator>(const char*, const QString&)
    {21, 417, 845, 2, Smoke::mf_static, 29, 353},	//371 QGlobalSpace::operator<<(QDebug, const QRegion&)
    {21, 417, 848, 2, Smoke::mf_static, 25, 354},	//372 QGlobalSpace::operator<<(QDataStream&, const QVector4D&)
    {21, 417, 851, 2, Smoke::mf_static, 25, 355},	//373 QGlobalSpace::operator<<(QDataStream&, const QIcon&)
    {21, 417, 854, 2, Smoke::mf_static, 25, 356},	//374 QGlobalSpace::operator<<(QDataStream&, const QString&)
    {21, 417, 857, 2, Smoke::mf_static, 25, 357},	//375 QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    {21, 444, 860, 2, Smoke::mf_static, 25, 358},	//376 QGlobalSpace::operator>>(QDataStream&, QVector3D&)
    {21, 714, 863, 3, Smoke::mf_static, 165, 359},	//377 QGlobalSpace::qt_qFindChild_helper(const QObject*, const QString&, const QMetaObject&)
    {21, 523, 867, 9, Smoke::mf_static, 0, 360},	//378 QGlobalSpace::qDrawShadePanel(QPainter*, int, int, int, int, const QPalette&, bool, int, const QBrush*)
    {21, 523, 298, 6, Smoke::mf_static, 0, 361},	//379 QGlobalSpace::qDrawShadePanel(QPainter*, int, int, int, int, const QPalette&)
    {21, 523, 305, 7, Smoke::mf_static, 0, 362},	//380 QGlobalSpace::qDrawShadePanel(QPainter*, int, int, int, int, const QPalette&, bool)
    {21, 523, 877, 8, Smoke::mf_static, 0, 363},	//381 QGlobalSpace::qDrawShadePanel(QPainter*, int, int, int, int, const QPalette&, bool, int)
    {21, 450, 886, 2, Smoke::mf_static, 83, 364},	//382 QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    {21, 444, 889, 2, Smoke::mf_static, 25, 365},	//383 QGlobalSpace::operator>>(QDataStream&, QVector2D&)
    {21, 450, 892, 2, Smoke::mf_static, 137, 366},	//384 QGlobalSpace::operator|(QMessageBox::StandardButton, int)
    {21, 410, 895, 2, Smoke::mf_static, 466, 367},	//385 QGlobalSpace::operator/(const QVector2D&, double)
    {21, 450, 898, 2, Smoke::mf_static, 87, 368},	//386 QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QStyleOptionFrameV2::FrameFeature)
    {21, 410, 901, 2, Smoke::mf_static, 417, 369},	//387 QGlobalSpace::operator/(const QPointF&, double)
    {21, 389, 904, 2, Smoke::mf_static, 372, 370},	//388 QGlobalSpace::operator!=(bool, QBool)
    {21, 428, 395, 2, Smoke::mf_static, 372, 371},	//389 QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    {21, 450, 907, 2, Smoke::mf_static, 66, 372},	//390 QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, QGraphicsView::OptimizationFlag)
    {21, 450, 910, 2, Smoke::mf_static, 70, 373},	//391 QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QItemSelectionModel::SelectionFlag)
    {21, 450, 913, 2, Smoke::mf_static, 69, 374},	//392 QGlobalSpace::operator|(QInputDialog::InputDialogOption, QInputDialog::InputDialogOption)
    {21, 410, 916, 2, Smoke::mf_static, 468, 375},	//393 QGlobalSpace::operator/(const QVector3D&, double)
    {21, 690, 919, 3, Smoke::mf_static, 374, 376},	//394 QGlobalSpace::qstrncpy(char*, const char*, unsigned int)
    {21, 397, 923, 2, Smoke::mf_static, 466, 377},	//395 QGlobalSpace::operator*(double, const QVector2D&)
    {21, 406, 926, 1, Smoke::mf_static, 470, 378},	//396 QGlobalSpace::operator-(const QVector4D&)
    {21, 450, 928, 2, Smoke::mf_static, 100, 379},	//397 QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, QFlags<QTreeWidgetItemIterator::IteratorFlag>)
    {21, 444, 931, 2, Smoke::mf_static, 25, 380},	//398 QGlobalSpace::operator>>(QDataStream&, QMatrix4x4&)
    {21, 649, 183, 1, Smoke::mf_static, 17, 381},	//399 QGlobalSpace::qUncompress(const QByteArray&)
    {21, 450, 934, 2, Smoke::mf_static, 90, 382},	//400 QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QFlags<QStyleOptionToolBar::ToolBarFeature>)
    {21, 410, 257, 2, Smoke::mf_static, 274, 383},	//401 QGlobalSpace::operator/(const QTransform&, double)
    {21, 450, 937, 2, Smoke::mf_static, 137, 384},	//402 QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, int)
    {21, 573, 44, 2, Smoke::mf_static, 372, 385},	//403 QGlobalSpace::qFuzzyCompare(const QMatrix4x4&, const QMatrix4x4&)
    {21, 450, 940, 2, Smoke::mf_static, 137, 386},	//404 QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, int)
    {21, 417, 943, 2, Smoke::mf_static, 25, 387},	//405 QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    {21, 444, 946, 2, Smoke::mf_static, 25, 388},	//406 QGlobalSpace::operator>>(QDataStream&, QVariant&)
    {21, 466, 0, 0, Smoke::mf_static, 10, 389},	//407 QGlobalSpace::qAccessibleActionCastHelper()
    {21, 397, 949, 2, Smoke::mf_static, 180, 390},	//408 QGlobalSpace::operator*(const QPointF&, const QMatrix4x4&)
    {21, 450, 952, 2, Smoke::mf_static, 137, 391},	//409 QGlobalSpace::operator|(Qt::MouseButton, int)
    {21, 444, 955, 2, Smoke::mf_static, 25, 392},	//410 QGlobalSpace::operator>>(QDataStream&, QImage&)
    {21, 406, 958, 1, Smoke::mf_static, 417, 393},	//411 QGlobalSpace::operator-(const QPointF&)
    {21, 417, 960, 2, Smoke::mf_static, 29, 394},	//412 QGlobalSpace::operator<<(QDebug, const QStyleOption&)
    {21, 450, 963, 2, Smoke::mf_static, 43, 395},	//413 QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, QFlags<QAbstractPrintDialog::PrintDialogOption>)
    {21, 428, 904, 2, Smoke::mf_static, 372, 396},	//414 QGlobalSpace::operator==(bool, QBool)
    {21, 444, 966, 2, Smoke::mf_static, 25, 397},	//415 QGlobalSpace::operator>>(QDataStream&, QPicture&)
    {21, 450, 969, 2, Smoke::mf_static, 137, 398},	//416 QGlobalSpace::operator|(QColorDialog::ColorDialogOption, int)
    {21, 670, 0, 0, Smoke::mf_static, 477, 399},	//417 QGlobalSpace::qrand()
    {21, 417, 972, 2, Smoke::mf_static, 29, 400},	//418 QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    {21, 397, 975, 2, Smoke::mf_static, 184, 401},	//419 QGlobalSpace::operator*(const QPolygonF&, const QMatrix&)
    {21, 444, 978, 2, Smoke::mf_static, 25, 402},	//420 QGlobalSpace::operator>>(QDataStream&, QVector4D&)
    {21, 450, 981, 2, Smoke::mf_static, 47, 403},	//421 QGlobalSpace::operator|(QColorDialog::ColorDialogOption, QColorDialog::ColorDialogOption)
    {21, 701, 984, 4, Smoke::mf_static, 0, 404},	//422 QGlobalSpace::qt_assert_x(const char*, const char*, const char*, int)
    {21, 397, 989, 2, Smoke::mf_static, 415, 405},	//423 QGlobalSpace::operator*(float, const QPoint&)
    {21, 395, 482, 2, Smoke::mf_static, 13, 406},	//424 QGlobalSpace::operator&(const QBitArray&, const QBitArray&)
    {21, 439, 90, 2, Smoke::mf_static, 372, 407},	//425 QGlobalSpace::operator>=(const char*, const QByteArray&)
    {21, 417, 992, 2, Smoke::mf_static, 29, 408},	//426 QGlobalSpace::operator<<(QDebug, const QSqlError&)
    {21, 450, 995, 2, Smoke::mf_static, 57, 409},	//427 QGlobalSpace::operator|(QFileDialog::Option, QFileDialog::Option)
    {21, 450, 998, 2, Smoke::mf_static, 98, 410},	//428 QGlobalSpace::operator|(QTextOption::Flag, QTextOption::Flag)
    {21, 450, 1001, 2, Smoke::mf_static, 114, 411},	//429 QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    {21, 417, 1004, 2, Smoke::mf_static, 25, 412},	//430 QGlobalSpace::operator<<(QDataStream&, const QMatrix4x4&)
    {21, 573, 1007, 2, Smoke::mf_static, 372, 413},	//431 QGlobalSpace::qFuzzyCompare(const QMatrix&, const QMatrix&)
    {21, 450, 1010, 2, Smoke::mf_static, 137, 414},	//432 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    {21, 389, 1013, 2, Smoke::mf_static, 372, 415},	//433 QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    {21, 626, 1016, 4, Smoke::mf_static, 488, 416},	//434 QGlobalSpace::qRgba(int, int, int, int)
    {21, 500, 0, 0, Smoke::mf_static, 29, 417},	//435 QGlobalSpace::qCritical()
    {21, 397, 740, 2, Smoke::mf_static, 470, 418},	//436 QGlobalSpace::operator*(const QVector4D&, double)
    {21, 444, 1021, 2, Smoke::mf_static, 25, 419},	//437 QGlobalSpace::operator>>(QDataStream&, QTransform&)
    {21, 417, 1024, 2, Smoke::mf_static, 25, 420},	//438 QGlobalSpace::operator<<(QDataStream&, const QStandardItem&)
    {21, 417, 1027, 2, Smoke::mf_static, 29, 421},	//439 QGlobalSpace::operator<<(QDebug, QGraphicsObject*)
    {21, 450, 1030, 2, Smoke::mf_static, 108, 422},	//440 QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    {21, 389, 90, 2, Smoke::mf_static, 372, 423},	//441 QGlobalSpace::operator!=(const char*, const QByteArray&)
    {21, 389, 242, 2, Smoke::mf_static, 372, 424},	//442 QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    {21, 412, 63, 2, Smoke::mf_static, 372, 425},	//443 QGlobalSpace::operator<(const char*, const QLatin1String&)
    {21, 397, 1033, 2, Smoke::mf_static, 470, 426},	//444 QGlobalSpace::operator*(double, const QVector4D&)
    {21, 450, 1036, 2, Smoke::mf_static, 137, 427},	//445 QGlobalSpace::operator|(QAccessible::RelationFlag, int)
    {21, 450, 1039, 2, Smoke::mf_static, 75, 428},	//446 QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, QFlags<QMdiSubWindow::SubWindowOption>)
    {21, 428, 1013, 2, Smoke::mf_static, 372, 429},	//447 QGlobalSpace::operator==(const QRectF&, const QRectF&)
    {21, 417, 1042, 2, Smoke::mf_static, 25, 430},	//448 QGlobalSpace::operator<<(QDataStream&, const QStringList&)
    {21, 417, 1045, 2, Smoke::mf_static, 29, 431},	//449 QGlobalSpace::operator<<(QDebug, const QMatrix4x4&)
    {21, 401, 1048, 2, Smoke::mf_static, 378, 432},	//450 QGlobalSpace::operator+(const QByteArray&, char)
    {21, 450, 1051, 2, Smoke::mf_static, 52, 433},	//451 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    {21, 450, 1054, 2, Smoke::mf_static, 50, 434},	//452 QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    {21, 444, 1057, 2, Smoke::mf_static, 25, 435},	//453 QGlobalSpace::operator>>(QDataStream&, QPoint&)
    {21, 410, 1060, 2, Smoke::mf_static, 430, 436},	//454 QGlobalSpace::operator/(const QSizeF&, double)
    {21, 439, 395, 2, Smoke::mf_static, 372, 437},	//455 QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    {21, 428, 328, 2, Smoke::mf_static, 372, 438},	//456 QGlobalSpace::operator==(const QVector4D&, const QVector4D&)
    {21, 417, 1063, 2, Smoke::mf_static, 25, 439},	//457 QGlobalSpace::operator<<(QDataStream&, const QDate&)
    {21, 450, 1066, 2, Smoke::mf_static, 137, 440},	//458 QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, int)
    {21, 428, 242, 2, Smoke::mf_static, 372, 441},	//459 QGlobalSpace::operator==(const QPoint&, const QPoint&)
    {21, 475, 1069, 1, Smoke::mf_static, 0, 442},	//460 QGlobalSpace::qAddPostRoutine(void(*)())
    {21, 493, 1071, 3, Smoke::mf_static, 17, 443},	//461 QGlobalSpace::qCompress(const unsigned char*, int, int)
    {21, 493, 398, 2, Smoke::mf_static, 17, 444},	//462 QGlobalSpace::qCompress(const unsigned char*, int)
    {21, 450, 1075, 2, Smoke::mf_static, 81, 445},	//463 QGlobalSpace::operator|(QSizePolicy::ControlType, QSizePolicy::ControlType)
    {21, 421, 90, 2, Smoke::mf_static, 372, 446},	//464 QGlobalSpace::operator<=(const char*, const QByteArray&)
    {21, 563, 39, 1, Smoke::mf_static, 475, 447},	//465 QGlobalSpace::qFastSin(double)
    {21, 421, 34, 2, Smoke::mf_static, 372, 448},	//466 QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    {21, 417, 1078, 2, Smoke::mf_static, 25, 449},	//467 QGlobalSpace::operator<<(QDataStream&, const QLine&)
    {21, 444, 1081, 2, Smoke::mf_static, 25, 450},	//468 QGlobalSpace::operator>>(QDataStream&, QMatrix&)
    {21, 450, 1084, 2, Smoke::mf_static, 49, 451},	//469 QGlobalSpace::operator|(QDialogButtonBox::StandardButton, QDialogButtonBox::StandardButton)
    {21, 444, 1087, 2, Smoke::mf_static, 25, 452},	//470 QGlobalSpace::operator>>(QDataStream&, QString&)
    {21, 410, 653, 2, Smoke::mf_static, 421, 453},	//471 QGlobalSpace::operator/(const QQuaternion&, double)
    {21, 479, 0, 0, Smoke::mf_static, 242, 454},	//472 QGlobalSpace::qAppName()
    {21, 652, 0, 0, Smoke::mf_static, 472, 455},	//473 QGlobalSpace::qVersion()
    {21, 450, 1090, 2, Smoke::mf_static, 84, 456},	//474 QGlobalSpace::operator|(QStyle::StateFlag, QStyle::StateFlag)
    {21, 417, 1093, 2, Smoke::mf_static, 25, 457},	//475 QGlobalSpace::operator<<(QDataStream&, const QListWidgetItem&)
    {21, 450, 1096, 2, Smoke::mf_static, 137, 458},	//476 QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, int)
    {21, 569, 1099, 1, Smoke::mf_static, 0, 459},	//477 QGlobalSpace::qFree(void*)
    {21, 417, 1101, 2, Smoke::mf_static, 29, 460},	//478 QGlobalSpace::operator<<(QDebug, QFlags<QGraphicsItem::GraphicsItemFlag>)
    {21, 397, 1104, 2, Smoke::mf_static, 146, 461},	//479 QGlobalSpace::operator*(const QLineF&, const QMatrix&)
    {21, 417, 1107, 2, Smoke::mf_static, 25, 462},	//480 QGlobalSpace::operator<<(QDataStream&, const QTextFormat&)
    {21, 450, 1110, 2, Smoke::mf_static, 137, 463},	//481 QGlobalSpace::operator|(QSql::ParamTypeFlag, int)
    {21, 450, 1113, 2, Smoke::mf_static, 137, 464},	//482 QGlobalSpace::operator|(Qt::ItemFlag, int)
    {21, 571, 1099, 1, Smoke::mf_static, 0, 465},	//483 QGlobalSpace::qFreeAligned(void*)
    {21, 444, 1116, 2, Smoke::mf_static, 25, 466},	//484 QGlobalSpace::operator>>(QDataStream&, QTreeWidgetItem&)
    {21, 428, 587, 2, Smoke::mf_static, 372, 467},	//485 QGlobalSpace::operator==(const QString&, QString::Null)
    {21, 417, 1119, 2, Smoke::mf_static, 29, 468},	//486 QGlobalSpace::operator<<(QDebug, const QDir&)
    {21, 417, 1122, 2, Smoke::mf_static, 268, 469},	//487 QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    {21, 412, 123, 2, Smoke::mf_static, 372, 470},	//488 QGlobalSpace::operator<(const QByteArray&, const char*)
    {21, 417, 1125, 2, Smoke::mf_static, 29, 471},	//489 QGlobalSpace::operator<<(QDebug, const QPen&)
    {21, 397, 1128, 2, Smoke::mf_static, 421, 472},	//490 QGlobalSpace::operator*(double, const QQuaternion&)
    {21, 397, 895, 2, Smoke::mf_static, 466, 473},	//491 QGlobalSpace::operator*(const QVector2D&, double)
    {21, 417, 1131, 2, Smoke::mf_static, 29, 474},	//492 QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    {21, 389, 328, 2, Smoke::mf_static, 372, 475},	//493 QGlobalSpace::operator!=(const QVector4D&, const QVector4D&)
    {21, 450, 1134, 2, Smoke::mf_static, 63, 476},	//494 QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, QFlags<QGraphicsItem::GraphicsItemFlag>)
    {21, 417, 1137, 2, Smoke::mf_static, 29, 477},	//495 QGlobalSpace::operator<<(QDebug, const QVector3D&)
    {21, 450, 1140, 2, Smoke::mf_static, 97, 478},	//496 QGlobalSpace::operator|(QTextItem::RenderFlag, QTextItem::RenderFlag)
    {21, 450, 1143, 2, Smoke::mf_static, 55, 479},	//497 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    {21, 397, 916, 2, Smoke::mf_static, 468, 480},	//498 QGlobalSpace::operator*(const QVector3D&, double)
    {21, 583, 1146, 1, Smoke::mf_static, 488, 481},	//499 QGlobalSpace::qHash(const QBitArray&)
    {21, 417, 1148, 2, Smoke::mf_static, 29, 482},	//500 QGlobalSpace::operator<<(QDebug, const QVector2D&)
    {21, 450, 1151, 2, Smoke::mf_static, 68, 483},	//501 QGlobalSpace::operator|(QImageIOPlugin::Capability, QFlags<QImageIOPlugin::Capability>)
    {21, 417, 1154, 2, Smoke::mf_static, 29, 484},	//502 QGlobalSpace::operator<<(QDebug, const QTime&)
    {21, 417, 1157, 2, Smoke::mf_static, 268, 485},	//503 QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    {21, 489, 39, 1, Smoke::mf_static, 477, 486},	//504 QGlobalSpace::qCeil(double)
    {21, 417, 1160, 2, Smoke::mf_static, 29, 487},	//505 QGlobalSpace::operator<<(QDebug, const QVector4D&)
    {21, 444, 1163, 2, Smoke::mf_static, 25, 488},	//506 QGlobalSpace::operator>>(QDataStream&, QTextFormat&)
    {21, 389, 170, 2, Smoke::mf_static, 372, 489},	//507 QGlobalSpace::operator!=(QChar, QChar)
    {21, 450, 1166, 2, Smoke::mf_static, 107, 490},	//508 QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    {21, 644, 1169, 2, Smoke::mf_static, 372, 491},	//509 QGlobalSpace::qStringComparisonHelper(const QStringRef&, const char*)
    {21, 682, 128, 1, Smoke::mf_static, 374, 492},	//510 QGlobalSpace::qstrdup(const char*)
    {21, 450, 1172, 2, Smoke::mf_static, 137, 493},	//511 QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, int)
    {21, 450, 1175, 2, Smoke::mf_static, 81, 494},	//512 QGlobalSpace::operator|(QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>)
    {21, 468, 0, 0, Smoke::mf_static, 10, 495},	//513 QGlobalSpace::qAccessibleImageCastHelper()
    {21, 450, 1178, 2, Smoke::mf_static, 102, 496},	//514 QGlobalSpace::operator|(QWidget::RenderFlag, QWidget::RenderFlag)
    {21, 444, 1181, 2, Smoke::mf_static, 25, 497},	//515 QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    {21, 444, 1184, 2, Smoke::mf_static, 25, 498},	//516 QGlobalSpace::operator>>(QDataStream&, QPolygon&)
    {21, 421, 362, 2, Smoke::mf_static, 372, 499},	//517 QGlobalSpace::operator<=(const char*, const QString&)
    {21, 444, 1187, 2, Smoke::mf_static, 25, 500},	//518 QGlobalSpace::operator>>(QDataStream&, QRegion&)
    {21, 389, 531, 2, Smoke::mf_static, 372, 501},	//519 QGlobalSpace::operator!=(const char*, const QStringRef&)
    {21, 450, 1190, 2, Smoke::mf_static, 44, 502},	//520 QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QAbstractSpinBox::StepEnabledFlag)
    {21, 417, 1193, 2, Smoke::mf_static, 25, 503},	//521 QGlobalSpace::operator<<(QDataStream&, const QSizePolicy&)
    {21, 450, 1196, 2, Smoke::mf_static, 91, 504},	//522 QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QStyleOptionToolButton::ToolButtonFeature)
    {21, 450, 1199, 2, Smoke::mf_static, 137, 505},	//523 QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, int)
    {21, 501, 0, 0, Smoke::mf_static, 29, 506},	//524 QGlobalSpace::qDebug()
    {21, 605, 1202, 2, Smoke::mf_static, 495, 507},	//525 QGlobalSpace::qMallocAligned(size_t, size_t)
    {21, 450, 1205, 2, Smoke::mf_static, 64, 508},	//526 QGlobalSpace::operator|(QGraphicsScene::SceneLayer, QFlags<QGraphicsScene::SceneLayer>)
    {21, 397, 1208, 2, Smoke::mf_static, 178, 509},	//527 QGlobalSpace::operator*(const QPoint&, const QTransform&)
    {21, 389, 1169, 2, Smoke::mf_static, 372, 510},	//528 QGlobalSpace::operator!=(const QStringRef&, const char*)
    {21, 658, 1211, 6, Smoke::mf_static, 477, 511},	//529 QGlobalSpace::qecvt_r(long double, int, int*, int*, char*, size_t)
    {21, 581, 354, 1, Smoke::mf_static, 477, 512},	//530 QGlobalSpace::qGreen(unsigned int)
    {21, 611, 117, 2, Smoke::mf_static, 475, 513},	//531 QGlobalSpace::qPow(double, double)
    {21, 421, 63, 2, Smoke::mf_static, 372, 514},	//532 QGlobalSpace::operator<=(const char*, const QLatin1String&)
    {21, 417, 1218, 2, Smoke::mf_static, 29, 515},	//533 QGlobalSpace::operator<<(QDebug, const QSizeF&)
    {21, 450, 1221, 2, Smoke::mf_static, 137, 516},	//534 QGlobalSpace::operator|(Qt::GestureFlag, int)
    {21, 444, 1122, 2, Smoke::mf_static, 268, 517},	//535 QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    {21, 401, 1224, 2, Smoke::mf_static, 378, 518},	//536 QGlobalSpace::operator+(char, const QByteArray&)
    {21, 450, 1227, 2, Smoke::mf_static, 137, 519},	//537 QGlobalSpace::operator|(QStyle::StateFlag, int)
    {21, 428, 90, 2, Smoke::mf_static, 372, 520},	//538 QGlobalSpace::operator==(const char*, const QByteArray&)
    {21, 417, 1230, 2, Smoke::mf_static, 25, 521},	//539 QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    {21, 450, 1233, 2, Smoke::mf_static, 91, 522},	//540 QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QFlags<QStyleOptionToolButton::ToolButtonFeature>)
    {21, 406, 81, 2, Smoke::mf_static, 428, 523},	//541 QGlobalSpace::operator-(const QSize&, const QSize&)
    {21, 417, 1236, 2, Smoke::mf_static, 29, 524},	//542 QGlobalSpace::operator<<(QDebug, const QVariant&)
    {21, 401, 362, 2, Smoke::mf_static, 446, 525},	//543 QGlobalSpace::operator+(const char*, const QString&)
    {21, 450, 1239, 2, Smoke::mf_static, 46, 526},	//544 QGlobalSpace::operator|(QAccessible::StateFlag, QAccessible::StateFlag)
    {21, 450, 1242, 2, Smoke::mf_static, 79, 527},	//545 QGlobalSpace::operator|(QPainter::RenderHint, QPainter::RenderHint)
    {21, 450, 1245, 2, Smoke::mf_static, 137, 528},	//546 QGlobalSpace::operator|(Qt::WindowState, int)
    {21, 444, 1248, 2, Smoke::mf_static, 25, 529},	//547 QGlobalSpace::operator>>(QDataStream&, QTime&)
    {21, 444, 1251, 2, Smoke::mf_static, 25, 530},	//548 QGlobalSpace::operator>>(QDataStream&, QPixmap&)
    {21, 450, 1254, 2, Smoke::mf_static, 48, 531},	//549 QGlobalSpace::operator|(QDateTimeEdit::Section, QFlags<QDateTimeEdit::Section>)
    {21, 389, 682, 2, Smoke::mf_static, 372, 532},	//550 QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    {21, 450, 1257, 2, Smoke::mf_static, 98, 533},	//551 QGlobalSpace::operator|(QTextOption::Flag, QFlags<QTextOption::Flag>)
    {21, 417, 1260, 2, Smoke::mf_static, 29, 534},	//552 QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    {21, 450, 1263, 2, Smoke::mf_static, 111, 535},	//553 QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    {21, 397, 1266, 2, Smoke::mf_static, 417, 536},	//554 QGlobalSpace::operator*(double, const QPointF&)
    {21, 444, 1269, 2, Smoke::mf_static, 25, 537},	//555 QGlobalSpace::operator>>(QDataStream&, QEasingCurve&)
    {21, 450, 1272, 2, Smoke::mf_static, 106, 538},	//556 QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    {21, 397, 1275, 2, Smoke::mf_static, 190, 539},	//557 QGlobalSpace::operator*(const QRegion&, const QTransform&)
    {21, 428, 34, 2, Smoke::mf_static, 372, 540},	//558 QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    {21, 397, 1278, 2, Smoke::mf_static, 428, 541},	//559 QGlobalSpace::operator*(const QSize&, double)
    {21, 417, 1281, 2, Smoke::mf_static, 29, 542},	//560 QGlobalSpace::operator<<(QDebug, const QDate&)
    {21, 573, 53, 2, Smoke::mf_static, 372, 543},	//561 QGlobalSpace::qFuzzyCompare(const QVector2D&, const QVector2D&)
    {21, 397, 1284, 2, Smoke::mf_static, 171, 544},	//562 QGlobalSpace::operator*(const QPainterPath&, const QTransform&)
    {21, 450, 1287, 2, Smoke::mf_static, 46, 545},	//563 QGlobalSpace::operator|(QAccessible::StateFlag, QFlags<QAccessible::StateFlag>)
    {21, 450, 1290, 2, Smoke::mf_static, 50, 546},	//564 QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    {21, 722, 1293, 4, Smoke::mf_static, 477, 547},	//565 QGlobalSpace::qvsnprintf(char*, size_t, const char*, va_list)
    {21, 397, 1298, 2, Smoke::mf_static, 415, 548},	//566 QGlobalSpace::operator*(double, const QPoint&)
    {21, 397, 1301, 2, Smoke::mf_static, 184, 549},	//567 QGlobalSpace::operator*(const QPolygonF&, const QTransform&)
    {21, 609, 1304, 3, Smoke::mf_static, 495, 550},	//568 QGlobalSpace::qMemSet(void*, int, size_t)
    {21, 417, 1308, 2, Smoke::mf_static, 25, 551},	//569 QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    {21, 703, 1311, 2, Smoke::mf_static, 0, 552},	//570 QGlobalSpace::qt_check_pointer(const char*, int)
    {21, 550, 781, 5, Smoke::mf_static, 0, 553},	//571 QGlobalSpace::qDrawWinPanel(QPainter*, const QRect&, const QPalette&, bool, const QBrush*)
    {21, 550, 693, 3, Smoke::mf_static, 0, 554},	//572 QGlobalSpace::qDrawWinPanel(QPainter*, const QRect&, const QPalette&)
    {21, 550, 697, 4, Smoke::mf_static, 0, 555},	//573 QGlobalSpace::qDrawWinPanel(QPainter*, const QRect&, const QPalette&, bool)
    {21, 583, 1314, 1, Smoke::mf_static, 488, 556},	//574 QGlobalSpace::qHash(short)
    {21, 450, 1316, 2, Smoke::mf_static, 75, 557},	//575 QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, QMdiSubWindow::SubWindowOption)
    {21, 450, 1319, 2, Smoke::mf_static, 67, 558},	//576 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    {21, 559, 39, 1, Smoke::mf_static, 475, 559},	//577 QGlobalSpace::qFabs(double)
    {21, 450, 1322, 2, Smoke::mf_static, 105, 560},	//578 QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    {21, 450, 1325, 2, Smoke::mf_static, 51, 561},	//579 QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    {21, 675, 485, 2, Smoke::mf_static, 477, 562},	//580 QGlobalSpace::qstrcmp(const QByteArray&, const QByteArray&)
    {21, 573, 1328, 2, Smoke::mf_static, 372, 563},	//581 QGlobalSpace::qFuzzyCompare(float, float)
    {21, 428, 1331, 2, Smoke::mf_static, 372, 564},	//582 QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    {21, 450, 1334, 2, Smoke::mf_static, 137, 565},	//583 QGlobalSpace::operator|(QInputDialog::InputDialogOption, int)
    {21, 450, 1337, 2, Smoke::mf_static, 71, 566},	//584 QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    {21, 662, 1211, 6, Smoke::mf_static, 477, 567},	//585 QGlobalSpace::qfcvt_r(long double, int, int*, int*, char*, size_t)
    {21, 664, 1340, 3, Smoke::mf_static, 374, 568},	//586 QGlobalSpace::qgcvt(long double, int, char*)
    {21, 671, 1344, 4, Smoke::mf_static, 0, 569},	//587 QGlobalSpace::qsort(void*, size_t, size_t, int(*)(const void*,const void*))
    {21, 450, 1349, 2, Smoke::mf_static, 100, 570},	//588 QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, QTreeWidgetItemIterator::IteratorFlag)
    {21, 450, 1352, 2, Smoke::mf_static, 88, 571},	//589 QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeature>)
    {21, 450, 1355, 2, Smoke::mf_static, 66, 572},	//590 QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, QFlags<QGraphicsView::OptimizationFlag>)
    {21, 473, 39, 1, Smoke::mf_static, 475, 573},	//591 QGlobalSpace::qAcos(double)
    {21, 450, 1358, 2, Smoke::mf_static, 137, 574},	//592 QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    {21, 450, 1361, 2, Smoke::mf_static, 109, 575},	//593 QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    {21, 450, 1364, 2, Smoke::mf_static, 137, 576},	//594 QGlobalSpace::operator|(QGraphicsScene::SceneLayer, int)
    {21, 417, 1367, 2, Smoke::mf_static, 25, 577},	//595 QGlobalSpace::operator<<(QDataStream&, const QPen&)
    {21, 439, 485, 2, Smoke::mf_static, 372, 578},	//596 QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    {21, 450, 1370, 2, Smoke::mf_static, 82, 579},	//597 QGlobalSpace::operator|(QSql::ParamTypeFlag, QFlags<QSql::ParamTypeFlag>)
    {21, 450, 1373, 2, Smoke::mf_static, 78, 580},	//598 QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, QPaintEngine::PaintEngineFeature)
    {21, 444, 1376, 2, Smoke::mf_static, 25, 581},	//599 QGlobalSpace::operator>>(QDataStream&, QPainterPath&)
    {21, 486, 0, 0, Smoke::mf_static, 0, 582},	//600 QGlobalSpace::qBadAlloc()
    {21, 417, 1379, 2, Smoke::mf_static, 29, 583},	//601 QGlobalSpace::operator<<(QDebug, const QLine&)
    {21, 450, 1382, 2, Smoke::mf_static, 115, 584},	//602 QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    {21, 532, 1385, 10, Smoke::mf_static, 0, 585},	//603 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&, bool, int, int, const QBrush*)
    {21, 532, 298, 6, Smoke::mf_static, 0, 586},	//604 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&)
    {21, 532, 305, 7, Smoke::mf_static, 0, 587},	//605 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&, bool)
    {21, 532, 877, 8, Smoke::mf_static, 0, 588},	//606 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&, bool, int)
    {21, 532, 1396, 9, Smoke::mf_static, 0, 589},	//607 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&, bool, int, int)
    {21, 450, 1406, 2, Smoke::mf_static, 137, 590},	//608 QGlobalSpace::operator|(Qt::TouchPointState, int)
    {21, 444, 1409, 2, Smoke::mf_static, 25, 591},	//609 QGlobalSpace::operator>>(QDataStream&, QTextLength&)
    {21, 417, 1412, 2, Smoke::mf_static, 29, 592},	//610 QGlobalSpace::operator<<(QDebug, const QTransform&)
    {21, 450, 1415, 2, Smoke::mf_static, 137, 593},	//611 QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, int)
    {21, 576, 39, 1, Smoke::mf_static, 372, 594},	//612 QGlobalSpace::qFuzzyIsNull(double)
    {21, 493, 1418, 2, Smoke::mf_static, 17, 595},	//613 QGlobalSpace::qCompress(const QByteArray&, int)
    {21, 493, 183, 1, Smoke::mf_static, 17, 596},	//614 QGlobalSpace::qCompress(const QByteArray&)
    {21, 417, 1421, 2, Smoke::mf_static, 29, 597},	//615 QGlobalSpace::operator<<(QDebug, const QPolygon&)
    {21, 450, 1424, 2, Smoke::mf_static, 101, 598},	//616 QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    {21, 450, 1427, 2, Smoke::mf_static, 137, 599},	//617 QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, int)
    {21, 450, 1430, 2, Smoke::mf_static, 137, 600},	//618 QGlobalSpace::operator|(QSizePolicy::ControlType, int)
    {21, 450, 1433, 2, Smoke::mf_static, 64, 601},	//619 QGlobalSpace::operator|(QGraphicsScene::SceneLayer, QGraphicsScene::SceneLayer)
    {21, 450, 1436, 2, Smoke::mf_static, 137, 602},	//620 QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    {21, 450, 1439, 2, Smoke::mf_static, 118, 603},	//621 QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    {21, 450, 1442, 2, Smoke::mf_static, 137, 604},	//622 QGlobalSpace::operator|(QTextFormat::PageBreakFlag, int)
    {21, 406, 1445, 1, Smoke::mf_static, 466, 605},	//623 QGlobalSpace::operator-(const QVector2D&)
    {21, 450, 1447, 2, Smoke::mf_static, 41, 606},	//624 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    {21, 417, 1450, 2, Smoke::mf_static, 25, 607},	//625 QGlobalSpace::operator<<(QDataStream&, const QColor&)
    {21, 397, 1453, 2, Smoke::mf_static, 157, 608},	//626 QGlobalSpace::operator*(double, const QMatrix4x4&)
    {21, 417, 1456, 2, Smoke::mf_static, 25, 609},	//627 QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    {21, 514, 1396, 9, Smoke::mf_static, 0, 610},	//628 QGlobalSpace::qDrawShadeLine(QPainter*, int, int, int, int, const QPalette&, bool, int, int)
    {21, 514, 298, 6, Smoke::mf_static, 0, 611},	//629 QGlobalSpace::qDrawShadeLine(QPainter*, int, int, int, int, const QPalette&)
    {21, 514, 305, 7, Smoke::mf_static, 0, 612},	//630 QGlobalSpace::qDrawShadeLine(QPainter*, int, int, int, int, const QPalette&, bool)
    {21, 514, 877, 8, Smoke::mf_static, 0, 613},	//631 QGlobalSpace::qDrawShadeLine(QPainter*, int, int, int, int, const QPalette&, bool, int)
    {21, 450, 1459, 2, Smoke::mf_static, 45, 614},	//632 QGlobalSpace::operator|(QAccessible::RelationFlag, QAccessible::RelationFlag)
    {21, 397, 1462, 2, Smoke::mf_static, 144, 615},	//633 QGlobalSpace::operator*(const QLine&, const QMatrix&)
    {21, 417, 1465, 2, Smoke::mf_static, 25, 616},	//634 QGlobalSpace::operator<<(QDataStream&, const QEasingCurve&)
    {21, 417, 1468, 2, Smoke::mf_static, 25, 617},	//635 QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    {21, 480, 39, 1, Smoke::mf_static, 475, 618},	//636 QGlobalSpace::qAsin(double)
    {21, 417, 1471, 2, Smoke::mf_static, 29, 619},	//637 QGlobalSpace::operator<<(QDebug, const QRect&)
    {21, 417, 1474, 2, Smoke::mf_static, 29, 620},	//638 QGlobalSpace::operator<<(QDebug, const QFont&)
    {21, 450, 1477, 2, Smoke::mf_static, 51, 621},	//639 QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    {21, 450, 1480, 2, Smoke::mf_static, 47, 622},	//640 QGlobalSpace::operator|(QColorDialog::ColorDialogOption, QFlags<QColorDialog::ColorDialogOption>)
    {21, 450, 1483, 2, Smoke::mf_static, 137, 623},	//641 QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, int)
    {21, 389, 476, 2, Smoke::mf_static, 372, 624},	//642 QGlobalSpace::operator!=(const QRect&, const QRect&)
    {21, 640, 39, 1, Smoke::mf_static, 475, 625},	//643 QGlobalSpace::qSin(double)
    {21, 450, 1486, 2, Smoke::mf_static, 137, 626},	//644 QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    {21, 428, 485, 2, Smoke::mf_static, 372, 627},	//645 QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    {21, 444, 1489, 2, Smoke::mf_static, 25, 628},	//646 QGlobalSpace::operator>>(QDataStream&, QRect&)
    {21, 450, 1492, 2, Smoke::mf_static, 74, 629},	//647 QGlobalSpace::operator|(QMdiArea::AreaOption, QMdiArea::AreaOption)
    {21, 450, 482, 2, Smoke::mf_static, 13, 630},	//648 QGlobalSpace::operator|(const QBitArray&, const QBitArray&)
    {21, 417, 1495, 2, Smoke::mf_static, 25, 631},	//649 QGlobalSpace::operator<<(QDataStream&, const QSize&)
    {21, 573, 50, 2, Smoke::mf_static, 372, 632},	//650 QGlobalSpace::qFuzzyCompare(const QVector3D&, const QVector3D&)
    {21, 543, 289, 8, Smoke::mf_static, 0, 633},	//651 QGlobalSpace::qDrawWinButton(QPainter*, int, int, int, int, const QPalette&, bool, const QBrush*)
    {21, 543, 298, 6, Smoke::mf_static, 0, 634},	//652 QGlobalSpace::qDrawWinButton(QPainter*, int, int, int, int, const QPalette&)
    {21, 543, 305, 7, Smoke::mf_static, 0, 635},	//653 QGlobalSpace::qDrawWinButton(QPainter*, int, int, int, int, const QPalette&, bool)
    {21, 417, 1498, 2, Smoke::mf_static, 25, 636},	//654 QGlobalSpace::operator<<(QDataStream&, const QChar&)
    {21, 450, 1501, 2, Smoke::mf_static, 58, 637},	//655 QGlobalSpace::operator|(QFontComboBox::FontFilter, QFlags<QFontComboBox::FontFilter>)
    {21, 428, 1504, 2, Smoke::mf_static, 372, 638},	//656 QGlobalSpace::operator==(QKeySequence::StandardKey, QKeyEvent*)
    {21, 450, 1507, 2, Smoke::mf_static, 59, 639},	//657 QGlobalSpace::operator|(QFontDialog::FontDialogOption, QFlags<QFontDialog::FontDialogOption>)
    {21, 450, 1510, 2, Smoke::mf_static, 84, 640},	//658 QGlobalSpace::operator|(QStyle::StateFlag, QFlags<QStyle::StateFlag>)
    {21, 450, 1513, 2, Smoke::mf_static, 137, 641},	//659 QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    {21, 444, 1516, 2, Smoke::mf_static, 25, 642},	//660 QGlobalSpace::operator>>(QDataStream&, QListWidgetItem&)
    {21, 417, 1519, 2, Smoke::mf_static, 25, 643},	//661 QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    {21, 696, 1311, 2, Smoke::mf_static, 242, 644},	//662 QGlobalSpace::qtTrId(const char*, int)
    {21, 696, 128, 1, Smoke::mf_static, 242, 645},	//663 QGlobalSpace::qtTrId(const char*)
    {21, 450, 1522, 2, Smoke::mf_static, 137, 646},	//664 QGlobalSpace::operator|(QImageIOPlugin::Capability, int)
    {21, 450, 1525, 2, Smoke::mf_static, 94, 647},	//665 QGlobalSpace::operator|(QTextDocument::FindFlag, QFlags<QTextDocument::FindFlag>)
    {21, 406, 1528, 1, Smoke::mf_static, 468, 648},	//666 QGlobalSpace::operator-(const QVector3D&)
    {21, 417, 1530, 2, Smoke::mf_static, 29, 649},	//667 QGlobalSpace::operator<<(QDebug, const QRectF&)
    {21, 421, 170, 2, Smoke::mf_static, 372, 650},	//668 QGlobalSpace::operator<=(QChar, QChar)
    {21, 450, 1533, 2, Smoke::mf_static, 118, 651},	//669 QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    {21, 593, 354, 1, Smoke::mf_static, 372, 652},	//670 QGlobalSpace::qIsGray(unsigned int)
    {21, 450, 1536, 2, Smoke::mf_static, 62, 653},	//671 QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, QFlags<QGraphicsEffect::ChangeFlag>)
    {21, 389, 1331, 2, Smoke::mf_static, 372, 654},	//672 QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    {21, 450, 1539, 2, Smoke::mf_static, 110, 655},	//673 QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    {21, 444, 1542, 2, Smoke::mf_static, 25, 656},	//674 QGlobalSpace::operator>>(QDataStream&, QUuid&)
    {21, 444, 1545, 2, Smoke::mf_static, 25, 657},	//675 QGlobalSpace::operator>>(QDataStream&, QFont&)
    {21, 507, 1548, 5, Smoke::mf_static, 0, 658},	//676 QGlobalSpace::qDrawPlainRect(QPainter*, const QRect&, const QColor&, int, const QBrush*)
    {21, 507, 1554, 3, Smoke::mf_static, 0, 659},	//677 QGlobalSpace::qDrawPlainRect(QPainter*, const QRect&, const QColor&)
    {21, 507, 1558, 4, Smoke::mf_static, 0, 660},	//678 QGlobalSpace::qDrawPlainRect(QPainter*, const QRect&, const QColor&, int)
    {21, 444, 1563, 2, Smoke::mf_static, 25, 661},	//679 QGlobalSpace::operator>>(QDataStream&, QPolygonF&)
    {21, 450, 1566, 2, Smoke::mf_static, 63, 662},	//680 QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, QGraphicsItem::GraphicsItemFlag)
    {21, 450, 1569, 2, Smoke::mf_static, 137, 663},	//681 QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, int)
    {21, 397, 1572, 2, Smoke::mf_static, 415, 664},	//682 QGlobalSpace::operator*(const QPoint&, int)
    {21, 444, 1575, 2, Smoke::mf_static, 25, 665},	//683 QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    {21, 450, 1578, 2, Smoke::mf_static, 82, 666},	//684 QGlobalSpace::operator|(QSql::ParamTypeFlag, QSql::ParamTypeFlag)
    {21, 450, 1581, 2, Smoke::mf_static, 137, 667},	//685 QGlobalSpace::operator|(QPainter::RenderHint, int)
    {21, 720, 1584, 3, Smoke::mf_static, 372, 668},	//686 QGlobalSpace::qvariant_cast_helper(const QVariant&, QVariant::Type, void*)
    {21, 417, 1588, 2, Smoke::mf_static, 29, 669},	//687 QGlobalSpace::operator<<(QDebug, QFlags<QStyle::StateFlag>)
    {21, 450, 1591, 2, Smoke::mf_static, 137, 670},	//688 QGlobalSpace::operator|(QAbstractItemView::EditTrigger, int)
    {21, 397, 1594, 2, Smoke::mf_static, 178, 671},	//689 QGlobalSpace::operator*(const QPoint&, const QMatrix4x4&)
    {21, 410, 1278, 2, Smoke::mf_static, 428, 672},	//690 QGlobalSpace::operator/(const QSize&, double)
    {21, 397, 1597, 2, Smoke::mf_static, 178, 673},	//691 QGlobalSpace::operator*(const QPoint&, const QMatrix&)
    {21, 599, 126, 1, Smoke::mf_static, 372, 674},	//692 QGlobalSpace::qIsNull(float)
    {21, 450, 1600, 2, Smoke::mf_static, 43, 675},	//693 QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, QAbstractPrintDialog::PrintDialogOption)
    {21, 716, 1603, 5, Smoke::mf_static, 0, 676},	//694 QGlobalSpace::qt_qFindChildren_helper(const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*)
    {21, 428, 1609, 2, Smoke::mf_static, 372, 677},	//695 QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    {21, 482, 39, 1, Smoke::mf_static, 475, 678},	//696 QGlobalSpace::qAtan(double)
    {21, 444, 1612, 2, Smoke::mf_static, 25, 679},	//697 QGlobalSpace::operator>>(QDataStream&, QPointF&)
    {21, 450, 1615, 2, Smoke::mf_static, 137, 680},	//698 QGlobalSpace::operator|(Qt::Orientation, int)
    {21, 450, 1618, 2, Smoke::mf_static, 92, 681},	//699 QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QStyleOptionViewItemV2::ViewItemFeature)
    {21, 573, 117, 2, Smoke::mf_static, 372, 682},	//700 QGlobalSpace::qFuzzyCompare(double, double)
    {21, 397, 1621, 2, Smoke::mf_static, 286, 683},	//701 QGlobalSpace::operator*(const QMatrix4x4&, const QVector3D&)
    {21, 389, 63, 2, Smoke::mf_static, 372, 684},	//702 QGlobalSpace::operator!=(const char*, const QLatin1String&)
    {21, 417, 1624, 2, Smoke::mf_static, 25, 685},	//703 QGlobalSpace::operator<<(QDataStream&, const QTableWidgetItem&)
    {21, 417, 1627, 2, Smoke::mf_static, 29, 686},	//704 QGlobalSpace::operator<<(QDebug, QGraphicsItem*)
    {21, 514, 1630, 7, Smoke::mf_static, 0, 687},	//705 QGlobalSpace::qDrawShadeLine(QPainter*, const QPoint&, const QPoint&, const QPalette&, bool, int, int)
    {21, 514, 1638, 4, Smoke::mf_static, 0, 688},	//706 QGlobalSpace::qDrawShadeLine(QPainter*, const QPoint&, const QPoint&, const QPalette&)
    {21, 514, 1643, 5, Smoke::mf_static, 0, 689},	//707 QGlobalSpace::qDrawShadeLine(QPainter*, const QPoint&, const QPoint&, const QPalette&, bool)
    {21, 514, 1649, 6, Smoke::mf_static, 0, 690},	//708 QGlobalSpace::qDrawShadeLine(QPainter*, const QPoint&, const QPoint&, const QPalette&, bool, int)
    {21, 397, 286, 2, Smoke::mf_static, 415, 691},	//709 QGlobalSpace::operator*(const QPoint&, double)
    {21, 450, 1656, 2, Smoke::mf_static, 107, 692},	//710 QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    {21, 450, 1659, 2, Smoke::mf_static, 67, 693},	//711 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    {21, 632, 0, 0, Smoke::mf_static, 475, 694},	//712 QGlobalSpace::qSNaN()
    {21, 397, 1662, 2, Smoke::mf_static, 180, 695},	//713 QGlobalSpace::operator*(const QMatrix4x4&, const QPointF&)
    {21, 450, 1665, 2, Smoke::mf_static, 137, 696},	//714 QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, int)
    {21, 428, 123, 2, Smoke::mf_static, 372, 697},	//715 QGlobalSpace::operator==(const QByteArray&, const char*)
    {21, 450, 1668, 2, Smoke::mf_static, 78, 698},	//716 QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, QFlags<QPaintEngine::PaintEngineFeature>)
    {21, 417, 1671, 2, Smoke::mf_static, 25, 699},	//717 QGlobalSpace::operator<<(QDataStream&, const QFont&)
    {21, 397, 1060, 2, Smoke::mf_static, 430, 700},	//718 QGlobalSpace::operator*(const QSizeF&, double)
    {21, 450, 1674, 2, Smoke::mf_static, 61, 701},	//719 QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, QGraphicsBlurEffect::BlurHint)
    {21, 428, 1169, 2, Smoke::mf_static, 372, 702},	//720 QGlobalSpace::operator==(const QStringRef&, const char*)
    {21, 389, 50, 2, Smoke::mf_static, 372, 703},	//721 QGlobalSpace::operator!=(const QVector3D&, const QVector3D&)
    {21, 428, 53, 2, Smoke::mf_static, 372, 704},	//722 QGlobalSpace::operator==(const QVector2D&, const QVector2D&)
    {21, 397, 1677, 2, Smoke::mf_static, 182, 705},	//723 QGlobalSpace::operator*(const QPolygon&, const QTransform&)
    {21, 450, 1680, 2, Smoke::mf_static, 137, 706},	//724 QGlobalSpace::operator|(QPaintEngine::DirtyFlag, int)
    {21, 397, 1683, 2, Smoke::mf_static, 415, 707},	//725 QGlobalSpace::operator*(const QPoint&, float)
    {21, 397, 1686, 2, Smoke::mf_static, 428, 708},	//726 QGlobalSpace::operator*(double, const QSize&)
    {21, 450, 1689, 2, Smoke::mf_static, 137, 709},	//727 QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, int)
    {21, 412, 34, 2, Smoke::mf_static, 372, 710},	//728 QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    {21, 389, 1692, 2, Smoke::mf_static, 372, 711},	//729 QGlobalSpace::operator!=(QBool, bool)
    {21, 450, 1695, 2, Smoke::mf_static, 49, 712},	//730 QGlobalSpace::operator|(QDialogButtonBox::StandardButton, QFlags<QDialogButtonBox::StandardButton>)
    {21, 389, 81, 2, Smoke::mf_static, 372, 713},	//731 QGlobalSpace::operator!=(const QSize&, const QSize&)
    {21, 444, 1698, 2, Smoke::mf_static, 25, 714},	//732 QGlobalSpace::operator>>(QDataStream&, QLine&)
    {21, 417, 1701, 2, Smoke::mf_static, 29, 715},	//733 QGlobalSpace::operator<<(QDebug, const QSize&)
    {21, 389, 395, 2, Smoke::mf_static, 372, 716},	//734 QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    {21, 450, 1704, 2, Smoke::mf_static, 137, 717},	//735 QGlobalSpace::operator|(QStyle::SubControl, int)
    {21, 450, 1707, 2, Smoke::mf_static, 99, 718},	//736 QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    {21, 417, 1710, 2, Smoke::mf_static, 29, 719},	//737 QGlobalSpace::operator<<(QDebug, const QSqlDatabase&)
    {21, 397, 1713, 2, Smoke::mf_static, 146, 720},	//738 QGlobalSpace::operator*(const QLineF&, const QTransform&)
    {21, 406, 233, 2, Smoke::mf_static, 421, 721},	//739 QGlobalSpace::operator-(const QQuaternion&, const QQuaternion&)
    {21, 397, 901, 2, Smoke::mf_static, 417, 722},	//740 QGlobalSpace::operator*(const QPointF&, double)
    {21, 684, 218, 2, Smoke::mf_static, 477, 723},	//741 QGlobalSpace::qstricmp(const char*, const char*)
    {21, 450, 1716, 2, Smoke::mf_static, 137, 724},	//742 QGlobalSpace::operator|(QFontDialog::FontDialogOption, int)
    {21, 450, 1719, 2, Smoke::mf_static, 113, 725},	//743 QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    {21, 389, 135, 2, Smoke::mf_static, 372, 726},	//744 QGlobalSpace::operator!=(const QString&, const QStringRef&)
    {21, 628, 39, 1, Smoke::mf_static, 477, 727},	//745 QGlobalSpace::qRound(double)
    {21, 586, 0, 0, Smoke::mf_static, 475, 728},	//746 QGlobalSpace::qInf()
    {21, 417, 1722, 2, Smoke::mf_static, 25, 729},	//747 QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    {21, 450, 1725, 2, Smoke::mf_static, 94, 730},	//748 QGlobalSpace::operator|(QTextDocument::FindFlag, QTextDocument::FindFlag)
    {21, 397, 233, 2, Smoke::mf_static, 421, 731},	//749 QGlobalSpace::operator*(const QQuaternion&, const QQuaternion&)
    {21, 450, 1728, 2, Smoke::mf_static, 137, 732},	//750 QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, int)
    {21, 450, 1731, 2, Smoke::mf_static, 110, 733},	//751 QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    {21, 397, 1734, 2, Smoke::mf_static, 180, 734},	//752 QGlobalSpace::operator*(const QPointF&, const QTransform&)
    {21, 417, 1737, 2, Smoke::mf_static, 29, 735},	//753 QGlobalSpace::operator<<(QDebug, const QColor&)
    {21, 417, 1740, 2, Smoke::mf_static, 29, 736},	//754 QGlobalSpace::operator<<(QDebug, const QMatrix&)
    {21, 417, 1743, 2, Smoke::mf_static, 25, 737},	//755 QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    {21, 450, 1746, 2, Smoke::mf_static, 71, 738},	//756 QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    {21, 450, 1749, 2, Smoke::mf_static, 137, 739},	//757 QGlobalSpace::operator|(Qt::WindowType, int)
    {21, 675, 123, 2, Smoke::mf_static, 477, 740},	//758 QGlobalSpace::qstrcmp(const QByteArray&, const char*)
    {21, 450, 1752, 2, Smoke::mf_static, 137, 741},	//759 QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, int)
    {21, 622, 1069, 1, Smoke::mf_static, 0, 742},	//760 QGlobalSpace::qRemovePostRoutine(void(*)())
    {21, 401, 233, 2, Smoke::mf_static, 421, 743},	//761 QGlobalSpace::operator+(const QQuaternion&, const QQuaternion&)
    {21, 444, 1755, 2, Smoke::mf_static, 25, 744},	//762 QGlobalSpace::operator>>(QDataStream&, QRectF&)
    {21, 450, 1758, 2, Smoke::mf_static, 86, 745},	//763 QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QFlags<QStyleOptionButton::ButtonFeature>)
    {21, 450, 1761, 2, Smoke::mf_static, 65, 746},	//764 QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, QFlags<QGraphicsView::CacheModeFlag>)
    {21, 444, 1764, 2, Smoke::mf_static, 25, 747},	//765 QGlobalSpace::operator>>(QDataStream&, QCursor&)
    {21, 450, 1767, 2, Smoke::mf_static, 137, 748},	//766 QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, int)
    {21, 417, 1770, 2, Smoke::mf_static, 25, 749},	//767 QGlobalSpace::operator<<(QDataStream&, const QRect&)
    {21, 450, 1773, 2, Smoke::mf_static, 112, 750},	//768 QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    {21, 450, 1776, 2, Smoke::mf_static, 104, 751},	//769 QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    {21, 653, 0, 0, Smoke::mf_static, 29, 752},	//770 QGlobalSpace::qWarning()
    {21, 686, 128, 1, Smoke::mf_static, 488, 753},	//771 QGlobalSpace::qstrlen(const char*)
    {21, 428, 1692, 2, Smoke::mf_static, 372, 754},	//772 QGlobalSpace::operator==(QBool, bool)
    {21, 444, 1779, 2, Smoke::mf_static, 25, 755},	//773 QGlobalSpace::operator>>(QDataStream&, QChar&)
    {21, 444, 1782, 2, Smoke::mf_static, 25, 756},	//774 QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    {21, 583, 1785, 1, Smoke::mf_static, 488, 757},	//775 QGlobalSpace::qHash(unsigned long)
    {21, 417, 1787, 2, Smoke::mf_static, 25, 758},	//776 QGlobalSpace::operator<<(QDataStream&, const QQuaternion&)
    {21, 450, 1790, 2, Smoke::mf_static, 137, 759},	//777 QGlobalSpace::operator|(QAccessible::StateFlag, int)
    {21, 417, 1793, 2, Smoke::mf_static, 25, 760},	//778 QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    {21, 450, 1796, 2, Smoke::mf_static, 137, 761},	//779 QGlobalSpace::operator|(QPinchGesture::ChangeFlag, int)
    {21, 417, 1799, 2, Smoke::mf_static, 25, 762},	//780 QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    {21, 450, 1802, 2, Smoke::mf_static, 72, 763},	//781 QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    {21, 428, 362, 2, Smoke::mf_static, 372, 764},	//782 QGlobalSpace::operator==(const char*, const QString&)
    {21, 450, 1805, 2, Smoke::mf_static, 137, 765},	//783 QGlobalSpace::operator|(QTextItem::RenderFlag, int)
    {21, 502, 1808, 8, Smoke::mf_static, 0, 766},	//784 QGlobalSpace::qDrawBorderPixmap(QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&, const QTileRules&, QFlags<QDrawBorderPixmap::DrawingHint>)
    {21, 502, 1817, 6, Smoke::mf_static, 0, 767},	//785 QGlobalSpace::qDrawBorderPixmap(QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&)
    {21, 502, 1824, 7, Smoke::mf_static, 0, 768},	//786 QGlobalSpace::qDrawBorderPixmap(QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&, const QTileRules&)
    {21, 450, 1832, 2, Smoke::mf_static, 83, 769},	//787 QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    {21, 401, 1835, 2, Smoke::mf_static, 446, 770},	//788 QGlobalSpace::operator+(const QString&, const QString&)
    {21, 389, 525, 2, Smoke::mf_static, 372, 771},	//789 QGlobalSpace::operator!=(QBool, QBool)
    {21, 450, 1838, 2, Smoke::mf_static, 41, 772},	//790 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    {21, 707, 1841, 2, Smoke::mf_static, 0, 773},	//791 QGlobalSpace::qt_message_output(QtMsgType, const char*)
    {21, 417, 1844, 2, Smoke::mf_static, 29, 774},	//792 QGlobalSpace::operator<<(QDebug, const QPainterPath&)
    {21, 397, 1847, 2, Smoke::mf_static, 468, 775},	//793 QGlobalSpace::operator*(double, const QVector3D&)
    {21, 417, 1850, 2, Smoke::mf_static, 29, 776},	//794 QGlobalSpace::operator<<(QDebug, const QSqlRecord&)
    {21, 439, 362, 2, Smoke::mf_static, 372, 777},	//795 QGlobalSpace::operator>=(const char*, const QString&)
    {21, 583, 1853, 1, Smoke::mf_static, 488, 778},	//796 QGlobalSpace::qHash(const QStringRef&)
    {21, 599, 39, 1, Smoke::mf_static, 372, 779},	//797 QGlobalSpace::qIsNull(double)
    {21, 450, 1855, 2, Smoke::mf_static, 137, 780},	//798 QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    {21, 450, 1858, 2, Smoke::mf_static, 44, 781},	//799 QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QFlags<QAbstractSpinBox::StepEnabledFlag>)
    {21, 439, 63, 2, Smoke::mf_static, 372, 782},	//800 QGlobalSpace::operator>=(const char*, const QLatin1String&)
    {21, 434, 123, 2, Smoke::mf_static, 372, 783},	//801 QGlobalSpace::operator>(const QByteArray&, const char*)
    {21, 583, 1861, 1, Smoke::mf_static, 488, 784},	//802 QGlobalSpace::qHash(unsigned char)
    {21, 444, 1863, 2, Smoke::mf_static, 25, 785},	//803 QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    {21, 450, 1866, 2, Smoke::mf_static, 58, 786},	//804 QGlobalSpace::operator|(QFontComboBox::FontFilter, QFontComboBox::FontFilter)
    {21, 397, 1869, 2, Smoke::mf_static, 182, 787},	//805 QGlobalSpace::operator*(const QPolygon&, const QMatrix&)
    {21, 417, 1872, 2, Smoke::mf_static, 29, 788},	//806 QGlobalSpace::operator<<(QDebug, const QStyleOption::OptionType&)
    {21, 417, 1875, 2, Smoke::mf_static, 29, 789},	//807 QGlobalSpace::operator<<(QDebug, const QObject*)
    {21, 450, 1878, 2, Smoke::mf_static, 137, 790},	//808 QGlobalSpace::operator|(Qt::MatchFlag, int)
    {21, 389, 485, 2, Smoke::mf_static, 372, 791},	//809 QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    {21, 417, 1881, 2, Smoke::mf_static, 25, 792},	//810 QGlobalSpace::operator<<(QDataStream&, const QPolygon&)
    {21, 444, 1884, 2, Smoke::mf_static, 25, 793},	//811 QGlobalSpace::operator>>(QDataStream&, QDate&)
    {21, 417, 1887, 2, Smoke::mf_static, 25, 794},	//812 QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    {21, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 480, 795},	//813 QGlobalSpace::SP_CustomToolBarAdd (enum)
    {21, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 480, 796},	//814 QGlobalSpace::SP_CustomToolBarAddDetail (enum)
    {21, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 480, 797},	//815 QGlobalSpace::SP_CustomToolBarAgain (enum)
    {21, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 480, 798},	//816 QGlobalSpace::SP_CustomToolBarAgenda (enum)
    {21, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 480, 799},	//817 QGlobalSpace::SP_CustomToolBarAudioOff (enum)
    {21, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 480, 800},	//818 QGlobalSpace::SP_CustomToolBarAudioOn (enum)
    {21, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 480, 801},	//819 QGlobalSpace::SP_CustomToolBarBack (enum)
    {21, 120, 0, 0, Smoke::mf_static|Smoke::mf_enum, 480, 802},	//820 QGlobalSpace::SP_CustomToolBarBluetoothOff (enum)
    {21, 121, 0, 0, Smoke::mf_static|Smoke::mf_enum, 480, 803},	//821 QGlobalSpace::SP_CustomToolBarBluetoothOn (enum)
    {21, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 480, 804},	//822 QGlobalSpace::SP_CustomToolBarCancel (enum)
    {21, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 480, 805},	//823 QGlobalSpace::SP_CustomToolBarDelete (enum)
    {21, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 480, 806},	//824 QGlobalSpace::SP_CustomToolBarDone (enum)
    {21, 125, 0, 0, Smoke::mf_static|Smoke::mf_enum, 480, 807},	//825 QGlobalSpace::SP_CustomToolBarEdit (enum)
    {21, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 480, 808},	//826 QGlobalSpace::SP_CustomToolBarEditDisabled (enum)
    {21, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 480, 809},	//827 QGlobalSpace::SP_CustomToolBarEmailSend (enum)
    {21, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 480, 810},	//828 QGlobalSpace::SP_CustomToolBarEmergencyCall (enum)
    {21, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 480, 811},	//829 QGlobalSpace::SP_CustomToolBarFavouriteAdd (enum)
    {21, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 480, 812},	//830 QGlobalSpace::SP_CustomToolBarFavouriteRemove (enum)
    {21, 131, 0, 0, Smoke::mf_static|Smoke::mf_enum, 480, 813},	//831 QGlobalSpace::SP_CustomToolBarFavourites (enum)
    {21, 132, 0, 0, Smoke::mf_static|Smoke::mf_enum, 480, 814},	//832 QGlobalSpace::SP_CustomToolBarGo (enum)
    {21, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 480, 815},	//833 QGlobalSpace::SP_CustomToolBarHome (enum)
    {21, 134, 0, 0, Smoke::mf_static|Smoke::mf_enum, 480, 816},	//834 QGlobalSpace::SP_CustomToolBarImageTools (enum)
    {21, 135, 0, 0, Smoke::mf_static|Smoke::mf_enum, 480, 817},	//835 QGlobalSpace::SP_CustomToolBarList (enum)
    {21, 136, 0, 0, Smoke::mf_static|Smoke::mf_enum, 480, 818},	//836 QGlobalSpace::SP_CustomToolBarLock (enum)
    {21, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 480, 819},	//837 QGlobalSpace::SP_CustomToolBarLogs (enum)
    {21, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 480, 820},	//838 QGlobalSpace::SP_CustomToolBarMenu (enum)
    {21, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 480, 821},	//839 QGlobalSpace::SP_CustomToolBarNewContact (enum)
    {21, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 480, 822},	//840 QGlobalSpace::SP_CustomToolBarNewGroup (enum)
    {21, 141, 0, 0, Smoke::mf_static|Smoke::mf_enum, 480, 823},	//841 QGlobalSpace::SP_CustomToolBarNextFrame (enum)
    {21, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 480, 824},	//842 QGlobalSpace::SP_CustomToolBarNowPlay (enum)
    {21, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 480, 825},	//843 QGlobalSpace::SP_CustomToolBarOptions (enum)
    {21, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 480, 826},	//844 QGlobalSpace::SP_CustomToolBarOther (enum)
    {21, 145, 0, 0, Smoke::mf_static|Smoke::mf_enum, 480, 827},	//845 QGlobalSpace::SP_CustomToolBarOvi (enum)
    {21, 146, 0, 0, Smoke::mf_static|Smoke::mf_enum, 480, 828},	//846 QGlobalSpace::SP_CustomToolBarPreviousFrame (enum)
    {21, 147, 0, 0, Smoke::mf_static|Smoke::mf_enum, 480, 829},	//847 QGlobalSpace::SP_CustomToolBarRead (enum)
    {21, 149, 0, 0, Smoke::mf_static|Smoke::mf_enum, 480, 830},	//848 QGlobalSpace::SP_CustomToolBarRedoDisabled (enum)
    {21, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 480, 831},	//849 QGlobalSpace::SP_CustomToolBarRedo (enum)
    {21, 150, 0, 0, Smoke::mf_static|Smoke::mf_enum, 480, 832},	//850 QGlobalSpace::SP_CustomToolBarRefresh (enum)
    {21, 151, 0, 0, Smoke::mf_static|Smoke::mf_enum, 480, 833},	//851 QGlobalSpace::SP_CustomToolBarRemoveDetail (enum)
    {21, 152, 0, 0, Smoke::mf_static|Smoke::mf_enum, 480, 834},	//852 QGlobalSpace::SP_CustomToolBarRemoveDisabled (enum)
    {21, 153, 0, 0, Smoke::mf_static|Smoke::mf_enum, 480, 835},	//853 QGlobalSpace::SP_CustomToolBarRepeat (enum)
    {21, 154, 0, 0, Smoke::mf_static|Smoke::mf_enum, 480, 836},	//854 QGlobalSpace::SP_CustomToolBarRepeatOff (enum)
    {21, 155, 0, 0, Smoke::mf_static|Smoke::mf_enum, 480, 837},	//855 QGlobalSpace::SP_CustomToolBarRepeatOne (enum)
    {21, 156, 0, 0, Smoke::mf_static|Smoke::mf_enum, 480, 838},	//856 QGlobalSpace::SP_CustomToolBarSearch (enum)
    {21, 157, 0, 0, Smoke::mf_static|Smoke::mf_enum, 480, 839},	//857 QGlobalSpace::SP_CustomToolBarSearchDisabled (enum)
    {21, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 480, 840},	//858 QGlobalSpace::SP_CustomToolBarSelectContent (enum)
    {21, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 480, 841},	//859 QGlobalSpace::SP_CustomToolBarSelfTimer (enum)
    {21, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 480, 842},	//860 QGlobalSpace::SP_CustomToolBarSend (enum)
    {21, 161, 0, 0, Smoke::mf_static|Smoke::mf_enum, 480, 843},	//861 QGlobalSpace::SP_CustomToolBarSendDimmed (enum)
    {21, 162, 0, 0, Smoke::mf_static|Smoke::mf_enum, 480, 844},	//862 QGlobalSpace::SP_CustomToolBarShare (enum)
    {21, 163, 0, 0, Smoke::mf_static|Smoke::mf_enum, 480, 845},	//863 QGlobalSpace::SP_CustomToolBarShift (enum)
    {21, 164, 0, 0, Smoke::mf_static|Smoke::mf_enum, 480, 846},	//864 QGlobalSpace::SP_CustomToolBarShuffle (enum)
    {21, 165, 0, 0, Smoke::mf_static|Smoke::mf_enum, 480, 847},	//865 QGlobalSpace::SP_CustomToolBarShuffleOff (enum)
    {21, 166, 0, 0, Smoke::mf_static|Smoke::mf_enum, 480, 848},	//866 QGlobalSpace::SP_CustomToolBarSignalOff (enum)
    {21, 167, 0, 0, Smoke::mf_static|Smoke::mf_enum, 480, 849},	//867 QGlobalSpace::SP_CustomToolBarSignalOn (enum)
    {21, 168, 0, 0, Smoke::mf_static|Smoke::mf_enum, 480, 850},	//868 QGlobalSpace::SP_CustomToolBarSync (enum)
    {21, 169, 0, 0, Smoke::mf_static|Smoke::mf_enum, 480, 851},	//869 QGlobalSpace::SP_CustomToolBarTools (enum)
    {21, 170, 0, 0, Smoke::mf_static|Smoke::mf_enum, 480, 852},	//870 QGlobalSpace::SP_CustomToolBarTrim (enum)
    {21, 171, 0, 0, Smoke::mf_static|Smoke::mf_enum, 480, 853},	//871 QGlobalSpace::SP_CustomToolBarUnlock (enum)
    {21, 172, 0, 0, Smoke::mf_static|Smoke::mf_enum, 480, 854},	//872 QGlobalSpace::SP_CustomToolBarUnmark (enum)
    {21, 173, 0, 0, Smoke::mf_static|Smoke::mf_enum, 480, 855},	//873 QGlobalSpace::SP_CustomToolBarView (enum)
    {21, 174, 0, 0, Smoke::mf_static|Smoke::mf_enum, 480, 856},	//874 QGlobalSpace::SP_CustomToolBarWlanOff (enum)
    {21, 175, 0, 0, Smoke::mf_static|Smoke::mf_enum, 480, 857},	//875 QGlobalSpace::SP_CustomToolBarWlanOn (enum)
    {21, 91, 0, 0, Smoke::mf_static|Smoke::mf_enum, 480, 858},	//876 QGlobalSpace::SP_CustomCameraCaptureButton (enum)
    {21, 92, 0, 0, Smoke::mf_static|Smoke::mf_enum, 480, 859},	//877 QGlobalSpace::SP_CustomCameraCaptureButtonPressed (enum)
    {21, 93, 0, 0, Smoke::mf_static|Smoke::mf_enum, 480, 860},	//878 QGlobalSpace::SP_CustomCameraPauseButton (enum)
    {21, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 480, 861},	//879 QGlobalSpace::SP_CustomCameraPauseButtonPressed (enum)
    {21, 95, 0, 0, Smoke::mf_static|Smoke::mf_enum, 480, 862},	//880 QGlobalSpace::SP_CustomCameraPlayButton (enum)
    {21, 96, 0, 0, Smoke::mf_static|Smoke::mf_enum, 480, 863},	//881 QGlobalSpace::SP_CustomCameraPlayButtonPressed (enum)
    {21, 97, 0, 0, Smoke::mf_static|Smoke::mf_enum, 480, 864},	//882 QGlobalSpace::SP_CustomCameraRecButton (enum)
    {21, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 480, 865},	//883 QGlobalSpace::SP_CustomCameraRecButtonPressed (enum)
    {21, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 480, 866},	//884 QGlobalSpace::SP_CustomCameraStopButton (enum)
    {21, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 480, 867},	//885 QGlobalSpace::SP_CustomCameraStopButtonPressed (enum)
    {21, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 480, 868},	//886 QGlobalSpace::SP_CustomTabAll (enum)
    {21, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 480, 869},	//887 QGlobalSpace::SP_CustomTabArtist (enum)
    {21, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 480, 870},	//888 QGlobalSpace::SP_CustomTabFavourite (enum)
    {21, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 480, 871},	//889 QGlobalSpace::SP_CustomTabGenre (enum)
    {21, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 480, 872},	//890 QGlobalSpace::SP_CustomTabLanguage (enum)
    {21, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 480, 873},	//891 QGlobalSpace::SP_CustomTabMusicAlbum (enum)
    {21, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 480, 874},	//892 QGlobalSpace::SP_CustomTabPhotosAlbum (enum)
    {21, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 480, 875},	//893 QGlobalSpace::SP_CustomTabPhotosAll (enum)
    {21, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 480, 876},	//894 QGlobalSpace::SP_CustomTabPlaylist (enum)
    {21, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 480, 877},	//895 QGlobalSpace::SP_CustomTabServices (enum)
    {21, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 480, 878},	//896 QGlobalSpace::SP_CustomTabSongs (enum)
    {21, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 480, 879},	//897 QGlobalSpace::SP_CustomTabVideos (enum)
    {21, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 370, 880},	//898 QGlobalSpace::QtDebugMsg (enum)
    {21, 88, 0, 0, Smoke::mf_static|Smoke::mf_enum, 370, 881},	//899 QGlobalSpace::QtWarningMsg (enum)
    {21, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 370, 882},	//900 QGlobalSpace::QtCriticalMsg (enum)
    {21, 86, 0, 0, Smoke::mf_static|Smoke::mf_enum, 370, 883},	//901 QGlobalSpace::QtFatalMsg (enum)
    {21, 87, 0, 0, Smoke::mf_static|Smoke::mf_enum, 370, 884},	//902 QGlobalSpace::QtSystemMsg (enum)
    {21, 195, 0, 0, Smoke::mf_static|Smoke::mf_enum, 371, 885},	//903 QGlobalSpace::__codecvt_ok (enum)
    {21, 196, 0, 0, Smoke::mf_static|Smoke::mf_enum, 371, 886},	//904 QGlobalSpace::__codecvt_partial (enum)
    {21, 193, 0, 0, Smoke::mf_static|Smoke::mf_enum, 371, 887},	//905 QGlobalSpace::__codecvt_error (enum)
    {21, 194, 0, 0, Smoke::mf_static|Smoke::mf_enum, 371, 888},	//906 QGlobalSpace::__codecvt_noconv (enum)
    {28, 371, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 405, 0},	//907 QItemDelegate::metaObject() const
    {28, 711, 128, 1, Smoke::mf_virtual, 495, 0},	//908 QItemDelegate::qt_metacast(const char*)
    {28, 709, 1890, 3, Smoke::mf_virtual, 477, 0},	//909 QItemDelegate::qt_metacall(QMetaObject::Call, int, void**)
    {28, 454, 1894, 3, Smoke::mf_const|Smoke::mf_virtual, 0, 0},	//910 QItemDelegate::paint(QPainter*, const QStyleOptionViewItem&, const QModelIndex&) const
    {28, 863, 1898, 2, Smoke::mf_const|Smoke::mf_virtual, 192, 0},	//911 QItemDelegate::sizeHint(const QStyleOptionViewItem&, const QModelIndex&) const
    {28, 903, 1901, 3, Smoke::mf_const|Smoke::mf_virtual, 0, 0},	//912 QItemDelegate::updateEditorGeometry(QWidget*, const QStyleOptionViewItem&, const QModelIndex&) const
    {28, 274, 1905, 4, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//913 QItemDelegate::drawDisplay(QPainter*, const QStyleOptionViewItem&, const QRect&, const QString&) const
    {28, 273, 1910, 4, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//914 QItemDelegate::drawDecoration(QPainter*, const QStyleOptionViewItem&, const QRect&, const QPixmap&) const
    {28, 275, 1915, 3, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//915 QItemDelegate::drawFocus(QPainter*, const QStyleOptionViewItem&, const QRect&) const
    {28, 272, 1919, 4, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//916 QItemDelegate::drawCheck(QPainter*, const QStyleOptionViewItem&, const QRect&, Qt::CheckState) const
    {28, 286, 1924, 2, Smoke::mf_protected|Smoke::mf_virtual, 372, 0},	//917 QItemDelegate::eventFilter(QObject*, QEvent*)
    {28, 282, 1927, 4, Smoke::mf_protected|Smoke::mf_virtual, 372, 0},	//918 QItemDelegate::editorEvent(QEvent*, QAbstractItemModel*, const QStyleOptionViewItem&, const QModelIndex&)
    {43, 285, 1932, 1, Smoke::mf_virtual, 372, 0},	//919 QObject::event(QEvent*)
    {43, 286, 1924, 2, Smoke::mf_virtual, 372, 0},	//920 QObject::eventFilter(QObject*, QEvent*)
    {43, 887, 1934, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//921 QObject::timerEvent(QTimerEvent*)
    {43, 231, 1936, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//922 QObject::childEvent(QChildEvent*)
    {43, 255, 1932, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//923 QObject::customEvent(QEvent*)
    {43, 241, 128, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//924 QObject::connectNotify(const char*)
    {43, 270, 128, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//925 QObject::disconnectNotify(const char*)
    {64, 182, 0, 0, Smoke::mf_static|Smoke::mf_enum, 201, 1},	//926 QSql::Tables (enum)
    {64, 180, 0, 0, Smoke::mf_static|Smoke::mf_enum, 201, 2},	//927 QSql::SystemTables (enum)
    {64, 191, 0, 0, Smoke::mf_static|Smoke::mf_enum, 201, 3},	//928 QSql::Views (enum)
    {64, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 201, 4},	//929 QSql::AllTables (enum)
    {64, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 200, 5},	//930 QSql::In (enum)
    {64, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 200, 6},	//931 QSql::Out (enum)
    {64, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 200, 7},	//932 QSql::InOut (enum)
    {64, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 200, 8},	//933 QSql::Binary (enum)
    {64, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 199, 9},	//934 QSql::LowPrecisionInt32 (enum)
    {64, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 199, 10},	//935 QSql::LowPrecisionInt64 (enum)
    {64, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 199, 11},	//936 QSql::LowPrecisionDouble (enum)
    {64, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 199, 12},	//937 QSql::HighPrecision (enum)
    {64, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 198, 13},	//938 QSql::BeforeFirstRow (enum)
    {64, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 198, 14},	//939 QSql::AfterLastRow (enum)
    {65, 38, 0, 0, Smoke::mf_ctor, 204, 1},	//940 QSqlDatabase::QSqlDatabase()
    {65, 38, 1938, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 204, 2},	//941 QSqlDatabase::QSqlDatabase(const QSqlDatabase&)
    {65, 426, 1938, 1, 0, 203, 3},	//942 QSqlDatabase::operator=(const QSqlDatabase&)
    {65, 382, 0, 0, 0, 372, 4},	//943 QSqlDatabase::open()
    {65, 382, 1835, 2, 0, 372, 5},	//944 QSqlDatabase::open(const QString&, const QString&)
    {65, 236, 0, 0, 0, 0, 6},	//945 QSqlDatabase::close()
    {65, 358, 0, 0, Smoke::mf_const, 372, 7},	//946 QSqlDatabase::isOpen() const
    {65, 359, 0, 0, Smoke::mf_const, 372, 8},	//947 QSqlDatabase::isOpenError() const
    {65, 884, 1940, 1, Smoke::mf_const, 246, 9},	//948 QSqlDatabase::tables(QSql::TableType) const
    {65, 461, 494, 1, Smoke::mf_const, 220, 10},	//949 QSqlDatabase::primaryIndex(const QString&) const
    {65, 724, 494, 1, Smoke::mf_const, 228, 11},	//950 QSqlDatabase::record(const QString&) const
    {65, 287, 494, 1, Smoke::mf_const, 223, 12},	//951 QSqlDatabase::exec(const QString&) const
    {65, 366, 0, 0, Smoke::mf_const, 212, 13},	//952 QSqlDatabase::lastError() const
    {65, 362, 0, 0, Smoke::mf_const, 372, 14},	//953 QSqlDatabase::isValid() const
    {65, 896, 0, 0, 0, 372, 15},	//954 QSqlDatabase::transaction()
    {65, 239, 0, 0, 0, 372, 16},	//955 QSqlDatabase::commit()
    {65, 752, 0, 0, 0, 372, 17},	//956 QSqlDatabase::rollback()
    {65, 776, 494, 1, 0, 0, 18},	//957 QSqlDatabase::setDatabaseName(const QString&)
    {65, 857, 494, 1, 0, 0, 19},	//958 QSqlDatabase::setUserName(const QString&)
    {65, 825, 494, 1, 0, 0, 20},	//959 QSqlDatabase::setPassword(const QString&)
    {65, 802, 494, 1, 0, 0, 21},	//960 QSqlDatabase::setHostName(const QString&)
    {65, 827, 384, 1, 0, 0, 22},	//961 QSqlDatabase::setPort(int)
    {65, 769, 494, 1, 0, 0, 23},	//962 QSqlDatabase::setConnectOptions(const QString&)
    {65, 263, 0, 0, Smoke::mf_const, 242, 24},	//963 QSqlDatabase::databaseName() const
    {65, 906, 0, 0, Smoke::mf_const, 242, 25},	//964 QSqlDatabase::userName() const
    {65, 455, 0, 0, Smoke::mf_const, 242, 26},	//965 QSqlDatabase::password() const
    {65, 321, 0, 0, Smoke::mf_const, 242, 27},	//966 QSqlDatabase::hostName() const
    {65, 277, 0, 0, Smoke::mf_const, 242, 28},	//967 QSqlDatabase::driverName() const
    {65, 456, 0, 0, Smoke::mf_const, 477, 29},	//968 QSqlDatabase::port() const
    {65, 242, 0, 0, Smoke::mf_const, 242, 30},	//969 QSqlDatabase::connectOptions() const
    {65, 243, 0, 0, Smoke::mf_const, 242, 31},	//970 QSqlDatabase::connectionName() const
    {65, 819, 1942, 1, 0, 0, 32},	//971 QSqlDatabase::setNumericalPrecisionPolicy(QSql::NumericalPrecisionPolicy)
    {65, 381, 0, 0, Smoke::mf_const, 199, 33},	//972 QSqlDatabase::numericalPrecisionPolicy() const
    {65, 276, 0, 0, Smoke::mf_const, 205, 34},	//973 QSqlDatabase::driver() const
    {65, 200, 1835, 2, Smoke::mf_static, 202, 35},	//974 QSqlDatabase::addDatabase(const QString&, const QString&)
    {65, 200, 1944, 2, Smoke::mf_static, 202, 36},	//975 QSqlDatabase::addDatabase(QSqlDriver*, const QString&)
    {65, 234, 1947, 2, Smoke::mf_static, 202, 37},	//976 QSqlDatabase::cloneDatabase(const QSqlDatabase&, const QString&)
    {65, 260, 1950, 2, Smoke::mf_static, 202, 38},	//977 QSqlDatabase::database(const QString&, bool)
    {65, 737, 494, 1, Smoke::mf_static, 0, 39},	//978 QSqlDatabase::removeDatabase(const QString&)
    {65, 245, 494, 1, Smoke::mf_static, 372, 40},	//979 QSqlDatabase::contains(const QString&)
    {65, 279, 0, 0, Smoke::mf_static, 246, 41},	//980 QSqlDatabase::drivers()
    {65, 244, 0, 0, Smoke::mf_static, 246, 42},	//981 QSqlDatabase::connectionNames()
    {65, 726, 1953, 2, Smoke::mf_static, 0, 43},	//982 QSqlDatabase::registerSqlDriver(const QString&, QSqlDriverCreatorBase*)
    {65, 346, 494, 1, Smoke::mf_static, 372, 44},	//983 QSqlDatabase::isDriverAvailable(const QString&)
    {65, 38, 494, 1, Smoke::mf_ctor|Smoke::mf_protected, 204, 45},	//984 QSqlDatabase::QSqlDatabase(const QString&)
    {65, 38, 1956, 1, Smoke::mf_ctor|Smoke::mf_protected, 204, 46},	//985 QSqlDatabase::QSqlDatabase(QSqlDriver*)
    {65, 884, 0, 0, Smoke::mf_const, 246, 47},	//986 QSqlDatabase::tables() const
    {65, 287, 0, 0, Smoke::mf_const, 223, 48},	//987 QSqlDatabase::exec() const
    {65, 769, 0, 0, 0, 0, 49},	//988 QSqlDatabase::setConnectOptions()
    {65, 200, 494, 1, Smoke::mf_static, 202, 50},	//989 QSqlDatabase::addDatabase(const QString&)
    {65, 200, 1956, 1, Smoke::mf_static, 202, 51},	//990 QSqlDatabase::addDatabase(QSqlDriver*)
    {65, 260, 0, 0, Smoke::mf_static, 202, 52},	//991 QSqlDatabase::database()
    {65, 260, 494, 1, Smoke::mf_static, 202, 53},	//992 QSqlDatabase::database(const QString&)
    {65, 245, 0, 0, Smoke::mf_static, 372, 54},	//993 QSqlDatabase::contains()
    {65, 265, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 472, 55},	//994 QSqlDatabase::defaultConnection() const
    {65, 780, 128, 1, Smoke::mf_static|Smoke::mf_attribute, 0, 56},	//995 QSqlDatabase::setDefaultConnection(const char*)
    {65, 911, 0, 0, Smoke::mf_dtor, 0, 57 },	//996 QSqlDatabase::~QSqlDatabase()
    {66, 371, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 405, 1},	//997 QSqlDriver::metaObject() const
    {66, 711, 128, 1, Smoke::mf_virtual, 495, 2},	//998 QSqlDriver::qt_metacast(const char*)
    {66, 888, 218, 2, Smoke::mf_static, 242, 3},	//999 QSqlDriver::tr(const char*, const char*)
    {66, 892, 218, 2, Smoke::mf_static, 242, 4},	//1000 QSqlDriver::trUtf8(const char*, const char*)
    {66, 888, 579, 3, Smoke::mf_static, 242, 5},	//1001 QSqlDriver::tr(const char*, const char*, int)
    {66, 892, 579, 3, Smoke::mf_static, 242, 6},	//1002 QSqlDriver::trUtf8(const char*, const char*, int)
    {66, 709, 1890, 3, Smoke::mf_virtual, 477, 7},	//1003 QSqlDriver::qt_metacall(QMetaObject::Call, int, void**)
    {66, 41, 1958, 1, Smoke::mf_ctor, 205, 8},	//1004 QSqlDriver::QSqlDriver(QObject*)
    {66, 358, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 372, 9},	//1005 QSqlDriver::isOpen() const
    {66, 359, 0, 0, Smoke::mf_const, 372, 10},	//1006 QSqlDriver::isOpenError() const
    {66, 215, 0, 0, Smoke::mf_virtual, 372, 11},	//1007 QSqlDriver::beginTransaction()
    {66, 240, 0, 0, Smoke::mf_virtual, 372, 12},	//1008 QSqlDriver::commitTransaction()
    {66, 753, 0, 0, Smoke::mf_virtual, 372, 13},	//1009 QSqlDriver::rollbackTransaction()
    {66, 884, 1940, 1, Smoke::mf_const|Smoke::mf_virtual, 246, 14},	//1010 QSqlDriver::tables(QSql::TableType) const
    {66, 461, 494, 1, Smoke::mf_const|Smoke::mf_virtual, 220, 15},	//1011 QSqlDriver::primaryIndex(const QString&) const
    {66, 724, 494, 1, Smoke::mf_const|Smoke::mf_virtual, 228, 16},	//1012 QSqlDriver::record(const QString&) const
    {66, 311, 1960, 2, Smoke::mf_const|Smoke::mf_virtual, 242, 17},	//1013 QSqlDriver::formatValue(const QSqlField&, bool) const
    {66, 283, 1963, 2, Smoke::mf_const|Smoke::mf_virtual, 242, 18},	//1014 QSqlDriver::escapeIdentifier(const QString&, QSqlDriver::IdentifierType) const
    {66, 867, 1966, 4, Smoke::mf_const|Smoke::mf_virtual, 242, 19},	//1015 QSqlDriver::sqlStatement(QSqlDriver::StatementType, const QString&, const QSqlRecord&, bool) const
    {66, 366, 0, 0, Smoke::mf_const, 212, 20},	//1016 QSqlDriver::lastError() const
    {66, 314, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 281, 21},	//1017 QSqlDriver::handle() const
    {66, 315, 1971, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 372, 22},	//1018 QSqlDriver::hasFeature(QSqlDriver::DriverFeature) const [pure virtual]
    {66, 236, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 23},	//1019 QSqlDriver::close() [pure virtual]
    {66, 253, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 236, 24},	//1020 QSqlDriver::createResult() const [pure virtual]
    {66, 382, 1973, 6, Smoke::mf_virtual|Smoke::mf_purevirtual, 372, 25},	//1021 QSqlDriver::open(const QString&, const QString&, const QString&, const QString&, int, const QString&) [pure virtual]
    {66, 876, 494, 1, 0, 372, 26},	//1022 QSqlDriver::subscribeToNotification(const QString&)
    {66, 899, 494, 1, 0, 372, 27},	//1023 QSqlDriver::unsubscribeFromNotification(const QString&)
    {66, 880, 0, 0, Smoke::mf_const, 246, 28},	//1024 QSqlDriver::subscribedToNotifications() const
    {66, 352, 1963, 2, Smoke::mf_const, 372, 29},	//1025 QSqlDriver::isIdentifierEscaped(const QString&, QSqlDriver::IdentifierType) const
    {66, 870, 1963, 2, Smoke::mf_const, 242, 30},	//1026 QSqlDriver::stripDelimiters(const QString&, QSqlDriver::IdentifierType) const
    {66, 819, 1942, 1, 0, 0, 31},	//1027 QSqlDriver::setNumericalPrecisionPolicy(QSql::NumericalPrecisionPolicy)
    {66, 381, 0, 0, Smoke::mf_const, 199, 32},	//1028 QSqlDriver::numericalPrecisionPolicy() const
    {66, 377, 494, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 33},	//1029 QSqlDriver::notification(const QString&)
    {66, 821, 1980, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 34},	//1030 QSqlDriver::setOpen(bool)
    {66, 823, 1980, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 35},	//1031 QSqlDriver::setOpenError(bool)
    {66, 807, 1982, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 36},	//1032 QSqlDriver::setLastError(const QSqlError&)
    {66, 878, 494, 1, Smoke::mf_protected|Smoke::mf_slot, 372, 37},	//1033 QSqlDriver::subscribeToNotificationImplementation(const QString&)
    {66, 901, 494, 1, Smoke::mf_protected|Smoke::mf_slot, 372, 38},	//1034 QSqlDriver::unsubscribeFromNotificationImplementation(const QString&)
    {66, 881, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_slot, 246, 39},	//1035 QSqlDriver::subscribedToNotificationsImplementation() const
    {66, 354, 1963, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_slot, 372, 40},	//1036 QSqlDriver::isIdentifierEscapedImplementation(const QString&, QSqlDriver::IdentifierType) const
    {66, 872, 1963, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_slot, 242, 41},	//1037 QSqlDriver::stripDelimitersImplementation(const QString&, QSqlDriver::IdentifierType) const
    {66, 888, 128, 1, Smoke::mf_static, 242, 42},	//1038 QSqlDriver::tr(const char*)
    {66, 892, 128, 1, Smoke::mf_static, 242, 43},	//1039 QSqlDriver::trUtf8(const char*)
    {66, 41, 0, 0, Smoke::mf_ctor, 205, 44},	//1040 QSqlDriver::QSqlDriver()
    {66, 311, 1984, 1, Smoke::mf_const, 242, 45},	//1041 QSqlDriver::formatValue(const QSqlField&) const
    {66, 382, 494, 1, 0, 372, 46},	//1042 QSqlDriver::open(const QString&)
    {66, 382, 1835, 2, 0, 372, 47},	//1043 QSqlDriver::open(const QString&, const QString&)
    {66, 382, 1986, 3, 0, 372, 48},	//1044 QSqlDriver::open(const QString&, const QString&, const QString&)
    {66, 382, 1990, 4, 0, 372, 49},	//1045 QSqlDriver::open(const QString&, const QString&, const QString&, const QString&)
    {66, 382, 1995, 5, 0, 372, 50},	//1046 QSqlDriver::open(const QString&, const QString&, const QString&, const QString&, int)
    {66, 869, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 404, 51},	//1047 QSqlDriver::staticMetaObject() const
    {66, 184, 0, 0, Smoke::mf_static|Smoke::mf_enum, 206, 52},	//1048 QSqlDriver::Transactions (enum)
    {66, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 206, 53},	//1049 QSqlDriver::QuerySize (enum)
    {66, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 206, 54},	//1050 QSqlDriver::BLOB (enum)
    {66, 185, 0, 0, Smoke::mf_static|Smoke::mf_enum, 206, 55},	//1051 QSqlDriver::Unicode (enum)
    {66, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 206, 56},	//1052 QSqlDriver::PreparedQueries (enum)
    {66, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 206, 57},	//1053 QSqlDriver::NamedPlaceholders (enum)
    {66, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 206, 58},	//1054 QSqlDriver::PositionalPlaceholders (enum)
    {66, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 206, 59},	//1055 QSqlDriver::LastInsertId (enum)
    {66, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 206, 60},	//1056 QSqlDriver::BatchOperations (enum)
    {66, 178, 0, 0, Smoke::mf_static|Smoke::mf_enum, 206, 61},	//1057 QSqlDriver::SimpleLocking (enum)
    {66, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 206, 62},	//1058 QSqlDriver::LowPrecisionNumbers (enum)
    {66, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 206, 63},	//1059 QSqlDriver::EventNotifications (enum)
    {66, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 206, 64},	//1060 QSqlDriver::FinishQuery (enum)
    {66, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 206, 65},	//1061 QSqlDriver::MultipleResultSets (enum)
    {66, 192, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 66},	//1062 QSqlDriver::WhereStatement (enum)
    {66, 176, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 67},	//1063 QSqlDriver::SelectStatement (enum)
    {66, 188, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 68},	//1064 QSqlDriver::UpdateStatement (enum)
    {66, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 69},	//1065 QSqlDriver::InsertStatement (enum)
    {66, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 70},	//1066 QSqlDriver::DeleteStatement (enum)
    {66, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 207, 71},	//1067 QSqlDriver::FieldName (enum)
    {66, 181, 0, 0, Smoke::mf_static|Smoke::mf_enum, 207, 72},	//1068 QSqlDriver::TableName (enum)
    {66, 912, 0, 0, Smoke::mf_dtor, 0, 73 },	//1069 QSqlDriver::~QSqlDriver()
    {67, 252, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 205, 1},	//1070 QSqlDriverCreatorBase::createObject() const [pure virtual]
    {67, 43, 0, 0, Smoke::mf_ctor, 209, 2},	//1071 QSqlDriverCreatorBase::QSqlDriverCreatorBase()
    {67, 43, 2001, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 209, 3},	//1072 QSqlDriverCreatorBase::QSqlDriverCreatorBase(const QSqlDriverCreatorBase&)
    {67, 913, 0, 0, Smoke::mf_dtor, 0, 4 },	//1073 QSqlDriverCreatorBase::~QSqlDriverCreatorBase()
    {68, 248, 494, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 205, 1},	//1074 QSqlDriverFactoryInterface::create(const QString&) [pure virtual]
    {68, 45, 0, 0, Smoke::mf_ctor, 210, 2},	//1075 QSqlDriverFactoryInterface::QSqlDriverFactoryInterface()
    {68, 45, 2003, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 210, 3},	//1076 QSqlDriverFactoryInterface::QSqlDriverFactoryInterface(const QSqlDriverFactoryInterface&)
    {68, 914, 0, 0, Smoke::mf_dtor, 0, 4 },	//1077 QSqlDriverFactoryInterface::~QSqlDriverFactoryInterface()
    {69, 371, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 405, 1},	//1078 QSqlDriverPlugin::metaObject() const
    {69, 711, 128, 1, Smoke::mf_virtual, 495, 2},	//1079 QSqlDriverPlugin::qt_metacast(const char*)
    {69, 888, 218, 2, Smoke::mf_static, 242, 3},	//1080 QSqlDriverPlugin::tr(const char*, const char*)
    {69, 892, 218, 2, Smoke::mf_static, 242, 4},	//1081 QSqlDriverPlugin::trUtf8(const char*, const char*)
    {69, 888, 579, 3, Smoke::mf_static, 242, 5},	//1082 QSqlDriverPlugin::tr(const char*, const char*, int)
    {69, 892, 579, 3, Smoke::mf_static, 242, 6},	//1083 QSqlDriverPlugin::trUtf8(const char*, const char*, int)
    {69, 709, 1890, 3, Smoke::mf_virtual, 477, 7},	//1084 QSqlDriverPlugin::qt_metacall(QMetaObject::Call, int, void**)
    {69, 47, 1958, 1, Smoke::mf_ctor, 211, 8},	//1085 QSqlDriverPlugin::QSqlDriverPlugin(QObject*)
    {69, 364, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 246, 9},	//1086 QSqlDriverPlugin::keys() const [pure virtual]
    {69, 248, 494, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 205, 10},	//1087 QSqlDriverPlugin::create(const QString&) [pure virtual]
    {69, 888, 128, 1, Smoke::mf_static, 242, 11},	//1088 QSqlDriverPlugin::tr(const char*)
    {69, 892, 128, 1, Smoke::mf_static, 242, 12},	//1089 QSqlDriverPlugin::trUtf8(const char*)
    {69, 47, 0, 0, Smoke::mf_ctor, 211, 13},	//1090 QSqlDriverPlugin::QSqlDriverPlugin()
    {69, 869, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 404, 14},	//1091 QSqlDriverPlugin::staticMetaObject() const
    {69, 915, 0, 0, Smoke::mf_dtor, 0, 15 },	//1092 QSqlDriverPlugin::~QSqlDriverPlugin()
    {70, 49, 2005, 4, Smoke::mf_ctor, 214, 1},	//1093 QSqlError::QSqlError(const QString&, const QString&, QSqlError::ErrorType, int)
    {70, 49, 1982, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 214, 2},	//1094 QSqlError::QSqlError(const QSqlError&)
    {70, 426, 1982, 1, 0, 213, 3},	//1095 QSqlError::operator=(const QSqlError&)
    {70, 278, 0, 0, Smoke::mf_const, 242, 4},	//1096 QSqlError::driverText() const
    {70, 786, 494, 1, 0, 0, 5},	//1097 QSqlError::setDriverText(const QString&)
    {70, 264, 0, 0, Smoke::mf_const, 242, 6},	//1098 QSqlError::databaseText() const
    {70, 778, 494, 1, 0, 0, 7},	//1099 QSqlError::setDatabaseText(const QString&)
    {70, 897, 0, 0, Smoke::mf_const, 215, 8},	//1100 QSqlError::type() const
    {70, 855, 2010, 1, 0, 0, 9},	//1101 QSqlError::setType(QSqlError::ErrorType)
    {70, 380, 0, 0, Smoke::mf_const, 477, 10},	//1102 QSqlError::number() const
    {70, 817, 384, 1, 0, 0, 11},	//1103 QSqlError::setNumber(int)
    {70, 886, 0, 0, Smoke::mf_const, 242, 12},	//1104 QSqlError::text() const
    {70, 362, 0, 0, Smoke::mf_const, 372, 13},	//1105 QSqlError::isValid() const
    {70, 49, 0, 0, Smoke::mf_ctor, 214, 14},	//1106 QSqlError::QSqlError()
    {70, 49, 494, 1, Smoke::mf_ctor, 214, 15},	//1107 QSqlError::QSqlError(const QString&)
    {70, 49, 1835, 2, Smoke::mf_ctor, 214, 16},	//1108 QSqlError::QSqlError(const QString&, const QString&)
    {70, 49, 2012, 3, Smoke::mf_ctor, 214, 17},	//1109 QSqlError::QSqlError(const QString&, const QString&, QSqlError::ErrorType)
    {70, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 18},	//1110 QSqlError::NoError (enum)
    {70, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 19},	//1111 QSqlError::ConnectionError (enum)
    {70, 179, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 20},	//1112 QSqlError::StatementError (enum)
    {70, 183, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 21},	//1113 QSqlError::TransactionError (enum)
    {70, 187, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 22},	//1114 QSqlError::UnknownError (enum)
    {70, 916, 0, 0, Smoke::mf_dtor, 0, 23 },	//1115 QSqlError::~QSqlError()
    {71, 55, 2016, 2, Smoke::mf_ctor, 218, 1},	//1116 QSqlField::QSqlField(const QString&, QVariant::Type)
    {71, 55, 1984, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 218, 2},	//1117 QSqlField::QSqlField(const QSqlField&)
    {71, 426, 1984, 1, 0, 217, 3},	//1118 QSqlField::operator=(const QSqlField&)
    {71, 428, 1984, 1, Smoke::mf_const, 372, 4},	//1119 QSqlField::operator==(const QSqlField&) const
    {71, 389, 1984, 1, Smoke::mf_const, 372, 5},	//1120 QSqlField::operator!=(const QSqlField&) const
    {71, 859, 2019, 1, 0, 0, 6},	//1121 QSqlField::setValue(const QVariant&)
    {71, 907, 0, 0, Smoke::mf_const, 281, 7},	//1122 QSqlField::value() const
    {71, 813, 494, 1, 0, 0, 8},	//1123 QSqlField::setName(const QString&)
    {71, 374, 0, 0, Smoke::mf_const, 242, 9},	//1124 QSqlField::name() const
    {71, 356, 0, 0, Smoke::mf_const, 372, 10},	//1125 QSqlField::isNull() const
    {71, 837, 1980, 1, 0, 0, 11},	//1126 QSqlField::setReadOnly(bool)
    {71, 360, 0, 0, Smoke::mf_const, 372, 12},	//1127 QSqlField::isReadOnly() const
    {71, 232, 0, 0, 0, 0, 13},	//1128 QSqlField::clear()
    {71, 897, 0, 0, Smoke::mf_const, 283, 14},	//1129 QSqlField::type() const
    {71, 341, 0, 0, Smoke::mf_const, 372, 15},	//1130 QSqlField::isAutoValue() const
    {71, 855, 2021, 1, 0, 0, 16},	//1131 QSqlField::setType(QVariant::Type)
    {71, 845, 2023, 1, 0, 0, 17},	//1132 QSqlField::setRequiredStatus(QSqlField::RequiredStatus)
    {71, 843, 1980, 1, 0, 0, 18},	//1133 QSqlField::setRequired(bool)
    {71, 809, 384, 1, 0, 0, 19},	//1134 QSqlField::setLength(int)
    {71, 829, 384, 1, 0, 0, 20},	//1135 QSqlField::setPrecision(int)
    {71, 782, 2019, 1, 0, 0, 21},	//1136 QSqlField::setDefaultValue(const QVariant&)
    {71, 851, 384, 1, 0, 0, 22},	//1137 QSqlField::setSqlType(int)
    {71, 796, 1980, 1, 0, 0, 23},	//1138 QSqlField::setGenerated(bool)
    {71, 767, 1980, 1, 0, 0, 24},	//1139 QSqlField::setAutoValue(bool)
    {71, 744, 0, 0, Smoke::mf_const, 219, 25},	//1140 QSqlField::requiredStatus() const
    {71, 369, 0, 0, Smoke::mf_const, 477, 26},	//1141 QSqlField::length() const
    {71, 457, 0, 0, Smoke::mf_const, 477, 27},	//1142 QSqlField::precision() const
    {71, 266, 0, 0, Smoke::mf_const, 281, 28},	//1143 QSqlField::defaultValue() const
    {71, 898, 0, 0, Smoke::mf_const, 477, 29},	//1144 QSqlField::typeID() const
    {71, 350, 0, 0, Smoke::mf_const, 372, 30},	//1145 QSqlField::isGenerated() const
    {71, 362, 0, 0, Smoke::mf_const, 372, 31},	//1146 QSqlField::isValid() const
    {71, 55, 0, 0, Smoke::mf_ctor, 218, 32},	//1147 QSqlField::QSqlField()
    {71, 55, 494, 1, Smoke::mf_ctor, 218, 33},	//1148 QSqlField::QSqlField(const QString&)
    {71, 186, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 34},	//1149 QSqlField::Unknown (enum)
    {71, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 35},	//1150 QSqlField::Optional (enum)
    {71, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 36},	//1151 QSqlField::Required (enum)
    {71, 917, 0, 0, Smoke::mf_dtor, 0, 37 },	//1152 QSqlField::~QSqlField()
    {72, 59, 1835, 2, Smoke::mf_ctor, 222, 1},	//1153 QSqlIndex::QSqlIndex(const QString&, const QString&)
    {72, 59, 2025, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 222, 2},	//1154 QSqlIndex::QSqlIndex(const QSqlIndex&)
    {72, 426, 2025, 1, 0, 221, 3},	//1155 QSqlIndex::operator=(const QSqlIndex&)
    {72, 771, 494, 1, 0, 0, 4},	//1156 QSqlIndex::setCursorName(const QString&)
    {72, 254, 0, 0, Smoke::mf_const, 242, 5},	//1157 QSqlIndex::cursorName() const
    {72, 813, 494, 1, 0, 0, 6},	//1158 QSqlIndex::setName(const QString&)
    {72, 374, 0, 0, Smoke::mf_const, 242, 7},	//1159 QSqlIndex::name() const
    {72, 205, 1984, 1, 0, 0, 8},	//1160 QSqlIndex::append(const QSqlField&)
    {72, 205, 1960, 2, 0, 0, 9},	//1161 QSqlIndex::append(const QSqlField&, bool)
    {72, 342, 384, 1, Smoke::mf_const, 372, 10},	//1162 QSqlIndex::isDescending(int) const
    {72, 784, 2027, 2, 0, 0, 11},	//1163 QSqlIndex::setDescending(int, bool)
    {72, 59, 0, 0, Smoke::mf_ctor, 222, 12},	//1164 QSqlIndex::QSqlIndex()
    {72, 59, 494, 1, Smoke::mf_ctor, 222, 13},	//1165 QSqlIndex::QSqlIndex(const QString&)
    {72, 918, 0, 0, Smoke::mf_dtor, 0, 14 },	//1166 QSqlIndex::~QSqlIndex()
    {73, 63, 2030, 1, Smoke::mf_ctor, 225, 1},	//1167 QSqlQuery::QSqlQuery(QSqlResult*)
    {73, 63, 2032, 2, Smoke::mf_ctor, 225, 2},	//1168 QSqlQuery::QSqlQuery(const QString&, QSqlDatabase)
    {73, 63, 2035, 1, Smoke::mf_ctor, 225, 3},	//1169 QSqlQuery::QSqlQuery(QSqlDatabase)
    {73, 63, 2037, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 225, 4},	//1170 QSqlQuery::QSqlQuery(const QSqlQuery&)
    {73, 426, 2037, 1, 0, 224, 5},	//1171 QSqlQuery::operator=(const QSqlQuery&)
    {73, 362, 0, 0, Smoke::mf_const, 372, 6},	//1172 QSqlQuery::isValid() const
    {73, 340, 0, 0, Smoke::mf_const, 372, 7},	//1173 QSqlQuery::isActive() const
    {73, 356, 384, 1, Smoke::mf_const, 372, 8},	//1174 QSqlQuery::isNull(int) const
    {73, 208, 0, 0, Smoke::mf_const, 477, 9},	//1175 QSqlQuery::at() const
    {73, 368, 0, 0, Smoke::mf_const, 242, 10},	//1176 QSqlQuery::lastQuery() const
    {73, 379, 0, 0, Smoke::mf_const, 477, 11},	//1177 QSqlQuery::numRowsAffected() const
    {73, 366, 0, 0, Smoke::mf_const, 212, 12},	//1178 QSqlQuery::lastError() const
    {73, 361, 0, 0, Smoke::mf_const, 372, 13},	//1179 QSqlQuery::isSelect() const
    {73, 862, 0, 0, Smoke::mf_const, 477, 14},	//1180 QSqlQuery::size() const
    {73, 276, 0, 0, Smoke::mf_const, 435, 15},	//1181 QSqlQuery::driver() const
    {73, 747, 0, 0, Smoke::mf_const, 444, 16},	//1182 QSqlQuery::result() const
    {73, 349, 0, 0, Smoke::mf_const, 372, 17},	//1183 QSqlQuery::isForwardOnly() const
    {73, 724, 0, 0, Smoke::mf_const, 228, 18},	//1184 QSqlQuery::record() const
    {73, 794, 1980, 1, 0, 0, 19},	//1185 QSqlQuery::setForwardOnly(bool)
    {73, 287, 494, 1, 0, 372, 20},	//1186 QSqlQuery::exec(const QString&)
    {73, 907, 384, 1, Smoke::mf_const, 281, 21},	//1187 QSqlQuery::value(int) const
    {73, 819, 1942, 1, 0, 0, 22},	//1188 QSqlQuery::setNumericalPrecisionPolicy(QSql::NumericalPrecisionPolicy)
    {73, 381, 0, 0, Smoke::mf_const, 199, 23},	//1189 QSqlQuery::numericalPrecisionPolicy() const
    {73, 758, 2027, 2, 0, 372, 24},	//1190 QSqlQuery::seek(int, bool)
    {73, 375, 0, 0, 0, 372, 25},	//1191 QSqlQuery::next()
    {73, 460, 0, 0, 0, 372, 26},	//1192 QSqlQuery::previous()
    {73, 308, 0, 0, 0, 372, 27},	//1193 QSqlQuery::first()
    {73, 365, 0, 0, 0, 372, 28},	//1194 QSqlQuery::last()
    {73, 232, 0, 0, 0, 0, 29},	//1195 QSqlQuery::clear()
    {73, 287, 0, 0, 0, 372, 30},	//1196 QSqlQuery::exec()
    {73, 289, 2039, 1, 0, 372, 31},	//1197 QSqlQuery::execBatch(QSqlQuery::BatchExecutionMode)
    {73, 458, 494, 1, 0, 372, 32},	//1198 QSqlQuery::prepare(const QString&)
    {73, 216, 2041, 3, 0, 0, 33},	//1199 QSqlQuery::bindValue(const QString&, const QVariant&, QFlags<QSql::ParamTypeFlag>)
    {73, 216, 2045, 3, 0, 0, 34},	//1200 QSqlQuery::bindValue(int, const QVariant&, QFlags<QSql::ParamTypeFlag>)
    {73, 197, 2049, 2, 0, 0, 35},	//1201 QSqlQuery::addBindValue(const QVariant&, QFlags<QSql::ParamTypeFlag>)
    {73, 222, 494, 1, Smoke::mf_const, 281, 36},	//1202 QSqlQuery::boundValue(const QString&) const
    {73, 222, 384, 1, Smoke::mf_const, 281, 37},	//1203 QSqlQuery::boundValue(int) const
    {73, 227, 0, 0, Smoke::mf_const, 154, 38},	//1204 QSqlQuery::boundValues() const
    {73, 291, 0, 0, Smoke::mf_const, 242, 39},	//1205 QSqlQuery::executedQuery() const
    {73, 367, 0, 0, Smoke::mf_const, 281, 40},	//1206 QSqlQuery::lastInsertId() const
    {73, 307, 0, 0, 0, 0, 41},	//1207 QSqlQuery::finish()
    {73, 376, 0, 0, 0, 372, 42},	//1208 QSqlQuery::nextResult()
    {73, 63, 0, 0, Smoke::mf_ctor, 225, 43},	//1209 QSqlQuery::QSqlQuery()
    {73, 63, 494, 1, Smoke::mf_ctor, 225, 44},	//1210 QSqlQuery::QSqlQuery(const QString&)
    {73, 758, 384, 1, 0, 372, 45},	//1211 QSqlQuery::seek(int)
    {73, 289, 0, 0, 0, 372, 46},	//1212 QSqlQuery::execBatch()
    {73, 216, 2052, 2, 0, 0, 47},	//1213 QSqlQuery::bindValue(const QString&, const QVariant&)
    {73, 216, 2055, 2, 0, 0, 48},	//1214 QSqlQuery::bindValue(int, const QVariant&)
    {73, 197, 2019, 1, 0, 0, 49},	//1215 QSqlQuery::addBindValue(const QVariant&)
    {73, 190, 0, 0, Smoke::mf_static|Smoke::mf_enum, 226, 50},	//1216 QSqlQuery::ValuesAsRows (enum)
    {73, 189, 0, 0, Smoke::mf_static|Smoke::mf_enum, 226, 51},	//1217 QSqlQuery::ValuesAsColumns (enum)
    {73, 919, 0, 0, Smoke::mf_dtor, 0, 52 },	//1218 QSqlQuery::~QSqlQuery()
    {74, 371, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 405, 1},	//1219 QSqlQueryModel::metaObject() const
    {74, 711, 128, 1, Smoke::mf_virtual, 495, 2},	//1220 QSqlQueryModel::qt_metacast(const char*)
    {74, 888, 218, 2, Smoke::mf_static, 242, 3},	//1221 QSqlQueryModel::tr(const char*, const char*)
    {74, 892, 218, 2, Smoke::mf_static, 242, 4},	//1222 QSqlQueryModel::trUtf8(const char*, const char*)
    {74, 888, 579, 3, Smoke::mf_static, 242, 5},	//1223 QSqlQueryModel::tr(const char*, const char*, int)
    {74, 892, 579, 3, Smoke::mf_static, 242, 6},	//1224 QSqlQueryModel::trUtf8(const char*, const char*, int)
    {74, 709, 1890, 3, Smoke::mf_virtual, 477, 7},	//1225 QSqlQueryModel::qt_metacall(QMetaObject::Call, int, void**)
    {74, 67, 1958, 1, Smoke::mf_ctor, 227, 8},	//1226 QSqlQueryModel::QSqlQueryModel(QObject*)
    {74, 754, 5, 1, Smoke::mf_const|Smoke::mf_virtual, 477, 9},	//1227 QSqlQueryModel::rowCount(const QModelIndex&) const
    {74, 237, 5, 1, Smoke::mf_const|Smoke::mf_virtual, 477, 10},	//1228 QSqlQueryModel::columnCount(const QModelIndex&) const
    {74, 724, 384, 1, Smoke::mf_const, 228, 11},	//1229 QSqlQueryModel::record(int) const
    {74, 724, 0, 0, Smoke::mf_const, 228, 12},	//1230 QSqlQueryModel::record() const
    {74, 256, 2058, 2, Smoke::mf_const|Smoke::mf_virtual, 281, 13},	//1231 QSqlQueryModel::data(const QModelIndex&, int) const
    {74, 318, 2061, 3, Smoke::mf_const|Smoke::mf_virtual, 281, 14},	//1232 QSqlQueryModel::headerData(int, Qt::Orientation, int) const
    {74, 799, 2065, 4, Smoke::mf_virtual, 372, 15},	//1233 QSqlQueryModel::setHeaderData(int, Qt::Orientation, const QVariant&, int)
    {74, 330, 12, 3, Smoke::mf_virtual, 372, 16},	//1234 QSqlQueryModel::insertColumns(int, int, const QModelIndex&)
    {74, 734, 12, 3, Smoke::mf_virtual, 372, 17},	//1235 QSqlQueryModel::removeColumns(int, int, const QModelIndex&)
    {74, 833, 2037, 1, 0, 0, 18},	//1236 QSqlQueryModel::setQuery(const QSqlQuery&)
    {74, 833, 2070, 2, 0, 0, 19},	//1237 QSqlQueryModel::setQuery(const QString&, const QSqlDatabase&)
    {74, 718, 0, 0, Smoke::mf_const, 223, 20},	//1238 QSqlQueryModel::query() const
    {74, 232, 0, 0, Smoke::mf_virtual, 0, 21},	//1239 QSqlQueryModel::clear()
    {74, 366, 0, 0, Smoke::mf_const, 212, 22},	//1240 QSqlQueryModel::lastError() const
    {74, 296, 5, 1, Smoke::mf_virtual, 0, 23},	//1241 QSqlQueryModel::fetchMore(const QModelIndex&)
    {74, 229, 5, 1, Smoke::mf_const|Smoke::mf_virtual, 372, 24},	//1242 QSqlQueryModel::canFetchMore(const QModelIndex&) const
    {74, 719, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 25},	//1243 QSqlQueryModel::queryChange()
    {74, 324, 5, 1, Smoke::mf_const|Smoke::mf_protected, 164, 26},	//1244 QSqlQueryModel::indexInQuery(const QModelIndex&) const
    {74, 807, 1982, 1, Smoke::mf_protected, 0, 27},	//1245 QSqlQueryModel::setLastError(const QSqlError&)
    {74, 888, 128, 1, Smoke::mf_static, 242, 28},	//1246 QSqlQueryModel::tr(const char*)
    {74, 892, 128, 1, Smoke::mf_static, 242, 29},	//1247 QSqlQueryModel::trUtf8(const char*)
    {74, 67, 0, 0, Smoke::mf_ctor, 227, 30},	//1248 QSqlQueryModel::QSqlQueryModel()
    {74, 754, 0, 0, Smoke::mf_const, 477, 31},	//1249 QSqlQueryModel::rowCount() const
    {74, 237, 0, 0, Smoke::mf_const, 477, 32},	//1250 QSqlQueryModel::columnCount() const
    {74, 256, 5, 1, Smoke::mf_const, 281, 33},	//1251 QSqlQueryModel::data(const QModelIndex&) const
    {74, 318, 2073, 2, Smoke::mf_const, 281, 34},	//1252 QSqlQueryModel::headerData(int, Qt::Orientation) const
    {74, 799, 2076, 3, 0, 372, 35},	//1253 QSqlQueryModel::setHeaderData(int, Qt::Orientation, const QVariant&)
    {74, 330, 2080, 2, 0, 372, 36},	//1254 QSqlQueryModel::insertColumns(int, int)
    {74, 734, 2080, 2, 0, 372, 37},	//1255 QSqlQueryModel::removeColumns(int, int)
    {74, 833, 494, 1, 0, 0, 38},	//1256 QSqlQueryModel::setQuery(const QString&)
    {74, 296, 0, 0, 0, 0, 39},	//1257 QSqlQueryModel::fetchMore()
    {74, 229, 0, 0, Smoke::mf_const, 372, 40},	//1258 QSqlQueryModel::canFetchMore() const
    {74, 869, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 404, 41},	//1259 QSqlQueryModel::staticMetaObject() const
    {74, 920, 0, 0, Smoke::mf_dtor, 0, 42 },	//1260 QSqlQueryModel::~QSqlQueryModel()
    {75, 69, 0, 0, Smoke::mf_ctor, 230, 1},	//1261 QSqlRecord::QSqlRecord()
    {75, 69, 2083, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 230, 2},	//1262 QSqlRecord::QSqlRecord(const QSqlRecord&)
    {75, 426, 2083, 1, 0, 229, 3},	//1263 QSqlRecord::operator=(const QSqlRecord&)
    {75, 428, 2083, 1, Smoke::mf_const, 372, 4},	//1264 QSqlRecord::operator==(const QSqlRecord&) const
    {75, 389, 2083, 1, Smoke::mf_const, 372, 5},	//1265 QSqlRecord::operator!=(const QSqlRecord&) const
    {75, 907, 384, 1, Smoke::mf_const, 281, 6},	//1266 QSqlRecord::value(int) const
    {75, 907, 494, 1, Smoke::mf_const, 281, 7},	//1267 QSqlRecord::value(const QString&) const
    {75, 859, 2055, 2, 0, 0, 8},	//1268 QSqlRecord::setValue(int, const QVariant&)
    {75, 859, 2052, 2, 0, 0, 9},	//1269 QSqlRecord::setValue(const QString&, const QVariant&)
    {75, 815, 384, 1, 0, 0, 10},	//1270 QSqlRecord::setNull(int)
    {75, 815, 494, 1, 0, 0, 11},	//1271 QSqlRecord::setNull(const QString&)
    {75, 356, 384, 1, Smoke::mf_const, 372, 12},	//1272 QSqlRecord::isNull(int) const
    {75, 356, 494, 1, Smoke::mf_const, 372, 13},	//1273 QSqlRecord::isNull(const QString&) const
    {75, 326, 494, 1, Smoke::mf_const, 477, 14},	//1274 QSqlRecord::indexOf(const QString&) const
    {75, 304, 384, 1, Smoke::mf_const, 242, 15},	//1275 QSqlRecord::fieldName(int) const
    {75, 300, 384, 1, Smoke::mf_const, 216, 16},	//1276 QSqlRecord::field(int) const
    {75, 300, 494, 1, Smoke::mf_const, 216, 17},	//1277 QSqlRecord::field(const QString&) const
    {75, 350, 384, 1, Smoke::mf_const, 372, 18},	//1278 QSqlRecord::isGenerated(int) const
    {75, 350, 494, 1, Smoke::mf_const, 372, 19},	//1279 QSqlRecord::isGenerated(const QString&) const
    {75, 796, 1950, 2, 0, 0, 20},	//1280 QSqlRecord::setGenerated(const QString&, bool)
    {75, 796, 2027, 2, 0, 0, 21},	//1281 QSqlRecord::setGenerated(int, bool)
    {75, 205, 1984, 1, 0, 0, 22},	//1282 QSqlRecord::append(const QSqlField&)
    {75, 742, 2085, 2, 0, 0, 23},	//1283 QSqlRecord::replace(int, const QSqlField&)
    {75, 328, 2085, 2, 0, 0, 24},	//1284 QSqlRecord::insert(int, const QSqlField&)
    {75, 732, 384, 1, 0, 0, 25},	//1285 QSqlRecord::remove(int)
    {75, 348, 0, 0, Smoke::mf_const, 372, 26},	//1286 QSqlRecord::isEmpty() const
    {75, 245, 494, 1, Smoke::mf_const, 372, 27},	//1287 QSqlRecord::contains(const QString&) const
    {75, 232, 0, 0, 0, 0, 28},	//1288 QSqlRecord::clear()
    {75, 233, 0, 0, 0, 0, 29},	//1289 QSqlRecord::clearValues()
    {75, 247, 0, 0, Smoke::mf_const, 477, 30},	//1290 QSqlRecord::count() const
    {75, 921, 0, 0, Smoke::mf_dtor, 0, 31 },	//1291 QSqlRecord::~QSqlRecord()
    {76, 71, 0, 0, Smoke::mf_ctor, 232, 1},	//1292 QSqlRelation::QSqlRelation()
    {76, 71, 1986, 3, Smoke::mf_ctor, 232, 2},	//1293 QSqlRelation::QSqlRelation(const QString&, const QString&, const QString&)
    {76, 883, 0, 0, Smoke::mf_const, 242, 3},	//1294 QSqlRelation::tableName() const
    {76, 323, 0, 0, Smoke::mf_const, 242, 4},	//1295 QSqlRelation::indexColumn() const
    {76, 271, 0, 0, Smoke::mf_const, 242, 5},	//1296 QSqlRelation::displayColumn() const
    {76, 362, 0, 0, Smoke::mf_const, 372, 6},	//1297 QSqlRelation::isValid() const
    {76, 71, 2088, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 232, 7},	//1298 QSqlRelation::QSqlRelation(const QSqlRelation&)
    {76, 922, 0, 0, Smoke::mf_dtor, 0, 8 },	//1299 QSqlRelation::~QSqlRelation()
    {77, 74, 1958, 1, Smoke::mf_ctor|Smoke::mf_explicit, 233, 1},	//1300 QSqlRelationalDelegate::QSqlRelationalDelegate(QObject*)
    {77, 250, 1901, 3, Smoke::mf_const|Smoke::mf_virtual, 291, 2},	//1301 QSqlRelationalDelegate::createEditor(QWidget*, const QStyleOptionViewItem&, const QModelIndex&) const
    {77, 790, 2090, 2, Smoke::mf_const|Smoke::mf_virtual, 0, 3},	//1302 QSqlRelationalDelegate::setEditorData(QWidget*, const QModelIndex&) const
    {77, 811, 2093, 3, Smoke::mf_const|Smoke::mf_virtual, 0, 4},	//1303 QSqlRelationalDelegate::setModelData(QWidget*, QAbstractItemModel*, const QModelIndex&) const
    {77, 74, 0, 0, Smoke::mf_ctor|Smoke::mf_explicit, 233, 5},	//1304 QSqlRelationalDelegate::QSqlRelationalDelegate()
    {77, 923, 0, 0, Smoke::mf_dtor, 0, 6 },	//1305 QSqlRelationalDelegate::~QSqlRelationalDelegate()
    {78, 371, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 405, 1},	//1306 QSqlRelationalTableModel::metaObject() const
    {78, 711, 128, 1, Smoke::mf_virtual, 495, 2},	//1307 QSqlRelationalTableModel::qt_metacast(const char*)
    {78, 888, 218, 2, Smoke::mf_static, 242, 3},	//1308 QSqlRelationalTableModel::tr(const char*, const char*)
    {78, 892, 218, 2, Smoke::mf_static, 242, 4},	//1309 QSqlRelationalTableModel::trUtf8(const char*, const char*)
    {78, 888, 579, 3, Smoke::mf_static, 242, 5},	//1310 QSqlRelationalTableModel::tr(const char*, const char*, int)
    {78, 892, 579, 3, Smoke::mf_static, 242, 6},	//1311 QSqlRelationalTableModel::trUtf8(const char*, const char*, int)
    {78, 709, 1890, 3, Smoke::mf_virtual, 477, 7},	//1312 QSqlRelationalTableModel::qt_metacall(QMetaObject::Call, int, void**)
    {78, 76, 2097, 2, Smoke::mf_ctor, 234, 8},	//1313 QSqlRelationalTableModel::QSqlRelationalTableModel(QObject*, QSqlDatabase)
    {78, 256, 2058, 2, Smoke::mf_const|Smoke::mf_virtual, 281, 9},	//1314 QSqlRelationalTableModel::data(const QModelIndex&, int) const
    {78, 773, 1, 3, Smoke::mf_virtual, 372, 10},	//1315 QSqlRelationalTableModel::setData(const QModelIndex&, const QVariant&, int)
    {78, 734, 12, 3, Smoke::mf_virtual, 372, 11},	//1316 QSqlRelationalTableModel::removeColumns(int, int, const QModelIndex&)
    {78, 232, 0, 0, Smoke::mf_virtual, 0, 12},	//1317 QSqlRelationalTableModel::clear()
    {78, 761, 0, 0, Smoke::mf_virtual, 372, 13},	//1318 QSqlRelationalTableModel::select()
    {78, 853, 494, 1, Smoke::mf_virtual, 0, 14},	//1319 QSqlRelationalTableModel::setTable(const QString&)
    {78, 841, 2100, 2, Smoke::mf_virtual, 0, 15},	//1320 QSqlRelationalTableModel::setRelation(int, const QSqlRelation&)
    {78, 728, 384, 1, Smoke::mf_const, 231, 16},	//1321 QSqlRelationalTableModel::relation(int) const
    {78, 730, 384, 1, Smoke::mf_const|Smoke::mf_virtual, 239, 17},	//1322 QSqlRelationalTableModel::relationModel(int) const
    {78, 805, 2103, 1, 0, 0, 18},	//1323 QSqlRelationalTableModel::setJoinMode(QSqlRelationalTableModel::JoinMode)
    {78, 750, 384, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 19},	//1324 QSqlRelationalTableModel::revertRow(int)
    {78, 762, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 242, 20},	//1325 QSqlRelationalTableModel::selectStatement() const
    {78, 904, 2105, 2, Smoke::mf_protected|Smoke::mf_virtual, 372, 21},	//1326 QSqlRelationalTableModel::updateRowInTable(int, const QSqlRecord&)
    {78, 335, 2083, 1, Smoke::mf_protected|Smoke::mf_virtual, 372, 22},	//1327 QSqlRelationalTableModel::insertRowIntoTable(const QSqlRecord&)
    {78, 453, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 242, 23},	//1328 QSqlRelationalTableModel::orderByClause() const
    {78, 888, 128, 1, Smoke::mf_static, 242, 24},	//1329 QSqlRelationalTableModel::tr(const char*)
    {78, 892, 128, 1, Smoke::mf_static, 242, 25},	//1330 QSqlRelationalTableModel::trUtf8(const char*)
    {78, 76, 0, 0, Smoke::mf_ctor, 234, 26},	//1331 QSqlRelationalTableModel::QSqlRelationalTableModel()
    {78, 76, 1958, 1, Smoke::mf_ctor, 234, 27},	//1332 QSqlRelationalTableModel::QSqlRelationalTableModel(QObject*)
    {78, 256, 5, 1, Smoke::mf_const, 281, 28},	//1333 QSqlRelationalTableModel::data(const QModelIndex&) const
    {78, 773, 2108, 2, 0, 372, 29},	//1334 QSqlRelationalTableModel::setData(const QModelIndex&, const QVariant&)
    {78, 734, 2080, 2, 0, 372, 30},	//1335 QSqlRelationalTableModel::removeColumns(int, int)
    {78, 869, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 404, 31},	//1336 QSqlRelationalTableModel::staticMetaObject() const
    {78, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 235, 32},	//1337 QSqlRelationalTableModel::InnerJoin (enum)
    {78, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 235, 33},	//1338 QSqlRelationalTableModel::LeftJoin (enum)
    {78, 924, 0, 0, Smoke::mf_dtor, 0, 34 },	//1339 QSqlRelationalTableModel::~QSqlRelationalTableModel()
    {79, 314, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 281, 1},	//1340 QSqlResult::handle() const
    {79, 79, 2111, 1, Smoke::mf_ctor|Smoke::mf_protected, 236, 2},	//1341 QSqlResult::QSqlResult(const QSqlDriver*)
    {79, 208, 0, 0, Smoke::mf_const|Smoke::mf_protected, 477, 3},	//1342 QSqlResult::at() const
    {79, 368, 0, 0, Smoke::mf_const|Smoke::mf_protected, 242, 4},	//1343 QSqlResult::lastQuery() const
    {79, 366, 0, 0, Smoke::mf_const|Smoke::mf_protected, 212, 5},	//1344 QSqlResult::lastError() const
    {79, 362, 0, 0, Smoke::mf_const|Smoke::mf_protected, 372, 6},	//1345 QSqlResult::isValid() const
    {79, 340, 0, 0, Smoke::mf_const|Smoke::mf_protected, 372, 7},	//1346 QSqlResult::isActive() const
    {79, 361, 0, 0, Smoke::mf_const|Smoke::mf_protected, 372, 8},	//1347 QSqlResult::isSelect() const
    {79, 349, 0, 0, Smoke::mf_const|Smoke::mf_protected, 372, 9},	//1348 QSqlResult::isForwardOnly() const
    {79, 276, 0, 0, Smoke::mf_const|Smoke::mf_protected, 435, 10},	//1349 QSqlResult::driver() const
    {79, 765, 384, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 11},	//1350 QSqlResult::setAt(int)
    {79, 763, 1980, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 12},	//1351 QSqlResult::setActive(bool)
    {79, 807, 1982, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 13},	//1352 QSqlResult::setLastError(const QSqlError&)
    {79, 833, 494, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 14},	//1353 QSqlResult::setQuery(const QString&)
    {79, 847, 1980, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 15},	//1354 QSqlResult::setSelect(bool)
    {79, 794, 1980, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 16},	//1355 QSqlResult::setForwardOnly(bool)
    {79, 287, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 372, 17},	//1356 QSqlResult::exec()
    {79, 458, 494, 1, Smoke::mf_protected|Smoke::mf_virtual, 372, 18},	//1357 QSqlResult::prepare(const QString&)
    {79, 756, 494, 1, Smoke::mf_protected|Smoke::mf_virtual, 372, 19},	//1358 QSqlResult::savePrepare(const QString&)
    {79, 216, 2045, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 20},	//1359 QSqlResult::bindValue(int, const QVariant&, QFlags<QSql::ParamTypeFlag>)
    {79, 216, 2041, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 21},	//1360 QSqlResult::bindValue(const QString&, const QVariant&, QFlags<QSql::ParamTypeFlag>)
    {79, 197, 2049, 2, Smoke::mf_protected, 0, 22},	//1361 QSqlResult::addBindValue(const QVariant&, QFlags<QSql::ParamTypeFlag>)
    {79, 222, 494, 1, Smoke::mf_const|Smoke::mf_protected, 281, 23},	//1362 QSqlResult::boundValue(const QString&) const
    {79, 222, 384, 1, Smoke::mf_const|Smoke::mf_protected, 281, 24},	//1363 QSqlResult::boundValue(int) const
    {79, 219, 494, 1, Smoke::mf_const|Smoke::mf_protected, 82, 25},	//1364 QSqlResult::bindValueType(const QString&) const
    {79, 219, 384, 1, Smoke::mf_const|Smoke::mf_protected, 82, 26},	//1365 QSqlResult::bindValueType(int) const
    {79, 224, 0, 0, Smoke::mf_const|Smoke::mf_protected, 477, 27},	//1366 QSqlResult::boundValueCount() const
    {79, 227, 0, 0, Smoke::mf_const|Smoke::mf_protected, 290, 28},	//1367 QSqlResult::boundValues() const
    {79, 291, 0, 0, Smoke::mf_const|Smoke::mf_protected, 242, 29},	//1368 QSqlResult::executedQuery() const
    {79, 225, 384, 1, Smoke::mf_const|Smoke::mf_protected, 242, 30},	//1369 QSqlResult::boundValueName(int) const
    {79, 232, 0, 0, Smoke::mf_protected, 0, 31},	//1370 QSqlResult::clear()
    {79, 317, 0, 0, Smoke::mf_const|Smoke::mf_protected, 372, 32},	//1371 QSqlResult::hasOutValues() const
    {79, 221, 0, 0, Smoke::mf_const|Smoke::mf_protected, 237, 33},	//1372 QSqlResult::bindingSyntax() const
    {79, 256, 384, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 281, 34},	//1373 QSqlResult::data(int) [pure virtual]
    {79, 356, 384, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 372, 35},	//1374 QSqlResult::isNull(int) [pure virtual]
    {79, 745, 494, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 372, 36},	//1375 QSqlResult::reset(const QString&) [pure virtual]
    {79, 292, 384, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 372, 37},	//1376 QSqlResult::fetch(int) [pure virtual]
    {79, 298, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 372, 38},	//1377 QSqlResult::fetchNext()
    {79, 299, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 372, 39},	//1378 QSqlResult::fetchPrevious()
    {79, 294, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 372, 40},	//1379 QSqlResult::fetchFirst() [pure virtual]
    {79, 295, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 372, 41},	//1380 QSqlResult::fetchLast() [pure virtual]
    {79, 862, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 477, 42},	//1381 QSqlResult::size() [pure virtual]
    {79, 379, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 477, 43},	//1382 QSqlResult::numRowsAffected() [pure virtual]
    {79, 724, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 228, 44},	//1383 QSqlResult::record() const
    {79, 367, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 281, 45},	//1384 QSqlResult::lastInsertId() const
    {79, 909, 2113, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 46},	//1385 QSqlResult::virtual_hook(int, void*)
    {79, 289, 1980, 1, Smoke::mf_protected, 372, 47},	//1386 QSqlResult::execBatch(bool)
    {79, 269, 0, 0, Smoke::mf_protected, 0, 48},	//1387 QSqlResult::detachFromResultSet()
    {79, 819, 1942, 1, Smoke::mf_protected, 0, 49},	//1388 QSqlResult::setNumericalPrecisionPolicy(QSql::NumericalPrecisionPolicy)
    {79, 381, 0, 0, Smoke::mf_const|Smoke::mf_protected, 199, 50},	//1389 QSqlResult::numericalPrecisionPolicy() const
    {79, 376, 0, 0, Smoke::mf_protected, 372, 51},	//1390 QSqlResult::nextResult()
    {79, 289, 0, 0, Smoke::mf_protected, 372, 52},	//1391 QSqlResult::execBatch()
    {79, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 237, 53},	//1392 QSqlResult::PositionalBinding (enum)
    {79, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 237, 54},	//1393 QSqlResult::NamedBinding (enum)
    {79, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 55},	//1394 QSqlResult::BatchOperation (enum)
    {79, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 56},	//1395 QSqlResult::DetachFromResultSet (enum)
    {79, 177, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 57},	//1396 QSqlResult::SetNumericalPrecision (enum)
    {79, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 58},	//1397 QSqlResult::NextResult (enum)
    {79, 925, 0, 0, Smoke::mf_dtor, 0, 59 },	//1398 QSqlResult::~QSqlResult()
    {80, 371, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 405, 1},	//1399 QSqlTableModel::metaObject() const
    {80, 711, 128, 1, Smoke::mf_virtual, 495, 2},	//1400 QSqlTableModel::qt_metacast(const char*)
    {80, 888, 218, 2, Smoke::mf_static, 242, 3},	//1401 QSqlTableModel::tr(const char*, const char*)
    {80, 892, 218, 2, Smoke::mf_static, 242, 4},	//1402 QSqlTableModel::trUtf8(const char*, const char*)
    {80, 888, 579, 3, Smoke::mf_static, 242, 5},	//1403 QSqlTableModel::tr(const char*, const char*, int)
    {80, 892, 579, 3, Smoke::mf_static, 242, 6},	//1404 QSqlTableModel::trUtf8(const char*, const char*, int)
    {80, 709, 1890, 3, Smoke::mf_virtual, 477, 7},	//1405 QSqlTableModel::qt_metacall(QMetaObject::Call, int, void**)
    {80, 81, 2097, 2, Smoke::mf_ctor, 239, 8},	//1406 QSqlTableModel::QSqlTableModel(QObject*, QSqlDatabase)
    {80, 761, 0, 0, Smoke::mf_virtual, 372, 9},	//1407 QSqlTableModel::select()
    {80, 853, 494, 1, Smoke::mf_virtual, 0, 10},	//1408 QSqlTableModel::setTable(const QString&)
    {80, 883, 0, 0, Smoke::mf_const, 242, 11},	//1409 QSqlTableModel::tableName() const
    {80, 309, 5, 1, Smoke::mf_const|Smoke::mf_virtual, 110, 12},	//1410 QSqlTableModel::flags(const QModelIndex&) const
    {80, 256, 2058, 2, Smoke::mf_const|Smoke::mf_virtual, 281, 13},	//1411 QSqlTableModel::data(const QModelIndex&, int) const
    {80, 773, 1, 3, Smoke::mf_virtual, 372, 14},	//1412 QSqlTableModel::setData(const QModelIndex&, const QVariant&, int)
    {80, 318, 2061, 3, Smoke::mf_const|Smoke::mf_virtual, 281, 15},	//1413 QSqlTableModel::headerData(int, Qt::Orientation, int) const
    {80, 344, 5, 1, Smoke::mf_const, 372, 16},	//1414 QSqlTableModel::isDirty(const QModelIndex&) const
    {80, 232, 0, 0, Smoke::mf_virtual, 0, 17},	//1415 QSqlTableModel::clear()
    {80, 788, 2116, 1, Smoke::mf_virtual, 0, 18},	//1416 QSqlTableModel::setEditStrategy(QSqlTableModel::EditStrategy)
    {80, 281, 0, 0, Smoke::mf_const, 240, 19},	//1417 QSqlTableModel::editStrategy() const
    {80, 463, 0, 0, Smoke::mf_const, 220, 20},	//1418 QSqlTableModel::primaryKey() const
    {80, 260, 0, 0, Smoke::mf_const, 202, 21},	//1419 QSqlTableModel::database() const
    {80, 302, 494, 1, Smoke::mf_const, 477, 22},	//1420 QSqlTableModel::fieldIndex(const QString&) const
    {80, 864, 16, 2, Smoke::mf_virtual, 0, 23},	//1421 QSqlTableModel::sort(int, Qt::SortOrder)
    {80, 849, 16, 2, Smoke::mf_virtual, 0, 24},	//1422 QSqlTableModel::setSort(int, Qt::SortOrder)
    {80, 306, 0, 0, Smoke::mf_const, 242, 25},	//1423 QSqlTableModel::filter() const
    {80, 792, 494, 1, Smoke::mf_virtual, 0, 26},	//1424 QSqlTableModel::setFilter(const QString&)
    {80, 754, 5, 1, Smoke::mf_const|Smoke::mf_virtual, 477, 27},	//1425 QSqlTableModel::rowCount(const QModelIndex&) const
    {80, 734, 12, 3, Smoke::mf_virtual, 372, 28},	//1426 QSqlTableModel::removeColumns(int, int, const QModelIndex&)
    {80, 739, 12, 3, Smoke::mf_virtual, 372, 29},	//1427 QSqlTableModel::removeRows(int, int, const QModelIndex&)
    {80, 337, 12, 3, Smoke::mf_virtual, 372, 30},	//1428 QSqlTableModel::insertRows(int, int, const QModelIndex&)
    {80, 333, 2105, 2, 0, 372, 31},	//1429 QSqlTableModel::insertRecord(int, const QSqlRecord&)
    {80, 839, 2105, 2, 0, 372, 32},	//1430 QSqlTableModel::setRecord(int, const QSqlRecord&)
    {80, 750, 384, 1, Smoke::mf_virtual, 0, 33},	//1431 QSqlTableModel::revertRow(int)
    {80, 874, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 372, 34},	//1432 QSqlTableModel::submit()
    {80, 748, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 35},	//1433 QSqlTableModel::revert()
    {80, 875, 0, 0, Smoke::mf_slot, 372, 36},	//1434 QSqlTableModel::submitAll()
    {80, 749, 0, 0, Smoke::mf_slot, 0, 37},	//1435 QSqlTableModel::revertAll()
    {80, 464, 2118, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 38},	//1436 QSqlTableModel::primeInsert(int, QSqlRecord&)
    {80, 211, 2121, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 39},	//1437 QSqlTableModel::beforeInsert(QSqlRecord&)
    {80, 213, 2118, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 40},	//1438 QSqlTableModel::beforeUpdate(int, QSqlRecord&)
    {80, 209, 384, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 41},	//1439 QSqlTableModel::beforeDelete(int)
    {80, 904, 2105, 2, Smoke::mf_protected|Smoke::mf_virtual, 372, 42},	//1440 QSqlTableModel::updateRowInTable(int, const QSqlRecord&)
    {80, 335, 2083, 1, Smoke::mf_protected|Smoke::mf_virtual, 372, 43},	//1441 QSqlTableModel::insertRowIntoTable(const QSqlRecord&)
    {80, 267, 384, 1, Smoke::mf_protected|Smoke::mf_virtual, 372, 44},	//1442 QSqlTableModel::deleteRowFromTable(int)
    {80, 453, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 242, 45},	//1443 QSqlTableModel::orderByClause() const
    {80, 762, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 242, 46},	//1444 QSqlTableModel::selectStatement() const
    {80, 831, 2025, 1, Smoke::mf_protected, 0, 47},	//1445 QSqlTableModel::setPrimaryKey(const QSqlIndex&)
    {80, 833, 2037, 1, Smoke::mf_protected, 0, 48},	//1446 QSqlTableModel::setQuery(const QSqlQuery&)
    {80, 324, 5, 1, Smoke::mf_const|Smoke::mf_protected, 164, 49},	//1447 QSqlTableModel::indexInQuery(const QModelIndex&) const
    {80, 888, 128, 1, Smoke::mf_static, 242, 50},	//1448 QSqlTableModel::tr(const char*)
    {80, 892, 128, 1, Smoke::mf_static, 242, 51},	//1449 QSqlTableModel::trUtf8(const char*)
    {80, 81, 0, 0, Smoke::mf_ctor, 239, 52},	//1450 QSqlTableModel::QSqlTableModel()
    {80, 81, 1958, 1, Smoke::mf_ctor, 239, 53},	//1451 QSqlTableModel::QSqlTableModel(QObject*)
    {80, 256, 5, 1, Smoke::mf_const, 281, 54},	//1452 QSqlTableModel::data(const QModelIndex&) const
    {80, 773, 2108, 2, 0, 372, 55},	//1453 QSqlTableModel::setData(const QModelIndex&, const QVariant&)
    {80, 318, 2073, 2, Smoke::mf_const, 281, 56},	//1454 QSqlTableModel::headerData(int, Qt::Orientation) const
    {80, 754, 0, 0, Smoke::mf_const, 477, 57},	//1455 QSqlTableModel::rowCount() const
    {80, 734, 2080, 2, 0, 372, 58},	//1456 QSqlTableModel::removeColumns(int, int)
    {80, 739, 2080, 2, 0, 372, 59},	//1457 QSqlTableModel::removeRows(int, int)
    {80, 337, 2080, 2, 0, 372, 60},	//1458 QSqlTableModel::insertRows(int, int)
    {80, 869, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 404, 61},	//1459 QSqlTableModel::staticMetaObject() const
    {80, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 240, 62},	//1460 QSqlTableModel::OnFieldChange (enum)
    {80, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 240, 63},	//1461 QSqlTableModel::OnRowChange (enum)
    {80, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 240, 64},	//1462 QSqlTableModel::OnManualSubmit (enum)
    {80, 926, 0, 0, Smoke::mf_dtor, 0, 65 },	//1463 QSqlTableModel::~QSqlTableModel()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    1276,  // QSqlRecord::field(int) const
    1277,  // QSqlRecord::field(const QString&) const
    0,
    1278,  // QSqlRecord::isGenerated(int) const
    1279,  // QSqlRecord::isGenerated(const QString&) const
    0,
    1272,  // QSqlRecord::isNull(int) const
    1273,  // QSqlRecord::isNull(const QString&) const
    0,
    1280,  // QSqlRecord::setGenerated(const QString&, bool)
    1281,  // QSqlRecord::setGenerated(int, bool)
    0,
    1270,  // QSqlRecord::setNull(int)
    1271,  // QSqlRecord::setNull(const QString&)
    0,
    1268,  // QSqlRecord::setValue(int, const QVariant&)
    1269,  // QSqlRecord::setValue(const QString&, const QVariant&)
    0,
    1266,  // QSqlRecord::value(int) const
    1267,  // QSqlRecord::value(const QString&) const
    0,
    1359,  // QSqlResult::bindValue(int, const QVariant&, QFlags<QSql::ParamTypeFlag>)
    1360,  // QSqlResult::bindValue(const QString&, const QVariant&, QFlags<QSql::ParamTypeFlag>)
    0,
    1364,  // QSqlResult::bindValueType(const QString&) const
    1365,  // QSqlResult::bindValueType(int) const
    0,
    1362,  // QSqlResult::boundValue(const QString&) const
    1363,  // QSqlResult::boundValue(int) const
    0,
    28,  // QGlobalSpace::operator!=(const QVector2D&, const QVector2D&)
    106,  // QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    170,  // QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    185,  // QGlobalSpace::operator!=(QString::Null, QString::Null)
    269,  // QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    310,  // QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    340,  // QGlobalSpace::operator!=(const QQuaternion&, const QQuaternion&)
    349,  // QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    433,  // QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    442,  // QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    493,  // QGlobalSpace::operator!=(const QVector4D&, const QVector4D&)
    507,  // QGlobalSpace::operator!=(QChar, QChar)
    550,  // QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    642,  // QGlobalSpace::operator!=(const QRect&, const QRect&)
    672,  // QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    721,  // QGlobalSpace::operator!=(const QVector3D&, const QVector3D&)
    731,  // QGlobalSpace::operator!=(const QSize&, const QSize&)
    734,  // QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    789,  // QGlobalSpace::operator!=(QBool, QBool)
    809,  // QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    0,
    89,  // QGlobalSpace::operator!=(QString::Null, const QString&)
    118,  // QGlobalSpace::operator!=(const QStringRef&, const QString&)
    141,  // QGlobalSpace::operator!=(const QByteArray&, const char*)
    528,  // QGlobalSpace::operator!=(const QStringRef&, const char*)
    729,  // QGlobalSpace::operator!=(QBool, bool)
    0,
    259,  // QGlobalSpace::operator!=(const QString&, QString::Null)
    388,  // QGlobalSpace::operator!=(bool, QBool)
    441,  // QGlobalSpace::operator!=(const char*, const QByteArray&)
    519,  // QGlobalSpace::operator!=(const char*, const QStringRef&)
    702,  // QGlobalSpace::operator!=(const char*, const QLatin1String&)
    744,  // QGlobalSpace::operator!=(const QString&, const QStringRef&)
    0,
    35,  // QGlobalSpace::operator*(const QPointF&, const QMatrix&)
    67,  // QGlobalSpace::operator*(const QMatrix4x4&, const QPoint&)
    72,  // QGlobalSpace::operator*(const QMatrix4x4&, const QVector4D&)
    75,  // QGlobalSpace::operator*(const QMatrix4x4&, const QMatrix4x4&)
    117,  // QGlobalSpace::operator*(const QVector3D&, const QVector3D&)
    134,  // QGlobalSpace::operator*(const QVector3D&, const QMatrix4x4&)
    186,  // QGlobalSpace::operator*(const QVector4D&, const QVector4D&)
    244,  // QGlobalSpace::operator*(const QLine&, const QTransform&)
    270,  // QGlobalSpace::operator*(const QPainterPath&, const QMatrix&)
    290,  // QGlobalSpace::operator*(const QRegion&, const QMatrix&)
    308,  // QGlobalSpace::operator*(const QVector4D&, const QMatrix4x4&)
    333,  // QGlobalSpace::operator*(const QVector2D&, const QVector2D&)
    408,  // QGlobalSpace::operator*(const QPointF&, const QMatrix4x4&)
    419,  // QGlobalSpace::operator*(const QPolygonF&, const QMatrix&)
    479,  // QGlobalSpace::operator*(const QLineF&, const QMatrix&)
    527,  // QGlobalSpace::operator*(const QPoint&, const QTransform&)
    557,  // QGlobalSpace::operator*(const QRegion&, const QTransform&)
    562,  // QGlobalSpace::operator*(const QPainterPath&, const QTransform&)
    567,  // QGlobalSpace::operator*(const QPolygonF&, const QTransform&)
    633,  // QGlobalSpace::operator*(const QLine&, const QMatrix&)
    689,  // QGlobalSpace::operator*(const QPoint&, const QMatrix4x4&)
    691,  // QGlobalSpace::operator*(const QPoint&, const QMatrix&)
    701,  // QGlobalSpace::operator*(const QMatrix4x4&, const QVector3D&)
    713,  // QGlobalSpace::operator*(const QMatrix4x4&, const QPointF&)
    723,  // QGlobalSpace::operator*(const QPolygon&, const QTransform&)
    738,  // QGlobalSpace::operator*(const QLineF&, const QTransform&)
    749,  // QGlobalSpace::operator*(const QQuaternion&, const QQuaternion&)
    752,  // QGlobalSpace::operator*(const QPointF&, const QTransform&)
    805,  // QGlobalSpace::operator*(const QPolygon&, const QMatrix&)
    0,
    81,  // QGlobalSpace::operator*(const QMatrix4x4&, double)
    178,  // QGlobalSpace::operator*(const QTransform&, double)
    284,  // QGlobalSpace::operator*(const QQuaternion&, double)
    436,  // QGlobalSpace::operator*(const QVector4D&, double)
    491,  // QGlobalSpace::operator*(const QVector2D&, double)
    498,  // QGlobalSpace::operator*(const QVector3D&, double)
    559,  // QGlobalSpace::operator*(const QSize&, double)
    682,  // QGlobalSpace::operator*(const QPoint&, int)
    709,  // QGlobalSpace::operator*(const QPoint&, double)
    718,  // QGlobalSpace::operator*(const QSizeF&, double)
    725,  // QGlobalSpace::operator*(const QPoint&, float)
    740,  // QGlobalSpace::operator*(const QPointF&, double)
    0,
    101,  // QGlobalSpace::operator*(double, const QSizeF&)
    344,  // QGlobalSpace::operator*(int, const QPoint&)
    395,  // QGlobalSpace::operator*(double, const QVector2D&)
    423,  // QGlobalSpace::operator*(float, const QPoint&)
    444,  // QGlobalSpace::operator*(double, const QVector4D&)
    490,  // QGlobalSpace::operator*(double, const QQuaternion&)
    554,  // QGlobalSpace::operator*(double, const QPointF&)
    566,  // QGlobalSpace::operator*(double, const QPoint&)
    626,  // QGlobalSpace::operator*(double, const QMatrix4x4&)
    726,  // QGlobalSpace::operator*(double, const QSize&)
    793,  // QGlobalSpace::operator*(double, const QVector3D&)
    0,
    61,  // QGlobalSpace::operator+(const QMatrix4x4&, const QMatrix4x4&)
    96,  // QGlobalSpace::operator+(const QVector3D&, const QVector3D&)
    129,  // QGlobalSpace::operator+(const QPoint&, const QPoint&)
    154,  // QGlobalSpace::operator+(const QSize&, const QSize&)
    159,  // QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    216,  // QGlobalSpace::operator+(const QVector4D&, const QVector4D&)
    289,  // QGlobalSpace::operator+(const QPointF&, const QPointF&)
    301,  // QGlobalSpace::operator+(const QVector2D&, const QVector2D&)
    367,  // QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    761,  // QGlobalSpace::operator+(const QQuaternion&, const QQuaternion&)
    0,
    189,  // QGlobalSpace::operator+(const QByteArray&, const char*)
    200,  // QGlobalSpace::operator+(const QByteArray&, const QString&)
    243,  // QGlobalSpace::operator+(const QTransform&, double)
    249,  // QGlobalSpace::operator+(QChar, const QString&)
    450,  // QGlobalSpace::operator+(const QByteArray&, char)
    0,
    41,  // QGlobalSpace::operator+(const char*, const QByteArray&)
    132,  // QGlobalSpace::operator+(const QString&, const QByteArray&)
    184,  // QGlobalSpace::operator+(const QString&, QChar)
    536,  // QGlobalSpace::operator+(char, const QByteArray&)
    0,
    194,  // QGlobalSpace::operator+(const QString&, const char*)
    268,  // QGlobalSpace::operator+(const QString&, char)
    360,  // QGlobalSpace::operator+(char, const QString&)
    543,  // QGlobalSpace::operator+(const char*, const QString&)
    788,  // QGlobalSpace::operator+(const QString&, const QString&)
    0,
    77,  // QGlobalSpace::operator-(const QMatrix4x4&)
    258,  // QGlobalSpace::operator-(const QQuaternion&)
    293,  // QGlobalSpace::operator-(const QPoint&)
    396,  // QGlobalSpace::operator-(const QVector4D&)
    411,  // QGlobalSpace::operator-(const QPointF&)
    623,  // QGlobalSpace::operator-(const QVector2D&)
    666,  // QGlobalSpace::operator-(const QVector3D&)
    0,
    25,  // QGlobalSpace::operator-(const QMatrix4x4&, const QMatrix4x4&)
    107,  // QGlobalSpace::operator-(const QPoint&, const QPoint&)
    133,  // QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    137,  // QGlobalSpace::operator-(const QVector3D&, const QVector3D&)
    164,  // QGlobalSpace::operator-(const QVector4D&, const QVector4D&)
    271,  // QGlobalSpace::operator-(const QPointF&, const QPointF&)
    354,  // QGlobalSpace::operator-(const QVector2D&, const QVector2D&)
    541,  // QGlobalSpace::operator-(const QSize&, const QSize&)
    739,  // QGlobalSpace::operator-(const QQuaternion&, const QQuaternion&)
    0,
    125,  // QGlobalSpace::operator/(const QPoint&, double)
    160,  // QGlobalSpace::operator/(const QMatrix4x4&, double)
    317,  // QGlobalSpace::operator/(const QVector4D&, double)
    385,  // QGlobalSpace::operator/(const QVector2D&, double)
    387,  // QGlobalSpace::operator/(const QPointF&, double)
    393,  // QGlobalSpace::operator/(const QVector3D&, double)
    401,  // QGlobalSpace::operator/(const QTransform&, double)
    454,  // QGlobalSpace::operator/(const QSizeF&, double)
    471,  // QGlobalSpace::operator/(const QQuaternion&, double)
    690,  // QGlobalSpace::operator/(const QSize&, double)
    0,
    85,  // QGlobalSpace::operator<(QChar, QChar)
    165,  // QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    277,  // QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    728,  // QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    0,
    91,  // QGlobalSpace::operator<(const char*, const QByteArray&)
    443,  // QGlobalSpace::operator<(const char*, const QLatin1String&)
    0,
    39,  // QGlobalSpace::operator<<(QDataStream&, const QKeySequence&)
    50,  // QGlobalSpace::operator<<(QDataStream&, const QPolygonF&)
    64,  // QGlobalSpace::operator<<(QDataStream&, const QRegion&)
    68,  // QGlobalSpace::operator<<(QDataStream&, const QTextLength&)
    69,  // QGlobalSpace::operator<<(QDebug, const QBrush&)
    74,  // QGlobalSpace::operator<<(QDebug, const QQuaternion&)
    82,  // QGlobalSpace::operator<<(QDataStream&, const QPalette&)
    83,  // QGlobalSpace::operator<<(QDebug, const QUrl&)
    109,  // QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    121,  // QGlobalSpace::operator<<(QDebug, const QMargins&)
    130,  // QGlobalSpace::operator<<(QDataStream&, const QTransform&)
    136,  // QGlobalSpace::operator<<(QDebug, const QPointF&)
    142,  // QGlobalSpace::operator<<(QDataStream&, const QPixmap&)
    145,  // QGlobalSpace::operator<<(QDebug, const QLineF&)
    147,  // QGlobalSpace::operator<<(QDebug, const QDateTime&)
    152,  // QGlobalSpace::operator<<(QDataStream&, const QPicture&)
    181,  // QGlobalSpace::operator<<(QDebug, const QPoint&)
    190,  // QGlobalSpace::operator<<(QDebug, const QSqlField&)
    199,  // QGlobalSpace::operator<<(QDataStream&, const QCursor&)
    218,  // QGlobalSpace::operator<<(QDataStream&, const QMatrix&)
    219,  // QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    220,  // QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    229,  // QGlobalSpace::operator<<(QDebug, const QEvent*)
    245,  // QGlobalSpace::operator<<(QDebug, const QPolygonF&)
    295,  // QGlobalSpace::operator<<(QDataStream&, const QTime&)
    307,  // QGlobalSpace::operator<<(QDataStream&, const QPainterPath&)
    312,  // QGlobalSpace::operator<<(QDebug, const QItemSelectionRange&)
    313,  // QGlobalSpace::operator<<(QDebug, const QKeySequence&)
    319,  // QGlobalSpace::operator<<(QTextStream&, const QSplitter&)
    328,  // QGlobalSpace::operator<<(QDataStream&, const QVector3D&)
    334,  // QGlobalSpace::operator<<(QDataStream&, const QVector2D&)
    335,  // QGlobalSpace::operator<<(QDataStream&, const QBrush&)
    343,  // QGlobalSpace::operator<<(QDataStream&, const QTreeWidgetItem&)
    351,  // QGlobalSpace::operator<<(QDataStream&, const QImage&)
    371,  // QGlobalSpace::operator<<(QDebug, const QRegion&)
    372,  // QGlobalSpace::operator<<(QDataStream&, const QVector4D&)
    373,  // QGlobalSpace::operator<<(QDataStream&, const QIcon&)
    375,  // QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    405,  // QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    412,  // QGlobalSpace::operator<<(QDebug, const QStyleOption&)
    418,  // QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    426,  // QGlobalSpace::operator<<(QDebug, const QSqlError&)
    430,  // QGlobalSpace::operator<<(QDataStream&, const QMatrix4x4&)
    438,  // QGlobalSpace::operator<<(QDataStream&, const QStandardItem&)
    439,  // QGlobalSpace::operator<<(QDebug, QGraphicsObject*)
    449,  // QGlobalSpace::operator<<(QDebug, const QMatrix4x4&)
    457,  // QGlobalSpace::operator<<(QDataStream&, const QDate&)
    467,  // QGlobalSpace::operator<<(QDataStream&, const QLine&)
    475,  // QGlobalSpace::operator<<(QDataStream&, const QListWidgetItem&)
    480,  // QGlobalSpace::operator<<(QDataStream&, const QTextFormat&)
    486,  // QGlobalSpace::operator<<(QDebug, const QDir&)
    487,  // QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    489,  // QGlobalSpace::operator<<(QDebug, const QPen&)
    492,  // QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    495,  // QGlobalSpace::operator<<(QDebug, const QVector3D&)
    500,  // QGlobalSpace::operator<<(QDebug, const QVector2D&)
    502,  // QGlobalSpace::operator<<(QDebug, const QTime&)
    503,  // QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    505,  // QGlobalSpace::operator<<(QDebug, const QVector4D&)
    521,  // QGlobalSpace::operator<<(QDataStream&, const QSizePolicy&)
    533,  // QGlobalSpace::operator<<(QDebug, const QSizeF&)
    539,  // QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    542,  // QGlobalSpace::operator<<(QDebug, const QVariant&)
    560,  // QGlobalSpace::operator<<(QDebug, const QDate&)
    569,  // QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    595,  // QGlobalSpace::operator<<(QDataStream&, const QPen&)
    601,  // QGlobalSpace::operator<<(QDebug, const QLine&)
    610,  // QGlobalSpace::operator<<(QDebug, const QTransform&)
    615,  // QGlobalSpace::operator<<(QDebug, const QPolygon&)
    625,  // QGlobalSpace::operator<<(QDataStream&, const QColor&)
    627,  // QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    634,  // QGlobalSpace::operator<<(QDataStream&, const QEasingCurve&)
    635,  // QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    637,  // QGlobalSpace::operator<<(QDebug, const QRect&)
    638,  // QGlobalSpace::operator<<(QDebug, const QFont&)
    649,  // QGlobalSpace::operator<<(QDataStream&, const QSize&)
    654,  // QGlobalSpace::operator<<(QDataStream&, const QChar&)
    661,  // QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    667,  // QGlobalSpace::operator<<(QDebug, const QRectF&)
    703,  // QGlobalSpace::operator<<(QDataStream&, const QTableWidgetItem&)
    704,  // QGlobalSpace::operator<<(QDebug, QGraphicsItem*)
    717,  // QGlobalSpace::operator<<(QDataStream&, const QFont&)
    733,  // QGlobalSpace::operator<<(QDebug, const QSize&)
    737,  // QGlobalSpace::operator<<(QDebug, const QSqlDatabase&)
    753,  // QGlobalSpace::operator<<(QDebug, const QColor&)
    754,  // QGlobalSpace::operator<<(QDebug, const QMatrix&)
    755,  // QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    767,  // QGlobalSpace::operator<<(QDataStream&, const QRect&)
    776,  // QGlobalSpace::operator<<(QDataStream&, const QQuaternion&)
    778,  // QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    780,  // QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    792,  // QGlobalSpace::operator<<(QDebug, const QPainterPath&)
    794,  // QGlobalSpace::operator<<(QDebug, const QSqlRecord&)
    807,  // QGlobalSpace::operator<<(QDebug, const QObject*)
    810,  // QGlobalSpace::operator<<(QDataStream&, const QPolygon&)
    812,  // QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    0,
    33,  // QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    90,  // QGlobalSpace::operator<<(QDebug, QGraphicsItem::GraphicsItemFlag)
    254,  // QGlobalSpace::operator<<(QDebug, QGraphicsItem::GraphicsItemChange)
    329,  // QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    374,  // QGlobalSpace::operator<<(QDataStream&, const QString&)
    478,  // QGlobalSpace::operator<<(QDebug, QFlags<QGraphicsItem::GraphicsItemFlag>)
    552,  // QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    687,  // QGlobalSpace::operator<<(QDebug, QFlags<QStyle::StateFlag>)
    747,  // QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    806,  // QGlobalSpace::operator<<(QDebug, const QStyleOption::OptionType&)
    0,
    215,  // QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    240,  // QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    466,  // QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    668,  // QGlobalSpace::operator<=(QChar, QChar)
    0,
    464,  // QGlobalSpace::operator<=(const char*, const QByteArray&)
    532,  // QGlobalSpace::operator<=(const char*, const QLatin1String&)
    0,
    27,  // QGlobalSpace::operator==(const QVector3D&, const QVector3D&)
    38,  // QGlobalSpace::operator==(const QSize&, const QSize&)
    49,  // QGlobalSpace::operator==(const QPointF&, const QPointF&)
    71,  // QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    73,  // QGlobalSpace::operator==(QChar, QChar)
    103,  // QGlobalSpace::operator==(const QQuaternion&, const QQuaternion&)
    208,  // QGlobalSpace::operator==(const QRect&, const QRect&)
    231,  // QGlobalSpace::operator==(QBool, QBool)
    272,  // QGlobalSpace::operator==(QString::Null, QString::Null)
    292,  // QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    299,  // QGlobalSpace::operator==(const QMargins&, const QMargins&)
    364,  // QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    389,  // QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    447,  // QGlobalSpace::operator==(const QRectF&, const QRectF&)
    456,  // QGlobalSpace::operator==(const QVector4D&, const QVector4D&)
    459,  // QGlobalSpace::operator==(const QPoint&, const QPoint&)
    558,  // QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    582,  // QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    645,  // QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    695,  // QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    722,  // QGlobalSpace::operator==(const QVector2D&, const QVector2D&)
    0,
    37,  // QGlobalSpace::operator==(const QStringRef&, const QString&)
    171,  // QGlobalSpace::operator==(QKeyEvent*, QKeySequence::StandardKey)
    362,  // QGlobalSpace::operator==(QString::Null, const QString&)
    715,  // QGlobalSpace::operator==(const QByteArray&, const char*)
    720,  // QGlobalSpace::operator==(const QStringRef&, const char*)
    772,  // QGlobalSpace::operator==(QBool, bool)
    0,
    32,  // QGlobalSpace::operator==(const char*, const QLatin1String&)
    58,  // QGlobalSpace::operator==(const QString&, const QStringRef&)
    233,  // QGlobalSpace::operator==(const char*, const QStringRef&)
    414,  // QGlobalSpace::operator==(bool, QBool)
    485,  // QGlobalSpace::operator==(const QString&, QString::Null)
    538,  // QGlobalSpace::operator==(const char*, const QByteArray&)
    656,  // QGlobalSpace::operator==(QKeySequence::StandardKey, QKeyEvent*)
    0,
    99,  // QGlobalSpace::operator>(QChar, QChar)
    195,  // QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    211,  // QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    345,  // QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    0,
    59,  // QGlobalSpace::operator>(const char*, const QByteArray&)
    169,  // QGlobalSpace::operator>(const char*, const QLatin1String&)
    0,
    21,  // QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    88,  // QGlobalSpace::operator>=(QChar, QChar)
    455,  // QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    596,  // QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    0,
    425,  // QGlobalSpace::operator>=(const char*, const QByteArray&)
    800,  // QGlobalSpace::operator>=(const char*, const QLatin1String&)
    0,
    34,  // QGlobalSpace::operator>>(QDataStream&, QIcon&)
    42,  // QGlobalSpace::operator>>(QDataStream&, QStandardItem&)
    47,  // QGlobalSpace::operator>>(QDataStream&, QQuaternion&)
    52,  // QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    84,  // QGlobalSpace::operator>>(QDataStream&, QColor&)
    86,  // QGlobalSpace::operator>>(QDataStream&, QTableWidgetItem&)
    174,  // QGlobalSpace::operator>>(QTextStream&, QSplitter&)
    182,  // QGlobalSpace::operator>>(QDataStream&, QLocale&)
    198,  // QGlobalSpace::operator>>(QDataStream&, QPalette&)
    230,  // QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    241,  // QGlobalSpace::operator>>(QDataStream&, QPen&)
    255,  // QGlobalSpace::operator>>(QDataStream&, QUrl&)
    264,  // QGlobalSpace::operator>>(QDataStream&, QBrush&)
    276,  // QGlobalSpace::operator>>(QDataStream&, QSizePolicy&)
    348,  // QGlobalSpace::operator>>(QDataStream&, QLineF&)
    361,  // QGlobalSpace::operator>>(QDataStream&, QSize&)
    363,  // QGlobalSpace::operator>>(QDataStream&, QKeySequence&)
    376,  // QGlobalSpace::operator>>(QDataStream&, QVector3D&)
    383,  // QGlobalSpace::operator>>(QDataStream&, QVector2D&)
    398,  // QGlobalSpace::operator>>(QDataStream&, QMatrix4x4&)
    406,  // QGlobalSpace::operator>>(QDataStream&, QVariant&)
    410,  // QGlobalSpace::operator>>(QDataStream&, QImage&)
    415,  // QGlobalSpace::operator>>(QDataStream&, QPicture&)
    420,  // QGlobalSpace::operator>>(QDataStream&, QVector4D&)
    437,  // QGlobalSpace::operator>>(QDataStream&, QTransform&)
    453,  // QGlobalSpace::operator>>(QDataStream&, QPoint&)
    468,  // QGlobalSpace::operator>>(QDataStream&, QMatrix&)
    484,  // QGlobalSpace::operator>>(QDataStream&, QTreeWidgetItem&)
    506,  // QGlobalSpace::operator>>(QDataStream&, QTextFormat&)
    515,  // QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    516,  // QGlobalSpace::operator>>(QDataStream&, QPolygon&)
    518,  // QGlobalSpace::operator>>(QDataStream&, QRegion&)
    535,  // QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    547,  // QGlobalSpace::operator>>(QDataStream&, QTime&)
    548,  // QGlobalSpace::operator>>(QDataStream&, QPixmap&)
    555,  // QGlobalSpace::operator>>(QDataStream&, QEasingCurve&)
    599,  // QGlobalSpace::operator>>(QDataStream&, QPainterPath&)
    609,  // QGlobalSpace::operator>>(QDataStream&, QTextLength&)
    646,  // QGlobalSpace::operator>>(QDataStream&, QRect&)
    660,  // QGlobalSpace::operator>>(QDataStream&, QListWidgetItem&)
    674,  // QGlobalSpace::operator>>(QDataStream&, QUuid&)
    675,  // QGlobalSpace::operator>>(QDataStream&, QFont&)
    679,  // QGlobalSpace::operator>>(QDataStream&, QPolygonF&)
    697,  // QGlobalSpace::operator>>(QDataStream&, QPointF&)
    732,  // QGlobalSpace::operator>>(QDataStream&, QLine&)
    762,  // QGlobalSpace::operator>>(QDataStream&, QRectF&)
    765,  // QGlobalSpace::operator>>(QDataStream&, QCursor&)
    773,  // QGlobalSpace::operator>>(QDataStream&, QChar&)
    774,  // QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    803,  // QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    811,  // QGlobalSpace::operator>>(QDataStream&, QDate&)
    0,
    470,  // QGlobalSpace::operator>>(QDataStream&, QString&)
    683,  // QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    0,
    19,  // QGlobalSpace::operator|(QDateTimeEdit::Section, int)
    24,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    26,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    36,  // QGlobalSpace::operator|(QPaintEngine::DirtyFlag, QFlags<QPaintEngine::DirtyFlag>)
    40,  // QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, QTextEdit::AutoFormattingFlag)
    43,  // QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QStyleOptionButton::ButtonFeature)
    44,  // QGlobalSpace::operator|(QMdiArea::AreaOption, QFlags<QMdiArea::AreaOption>)
    45,  // QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    57,  // QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, int)
    60,  // QGlobalSpace::operator|(QFileDialog::Option, int)
    65,  // QGlobalSpace::operator|(QMessageBox::StandardButton, QMessageBox::StandardButton)
    66,  // QGlobalSpace::operator|(QStyle::SubControl, QFlags<QStyle::SubControl>)
    70,  // QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, QGestureRecognizer::ResultFlag)
    76,  // QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    80,  // QGlobalSpace::operator|(QWidget::RenderFlag, int)
    87,  // QGlobalSpace::operator|(QMainWindow::DockOption, QFlags<QMainWindow::DockOption>)
    92,  // QGlobalSpace::operator|(QWidget::RenderFlag, QFlags<QWidget::RenderFlag>)
    93,  // QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    95,  // QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, int)
    98,  // QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    100,  // QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    104,  // QGlobalSpace::operator|(QDir::Filter, int)
    105,  // QGlobalSpace::operator|(QStyle::SubControl, QStyle::SubControl)
    110,  // QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    111,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    112,  // QGlobalSpace::operator|(QMdiArea::AreaOption, int)
    114,  // QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QFlags<QAbstractItemView::EditTrigger>)
    116,  // QGlobalSpace::operator|(QWizard::WizardOption, QWizard::WizardOption)
    119,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    120,  // QGlobalSpace::operator|(QTextOption::Flag, int)
    122,  // QGlobalSpace::operator|(QUrl::FormattingOption, int)
    123,  // QGlobalSpace::operator|(QFile::Permission, int)
    124,  // QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, QFlags<QGestureRecognizer::ResultFlag>)
    131,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    140,  // QGlobalSpace::operator|(QFileDialog::Option, QFlags<QFileDialog::Option>)
    143,  // QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    144,  // QGlobalSpace::operator|(QWizard::WizardOption, int)
    148,  // QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, QFlags<QDockWidget::DockWidgetFeature>)
    151,  // QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, QGraphicsView::CacheModeFlag)
    153,  // QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    155,  // QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    156,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    161,  // QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, int)
    162,  // QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QAbstractItemView::EditTrigger)
    163,  // QGlobalSpace::operator|(QLocale::NumberOption, int)
    173,  // QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QStyleOptionQ3ListViewItem::Q3ListViewItemFeature)
    177,  // QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    180,  // QGlobalSpace::operator|(QPainter::RenderHint, QFlags<QPainter::RenderHint>)
    187,  // QGlobalSpace::operator|(QAccessible::RelationFlag, QFlags<QAccessible::RelationFlag>)
    192,  // QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QFlags<QStyleOptionFrameV2::FrameFeature>)
    193,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    196,  // QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    203,  // QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    205,  // QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, QFlags<QTextEdit::AutoFormattingFlag>)
    209,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    212,  // QGlobalSpace::operator|(QMessageBox::StandardButton, QFlags<QMessageBox::StandardButton>)
    217,  // QGlobalSpace::operator|(QPinchGesture::ChangeFlag, QFlags<QPinchGesture::ChangeFlag>)
    224,  // QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, int)
    226,  // QGlobalSpace::operator|(QDateTimeEdit::Section, QDateTimeEdit::Section)
    228,  // QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QFlags<QStyleOptionViewItemV2::ViewItemFeature>)
    232,  // QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, QGraphicsEffect::ChangeFlag)
    234,  // QGlobalSpace::operator|(QFontComboBox::FontFilter, int)
    235,  // QGlobalSpace::operator|(Qt::ToolBarArea, int)
    238,  // QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, int)
    239,  // QGlobalSpace::operator|(QImageIOPlugin::Capability, QImageIOPlugin::Capability)
    246,  // QGlobalSpace::operator|(Qt::InputMethodHint, int)
    250,  // QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QFlags<QStyleOptionTab::CornerWidget>)
    251,  // QGlobalSpace::operator|(QString::SectionFlag, int)
    252,  // QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, QFlags<QGraphicsBlurEffect::BlurHint>)
    253,  // QGlobalSpace::operator|(QLibrary::LoadHint, int)
    261,  // QGlobalSpace::operator|(QFontDialog::FontDialogOption, QFontDialog::FontDialogOption)
    263,  // QGlobalSpace::operator|(QMainWindow::DockOption, int)
    265,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    267,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    273,  // QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    274,  // QGlobalSpace::operator|(QMainWindow::DockOption, QMainWindow::DockOption)
    275,  // QGlobalSpace::operator|(QWizard::WizardOption, QFlags<QWizard::WizardOption>)
    279,  // QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    285,  // QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    288,  // QGlobalSpace::operator|(QPinchGesture::ChangeFlag, QPinchGesture::ChangeFlag)
    291,  // QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    294,  // QGlobalSpace::operator|(Qt::DropAction, int)
    296,  // QGlobalSpace::operator|(QDir::SortFlag, int)
    309,  // QGlobalSpace::operator|(QTextDocument::FindFlag, int)
    314,  // QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, QDockWidget::DockWidgetFeature)
    320,  // QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    323,  // QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    326,  // QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QStyleOptionToolBar::ToolBarFeature)
    327,  // QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QFlags<QItemSelectionModel::SelectionFlag>)
    330,  // QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    332,  // QGlobalSpace::operator|(QTextItem::RenderFlag, QFlags<QTextItem::RenderFlag>)
    341,  // QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, int)
    347,  // QGlobalSpace::operator|(QTextFormat::PageBreakFlag, QTextFormat::PageBreakFlag)
    350,  // QGlobalSpace::operator|(QPaintEngine::DirtyFlag, QPaintEngine::DirtyFlag)
    352,  // QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    353,  // QGlobalSpace::operator|(QInputDialog::InputDialogOption, QFlags<QInputDialog::InputDialogOption>)
    365,  // QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QStyleOptionTab::CornerWidget)
    366,  // QGlobalSpace::operator|(QDialogButtonBox::StandardButton, int)
    368,  // QGlobalSpace::operator|(QTextFormat::PageBreakFlag, QFlags<QTextFormat::PageBreakFlag>)
    382,  // QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    384,  // QGlobalSpace::operator|(QMessageBox::StandardButton, int)
    386,  // QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QStyleOptionFrameV2::FrameFeature)
    390,  // QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, QGraphicsView::OptimizationFlag)
    391,  // QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QItemSelectionModel::SelectionFlag)
    392,  // QGlobalSpace::operator|(QInputDialog::InputDialogOption, QInputDialog::InputDialogOption)
    397,  // QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, QFlags<QTreeWidgetItemIterator::IteratorFlag>)
    400,  // QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QFlags<QStyleOptionToolBar::ToolBarFeature>)
    402,  // QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, int)
    404,  // QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, int)
    409,  // QGlobalSpace::operator|(Qt::MouseButton, int)
    413,  // QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, QFlags<QAbstractPrintDialog::PrintDialogOption>)
    416,  // QGlobalSpace::operator|(QColorDialog::ColorDialogOption, int)
    421,  // QGlobalSpace::operator|(QColorDialog::ColorDialogOption, QColorDialog::ColorDialogOption)
    427,  // QGlobalSpace::operator|(QFileDialog::Option, QFileDialog::Option)
    428,  // QGlobalSpace::operator|(QTextOption::Flag, QTextOption::Flag)
    429,  // QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    432,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    440,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    445,  // QGlobalSpace::operator|(QAccessible::RelationFlag, int)
    446,  // QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, QFlags<QMdiSubWindow::SubWindowOption>)
    451,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    452,  // QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    458,  // QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, int)
    463,  // QGlobalSpace::operator|(QSizePolicy::ControlType, QSizePolicy::ControlType)
    469,  // QGlobalSpace::operator|(QDialogButtonBox::StandardButton, QDialogButtonBox::StandardButton)
    474,  // QGlobalSpace::operator|(QStyle::StateFlag, QStyle::StateFlag)
    476,  // QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, int)
    481,  // QGlobalSpace::operator|(QSql::ParamTypeFlag, int)
    482,  // QGlobalSpace::operator|(Qt::ItemFlag, int)
    494,  // QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, QFlags<QGraphicsItem::GraphicsItemFlag>)
    496,  // QGlobalSpace::operator|(QTextItem::RenderFlag, QTextItem::RenderFlag)
    497,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    501,  // QGlobalSpace::operator|(QImageIOPlugin::Capability, QFlags<QImageIOPlugin::Capability>)
    508,  // QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    511,  // QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, int)
    512,  // QGlobalSpace::operator|(QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>)
    514,  // QGlobalSpace::operator|(QWidget::RenderFlag, QWidget::RenderFlag)
    520,  // QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QAbstractSpinBox::StepEnabledFlag)
    522,  // QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QStyleOptionToolButton::ToolButtonFeature)
    523,  // QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, int)
    526,  // QGlobalSpace::operator|(QGraphicsScene::SceneLayer, QFlags<QGraphicsScene::SceneLayer>)
    534,  // QGlobalSpace::operator|(Qt::GestureFlag, int)
    537,  // QGlobalSpace::operator|(QStyle::StateFlag, int)
    540,  // QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QFlags<QStyleOptionToolButton::ToolButtonFeature>)
    544,  // QGlobalSpace::operator|(QAccessible::StateFlag, QAccessible::StateFlag)
    545,  // QGlobalSpace::operator|(QPainter::RenderHint, QPainter::RenderHint)
    546,  // QGlobalSpace::operator|(Qt::WindowState, int)
    549,  // QGlobalSpace::operator|(QDateTimeEdit::Section, QFlags<QDateTimeEdit::Section>)
    551,  // QGlobalSpace::operator|(QTextOption::Flag, QFlags<QTextOption::Flag>)
    553,  // QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    556,  // QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    563,  // QGlobalSpace::operator|(QAccessible::StateFlag, QFlags<QAccessible::StateFlag>)
    564,  // QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    575,  // QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, QMdiSubWindow::SubWindowOption)
    576,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    578,  // QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    579,  // QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    583,  // QGlobalSpace::operator|(QInputDialog::InputDialogOption, int)
    584,  // QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    588,  // QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, QTreeWidgetItemIterator::IteratorFlag)
    589,  // QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeature>)
    590,  // QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, QFlags<QGraphicsView::OptimizationFlag>)
    592,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    593,  // QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    594,  // QGlobalSpace::operator|(QGraphicsScene::SceneLayer, int)
    597,  // QGlobalSpace::operator|(QSql::ParamTypeFlag, QFlags<QSql::ParamTypeFlag>)
    598,  // QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, QPaintEngine::PaintEngineFeature)
    602,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    608,  // QGlobalSpace::operator|(Qt::TouchPointState, int)
    611,  // QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, int)
    616,  // QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    617,  // QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, int)
    618,  // QGlobalSpace::operator|(QSizePolicy::ControlType, int)
    619,  // QGlobalSpace::operator|(QGraphicsScene::SceneLayer, QGraphicsScene::SceneLayer)
    620,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    621,  // QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    622,  // QGlobalSpace::operator|(QTextFormat::PageBreakFlag, int)
    624,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    632,  // QGlobalSpace::operator|(QAccessible::RelationFlag, QAccessible::RelationFlag)
    639,  // QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    640,  // QGlobalSpace::operator|(QColorDialog::ColorDialogOption, QFlags<QColorDialog::ColorDialogOption>)
    641,  // QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, int)
    644,  // QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    647,  // QGlobalSpace::operator|(QMdiArea::AreaOption, QMdiArea::AreaOption)
    655,  // QGlobalSpace::operator|(QFontComboBox::FontFilter, QFlags<QFontComboBox::FontFilter>)
    657,  // QGlobalSpace::operator|(QFontDialog::FontDialogOption, QFlags<QFontDialog::FontDialogOption>)
    658,  // QGlobalSpace::operator|(QStyle::StateFlag, QFlags<QStyle::StateFlag>)
    659,  // QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    664,  // QGlobalSpace::operator|(QImageIOPlugin::Capability, int)
    665,  // QGlobalSpace::operator|(QTextDocument::FindFlag, QFlags<QTextDocument::FindFlag>)
    669,  // QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    671,  // QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, QFlags<QGraphicsEffect::ChangeFlag>)
    673,  // QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    680,  // QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, QGraphicsItem::GraphicsItemFlag)
    681,  // QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, int)
    684,  // QGlobalSpace::operator|(QSql::ParamTypeFlag, QSql::ParamTypeFlag)
    685,  // QGlobalSpace::operator|(QPainter::RenderHint, int)
    688,  // QGlobalSpace::operator|(QAbstractItemView::EditTrigger, int)
    693,  // QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, QAbstractPrintDialog::PrintDialogOption)
    698,  // QGlobalSpace::operator|(Qt::Orientation, int)
    699,  // QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QStyleOptionViewItemV2::ViewItemFeature)
    710,  // QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    711,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    714,  // QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, int)
    716,  // QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, QFlags<QPaintEngine::PaintEngineFeature>)
    719,  // QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, QGraphicsBlurEffect::BlurHint)
    724,  // QGlobalSpace::operator|(QPaintEngine::DirtyFlag, int)
    727,  // QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, int)
    730,  // QGlobalSpace::operator|(QDialogButtonBox::StandardButton, QFlags<QDialogButtonBox::StandardButton>)
    735,  // QGlobalSpace::operator|(QStyle::SubControl, int)
    736,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    742,  // QGlobalSpace::operator|(QFontDialog::FontDialogOption, int)
    743,  // QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    748,  // QGlobalSpace::operator|(QTextDocument::FindFlag, QTextDocument::FindFlag)
    750,  // QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, int)
    751,  // QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    756,  // QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    757,  // QGlobalSpace::operator|(Qt::WindowType, int)
    759,  // QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, int)
    763,  // QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QFlags<QStyleOptionButton::ButtonFeature>)
    764,  // QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, QFlags<QGraphicsView::CacheModeFlag>)
    766,  // QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, int)
    768,  // QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    769,  // QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    777,  // QGlobalSpace::operator|(QAccessible::StateFlag, int)
    779,  // QGlobalSpace::operator|(QPinchGesture::ChangeFlag, int)
    781,  // QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    783,  // QGlobalSpace::operator|(QTextItem::RenderFlag, int)
    787,  // QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    790,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    798,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    799,  // QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QFlags<QAbstractSpinBox::StepEnabledFlag>)
    804,  // QGlobalSpace::operator|(QFontComboBox::FontFilter, QFontComboBox::FontFilter)
    808,  // QGlobalSpace::operator|(Qt::MatchFlag, int)
    0,
    135,  // QGlobalSpace::qFuzzyCompare(const QVector4D&, const QVector4D&)
    202,  // QGlobalSpace::qFuzzyCompare(const QQuaternion&, const QQuaternion&)
    262,  // QGlobalSpace::qFuzzyCompare(const QTransform&, const QTransform&)
    403,  // QGlobalSpace::qFuzzyCompare(const QMatrix4x4&, const QMatrix4x4&)
    431,  // QGlobalSpace::qFuzzyCompare(const QMatrix&, const QMatrix&)
    561,  // QGlobalSpace::qFuzzyCompare(const QVector2D&, const QVector2D&)
    650,  // QGlobalSpace::qFuzzyCompare(const QVector3D&, const QVector3D&)
    0,
    581,  // QGlobalSpace::qFuzzyCompare(float, float)
    700,  // QGlobalSpace::qFuzzyCompare(double, double)
    0,
    283,  // QGlobalSpace::qFuzzyIsNull(float)
    612,  // QGlobalSpace::qFuzzyIsNull(double)
    0,
    78,  // QGlobalSpace::qHash(const QUrl&)
    79,  // QGlobalSpace::qHash(const QByteArray&)
    175,  // QGlobalSpace::qHash(const QItemSelectionRange&)
    204,  // QGlobalSpace::qHash(QChar)
    225,  // QGlobalSpace::qHash(const QModelIndex&)
    369,  // QGlobalSpace::qHash(const QPersistentModelIndex&)
    499,  // QGlobalSpace::qHash(const QBitArray&)
    796,  // QGlobalSpace::qHash(const QStringRef&)
    0,
    22,  // QGlobalSpace::qHash(unsigned long long)
    56,  // QGlobalSpace::qHash(signed char)
    115,  // QGlobalSpace::qHash(char)
    201,  // QGlobalSpace::qHash(unsigned int)
    214,  // QGlobalSpace::qHash(const QString&)
    257,  // QGlobalSpace::qHash(long long)
    287,  // QGlobalSpace::qHash(int)
    342,  // QGlobalSpace::qHash(long)
    346,  // QGlobalSpace::qHash(unsigned short)
    574,  // QGlobalSpace::qHash(short)
    775,  // QGlobalSpace::qHash(unsigned long)
    802,  // QGlobalSpace::qHash(unsigned char)
    0,
    62,  // QGlobalSpace::qIntCast(double)
    207,  // QGlobalSpace::qIntCast(float)
    0,
    138,  // QGlobalSpace::qIsFinite(double)
    183,  // QGlobalSpace::qIsFinite(float)
    0,
    23,  // QGlobalSpace::qIsInf(double)
    54,  // QGlobalSpace::qIsInf(float)
    0,
    237,  // QGlobalSpace::qIsNaN(float)
    247,  // QGlobalSpace::qIsNaN(double)
    0,
    692,  // QGlobalSpace::qIsNull(float)
    797,  // QGlobalSpace::qIsNull(double)
    0,
    1167,  // QSqlQuery::QSqlQuery(QSqlResult*)
    1169,  // QSqlQuery::QSqlQuery(QSqlDatabase)
    1170,  // QSqlQuery::QSqlQuery(const QSqlQuery&)
    0,
    1213,  // QSqlQuery::bindValue(const QString&, const QVariant&)
    1214,  // QSqlQuery::bindValue(int, const QVariant&)
    0,
    1199,  // QSqlQuery::bindValue(const QString&, const QVariant&, QFlags<QSql::ParamTypeFlag>)
    1200,  // QSqlQuery::bindValue(int, const QVariant&, QFlags<QSql::ParamTypeFlag>)
    0,
    1202,  // QSqlQuery::boundValue(const QString&) const
    1203,  // QSqlQuery::boundValue(int) const
    0,
    941,  // QSqlDatabase::QSqlDatabase(const QSqlDatabase&)
    985,  // QSqlDatabase::QSqlDatabase(QSqlDriver*)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {21, 84, 900},	// QGlobalSpace::QtCriticalMsg
    {21, 85, 898},	// QGlobalSpace::QtDebugMsg
    {21, 86, 901},	// QGlobalSpace::QtFatalMsg
    {21, 87, 902},	// QGlobalSpace::QtSystemMsg
    {21, 88, 899},	// QGlobalSpace::QtWarningMsg
    {21, 91, 876},	// QGlobalSpace::SP_CustomCameraCaptureButton
    {21, 92, 877},	// QGlobalSpace::SP_CustomCameraCaptureButtonPressed
    {21, 93, 878},	// QGlobalSpace::SP_CustomCameraPauseButton
    {21, 94, 879},	// QGlobalSpace::SP_CustomCameraPauseButtonPressed
    {21, 95, 880},	// QGlobalSpace::SP_CustomCameraPlayButton
    {21, 96, 881},	// QGlobalSpace::SP_CustomCameraPlayButtonPressed
    {21, 97, 882},	// QGlobalSpace::SP_CustomCameraRecButton
    {21, 98, 883},	// QGlobalSpace::SP_CustomCameraRecButtonPressed
    {21, 99, 884},	// QGlobalSpace::SP_CustomCameraStopButton
    {21, 100, 885},	// QGlobalSpace::SP_CustomCameraStopButtonPressed
    {21, 101, 886},	// QGlobalSpace::SP_CustomTabAll
    {21, 102, 887},	// QGlobalSpace::SP_CustomTabArtist
    {21, 103, 888},	// QGlobalSpace::SP_CustomTabFavourite
    {21, 104, 889},	// QGlobalSpace::SP_CustomTabGenre
    {21, 105, 890},	// QGlobalSpace::SP_CustomTabLanguage
    {21, 106, 891},	// QGlobalSpace::SP_CustomTabMusicAlbum
    {21, 107, 892},	// QGlobalSpace::SP_CustomTabPhotosAlbum
    {21, 108, 893},	// QGlobalSpace::SP_CustomTabPhotosAll
    {21, 109, 894},	// QGlobalSpace::SP_CustomTabPlaylist
    {21, 110, 895},	// QGlobalSpace::SP_CustomTabServices
    {21, 111, 896},	// QGlobalSpace::SP_CustomTabSongs
    {21, 112, 897},	// QGlobalSpace::SP_CustomTabVideos
    {21, 113, 813},	// QGlobalSpace::SP_CustomToolBarAdd
    {21, 114, 814},	// QGlobalSpace::SP_CustomToolBarAddDetail
    {21, 115, 815},	// QGlobalSpace::SP_CustomToolBarAgain
    {21, 116, 816},	// QGlobalSpace::SP_CustomToolBarAgenda
    {21, 117, 817},	// QGlobalSpace::SP_CustomToolBarAudioOff
    {21, 118, 818},	// QGlobalSpace::SP_CustomToolBarAudioOn
    {21, 119, 819},	// QGlobalSpace::SP_CustomToolBarBack
    {21, 120, 820},	// QGlobalSpace::SP_CustomToolBarBluetoothOff
    {21, 121, 821},	// QGlobalSpace::SP_CustomToolBarBluetoothOn
    {21, 122, 822},	// QGlobalSpace::SP_CustomToolBarCancel
    {21, 123, 823},	// QGlobalSpace::SP_CustomToolBarDelete
    {21, 124, 824},	// QGlobalSpace::SP_CustomToolBarDone
    {21, 125, 825},	// QGlobalSpace::SP_CustomToolBarEdit
    {21, 126, 826},	// QGlobalSpace::SP_CustomToolBarEditDisabled
    {21, 127, 827},	// QGlobalSpace::SP_CustomToolBarEmailSend
    {21, 128, 828},	// QGlobalSpace::SP_CustomToolBarEmergencyCall
    {21, 129, 829},	// QGlobalSpace::SP_CustomToolBarFavouriteAdd
    {21, 130, 830},	// QGlobalSpace::SP_CustomToolBarFavouriteRemove
    {21, 131, 831},	// QGlobalSpace::SP_CustomToolBarFavourites
    {21, 132, 832},	// QGlobalSpace::SP_CustomToolBarGo
    {21, 133, 833},	// QGlobalSpace::SP_CustomToolBarHome
    {21, 134, 834},	// QGlobalSpace::SP_CustomToolBarImageTools
    {21, 135, 835},	// QGlobalSpace::SP_CustomToolBarList
    {21, 136, 836},	// QGlobalSpace::SP_CustomToolBarLock
    {21, 137, 837},	// QGlobalSpace::SP_CustomToolBarLogs
    {21, 138, 838},	// QGlobalSpace::SP_CustomToolBarMenu
    {21, 139, 839},	// QGlobalSpace::SP_CustomToolBarNewContact
    {21, 140, 840},	// QGlobalSpace::SP_CustomToolBarNewGroup
    {21, 141, 841},	// QGlobalSpace::SP_CustomToolBarNextFrame
    {21, 142, 842},	// QGlobalSpace::SP_CustomToolBarNowPlay
    {21, 143, 843},	// QGlobalSpace::SP_CustomToolBarOptions
    {21, 144, 844},	// QGlobalSpace::SP_CustomToolBarOther
    {21, 145, 845},	// QGlobalSpace::SP_CustomToolBarOvi
    {21, 146, 846},	// QGlobalSpace::SP_CustomToolBarPreviousFrame
    {21, 147, 847},	// QGlobalSpace::SP_CustomToolBarRead
    {21, 148, 849},	// QGlobalSpace::SP_CustomToolBarRedo
    {21, 149, 848},	// QGlobalSpace::SP_CustomToolBarRedoDisabled
    {21, 150, 850},	// QGlobalSpace::SP_CustomToolBarRefresh
    {21, 151, 851},	// QGlobalSpace::SP_CustomToolBarRemoveDetail
    {21, 152, 852},	// QGlobalSpace::SP_CustomToolBarRemoveDisabled
    {21, 153, 853},	// QGlobalSpace::SP_CustomToolBarRepeat
    {21, 154, 854},	// QGlobalSpace::SP_CustomToolBarRepeatOff
    {21, 155, 855},	// QGlobalSpace::SP_CustomToolBarRepeatOne
    {21, 156, 856},	// QGlobalSpace::SP_CustomToolBarSearch
    {21, 157, 857},	// QGlobalSpace::SP_CustomToolBarSearchDisabled
    {21, 158, 858},	// QGlobalSpace::SP_CustomToolBarSelectContent
    {21, 159, 859},	// QGlobalSpace::SP_CustomToolBarSelfTimer
    {21, 160, 860},	// QGlobalSpace::SP_CustomToolBarSend
    {21, 161, 861},	// QGlobalSpace::SP_CustomToolBarSendDimmed
    {21, 162, 862},	// QGlobalSpace::SP_CustomToolBarShare
    {21, 163, 863},	// QGlobalSpace::SP_CustomToolBarShift
    {21, 164, 864},	// QGlobalSpace::SP_CustomToolBarShuffle
    {21, 165, 865},	// QGlobalSpace::SP_CustomToolBarShuffleOff
    {21, 166, 866},	// QGlobalSpace::SP_CustomToolBarSignalOff
    {21, 167, 867},	// QGlobalSpace::SP_CustomToolBarSignalOn
    {21, 168, 868},	// QGlobalSpace::SP_CustomToolBarSync
    {21, 169, 869},	// QGlobalSpace::SP_CustomToolBarTools
    {21, 170, 870},	// QGlobalSpace::SP_CustomToolBarTrim
    {21, 171, 871},	// QGlobalSpace::SP_CustomToolBarUnlock
    {21, 172, 872},	// QGlobalSpace::SP_CustomToolBarUnmark
    {21, 173, 873},	// QGlobalSpace::SP_CustomToolBarView
    {21, 174, 874},	// QGlobalSpace::SP_CustomToolBarWlanOff
    {21, 175, 875},	// QGlobalSpace::SP_CustomToolBarWlanOn
    {21, 193, 905},	// QGlobalSpace::__codecvt_error
    {21, 194, 906},	// QGlobalSpace::__codecvt_noconv
    {21, 195, 903},	// QGlobalSpace::__codecvt_ok
    {21, 196, 904},	// QGlobalSpace::__codecvt_partial
    {21, 391, -31},	// QGlobalSpace::operator!=##
    {21, 392, -52},	// QGlobalSpace::operator!=#$
    {21, 393, -58},	// QGlobalSpace::operator!=$#
    {21, 394, 236},	// QGlobalSpace::operator!=$$
    {21, 396, 424},	// QGlobalSpace::operator&##
    {21, 398, -65},	// QGlobalSpace::operator*##
    {21, 399, -95},	// QGlobalSpace::operator*#$
    {21, 400, -108},	// QGlobalSpace::operator*$#
    {21, 402, -120},	// QGlobalSpace::operator+##
    {21, 403, -131},	// QGlobalSpace::operator+#$
    {21, 404, -137},	// QGlobalSpace::operator+$#
    {21, 405, -142},	// QGlobalSpace::operator+$$
    {21, 407, -148},	// QGlobalSpace::operator-#
    {21, 408, -156},	// QGlobalSpace::operator-##
    {21, 409, 113},	// QGlobalSpace::operator-#$
    {21, 411, -166},	// QGlobalSpace::operator/#$
    {21, 413, -177},	// QGlobalSpace::operator<##
    {21, 414, 488},	// QGlobalSpace::operator<#$
    {21, 415, -182},	// QGlobalSpace::operator<$#
    {21, 416, 149},	// QGlobalSpace::operator<$$
    {21, 418, -185},	// QGlobalSpace::operator<<##
    {21, 419, -282},	// QGlobalSpace::operator<<#$
    {21, 420, 448},	// QGlobalSpace::operator<<#?
    {21, 422, -293},	// QGlobalSpace::operator<=##
    {21, 423, 206},	// QGlobalSpace::operator<=#$
    {21, 424, -298},	// QGlobalSpace::operator<=$#
    {21, 425, 517},	// QGlobalSpace::operator<=$$
    {21, 430, -301},	// QGlobalSpace::operator==##
    {21, 431, -323},	// QGlobalSpace::operator==#$
    {21, 432, -330},	// QGlobalSpace::operator==$#
    {21, 433, 782},	// QGlobalSpace::operator==$$
    {21, 435, -338},	// QGlobalSpace::operator>##
    {21, 436, 801},	// QGlobalSpace::operator>#$
    {21, 437, -343},	// QGlobalSpace::operator>$#
    {21, 438, 370},	// QGlobalSpace::operator>$$
    {21, 440, -346},	// QGlobalSpace::operator>=##
    {21, 441, 53},	// QGlobalSpace::operator>=#$
    {21, 442, -351},	// QGlobalSpace::operator>=$#
    {21, 443, 795},	// QGlobalSpace::operator>=$$
    {21, 445, -354},	// QGlobalSpace::operator>>##
    {21, 446, -406},	// QGlobalSpace::operator>>#$
    {21, 447, 324},	// QGlobalSpace::operator>>#?
    {21, 449, 210},	// QGlobalSpace::operator^##
    {21, 451, 648},	// QGlobalSpace::operator|##
    {21, 452, -409},	// QGlobalSpace::operator|$$
    {21, 466, 407},	// QGlobalSpace::qAccessibleActionCastHelper
    {21, 467, 108},	// QGlobalSpace::qAccessibleEditableTextCastHelper
    {21, 468, 513},	// QGlobalSpace::qAccessibleImageCastHelper
    {21, 469, 318},	// QGlobalSpace::qAccessibleTable2CastHelper
    {21, 470, 278},	// QGlobalSpace::qAccessibleTableCastHelper
    {21, 471, 191},	// QGlobalSpace::qAccessibleTextCastHelper
    {21, 472, 20},	// QGlobalSpace::qAccessibleValueCastHelper
    {21, 474, 591},	// QGlobalSpace::qAcos$
    {21, 476, 460},	// QGlobalSpace::qAddPostRoutine$
    {21, 478, 146},	// QGlobalSpace::qAlpha$
    {21, 479, 472},	// QGlobalSpace::qAppName
    {21, 481, 636},	// QGlobalSpace::qAsin$
    {21, 483, 696},	// QGlobalSpace::qAtan$
    {21, 485, 51},	// QGlobalSpace::qAtan2$$
    {21, 486, 600},	// QGlobalSpace::qBadAlloc
    {21, 488, 331},	// QGlobalSpace::qBlue$
    {21, 490, 504},	// QGlobalSpace::qCeil$
    {21, 492, 315},	// QGlobalSpace::qChecksum$$
    {21, 494, 614},	// QGlobalSpace::qCompress#
    {21, 495, 613},	// QGlobalSpace::qCompress#$
    {21, 496, 462},	// QGlobalSpace::qCompress$$
    {21, 497, 461},	// QGlobalSpace::qCompress$$$
    {21, 499, 97},	// QGlobalSpace::qCos$
    {21, 500, 435},	// QGlobalSpace::qCritical
    {21, 501, 524},	// QGlobalSpace::qDebug
    {21, 503, 316},	// QGlobalSpace::qDrawBorderPixmap####
    {21, 504, 785},	// QGlobalSpace::qDrawBorderPixmap######
    {21, 505, 786},	// QGlobalSpace::qDrawBorderPixmap#######
    {21, 506, 784},	// QGlobalSpace::qDrawBorderPixmap#######$
    {21, 508, 677},	// QGlobalSpace::qDrawPlainRect###
    {21, 509, 678},	// QGlobalSpace::qDrawPlainRect###$
    {21, 510, 676},	// QGlobalSpace::qDrawPlainRect###$#
    {21, 511, 281},	// QGlobalSpace::qDrawPlainRect#$$$$#
    {21, 512, 282},	// QGlobalSpace::qDrawPlainRect#$$$$#$
    {21, 513, 280},	// QGlobalSpace::qDrawPlainRect#$$$$#$#
    {21, 515, 706},	// QGlobalSpace::qDrawShadeLine####
    {21, 516, 707},	// QGlobalSpace::qDrawShadeLine####$
    {21, 517, 708},	// QGlobalSpace::qDrawShadeLine####$$
    {21, 518, 705},	// QGlobalSpace::qDrawShadeLine####$$$
    {21, 519, 629},	// QGlobalSpace::qDrawShadeLine#$$$$#
    {21, 520, 630},	// QGlobalSpace::qDrawShadeLine#$$$$#$
    {21, 521, 631},	// QGlobalSpace::qDrawShadeLine#$$$$#$$
    {21, 522, 628},	// QGlobalSpace::qDrawShadeLine#$$$$#$$$
    {21, 524, 356},	// QGlobalSpace::qDrawShadePanel###
    {21, 525, 357},	// QGlobalSpace::qDrawShadePanel###$
    {21, 526, 358},	// QGlobalSpace::qDrawShadePanel###$$
    {21, 527, 355},	// QGlobalSpace::qDrawShadePanel###$$#
    {21, 528, 379},	// QGlobalSpace::qDrawShadePanel#$$$$#
    {21, 529, 380},	// QGlobalSpace::qDrawShadePanel#$$$$#$
    {21, 530, 381},	// QGlobalSpace::qDrawShadePanel#$$$$#$$
    {21, 531, 378},	// QGlobalSpace::qDrawShadePanel#$$$$#$$#
    {21, 533, 303},	// QGlobalSpace::qDrawShadeRect###
    {21, 534, 304},	// QGlobalSpace::qDrawShadeRect###$
    {21, 535, 305},	// QGlobalSpace::qDrawShadeRect###$$
    {21, 536, 306},	// QGlobalSpace::qDrawShadeRect###$$$
    {21, 537, 302},	// QGlobalSpace::qDrawShadeRect###$$$#
    {21, 538, 604},	// QGlobalSpace::qDrawShadeRect#$$$$#
    {21, 539, 605},	// QGlobalSpace::qDrawShadeRect#$$$$#$
    {21, 540, 606},	// QGlobalSpace::qDrawShadeRect#$$$$#$$
    {21, 541, 607},	// QGlobalSpace::qDrawShadeRect#$$$$#$$$
    {21, 542, 603},	// QGlobalSpace::qDrawShadeRect#$$$$#$$$#
    {21, 544, 337},	// QGlobalSpace::qDrawWinButton###
    {21, 545, 338},	// QGlobalSpace::qDrawWinButton###$
    {21, 546, 336},	// QGlobalSpace::qDrawWinButton###$#
    {21, 547, 652},	// QGlobalSpace::qDrawWinButton#$$$$#
    {21, 548, 653},	// QGlobalSpace::qDrawWinButton#$$$$#$
    {21, 549, 651},	// QGlobalSpace::qDrawWinButton#$$$$#$#
    {21, 551, 572},	// QGlobalSpace::qDrawWinPanel###
    {21, 552, 573},	// QGlobalSpace::qDrawWinPanel###$
    {21, 553, 571},	// QGlobalSpace::qDrawWinPanel###$#
    {21, 554, 127},	// QGlobalSpace::qDrawWinPanel#$$$$#
    {21, 555, 128},	// QGlobalSpace::qDrawWinPanel#$$$$#$
    {21, 556, 126},	// QGlobalSpace::qDrawWinPanel#$$$$#$#
    {21, 558, 297},	// QGlobalSpace::qExp$
    {21, 560, 577},	// QGlobalSpace::qFabs$
    {21, 562, 227},	// QGlobalSpace::qFastCos$
    {21, 564, 465},	// QGlobalSpace::qFastSin$
    {21, 566, 242},	// QGlobalSpace::qFlagLocation$
    {21, 568, 179},	// QGlobalSpace::qFloor$
    {21, 570, 477},	// QGlobalSpace::qFree$
    {21, 572, 483},	// QGlobalSpace::qFreeAligned$
    {21, 574, -644},	// QGlobalSpace::qFuzzyCompare##
    {21, 575, -652},	// QGlobalSpace::qFuzzyCompare$$
    {21, 577, -655},	// QGlobalSpace::qFuzzyIsNull$
    {21, 579, 248},	// QGlobalSpace::qGray$
    {21, 580, 150},	// QGlobalSpace::qGray$$$
    {21, 582, 530},	// QGlobalSpace::qGreen$
    {21, 584, -658},	// QGlobalSpace::qHash#
    {21, 585, -667},	// QGlobalSpace::qHash$
    {21, 586, 746},	// QGlobalSpace::qInf
    {21, 588, 222},	// QGlobalSpace::qInstallMsgHandler$
    {21, 590, -680},	// QGlobalSpace::qIntCast$
    {21, 592, -683},	// QGlobalSpace::qIsFinite$
    {21, 594, 670},	// QGlobalSpace::qIsGray$
    {21, 596, -686},	// QGlobalSpace::qIsInf$
    {21, 598, -689},	// QGlobalSpace::qIsNaN$
    {21, 600, -692},	// QGlobalSpace::qIsNull$
    {21, 602, 300},	// QGlobalSpace::qLn$
    {21, 604, 321},	// QGlobalSpace::qMalloc$
    {21, 606, 525},	// QGlobalSpace::qMallocAligned$$
    {21, 608, 30},	// QGlobalSpace::qMemCopy$$$
    {21, 610, 568},	// QGlobalSpace::qMemSet$$$
    {21, 612, 531},	// QGlobalSpace::qPow$$
    {21, 613, 322},	// QGlobalSpace::qQNaN
    {21, 615, 213},	// QGlobalSpace::qRealloc$$
    {21, 617, 197},	// QGlobalSpace::qReallocAligned$$$$
    {21, 619, 176},	// QGlobalSpace::qRed$
    {21, 621, 311},	// QGlobalSpace::qRegisterStaticPluginInstanceFunction#
    {21, 623, 760},	// QGlobalSpace::qRemovePostRoutine$
    {21, 625, 266},	// QGlobalSpace::qRgb$$$
    {21, 627, 434},	// QGlobalSpace::qRgba$$$$
    {21, 629, 745},	// QGlobalSpace::qRound$
    {21, 631, 221},	// QGlobalSpace::qRound64$
    {21, 632, 712},	// QGlobalSpace::qSNaN
    {21, 634, 172},	// QGlobalSpace::qSetFieldWidth$
    {21, 636, 63},	// QGlobalSpace::qSetPadChar#
    {21, 638, 298},	// QGlobalSpace::qSetRealNumberPrecision$
    {21, 639, 102},	// QGlobalSpace::qSharedBuild
    {21, 641, 643},	// QGlobalSpace::qSin$
    {21, 643, 223},	// QGlobalSpace::qSqrt$
    {21, 645, 509},	// QGlobalSpace::qStringComparisonHelper#$
    {21, 646, 46},	// QGlobalSpace::qStringComparisonHelper$$
    {21, 648, 168},	// QGlobalSpace::qTan$
    {21, 650, 399},	// QGlobalSpace::qUncompress#
    {21, 651, 166},	// QGlobalSpace::qUncompress$$
    {21, 652, 473},	// QGlobalSpace::qVersion
    {21, 653, 770},	// QGlobalSpace::qWarning
    {21, 655, 188},	// QGlobalSpace::qbswap_helper$$$
    {21, 657, 139},	// QGlobalSpace::qecvt$$$$
    {21, 659, 529},	// QGlobalSpace::qecvt_r$$$$$$
    {21, 661, 260},	// QGlobalSpace::qfcvt$$$$
    {21, 663, 585},	// QGlobalSpace::qfcvt_r$$$$$$
    {21, 665, 586},	// QGlobalSpace::qgcvt$$$
    {21, 667, 55},	// QGlobalSpace::qgetenv$
    {21, 669, 325},	// QGlobalSpace::qputenv$#
    {21, 670, 417},	// QGlobalSpace::qrand
    {21, 672, 587},	// QGlobalSpace::qsort$$$$
    {21, 674, 339},	// QGlobalSpace::qsrand$
    {21, 676, 580},	// QGlobalSpace::qstrcmp##
    {21, 677, 758},	// QGlobalSpace::qstrcmp#$
    {21, 678, 48},	// QGlobalSpace::qstrcmp$#
    {21, 679, 94},	// QGlobalSpace::qstrcmp$$
    {21, 681, 286},	// QGlobalSpace::qstrcpy$$
    {21, 683, 510},	// QGlobalSpace::qstrdup$
    {21, 685, 741},	// QGlobalSpace::qstricmp$$
    {21, 687, 771},	// QGlobalSpace::qstrlen$
    {21, 689, 167},	// QGlobalSpace::qstrncmp$$$
    {21, 691, 394},	// QGlobalSpace::qstrncpy$$$
    {21, 693, 359},	// QGlobalSpace::qstrnicmp$$$
    {21, 695, 29},	// QGlobalSpace::qstrnlen$$
    {21, 697, 663},	// QGlobalSpace::qtTrId$
    {21, 698, 662},	// QGlobalSpace::qtTrId$$
    {21, 700, 256},	// QGlobalSpace::qt_assert$$$
    {21, 702, 422},	// QGlobalSpace::qt_assert_x$$$$
    {21, 704, 570},	// QGlobalSpace::qt_check_pointer$$
    {21, 705, 158},	// QGlobalSpace::qt_error_string
    {21, 706, 157},	// QGlobalSpace::qt_error_string$
    {21, 708, 791},	// QGlobalSpace::qt_message_output$$
    {21, 713, 31},	// QGlobalSpace::qt_noop
    {21, 715, 377},	// QGlobalSpace::qt_qFindChild_helper#$#
    {21, 717, 694},	// QGlobalSpace::qt_qFindChildren_helper#$##?
    {21, 721, 686},	// QGlobalSpace::qvariant_cast_helper#$$
    {21, 723, 565},	// QGlobalSpace::qvsnprintf$$$?
    {64, 1, 939},	// QSql::AfterLastRow
    {64, 2, 929},	// QSql::AllTables
    {64, 6, 938},	// QSql::BeforeFirstRow
    {64, 7, 933},	// QSql::Binary
    {64, 14, 937},	// QSql::HighPrecision
    {64, 15, 930},	// QSql::In
    {64, 16, 932},	// QSql::InOut
    {64, 21, 936},	// QSql::LowPrecisionDouble
    {64, 22, 934},	// QSql::LowPrecisionInt32
    {64, 23, 935},	// QSql::LowPrecisionInt64
    {64, 34, 931},	// QSql::Out
    {64, 180, 927},	// QSql::SystemTables
    {64, 182, 926},	// QSql::Tables
    {64, 191, 928},	// QSql::Views
    {65, 38, 940},	// QSqlDatabase::QSqlDatabase
    {65, 39, -708},	// QSqlDatabase::QSqlDatabase#
    {65, 40, 984},	// QSqlDatabase::QSqlDatabase$
    {65, 201, 990},	// QSqlDatabase::addDatabase#
    {65, 202, 975},	// QSqlDatabase::addDatabase#$
    {65, 203, 989},	// QSqlDatabase::addDatabase$
    {65, 204, 974},	// QSqlDatabase::addDatabase$$
    {65, 235, 976},	// QSqlDatabase::cloneDatabase#$
    {65, 236, 945},	// QSqlDatabase::close
    {65, 239, 955},	// QSqlDatabase::commit
    {65, 242, 969},	// QSqlDatabase::connectOptions
    {65, 243, 970},	// QSqlDatabase::connectionName
    {65, 244, 981},	// QSqlDatabase::connectionNames
    {65, 245, 993},	// QSqlDatabase::contains
    {65, 246, 979},	// QSqlDatabase::contains$
    {65, 260, 991},	// QSqlDatabase::database
    {65, 261, 992},	// QSqlDatabase::database$
    {65, 262, 977},	// QSqlDatabase::database$$
    {65, 263, 963},	// QSqlDatabase::databaseName
    {65, 265, 994},	// QSqlDatabase::defaultConnection
    {65, 276, 973},	// QSqlDatabase::driver
    {65, 277, 967},	// QSqlDatabase::driverName
    {65, 279, 980},	// QSqlDatabase::drivers
    {65, 287, 987},	// QSqlDatabase::exec
    {65, 288, 951},	// QSqlDatabase::exec$
    {65, 321, 966},	// QSqlDatabase::hostName
    {65, 347, 983},	// QSqlDatabase::isDriverAvailable$
    {65, 358, 946},	// QSqlDatabase::isOpen
    {65, 359, 947},	// QSqlDatabase::isOpenError
    {65, 362, 953},	// QSqlDatabase::isValid
    {65, 366, 952},	// QSqlDatabase::lastError
    {65, 381, 972},	// QSqlDatabase::numericalPrecisionPolicy
    {65, 382, 943},	// QSqlDatabase::open
    {65, 384, 944},	// QSqlDatabase::open$$
    {65, 427, 942},	// QSqlDatabase::operator=#
    {65, 455, 965},	// QSqlDatabase::password
    {65, 456, 968},	// QSqlDatabase::port
    {65, 462, 949},	// QSqlDatabase::primaryIndex$
    {65, 725, 950},	// QSqlDatabase::record$
    {65, 727, 982},	// QSqlDatabase::registerSqlDriver$#
    {65, 738, 978},	// QSqlDatabase::removeDatabase$
    {65, 752, 956},	// QSqlDatabase::rollback
    {65, 769, 988},	// QSqlDatabase::setConnectOptions
    {65, 770, 962},	// QSqlDatabase::setConnectOptions$
    {65, 777, 957},	// QSqlDatabase::setDatabaseName$
    {65, 781, 995},	// QSqlDatabase::setDefaultConnection$
    {65, 803, 960},	// QSqlDatabase::setHostName$
    {65, 820, 971},	// QSqlDatabase::setNumericalPrecisionPolicy$
    {65, 826, 959},	// QSqlDatabase::setPassword$
    {65, 828, 961},	// QSqlDatabase::setPort$
    {65, 858, 958},	// QSqlDatabase::setUserName$
    {65, 884, 986},	// QSqlDatabase::tables
    {65, 885, 948},	// QSqlDatabase::tables$
    {65, 896, 954},	// QSqlDatabase::transaction
    {65, 906, 964},	// QSqlDatabase::userName
    {65, 911, 996},	// QSqlDatabase::~QSqlDatabase
    {66, 3, 1050},	// QSqlDriver::BLOB
    {66, 5, 1056},	// QSqlDriver::BatchOperations
    {66, 9, 1066},	// QSqlDriver::DeleteStatement
    {66, 11, 1059},	// QSqlDriver::EventNotifications
    {66, 12, 1067},	// QSqlDriver::FieldName
    {66, 13, 1060},	// QSqlDriver::FinishQuery
    {66, 18, 1065},	// QSqlDriver::InsertStatement
    {66, 19, 1055},	// QSqlDriver::LastInsertId
    {66, 24, 1058},	// QSqlDriver::LowPrecisionNumbers
    {66, 25, 1061},	// QSqlDriver::MultipleResultSets
    {66, 27, 1053},	// QSqlDriver::NamedPlaceholders
    {66, 36, 1054},	// QSqlDriver::PositionalPlaceholders
    {66, 37, 1052},	// QSqlDriver::PreparedQueries
    {66, 41, 1040},	// QSqlDriver::QSqlDriver
    {66, 42, 1004},	// QSqlDriver::QSqlDriver#
    {66, 89, 1049},	// QSqlDriver::QuerySize
    {66, 176, 1063},	// QSqlDriver::SelectStatement
    {66, 178, 1057},	// QSqlDriver::SimpleLocking
    {66, 181, 1068},	// QSqlDriver::TableName
    {66, 184, 1048},	// QSqlDriver::Transactions
    {66, 185, 1051},	// QSqlDriver::Unicode
    {66, 188, 1064},	// QSqlDriver::UpdateStatement
    {66, 192, 1062},	// QSqlDriver::WhereStatement
    {66, 215, 1007},	// QSqlDriver::beginTransaction
    {66, 236, 1019},	// QSqlDriver::close
    {66, 240, 1008},	// QSqlDriver::commitTransaction
    {66, 253, 1020},	// QSqlDriver::createResult
    {66, 284, 1014},	// QSqlDriver::escapeIdentifier$$
    {66, 312, 1041},	// QSqlDriver::formatValue#
    {66, 313, 1013},	// QSqlDriver::formatValue#$
    {66, 314, 1017},	// QSqlDriver::handle
    {66, 316, 1018},	// QSqlDriver::hasFeature$
    {66, 353, 1025},	// QSqlDriver::isIdentifierEscaped$$
    {66, 355, 1036},	// QSqlDriver::isIdentifierEscapedImplementation$$
    {66, 358, 1005},	// QSqlDriver::isOpen
    {66, 359, 1006},	// QSqlDriver::isOpenError
    {66, 366, 1016},	// QSqlDriver::lastError
    {66, 371, 997},	// QSqlDriver::metaObject
    {66, 378, 1029},	// QSqlDriver::notification$
    {66, 381, 1028},	// QSqlDriver::numericalPrecisionPolicy
    {66, 383, 1042},	// QSqlDriver::open$
    {66, 384, 1043},	// QSqlDriver::open$$
    {66, 385, 1044},	// QSqlDriver::open$$$
    {66, 386, 1045},	// QSqlDriver::open$$$$
    {66, 387, 1046},	// QSqlDriver::open$$$$$
    {66, 388, 1021},	// QSqlDriver::open$$$$$$
    {66, 462, 1011},	// QSqlDriver::primaryIndex$
    {66, 710, 1003},	// QSqlDriver::qt_metacall$$?
    {66, 712, 998},	// QSqlDriver::qt_metacast$
    {66, 725, 1012},	// QSqlDriver::record$
    {66, 753, 1009},	// QSqlDriver::rollbackTransaction
    {66, 808, 1032},	// QSqlDriver::setLastError#
    {66, 820, 1027},	// QSqlDriver::setNumericalPrecisionPolicy$
    {66, 822, 1030},	// QSqlDriver::setOpen$
    {66, 824, 1031},	// QSqlDriver::setOpenError$
    {66, 868, 1015},	// QSqlDriver::sqlStatement$$#$
    {66, 869, 1047},	// QSqlDriver::staticMetaObject
    {66, 871, 1026},	// QSqlDriver::stripDelimiters$$
    {66, 873, 1037},	// QSqlDriver::stripDelimitersImplementation$$
    {66, 877, 1022},	// QSqlDriver::subscribeToNotification$
    {66, 879, 1033},	// QSqlDriver::subscribeToNotificationImplementation$
    {66, 880, 1024},	// QSqlDriver::subscribedToNotifications
    {66, 881, 1035},	// QSqlDriver::subscribedToNotificationsImplementation
    {66, 885, 1010},	// QSqlDriver::tables$
    {66, 889, 1038},	// QSqlDriver::tr$
    {66, 890, 999},	// QSqlDriver::tr$$
    {66, 891, 1001},	// QSqlDriver::tr$$$
    {66, 893, 1039},	// QSqlDriver::trUtf8$
    {66, 894, 1000},	// QSqlDriver::trUtf8$$
    {66, 895, 1002},	// QSqlDriver::trUtf8$$$
    {66, 900, 1023},	// QSqlDriver::unsubscribeFromNotification$
    {66, 902, 1034},	// QSqlDriver::unsubscribeFromNotificationImplementation$
    {66, 912, 1069},	// QSqlDriver::~QSqlDriver
    {67, 43, 1071},	// QSqlDriverCreatorBase::QSqlDriverCreatorBase
    {67, 44, 1072},	// QSqlDriverCreatorBase::QSqlDriverCreatorBase#
    {67, 252, 1070},	// QSqlDriverCreatorBase::createObject
    {67, 913, 1073},	// QSqlDriverCreatorBase::~QSqlDriverCreatorBase
    {68, 45, 1075},	// QSqlDriverFactoryInterface::QSqlDriverFactoryInterface
    {68, 46, 1076},	// QSqlDriverFactoryInterface::QSqlDriverFactoryInterface#
    {68, 249, 1074},	// QSqlDriverFactoryInterface::create$
    {68, 914, 1077},	// QSqlDriverFactoryInterface::~QSqlDriverFactoryInterface
    {69, 47, 1090},	// QSqlDriverPlugin::QSqlDriverPlugin
    {69, 48, 1085},	// QSqlDriverPlugin::QSqlDriverPlugin#
    {69, 249, 1087},	// QSqlDriverPlugin::create$
    {69, 364, 1086},	// QSqlDriverPlugin::keys
    {69, 371, 1078},	// QSqlDriverPlugin::metaObject
    {69, 710, 1084},	// QSqlDriverPlugin::qt_metacall$$?
    {69, 712, 1079},	// QSqlDriverPlugin::qt_metacast$
    {69, 869, 1091},	// QSqlDriverPlugin::staticMetaObject
    {69, 889, 1088},	// QSqlDriverPlugin::tr$
    {69, 890, 1080},	// QSqlDriverPlugin::tr$$
    {69, 891, 1082},	// QSqlDriverPlugin::tr$$$
    {69, 893, 1089},	// QSqlDriverPlugin::trUtf8$
    {69, 894, 1081},	// QSqlDriverPlugin::trUtf8$$
    {69, 895, 1083},	// QSqlDriverPlugin::trUtf8$$$
    {69, 915, 1092},	// QSqlDriverPlugin::~QSqlDriverPlugin
    {70, 8, 1111},	// QSqlError::ConnectionError
    {70, 29, 1110},	// QSqlError::NoError
    {70, 49, 1106},	// QSqlError::QSqlError
    {70, 50, 1094},	// QSqlError::QSqlError#
    {70, 51, 1107},	// QSqlError::QSqlError$
    {70, 52, 1108},	// QSqlError::QSqlError$$
    {70, 53, 1109},	// QSqlError::QSqlError$$$
    {70, 54, 1093},	// QSqlError::QSqlError$$$$
    {70, 179, 1112},	// QSqlError::StatementError
    {70, 183, 1113},	// QSqlError::TransactionError
    {70, 187, 1114},	// QSqlError::UnknownError
    {70, 264, 1098},	// QSqlError::databaseText
    {70, 278, 1096},	// QSqlError::driverText
    {70, 362, 1105},	// QSqlError::isValid
    {70, 380, 1102},	// QSqlError::number
    {70, 427, 1095},	// QSqlError::operator=#
    {70, 779, 1099},	// QSqlError::setDatabaseText$
    {70, 787, 1097},	// QSqlError::setDriverText$
    {70, 818, 1103},	// QSqlError::setNumber$
    {70, 856, 1101},	// QSqlError::setType$
    {70, 886, 1104},	// QSqlError::text
    {70, 897, 1100},	// QSqlError::type
    {70, 916, 1115},	// QSqlError::~QSqlError
    {71, 33, 1150},	// QSqlField::Optional
    {71, 55, 1147},	// QSqlField::QSqlField
    {71, 56, 1117},	// QSqlField::QSqlField#
    {71, 57, 1148},	// QSqlField::QSqlField$
    {71, 58, 1116},	// QSqlField::QSqlField$$
    {71, 90, 1151},	// QSqlField::Required
    {71, 186, 1149},	// QSqlField::Unknown
    {71, 232, 1128},	// QSqlField::clear
    {71, 266, 1143},	// QSqlField::defaultValue
    {71, 341, 1130},	// QSqlField::isAutoValue
    {71, 350, 1145},	// QSqlField::isGenerated
    {71, 356, 1125},	// QSqlField::isNull
    {71, 360, 1127},	// QSqlField::isReadOnly
    {71, 362, 1146},	// QSqlField::isValid
    {71, 369, 1141},	// QSqlField::length
    {71, 374, 1124},	// QSqlField::name
    {71, 390, 1120},	// QSqlField::operator!=#
    {71, 427, 1118},	// QSqlField::operator=#
    {71, 429, 1119},	// QSqlField::operator==#
    {71, 457, 1142},	// QSqlField::precision
    {71, 744, 1140},	// QSqlField::requiredStatus
    {71, 768, 1139},	// QSqlField::setAutoValue$
    {71, 783, 1136},	// QSqlField::setDefaultValue#
    {71, 797, 1138},	// QSqlField::setGenerated$
    {71, 810, 1134},	// QSqlField::setLength$
    {71, 814, 1123},	// QSqlField::setName$
    {71, 830, 1135},	// QSqlField::setPrecision$
    {71, 838, 1126},	// QSqlField::setReadOnly$
    {71, 844, 1133},	// QSqlField::setRequired$
    {71, 846, 1132},	// QSqlField::setRequiredStatus$
    {71, 852, 1137},	// QSqlField::setSqlType$
    {71, 856, 1131},	// QSqlField::setType$
    {71, 860, 1121},	// QSqlField::setValue#
    {71, 897, 1129},	// QSqlField::type
    {71, 898, 1144},	// QSqlField::typeID
    {71, 907, 1122},	// QSqlField::value
    {71, 917, 1152},	// QSqlField::~QSqlField
    {72, 59, 1164},	// QSqlIndex::QSqlIndex
    {72, 60, 1154},	// QSqlIndex::QSqlIndex#
    {72, 61, 1165},	// QSqlIndex::QSqlIndex$
    {72, 62, 1153},	// QSqlIndex::QSqlIndex$$
    {72, 206, 1160},	// QSqlIndex::append#
    {72, 207, 1161},	// QSqlIndex::append#$
    {72, 254, 1157},	// QSqlIndex::cursorName
    {72, 343, 1162},	// QSqlIndex::isDescending$
    {72, 374, 1159},	// QSqlIndex::name
    {72, 427, 1155},	// QSqlIndex::operator=#
    {72, 772, 1156},	// QSqlIndex::setCursorName$
    {72, 785, 1163},	// QSqlIndex::setDescending$$
    {72, 814, 1158},	// QSqlIndex::setName$
    {72, 918, 1166},	// QSqlIndex::~QSqlIndex
    {73, 63, 1209},	// QSqlQuery::QSqlQuery
    {73, 64, -695},	// QSqlQuery::QSqlQuery#
    {73, 65, 1210},	// QSqlQuery::QSqlQuery$
    {73, 66, 1168},	// QSqlQuery::QSqlQuery$#
    {73, 189, 1217},	// QSqlQuery::ValuesAsColumns
    {73, 190, 1216},	// QSqlQuery::ValuesAsRows
    {73, 198, 1215},	// QSqlQuery::addBindValue#
    {73, 199, 1201},	// QSqlQuery::addBindValue#$
    {73, 208, 1175},	// QSqlQuery::at
    {73, 217, -699},	// QSqlQuery::bindValue$#
    {73, 218, -702},	// QSqlQuery::bindValue$#$
    {73, 223, -705},	// QSqlQuery::boundValue$
    {73, 227, 1204},	// QSqlQuery::boundValues
    {73, 232, 1195},	// QSqlQuery::clear
    {73, 276, 1181},	// QSqlQuery::driver
    {73, 287, 1196},	// QSqlQuery::exec
    {73, 288, 1186},	// QSqlQuery::exec$
    {73, 289, 1212},	// QSqlQuery::execBatch
    {73, 290, 1197},	// QSqlQuery::execBatch$
    {73, 291, 1205},	// QSqlQuery::executedQuery
    {73, 307, 1207},	// QSqlQuery::finish
    {73, 308, 1193},	// QSqlQuery::first
    {73, 340, 1173},	// QSqlQuery::isActive
    {73, 349, 1183},	// QSqlQuery::isForwardOnly
    {73, 357, 1174},	// QSqlQuery::isNull$
    {73, 361, 1179},	// QSqlQuery::isSelect
    {73, 362, 1172},	// QSqlQuery::isValid
    {73, 365, 1194},	// QSqlQuery::last
    {73, 366, 1178},	// QSqlQuery::lastError
    {73, 367, 1206},	// QSqlQuery::lastInsertId
    {73, 368, 1176},	// QSqlQuery::lastQuery
    {73, 375, 1191},	// QSqlQuery::next
    {73, 376, 1208},	// QSqlQuery::nextResult
    {73, 379, 1177},	// QSqlQuery::numRowsAffected
    {73, 381, 1189},	// QSqlQuery::numericalPrecisionPolicy
    {73, 427, 1171},	// QSqlQuery::operator=#
    {73, 459, 1198},	// QSqlQuery::prepare$
    {73, 460, 1192},	// QSqlQuery::previous
    {73, 724, 1184},	// QSqlQuery::record
    {73, 747, 1182},	// QSqlQuery::result
    {73, 759, 1211},	// QSqlQuery::seek$
    {73, 760, 1190},	// QSqlQuery::seek$$
    {73, 795, 1185},	// QSqlQuery::setForwardOnly$
    {73, 820, 1188},	// QSqlQuery::setNumericalPrecisionPolicy$
    {73, 862, 1180},	// QSqlQuery::size
    {73, 908, 1187},	// QSqlQuery::value$
    {73, 919, 1218},	// QSqlQuery::~QSqlQuery
    {74, 67, 1248},	// QSqlQueryModel::QSqlQueryModel
    {74, 68, 1226},	// QSqlQueryModel::QSqlQueryModel#
    {74, 229, 1258},	// QSqlQueryModel::canFetchMore
    {74, 230, 1242},	// QSqlQueryModel::canFetchMore#
    {74, 232, 1239},	// QSqlQueryModel::clear
    {74, 237, 1250},	// QSqlQueryModel::columnCount
    {74, 238, 1228},	// QSqlQueryModel::columnCount#
    {74, 257, 1251},	// QSqlQueryModel::data#
    {74, 258, 1231},	// QSqlQueryModel::data#$
    {74, 296, 1257},	// QSqlQueryModel::fetchMore
    {74, 297, 1241},	// QSqlQueryModel::fetchMore#
    {74, 319, 1252},	// QSqlQueryModel::headerData$$
    {74, 320, 1232},	// QSqlQueryModel::headerData$$$
    {74, 325, 1244},	// QSqlQueryModel::indexInQuery#
    {74, 331, 1254},	// QSqlQueryModel::insertColumns$$
    {74, 332, 1234},	// QSqlQueryModel::insertColumns$$#
    {74, 366, 1240},	// QSqlQueryModel::lastError
    {74, 371, 1219},	// QSqlQueryModel::metaObject
    {74, 710, 1225},	// QSqlQueryModel::qt_metacall$$?
    {74, 712, 1220},	// QSqlQueryModel::qt_metacast$
    {74, 718, 1238},	// QSqlQueryModel::query
    {74, 719, 1243},	// QSqlQueryModel::queryChange
    {74, 724, 1230},	// QSqlQueryModel::record
    {74, 725, 1229},	// QSqlQueryModel::record$
    {74, 735, 1255},	// QSqlQueryModel::removeColumns$$
    {74, 736, 1235},	// QSqlQueryModel::removeColumns$$#
    {74, 754, 1249},	// QSqlQueryModel::rowCount
    {74, 755, 1227},	// QSqlQueryModel::rowCount#
    {74, 800, 1253},	// QSqlQueryModel::setHeaderData$$#
    {74, 801, 1233},	// QSqlQueryModel::setHeaderData$$#$
    {74, 808, 1245},	// QSqlQueryModel::setLastError#
    {74, 834, 1236},	// QSqlQueryModel::setQuery#
    {74, 835, 1256},	// QSqlQueryModel::setQuery$
    {74, 836, 1237},	// QSqlQueryModel::setQuery$#
    {74, 869, 1259},	// QSqlQueryModel::staticMetaObject
    {74, 889, 1246},	// QSqlQueryModel::tr$
    {74, 890, 1221},	// QSqlQueryModel::tr$$
    {74, 891, 1223},	// QSqlQueryModel::tr$$$
    {74, 893, 1247},	// QSqlQueryModel::trUtf8$
    {74, 894, 1222},	// QSqlQueryModel::trUtf8$$
    {74, 895, 1224},	// QSqlQueryModel::trUtf8$$$
    {74, 920, 1260},	// QSqlQueryModel::~QSqlQueryModel
    {75, 69, 1261},	// QSqlRecord::QSqlRecord
    {75, 70, 1262},	// QSqlRecord::QSqlRecord#
    {75, 206, 1282},	// QSqlRecord::append#
    {75, 232, 1288},	// QSqlRecord::clear
    {75, 233, 1289},	// QSqlRecord::clearValues
    {75, 246, 1287},	// QSqlRecord::contains$
    {75, 247, 1290},	// QSqlRecord::count
    {75, 301, -1},	// QSqlRecord::field$
    {75, 305, 1275},	// QSqlRecord::fieldName$
    {75, 327, 1274},	// QSqlRecord::indexOf$
    {75, 329, 1284},	// QSqlRecord::insert$#
    {75, 348, 1286},	// QSqlRecord::isEmpty
    {75, 351, -4},	// QSqlRecord::isGenerated$
    {75, 357, -7},	// QSqlRecord::isNull$
    {75, 390, 1265},	// QSqlRecord::operator!=#
    {75, 427, 1263},	// QSqlRecord::operator=#
    {75, 429, 1264},	// QSqlRecord::operator==#
    {75, 733, 1285},	// QSqlRecord::remove$
    {75, 743, 1283},	// QSqlRecord::replace$#
    {75, 798, -10},	// QSqlRecord::setGenerated$$
    {75, 816, -13},	// QSqlRecord::setNull$
    {75, 861, -16},	// QSqlRecord::setValue$#
    {75, 908, -19},	// QSqlRecord::value$
    {75, 921, 1291},	// QSqlRecord::~QSqlRecord
    {76, 71, 1292},	// QSqlRelation::QSqlRelation
    {76, 72, 1298},	// QSqlRelation::QSqlRelation#
    {76, 73, 1293},	// QSqlRelation::QSqlRelation$$$
    {76, 271, 1296},	// QSqlRelation::displayColumn
    {76, 323, 1295},	// QSqlRelation::indexColumn
    {76, 362, 1297},	// QSqlRelation::isValid
    {76, 883, 1294},	// QSqlRelation::tableName
    {76, 922, 1299},	// QSqlRelation::~QSqlRelation
    {77, 74, 1304},	// QSqlRelationalDelegate::QSqlRelationalDelegate
    {77, 75, 1300},	// QSqlRelationalDelegate::QSqlRelationalDelegate#
    {77, 251, 1301},	// QSqlRelationalDelegate::createEditor###
    {77, 791, 1302},	// QSqlRelationalDelegate::setEditorData##
    {77, 812, 1303},	// QSqlRelationalDelegate::setModelData###
    {77, 923, 1305},	// QSqlRelationalDelegate::~QSqlRelationalDelegate
    {78, 17, 1337},	// QSqlRelationalTableModel::InnerJoin
    {78, 20, 1338},	// QSqlRelationalTableModel::LeftJoin
    {78, 76, 1331},	// QSqlRelationalTableModel::QSqlRelationalTableModel
    {78, 77, 1332},	// QSqlRelationalTableModel::QSqlRelationalTableModel#
    {78, 78, 1313},	// QSqlRelationalTableModel::QSqlRelationalTableModel##
    {78, 232, 1317},	// QSqlRelationalTableModel::clear
    {78, 257, 1333},	// QSqlRelationalTableModel::data#
    {78, 258, 1314},	// QSqlRelationalTableModel::data#$
    {78, 336, 1327},	// QSqlRelationalTableModel::insertRowIntoTable#
    {78, 371, 1306},	// QSqlRelationalTableModel::metaObject
    {78, 453, 1328},	// QSqlRelationalTableModel::orderByClause
    {78, 710, 1312},	// QSqlRelationalTableModel::qt_metacall$$?
    {78, 712, 1307},	// QSqlRelationalTableModel::qt_metacast$
    {78, 729, 1321},	// QSqlRelationalTableModel::relation$
    {78, 731, 1322},	// QSqlRelationalTableModel::relationModel$
    {78, 735, 1335},	// QSqlRelationalTableModel::removeColumns$$
    {78, 736, 1316},	// QSqlRelationalTableModel::removeColumns$$#
    {78, 751, 1324},	// QSqlRelationalTableModel::revertRow$
    {78, 761, 1318},	// QSqlRelationalTableModel::select
    {78, 762, 1325},	// QSqlRelationalTableModel::selectStatement
    {78, 774, 1334},	// QSqlRelationalTableModel::setData##
    {78, 775, 1315},	// QSqlRelationalTableModel::setData##$
    {78, 806, 1323},	// QSqlRelationalTableModel::setJoinMode$
    {78, 842, 1320},	// QSqlRelationalTableModel::setRelation$#
    {78, 854, 1319},	// QSqlRelationalTableModel::setTable$
    {78, 869, 1336},	// QSqlRelationalTableModel::staticMetaObject
    {78, 889, 1329},	// QSqlRelationalTableModel::tr$
    {78, 890, 1308},	// QSqlRelationalTableModel::tr$$
    {78, 891, 1310},	// QSqlRelationalTableModel::tr$$$
    {78, 893, 1330},	// QSqlRelationalTableModel::trUtf8$
    {78, 894, 1309},	// QSqlRelationalTableModel::trUtf8$$
    {78, 895, 1311},	// QSqlRelationalTableModel::trUtf8$$$
    {78, 905, 1326},	// QSqlRelationalTableModel::updateRowInTable$#
    {78, 924, 1339},	// QSqlRelationalTableModel::~QSqlRelationalTableModel
    {79, 4, 1394},	// QSqlResult::BatchOperation
    {79, 10, 1395},	// QSqlResult::DetachFromResultSet
    {79, 26, 1393},	// QSqlResult::NamedBinding
    {79, 28, 1397},	// QSqlResult::NextResult
    {79, 35, 1392},	// QSqlResult::PositionalBinding
    {79, 80, 1341},	// QSqlResult::QSqlResult#
    {79, 177, 1396},	// QSqlResult::SetNumericalPrecision
    {79, 199, 1361},	// QSqlResult::addBindValue#$
    {79, 208, 1342},	// QSqlResult::at
    {79, 218, -22},	// QSqlResult::bindValue$#$
    {79, 220, -25},	// QSqlResult::bindValueType$
    {79, 221, 1372},	// QSqlResult::bindingSyntax
    {79, 223, -28},	// QSqlResult::boundValue$
    {79, 224, 1366},	// QSqlResult::boundValueCount
    {79, 226, 1369},	// QSqlResult::boundValueName$
    {79, 227, 1367},	// QSqlResult::boundValues
    {79, 232, 1370},	// QSqlResult::clear
    {79, 259, 1373},	// QSqlResult::data$
    {79, 269, 1387},	// QSqlResult::detachFromResultSet
    {79, 276, 1349},	// QSqlResult::driver
    {79, 287, 1356},	// QSqlResult::exec
    {79, 289, 1391},	// QSqlResult::execBatch
    {79, 290, 1386},	// QSqlResult::execBatch$
    {79, 291, 1368},	// QSqlResult::executedQuery
    {79, 293, 1376},	// QSqlResult::fetch$
    {79, 294, 1379},	// QSqlResult::fetchFirst
    {79, 295, 1380},	// QSqlResult::fetchLast
    {79, 298, 1377},	// QSqlResult::fetchNext
    {79, 299, 1378},	// QSqlResult::fetchPrevious
    {79, 314, 1340},	// QSqlResult::handle
    {79, 317, 1371},	// QSqlResult::hasOutValues
    {79, 340, 1346},	// QSqlResult::isActive
    {79, 349, 1348},	// QSqlResult::isForwardOnly
    {79, 357, 1374},	// QSqlResult::isNull$
    {79, 361, 1347},	// QSqlResult::isSelect
    {79, 362, 1345},	// QSqlResult::isValid
    {79, 366, 1344},	// QSqlResult::lastError
    {79, 367, 1384},	// QSqlResult::lastInsertId
    {79, 368, 1343},	// QSqlResult::lastQuery
    {79, 376, 1390},	// QSqlResult::nextResult
    {79, 379, 1382},	// QSqlResult::numRowsAffected
    {79, 381, 1389},	// QSqlResult::numericalPrecisionPolicy
    {79, 459, 1357},	// QSqlResult::prepare$
    {79, 724, 1383},	// QSqlResult::record
    {79, 746, 1375},	// QSqlResult::reset$
    {79, 757, 1358},	// QSqlResult::savePrepare$
    {79, 764, 1351},	// QSqlResult::setActive$
    {79, 766, 1350},	// QSqlResult::setAt$
    {79, 795, 1355},	// QSqlResult::setForwardOnly$
    {79, 808, 1352},	// QSqlResult::setLastError#
    {79, 820, 1388},	// QSqlResult::setNumericalPrecisionPolicy$
    {79, 835, 1353},	// QSqlResult::setQuery$
    {79, 848, 1354},	// QSqlResult::setSelect$
    {79, 862, 1381},	// QSqlResult::size
    {79, 910, 1385},	// QSqlResult::virtual_hook$$
    {79, 925, 1398},	// QSqlResult::~QSqlResult
    {80, 30, 1460},	// QSqlTableModel::OnFieldChange
    {80, 31, 1462},	// QSqlTableModel::OnManualSubmit
    {80, 32, 1461},	// QSqlTableModel::OnRowChange
    {80, 81, 1450},	// QSqlTableModel::QSqlTableModel
    {80, 82, 1451},	// QSqlTableModel::QSqlTableModel#
    {80, 83, 1406},	// QSqlTableModel::QSqlTableModel##
    {80, 210, 1439},	// QSqlTableModel::beforeDelete$
    {80, 212, 1437},	// QSqlTableModel::beforeInsert#
    {80, 214, 1438},	// QSqlTableModel::beforeUpdate$#
    {80, 232, 1415},	// QSqlTableModel::clear
    {80, 257, 1452},	// QSqlTableModel::data#
    {80, 258, 1411},	// QSqlTableModel::data#$
    {80, 260, 1419},	// QSqlTableModel::database
    {80, 268, 1442},	// QSqlTableModel::deleteRowFromTable$
    {80, 281, 1417},	// QSqlTableModel::editStrategy
    {80, 303, 1420},	// QSqlTableModel::fieldIndex$
    {80, 306, 1423},	// QSqlTableModel::filter
    {80, 310, 1410},	// QSqlTableModel::flags#
    {80, 319, 1454},	// QSqlTableModel::headerData$$
    {80, 320, 1413},	// QSqlTableModel::headerData$$$
    {80, 325, 1447},	// QSqlTableModel::indexInQuery#
    {80, 334, 1429},	// QSqlTableModel::insertRecord$#
    {80, 336, 1441},	// QSqlTableModel::insertRowIntoTable#
    {80, 338, 1458},	// QSqlTableModel::insertRows$$
    {80, 339, 1428},	// QSqlTableModel::insertRows$$#
    {80, 345, 1414},	// QSqlTableModel::isDirty#
    {80, 371, 1399},	// QSqlTableModel::metaObject
    {80, 453, 1443},	// QSqlTableModel::orderByClause
    {80, 463, 1418},	// QSqlTableModel::primaryKey
    {80, 465, 1436},	// QSqlTableModel::primeInsert$#
    {80, 710, 1405},	// QSqlTableModel::qt_metacall$$?
    {80, 712, 1400},	// QSqlTableModel::qt_metacast$
    {80, 735, 1456},	// QSqlTableModel::removeColumns$$
    {80, 736, 1426},	// QSqlTableModel::removeColumns$$#
    {80, 740, 1457},	// QSqlTableModel::removeRows$$
    {80, 741, 1427},	// QSqlTableModel::removeRows$$#
    {80, 748, 1433},	// QSqlTableModel::revert
    {80, 749, 1435},	// QSqlTableModel::revertAll
    {80, 751, 1431},	// QSqlTableModel::revertRow$
    {80, 754, 1455},	// QSqlTableModel::rowCount
    {80, 755, 1425},	// QSqlTableModel::rowCount#
    {80, 761, 1407},	// QSqlTableModel::select
    {80, 762, 1444},	// QSqlTableModel::selectStatement
    {80, 774, 1453},	// QSqlTableModel::setData##
    {80, 775, 1412},	// QSqlTableModel::setData##$
    {80, 789, 1416},	// QSqlTableModel::setEditStrategy$
    {80, 793, 1424},	// QSqlTableModel::setFilter$
    {80, 832, 1445},	// QSqlTableModel::setPrimaryKey#
    {80, 834, 1446},	// QSqlTableModel::setQuery#
    {80, 840, 1430},	// QSqlTableModel::setRecord$#
    {80, 850, 1422},	// QSqlTableModel::setSort$$
    {80, 854, 1408},	// QSqlTableModel::setTable$
    {80, 865, 1421},	// QSqlTableModel::sort$$
    {80, 869, 1459},	// QSqlTableModel::staticMetaObject
    {80, 874, 1432},	// QSqlTableModel::submit
    {80, 875, 1434},	// QSqlTableModel::submitAll
    {80, 883, 1409},	// QSqlTableModel::tableName
    {80, 889, 1448},	// QSqlTableModel::tr$
    {80, 890, 1401},	// QSqlTableModel::tr$$
    {80, 891, 1403},	// QSqlTableModel::tr$$$
    {80, 893, 1449},	// QSqlTableModel::trUtf8$
    {80, 894, 1402},	// QSqlTableModel::trUtf8$$
    {80, 895, 1404},	// QSqlTableModel::trUtf8$$$
    {80, 905, 1440},	// QSqlTableModel::updateRowInTable$#
    {80, 926, 1463},	// QSqlTableModel::~QSqlTableModel
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();
SMOKE_IMPORT void init_qtgui_Smoke();

static bool initialized = false;
Smoke *qtsql_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qtsql_Smoke() {
    init_qtcore_Smoke();
    init_qtgui_Smoke();
    if (initialized) return;
    qtsql_Smoke = new Smoke(
        "qtsql",
        __smokeqtsql::classes, 104,
        __smokeqtsql::methods, 1464,
        __smokeqtsql::methodMaps, 825,
        __smokeqtsql::methodNames, 926,
        __smokeqtsql::types, 497,
        __smokeqtsql::inheritanceList,
        __smokeqtsql::argumentList,
        __smokeqtsql::ambiguousMethodList,
        __smokeqtsql::cast );
    initialized = true;
}

void delete_qtsql_Smoke() { delete qtsql_Smoke; }

}
